Amministrazione del server Web (IIS)

IIS 7.5 è il ruolo Web Server (IIS) in Windows Server® 2008 R2 e il server Web in Windows® 7. Con gli strumenti di amministrazione di IIS, ad esempio Gestione IIS, è possibile configurare le impostazioni per siti, applicazioni e server Web.

In questa sezione

Panoramica sul ruolo (IIS) di server Web

Elenchi di controllo per IIS

Installazione

Guida di Gestione IIS

Attività di amministrazione comuni

Ulteriori informazioni su IIS 7


Panoramica sul ruolo (IIS) di server Web

Il ruolo Web Server (IIS) in Windows Server® 2008 R2 consente di condividere informazioni con altri utenti tramite Internet, una Intranet o una Extranet. Windows Server 2008 R2 include IIS 7.5, una piattaforma Web unificata che integra IIS, ASP.NET e Windows Communication Foundation. Di seguito vengono illustrate le funzionalità principali e i miglioramenti inclusi in IIS 7.5.

  • Estensioni integrate

    • WebDAV e FTP

    • Filtro richieste

    • Moduli Administration Pack

  • Miglioramenti della gestione

    • Analizzatore procedure consigliate

    • Modulo IIS per Windows PowerShell™

    • Registrazione e traccia della configurazione

  • Miglioramenti dell'hosting di applicazioni

    • Protezione avanzata

    • Account di servizi gestiti

    • Hostable Web Core

    • Traccia richieste non riuscite per FastCGI

  • Miglioramenti al supporto per .NET in Server Core

Nelle sezioni seguenti verranno fornite ulteriori informazioni sul ruolo Web Server (IIS), sulle funzionalità obbligatorie e facoltative di un server Web IIS e sui componenti hardware e software necessari per eseguire un server Web IIS. Al termine dell'argomento sarà possibile apprendere come aprire l'interfaccia del server Web e cercare ulteriori informazioni sui server Web IIS.

Definizione di server Web

Un server Web è un computer che dispone di un software specifico che consente di accettare richieste provenienti da computer client e restituire risposte a tali richieste. I server Web consentono di condividere informazioni su Internet o attraverso Intranet ed Extranet.

Con un server Web IIS 7 è possibile:

  • Fornire informazioni agli utenti tramite Internet.

  • Consentire agli utenti di scaricare e caricare contenuto con i protocolli FTP e WebDAV.

  • Ospitare servizi Web contenenti logica di business per le applicazioni a tre livelli.

  • Distribuire applicazioni a utenti tramite Internet anziché tramite supporti fisici, quali dischi floppy o CD.

I server Web possono risultare utili per clienti ed esigenze diversi. Ad esempio:

  • Il titolare di una piccola azienda può fornire informazioni sui propri servizi utilizzando un semplice sito Web.

  • Il titolare di un'azienda di medie dimensioni può offrire i propri prodotti e servizi tramite un sistema di ordinazioni in linea composto da varie applicazioni in un unico sito.

  • Un'impresa può sviluppare e distribuire applicazioni aziendali per i dipendenti utilizzando la Intranet aziendale.

  • Una società di hosting può fornire ai singoli clienti spazio e servizi sul server per ospitare contenuti e applicazioni in linea diversi.

  • Un'azienda può fornire informazioni e applicazioni pertinenti a partner commerciali tramite reti Extranet.

Nuove funzionalità del ruolo di server Web in Windows Server 2008 R2

Nelle sezioni seguenti sono descritte le funzionalità e i miglioramenti disponibili in IIS 7, la piattaforma Web di Windows Server 2008 R2.

Estensioni integrate

Sulla base dell'architettura estensibile e modulare introdotta con IIS 7, nella nuova versione IIS 7.5 sono state integrate e migliorate le estensioni esistenti anche se con l'aggiunta di estendibilità e personalizzazione.

WebDAV e FTP

La funzionalità WebDAV e FTP disponibile in IIS 7 è stata notevolmente migliorata con l'aggiunta di diverse nuove funzionalità che consentono agli autori Web di pubblicare contenuto in modo più affidabile e sicuro. I nuovi moduli FTP e WebDAV offrono inoltre agli amministratori di server Web più opzioni per l'autenticazione, il controllo e la registrazione.

Filtro richieste

Il modulo Filtro richieste, in precedenza disponibile come estensione per IIS 7, consente di impedire che il server venga raggiunto da richieste potenzialmente dannose, grazie alla possibilità di limitare o bloccare specifiche richieste HTTP.

Moduli Administration Pack

I moduli di estensione, in precedenza disponibili per IIS 7 come parte di Administration Pack per IIS, offrono strumenti aggiuntivi che consentono di amministrare il server Web IIS 7.5 da Gestione IIS. Tali moduli includono l'editor di configurazione e le estensioni dell'interfaccia utente, che consentono di gestire i le regole di Filtro richieste, FastCGI e le impostazioni dell'applicazione ASP.NET.

Miglioramenti della gestione

IIS 7.5 è basato su un'architettura di gestione distribuita e delegata analoga a quella di IIS 7, ma IIS 7.5 rende disponibili anche nuovi strumenti di amministrazione.

Analizzatore procedure consigliate

Analizzatore procedure consigliate è uno strumento di gestione accessibile da Gestione server e Windows PowerShell. Consente agli amministratori di ridurre le violazioni delle procedure consigliate analizzando un server Web IIS 7.5 e segnalando la presenza di potenziali problemi di configurazione.

Modulo IIS per Windows PowerShell

Il modulo IIS per Windows PowerShell è uno snap-in di Windows PowerShell che consente di eseguire attività amministrative di IIS 7 nonché di gestire i dati di runtime e di configurazione di IIS. Inoltre, una raccolta di cmdlet orientati all'attività permette di gestire agevolmente siti, applicazioni e server Web.

Registrazione e traccia della configurazione

Le funzioni di registrazione e traccia della configurazione consentono di controllare l'accesso alla configurazione di IIS e di tenere traccia delle modifiche riuscite o non riuscite abilitando gli eventuali nuovi registri che si rendono disponibili nel Visualizzatore eventi.

Miglioramenti dell'hosting di applicazioni

Offrendo un'ampia varietà di nuove funzionalità che consentono di aumentare la protezione e migliorare le funzionalità di diagnostica, IIS 7.5 rappresenta una piattaforma ancora più flessibile e gestibile per diversi tipi di applicazioni Web, ad esempio ASP.NET e PHP.

Protezione avanzata

Sulla base del modello di isolamento del pool di applicazioni di IIS 7 che offre una maggiore protezione e affidabilità, ogni pool di applicazioni di IIS 7.5 esegue ora ogni processo come identità univoca con privilegi inferiori.

Account di servizi gestiti

Gli account di dominio le cui password vengono gestite dal computer host sono ora supportati come identità del servizio in IIS 7.5. Pertanto, gli amministratori di server non devono più preoccuparsi della scadenza delle password del pool di applicazioni.

Hostable Web Core

I componenti di base del motore Web di IIS possono essere utilizzati o ospitati da altre applicazioni. In questo modo i componenti di IIS 7 possono gestire le richieste HTTP direttamente in un'applicazione. Questa funzione risulta utile per rendere disponibili funzionalità di base di server Web per le applicazioni personalizzate o per il debug delle applicazioni.

Traccia richieste non riuscite per FastCGI

In IIS 7.5 gli sviluppatori di PHP che utilizzano il modulo FastCGI possono implementare chiamate di traccia IIS all'interno delle applicazioni. Possono quindi risolvere gli errori delle applicazioni utilizzando la traccia delle richieste non riuscite IIS per eseguire il debug del codice durante lo sviluppo.

Miglioramenti al supporto per .NET in Server Core

L'opzione di installazione Server Core di Windows Server 2008 R2 fornisce il supporto per .NET Framework 2.0, 3.0, 3.5.1 e 4.0. Pertanto, è possibile ospitare applicazioni ASP.NET, eseguire attività di gestione remota da Gestione IIS nonché eseguire in locale i cmdlet inclusi nel modulo IIS per Windows PowerShell per IIS.

Hardware e software per il ruolo di server Web

I requisiti hardware e software per il ruolo di server Web corrispondono ai requisiti di Windows Server 2008 R2. Utilizzare i contatori delle prestazioni, i risultati di test di laboratorio, i dati esistenti di ambienti di produzione e le implementazioni pilota per determinare la capacità necessaria per il server e apportare eventuali modifiche.

Installazione di un server Web IIS

Dopo aver completato l'installazione del sistema operativo, verrà visualizzato un elenco di attività di configurazione iniziali. Per installare il ruolo Web Server (IIS), fare clic su Aggiungi ruoli nell'elenco delle attività, quindi scegliere Server Web (IIS). Per ulteriori informazioni sull'installazione di IIS, vedere Installazione.

Gestione di un server Web IIS

Dopo aver installato IIS, utilizzare le procedure seguenti per aprire Gestione IIS in Windows Server 2008 R2 o Windows® 7.

Per aprire Gestione IIS in Windows Server 2008 R2

  • Fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione Internet Information Services (IIS).

Per aprire Gestione IIS in Windows 7

  1. Fare clic sul pulsante Start, quindi scegliere Pannello di controllo.

  2. Nel Pannello di controllo fare clic su Sistema e manutenzione.

  3. In Sistema e manutenzione fare clic Strumenti di amministrazione.

  4. In Strumenti di amministrazione fare clic su Gestione Internet Information Services (IIS).

Ulteriori informazioni

Per ulteriori informazioni sul ruolo di server Web, vedere la Guida del server. Per eseguire questa operazione, aprire Gestione IIS come descritto nella sezione precedente e premere F1.

Per ulteriori informazioni sul ruolo di server Web, vedere gli argomenti relativi a Windows Server 2008 R2 sul Web:

  • Per ulteriori informazioni sul ruolo di server Web e sul funzionamento di un server Web, vedere Windows Server 2008 (in linea).

  • Per ulteriori informazioni sulla distribuzione, il funzionamento e la risoluzione dei problemi di un server Web, vedere IIS.net (in linea).


Elenchi di controllo per IIS

Gli argomenti di questa sezione consentono di comprendere come eseguire le attività principali di IIS utilizzando IIS 7.

In questa sezione

Risolvere i problemi relativi ad applicazioni Web

Sopprimere espressioni specifiche negli URL

Restringere l'accesso ai siti Web

Confermare l'identità di utenti che richiedono l'accesso a un sito Web

Offrire una migliore esperienza utente ai visitatori del sito Web

Crittografare i dati inviati tra il server Web e il client

Ospitare più siti Web su un server

Isolare applicazioni Web

Consentire a utenti non amministratori del computer di gestire siti


Risolvere i problemi relativi ad applicazioni Web

IIS 7 include numerose novità per la diagnosi e la risoluzione dei problemi relativi alle applicazioni Web. Supporta infatti il buffering degli eventi di traccia per una richiesta specifica e il salvataggio di tali eventi su disco solo se rientrano in una condizione di errore configurata dall'utente. Consente inoltre di acquisire in tempo reale le informazioni di stato sui pool di applicazioni, i processi di lavoro, i siti, i domini applicazione e le richieste in esecuzione.

Note

Per poter creare un registro di traccia per una richiesta non riuscita, è necessario prima abilitare la registrazione della traccia.

 | Passaggio | Riferimenti
Casella di controllo | Panoramica sulla risoluzione dei problemi in IIS 7. | Troubleshooting Overview
Casella di controllo | Definire le condizioni di errore per le applicazioni e configurare gli eventi di traccia da registrare in base all'URL. | Configurare la traccia per le richieste non riuscite
Casella di controllo | Configurare le impostazioni del registro di IIS. | Configurare la registrazione
Casella di controllo | Visualizzare un elenco di processi di lavoro in esecuzione in un server e un elenco delle richieste attualmente in esecuzione per ogni processo di lavoro. | Monitorare processi di lavoro e richieste attualmente in esecuzione

Vedere anche

  • Server Web in Tech Center (in linea)


Sopprimere espressioni specifiche negli URL

URLScan è un'utilità distribuita in passato da Microsoft che consente di monitorare tutti gli URL in ingresso e sopprimere stringhe specifiche prima che vengano elaborate. Tale utilità consente agli amministratori di server Web di bloccare file eseguibili specifici, creare directory nascoste non raggiungibili con HTTP, impostare limiti per le connessioni e altro ancora. Tutte queste funzionalità sono state incluse in questa versione di IIS.

Note

Se si è utilizzato lo strumento URLScan in IIS 6.0 e si dispone di una libreria di espressioni nel file Urlscan.ini, è possibile eseguire la migrazione di tali espressioni nei nuovi file di configurazione XML di IIS 7 per continuare a filtrare le richieste HTTP in base alle stesse espressioni.

Se non è possibile eseguire immediatamente la migrazione di queste espressioni, è possibile continuare a utilizzare lo stesso file Urlscan.ini. A tale scopo, sarà necessario continuare a utilizzare lo strumento URLScan, tuttavia il programma di installazione di UrlScan versione 2.5 non funziona in Windows Server® 2008 R2. Per ovviare a questo problema, copiare Urlscan.dll e Urlscan.ini nel server in cui è in esecuzione IIS 7, quindi configurare Urlscan.dll come filtro ISAPI globale in IIS.

 | Passaggio | Riferimenti
Casella di controllo | Visualizzare informazioni sul funzionamento del filtro delle richieste. | Overview of Request Filtering
Casella di controllo | Configurare IIS 7 per filtrare le richieste HTTP. | Configurare l'applicazione di filtri di Richieste

Vedere anche

  • Server Web in Tech Center (in linea)


Restringere l'accesso ai siti Web

È possibile autorizzare l'accesso al contenuto sul sito Web in due modi diversi. Se il sito utilizza un metodo di autenticazione che identifica gli utenti, è possibile configurare regole di autorizzazione che consentono l'accesso ad alcuni utenti e lo negano ad agli altri. Se si desidera autorizzare l'accesso in base a nomi di dominio o a un spazio di indirizzi IP, è possibile utilizzare regole di restrizione per indirizzi IP e domini per consentire l'accesso ad alcuni domini e negarlo ad altri. È possibile combinare e associare queste regole per configurare uno schema di autorizzazione che garantisca il miglior livello di sicurezza per il contenuto.

Note

Le funzionalità Regole di autorizzazione e Restrizioni dominio e indirizzo IPv4 FTP non vengono installate per impostazione predefinita. Se si desidera utilizzare una di queste funzionalità, è prima necessario installarle.

 | Passaggio | Riferimenti
Casella di controllo | Leggere una panoramica sulla configurazione di una strategia di autorizzazione. | Overview of IIS Authorization Features
Casella di controllo | Installare Restrizioni indirizzo IPv4 e dominio e Regole di autorizzazione utilizzando la procedura guidata Aggiungi servizi ruolo da Server Manager. | Installazione di IIS
Casella di controllo | Utilizzare IIS 7 per configurare Regole di autorizzazione. | Configurare Regole di autorizzazione
Casella di controllo | Utilizzare IIS 7 per configurare Restrizioni dominio e indirizzo IPv4 FTP. | Configurare Restrizioni indirizzo e dominio IPv4 FTP

Vedere anche

  • Server Web in Tech Center (in linea)


Confermare l'identità di utenti che richiedono l'accesso a un sito Web

L'autenticazione consente di confermare l'identità di utenti che richiedono l'accesso ai siti Web. In IIS sono supportati i metodi di autenticazione basata su richiesta di verifica e basata sul reindirizzamento dell'accesso. Nel caso di metodi di autenticazione basata su richiesta di verifica i client devono rispondere correttamente a una richiesta di verifica avviata dal server. I metodi di autenticazione basata sul reindizzamento dell'accesso si basano invece sul reindirizzamento a una pagina di accesso per determinare l'identità dell'utente. Non è possibile utilizzare contemporaneamente entrambi i metodi di autenticazione. In IIS è inoltre supportata l'autenticazione basata su certificati client, che tuttavia implica la configurazione di SSL (Secure Sockets Layer) per il sito.

Note

Per impostazione predefinita, viene installata solo l'autenticazione anonima. Se si desidera autenticare client con IIS, è necessario installare le funzionalità di autenticazione desiderate.

 | Passaggio | Riferimenti
Casella di controllo | Leggere una panoramica sulla configurazione di una strategia di autenticazione. | Overview of IIS Authentication Features
Casella di controllo | Installare tipi diversi di autenticazione utilizzando la procedura guidata Aggiunta servizi ruolo di Server Manager. | Installazione di IIS 7
Casella di controllo | Utilizzare IIS 7 per configurare l'autenticazione. | Configurare l'autenticazione

Vedere anche

  • Server Web in Tech Center (in linea)


Offrire una migliore esperienza utente ai visitatori del sito Web

È possibile configurare le impostazioni HTTP predefinite per offrire una migliore esperienza utente ai visitatori del sito Web. Ad esempio, è possibile configurare IIS in modo che vengano restituiti messaggi di errore personalizzati ogni volta che si verifica un errore HTTP. L'utilizzo di messaggi di errore personalizzati consente di offrire commenti e suggerimenti più informativi o descrittivi. È inoltre possibile configurare IIS in modo da rendere disponibile un documento predefinito o un elenco di tutti i documenti disponibili dal server. Ai clienti che non specificano il nome di un documento verrà visualizzata una pagina predefinita o un elenco di tutte le pagine disponibili, a seconda della configurazione delle impostazioni HTTP.

Note

 | Passaggio | Riferimenti
Casella di controllo | Configurare se in IIS vengono restituiti errori personalizzati o dettagliati quando si verifica un errore HTTP e aggiungere pagine di errore personalizzate per errori HTTP specifici. | Configurazione delle pagine di errore
Casella di controllo | Configurare un elenco di documenti predefiniti che possono essere restituiti ai client che non specificano un nome di documento in una richiesta e, a seconda delle esigenze, abilitare o disabilitare questa funzionalità per siti, applicazioni o directory specifiche. | Configurazione dei documenti predefiniti
Casella di controllo | Configurare se ai client che non specificano un nome di documento in una richiesta viene restituito un elenco di directory e, a seconda delle esigenze, abilitare o disabilitare questa funzionalità per siti, applicazioni o directory specifiche. | Configurazione dell'esplorazione directory
Casella di controllo | Configurare intestazioni personalizzate da includere nell'intestazione della risposta HTTP del server. | Configurazione delle intestazioni di risposta HTTP
Casella di controllo | Specificare i tipi di contenuto che può essere reso disponibile a un browser o a un client di posta configurando tipi MIME (Multipurpose Internet Mail Extensions) sul server. | Configurazione dei tipi MIME
Casella di controllo | Configurare le impostazioni per reindirizzare i client a una directory diversa da quella richiesta o reindirizzarli a un URL diverso. | Configurazione del reindirizzamento HTTP

Vedere anche

  • Server Web in Tech Center (in linea)


Crittografare i dati inviati tra il server Web e il client

Abilitare SSL (Secure Sockets Layer) per crittografare i dati inviati tra un server Web e un client. Per abilitare SSL, è necessario ottenere e installare un certificato server valido. È possibile ottenere un certificato server da un'Autorità di certificazione (CA) che può essere una CA interna al dominio Windows oppure a una CA pubblica di terze parti ritenuta attendibile. È inoltre possibile creare un certificato server autofirmato per la diagnosi, il testing o lo sviluppo di applicazioni. Dopo aver ottenuto il certificato server, è necessario installare il certificato ed eseguire il binding del protocollo HTTPS al sito Web.

Note

Per creare un binding di sito per HTTPS o per abilitare eventuali impostazioni SSL per un sito, è prima necessario disporre di un certificato server. I certificati server possono essere configurati solo a livello del server Web, mentre i binding di sito e le impostazioni SSL possono essere configurati solo a livello di sito, applicazione o directory fisica.

I certificati server possono essere ottenuti in diversi modi: È possibile generare un certificato autofirmato, acquistare un certificato da un'Autorità di certificazione esterna pubblica di terze parti o richiedere un certificato a un'Autorità di certificazione interna al dominio. I certificati autofirmati rappresentano l'opzione meno sicura delle tre disponibili e devono essere utilizzati solo per il testing o la risoluzione di problemi relativi ad applicazioni che utilizzano HTTPS.

 | Passaggio | Riferimenti
Casella di controllo | Ottenere un certificato server adatto per il progetto e quindi installare il certificato in IIS. | Configurazione dei certificati del server
Casella di controllo | Creare un binding HTTPS per il sito che ospiterà i dati crittografati. | Aggiungere un'associazione a un sito Web
Casella di controllo | Configurare impostazioni SSL per il sito, l'applicazione o la directory fisica. | Configurazione di Secure Sockets Layer

Vedere anche

  • Server Web in Tech Center (in linea)


Ospitare più siti Web su un server

Le intestazioni host consentono di assegnare più siti a un unico indirizzo IP di un server Web, senza assegnare un indirizzo IP univoco a ogni sito Web o definire numeri di porta TCP non standard. L'utilizzo di intestazioni host rappresenta la soluzione più comune per ospitare più siti Web.

Note

Nell'elenco seguente sono descritti i passaggi da completare in IIS per aggiungere uno o più nomi di intestazione host a un indirizzo IP. Dopo aver completato i passaggi seguenti, è necessario registrare il nome o i nomi di intestazione host con il sistema di risoluzione dei nomi appropriato. Se il computer si trova in una Intranet, registrare il nome o i nomi di intestazione host con il sistema di risoluzione dei nomi dell'Intranet. Se il computer si trova in Internet, registrare il nome o i nomi di intestazione host con DNS (Domain Name System) amministrato da InterNic.

 | Passaggio | Riferimenti
Casella di controllo | Aggiungere un sito Web al server Web. | Aggiungere un sito
Casella di controllo | Modificare il binding del sito Web e aggiungere un nome di intestazione host oppure creare un nuovo binding con un nome di intestazione host. | Configurare binding per un sito
Casella di controllo | Aggiungere altri binding con lo stesso indirizzo IP e numero di porta, ma intestazioni host diverse se si desidera che a un unico indirizzo IP siano assegnati ulteriori siti. | Configurare nomi di intestazione host per un sito Web

Vedere anche

  • Server Web in Tech Center (in linea)


Isolare applicazioni Web

Un pool di applicazioni è un processo di lavoro al quale è possibile assegnare applicazioni Web. Grazie all'utilizzo dei pool di applicazioni è possibile isolare le applicazioni Web e migliorarne la sicurezza dal momento che viene ridotta la probabilità che un'applicazione acceda alle risorse di un'altra. Questa separazione consente anche di impedire che le applicazioni Web di un pool di applicazioni influiscano negativamente sulla disponibilità di applicazioni Web in un altro pool dello stesso server Web. Se ad esempio un'applicazione Web non viene eseguita o consuma un numero eccessivo di risorse, nella maggior parte dei casi il problema non interesserà le applicazioni di altri pool del server Web.

Note

La creazione di un numero eccessivo di pool di applicazioni in un server Web può influire negativamente sulle prestazioni del server Web.

 | Passaggio | Riferimenti
Casella di controllo | Creare un pool di applicazioni. | Gestire pool di applicazioni
Casella di controllo | Aggiungere un'applicazione Web a un pool di applicazioni. | Gestire applicazioni Web

Vedere anche

  • Server Web in Tech Center (in linea)


Consentire a utenti non amministratori del computer di gestire siti

Le funzionalità di gestione delle deleghe consentono agli amministratori di computer di mantenere il controllo completo del server Web, pur delegando la configurazione di funzionalità di siti o applicazioni a utenti non amministratori. È possibile permettere a utenti di Windows e di Gestione IIS di connettersi a un sito o a un'applicazione. Tali utenti possono configurare funzionalità delegate in qualsiasi sito e applicazione per cui è stata concessa l'autorizzazione. Per consentire a tali utenti di connettersi al server Web utilizzando Gestione IIS, è necessario configurare il Servizio di gestione in modo da abilitare le connessioni remote.

Note

 | Passaggio | Riferimenti
Casella di controllo | Aggiungere account utente di Gestione IIS e permettere a utenti di Windows e Gestione IIS di connettersi a un sito o a un'applicazione. | Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS
Casella di controllo | Configurare lo stato di delega di funzionalità di siti e applicazioni per utenti di siti e applicazioni da visualizzare e configurare. | Delega della gestione di funzionalità in siti e applicazioni
Casella di controllo | Configurare le impostazioni della connessione e abilitare la gestione remota. | Configurazione del Servizio di gestione

Vedere anche

  • Server Web in Tech Center (in linea)


Installazione

Per impostazione predefinita, il ruolo Server Web (IIS) non è installato in Windows Server 2008 R2 e Windows 7. Inoltre, alcune delle funzionalità di Gestione IIS e la funzionalità IIS 7 non sono disponibili in tutte le edizioni di Windows 7. Per ulteriori informazioni sulle funzionalità disponibili in Windows Server 2008 R2 e Windows 7, nonché sulle procedure per l'installazione di IIS 7, fare riferimento agli argomenti di questa sezione.

In questa sezione sono presenti gli argomenti seguenti:

Servizi ruolo (IIS) di server Web disponibili in IIS 7.5

Installazione di IIS 7.5 in Windows Server 2008 R2

Installazione di IIS 7.5 in Windows 7 Professional, Enterprise o Ultimate

Installazione di IIS 7.5 in Windows 7 Home Premium, Home Basic o Home Starter


Servizi ruolo (IIS) di server Web disponibili in IIS 7.5

Internet Information Services (IIS) 7.5 è il ruolo Web Server (IIS) disponibile in Windows Server® 2008 R2 e il server Web in Windows® 7. In IIS 7 il server Web è stato riprogettato in modo da consentire la personalizzazione di un server mediante l'aggiunta o la rimozione di moduli rispondenti a necessità specifiche. I moduli sono singole funzionalità utilizzate dal server per l'elaborazione delle richieste. In IIS vengono ad esempio utilizzati moduli di autenticazione per autenticare le credenziali client e moduli della cache per gestire l'attività della cache.

Windows Server 2008 R2 include tutte le funzionalità di IIS necessarie per supportare l'hosting di contenuti Web in ambienti di produzione. Anche Windows 7 include funzionalità di IIS, tuttavia le funzionalità disponibili dipendono dalla versione di Windows 7. L'utilizzo di IIS in Windows 7 costituisce la scelta ideale se si desidera compilare e testare applicazioni Web.

Servizi ruolo disponibili in IIS 7.5

Nelle tabelle di questa sezione sono illustrati i servizi ruolo e le funzionalità IIS disponibili in ogni versione di Windows 7 e Windows Server 2008 R2.

La disponibilità delle funzionalità viene descritta nel modo seguente.

  • Predefinita: la funzionalità viene selezionata per impostazione predefinita quando si installa IIS nel computer, tuttavia è possibile decidere di non installarla se non è necessaria.

  • Disponibile: la funzionalità è disponibile, ma non è selezionata per impostazione predefinita quando si installa IIS nel computer. È possibile installare la funzionalità se necessaria.

  • Non disponibile: la funzionalità non è disponibile e non può essere installata quando si installa IIS.

Nota

Quando si installa Windows Server 2008 R2, è possibile eseguire un'installazione Server Core che prevede un'installazione minima del server di Windows Server 2008 R2. Con questo tipo di installazione, ad esempio, la tradizionale interfaccia Windows non viene installata, pertanto è necessario configurare il server dal prompt dei comandi.

Servizi ruolo disponibili per categoria

Per ulteriori informazioni sulla disponibilità delle funzionalità in ogni versione, vedere le tabelle seguenti.

  • Funzionalità HTTP comuni

  • Funzionalità per lo sviluppo di applicazioni

  • Funzionalità Integrità e diagnostica

  • Funzionalità di sicurezza

  • Funzionalità relative alle prestazioni

  • Strumenti di gestione

  • Funzionalità del Servizio di pubblicazione FTP

Funzionalità HTTP comuni

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Contenuto statico Contenuto statico consente al server Web di pubblicare formati di file Web statici, ad esempio pagine HTML e file di immagine. Utilizzare Contenuto statico per pubblicare nel server Web file che potranno successivamente essere visualizzati dagli utenti tramite un Web browser. | Predefinita | Predefinita | Predefinita | Non disponibile
Documento predefinito Documento predefinito consente di configurare un file predefinito che il server Web deve restituire quando gli utenti non specificano un file in un URL. I documenti predefiniti consentono agli utenti di accedere al sito Web in modo più semplice e pratico. | Predefinita | Predefinita | Predefinita | Non disponibile
Esplorazione directory Esplorazione directory consente agli utenti di visualizzare il contenuto di una directory del server Web. Utilizzare questa funzionalità per consentire la visualizzazione di un elenco generato automaticamente di tutte le sottodirectory e i file disponibili in una directory quando gli utenti non specificano un file in un URL e i documenti predefiniti sono disattivati o non configurati. | Predefinita | Predefinita | Predefinita | Non disponibile
Errori HTTP Errori HTTP consente di personalizzare i messaggi di errore restituiti ai browser degli utenti quando il server Web rileva una condizione di errore. Utilizzare gli errori HTTP per migliorare l'esperienza utente in relazione alla visualizzazione dei messaggi di errore. È consigliabile ad esempio specificare l'indirizzo di posta elettronica del personale a cui gli utenti possono rivolgersi per la risoluzione dell'errore. | Predefinita | Predefinita | Predefinita | Predefinita
Reindirizzamento HTTP Reindirizzamento HTTP offre supporto per il reindirizzamento delle richieste degli utenti a una destinazione specifica. Utilizzare il reindirizzamento HTTP ogni volta che si desidera reindirizzare a un URL specifico i clienti che hanno specificato un determinato URL. Questa funzionalità è utile in molte situazioni, ad esempio se si desidera semplicemente rinominare il sito Web, ovviare alle difficoltà dovute all'utilizzo di un nome di dominio difficile da digitare o imporre ai client l'utilizzo del protocollo HTTPS. | Predefinita | Predefinita | Predefinita | Predefinita
Pubblicazioni WebDAV Pubblicazioni WebDAV (Web Distributed Authoring and Versioning) consente di pubblicare file in un server Web e dallo stesso utilizzando il protocollo HTTP. Poiché WebDAV utilizza HTTP, funziona con la maggior parte dei firewall senza modifica. | Predefinita | Predefinita | Non disponibile | Non disponibile

Funzionalità per lo sviluppo di applicazioni

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
ASP.NET ASP.NET fornisce un ambiente di programmazione orientata a oggetti lato server per la creazione di siti e applicazioni Web che utilizzano codice gestito. ASP.NET non è semplicemente una nuova versione di ASP, ma offre un'infrastruttura affidabile per la creazione di applicazioni Web ed è stato completamente riprogettato in modo da garantire un'esperienza di programmazione estremamente produttiva basata su .NET Framework. | Disponibile | Disponibile | Disponibile | Non disponibile
Estendibilità .NET Estendibilità .NET consente agli sviluppatori di codice gestito di modificare, aggiungere ed estendere la funzionalità del server Web nella pipeline delle richieste, nella configurazione e nell'interfaccia utente. Gli sviluppatori possono utilizzare il familiare modello di estendibilità ASP.NET e le sofisticate API .NET per creare funzionalità del server Web efficienti quanto quelle create utilizzando le API C++ native. | Predefinita | Predefinita | Predefinita | Predefinita
ASP Le pagine ASP forniscono un ambiente di scripting lato server per la creazione di siti e applicazioni Web. Garantiscono prestazioni superiori a quelle degli script CGI offrendo a IIS supporto nativo per VBScript e JScript. Utilizzare le pagine ASP se si dispone di applicazioni esistenti che ne richiedono il supporto. Per le nuove attività di sviluppo, è consigliabile utilizzare ASP.NET. | Disponibile | Disponibile | Disponibile | Non disponibile
CGI CGI (Common Gateway Interface) consente di definire la modalità con cui le informazioni vengono passate da un server Web a un programma esterno. Viene in genere utilizzato per raccogliere informazioni tramite un modulo Web e quindi passare tali informazioni a uno script CGI da inviare per posta elettronica. Poiché CGI è uno standard, per creare script CGI è possibile utilizzare una vasta gamma di linguaggi di programmazione. L'utilizzo di CGI determina tuttavia un sovraccarico a livello di prestazioni. | Disponibile | Disponibile | Disponibile | Non disponibile
Estensioni ISAPI Estensioni ISAPI fornisce supporto per lo sviluppo di contenuto Web dinamico tramite le estensioni ISAPI (Internet Server Application Programming Interface). Un'estensione ISAPI viene eseguita quando richiesta, come qualsiasi altro file HTML statico o ASP dinamico. Poiché le applicazioni ISAPI sono costituite da codice compilato, vengono elaborate più velocemente rispetto ai file ASP o ai file che chiamano componenti COM+. | Disponibile | Disponibile | Disponibile | Non disponibile
Filtri ISAPI Filtri ISAPI fornisce supporto per le applicazioni Web che utilizzano filtri ISAPI (Internet Server Application Programming Interface). Tali filtri sono file che possono estendere o modificare le funzionalità offerte da IIS. Ogni filtro ISAPI esamina tutte le richieste inviate al server Web finché non ne individua una da elaborare. | Disponibile | Disponibile | Disponibile | Non disponibile
Server Side Includes Server Side Includes (SSI) è un linguaggio di scripting utilizzato per generare pagine HTML in modo dinamico. Lo script viene eseguito sul server prima che la pagina venga visualizzata sul client e in genere comporta l'inserimento di un file in un altro. È ad esempio possibile creare un menu di spostamento HTML e utilizzare SSI per aggiungerlo dinamicamente a tutte le pagine di un sito Web. | Disponibile | Disponibile | Disponibile | Non disponibile

Funzionalità Integrità e diagnostica

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Registrazione HTTP Registrazione HTTP consente di registrare l'attività del sito Web per il server. Quando si verifica un evento registrabile, generalmente una transazione HTTP, IIS chiama il modulo di registrazione selezionato, che a sua volta scrive in uno dei registri archiviati nel file system del server Web. Questi registri vengono forniti in aggiunta a quelli del sistema operativo. | Predefinita | Predefinita | Predefinita | Predefinita
Strumenti di registrazione Registrazione strumenti offre l'infrastruttura necessaria per gestire i registri del server Web e automatizzare le attività di registrazione comuni. | Predefinita | Predefinita | Predefinita | Predefinita
Monitor richieste Monitor richieste offre l'infrastruttura necessaria per monitorare l'integrità delle applicazioni Web tramite l'acquisizione di informazioni sulle richieste HTTP in un processo di lavoro di IIS. Amministratori e sviluppatori possono utilizzare Monitor richieste per individuare le richieste HTTP in esecuzione quando il processo di lavoro non risponde più o è molto rallentato. | Predefinita | Predefinita | Predefinita | Predefinita
Traccia La funzionalità di traccia offre l'infrastruttura necessaria per la diagnosi e la risoluzione dei problemi relativi alle applicazioni Web. La traccia delle richieste non riuscite consente di individuare eventi difficili da rilevare, ad esempio prestazioni ridotte o errori relativi all'autenticazione. Questa funzionalità memorizza nel buffer gli eventi di traccia relativi a una richiesta e li scarica sul disco solo se la richiesta corrisponde a una condizione di errore configurata dall'utente. | Predefinita | Predefinita | Predefinita | Predefinita
Registrazioni personalizzate Registrazioni personalizzate offre supporto per la registrazione dell'attività del server Web in un formato molto diverso dalla modalità di generazione dei file di registro in IIS. Utilizzare Registrazione personalizzate per creare un modulo di registrazione personalizzato. I moduli di questo tipo vengono aggiunti a IIS registrando un nuovo componente COM che implementa ILogPlugin o ILogPluginEx. | Disponibile | Disponibile | Disponibile | Non disponibile
Registrazione ODBC Registrazione ODBC offre l'infrastruttura necessaria per supportare la registrazione dell'attività del server Web in un database compatibile ODBC. Con un database di registrazione, è possibile visualizzare e modificare a livello di programmazione i dati di tale database in una pagina HTML. Ciò può essere utile ad esempio per ricercare nei registri eventi specifici che si desidera monitorare. | Disponibile | Disponibile | Non disponibile | Non disponibile

Funzionalità di sicurezza

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Autenticazione di base L'autenticazione di base garantisce un'elevata compatibilità con i browser. Questo metodo di autenticazione, appropriato per piccole reti interne, viene raramente utilizzato nella rete Internet pubblica. Il principale svantaggio è rappresentato dal fatto che le password vengono trasmesse in rete utilizzando un algoritmo che può essere facilmente decrittografato. Le eventuali password intercettate possono essere quindi decifrate facilmente. Con l'autenticazione di base utilizzare anche SSL. | Disponibile | Disponibile | Disponibile | Non disponibile
Autenticazione di Windows Autenticazione di Windows è una soluzione di autenticazione a basso costo per siti Web interni. Questo schema di autenticazione consente agli amministratori di un dominio di Windows di sfruttare l'infrastruttura del dominio per autenticare gli utenti. Non utilizzare l'autenticazione di Windows se gli utenti da autenticare accedono al sito Web tramite firewall e server proxy. | Disponibile | Disponibile | Non disponibile | Non disponibile
Autenticazione del digest L'autenticazione del digest prevede l'invio di un hash della password a un controller di dominio di Windows per autenticare gli utenti. È consigliabile utilizzare questo tipo di autenticazione se è necessario un sistema di sicurezza più avanzato rispetto all'autenticazione di base, soprattutto se gli utenti da autenticare accedono al sito Web tramite firewall e server proxy. | Disponibile | Disponibile | Non disponibile | Non disponibile
Autenticazione mapping certificati client Autenticazione mapping certificati client esegue l'autenticazione degli utenti mediante certificati client. Un certificato client è un ID digitale di un'origine attendibile. IIS offre due tipi di autenticazione tramite mapping dei certificati client. Questo tipo utilizza Active Directory per offrire mapping uno-a-uno dei certificati in più server Web. | Disponibile | Disponibile | Non disponibile | Non disponibile
Autenticazione mapping certificati client IIS Autenticazione mapping certificati client IIS utilizza i certificati client per autenticare gli utenti. Un certificato client è un ID digitale di un'origine attendibile. IIS offre due tipi di autenticazione tramite mapping dei certificati client. Questo tipo utilizza IIS per offrire il mapping uno-a-uno o molti-a-uno dei certificati e garantisce prestazioni migliori rispetto ad Autenticazione mapping certificati client. | Disponibile | Disponibile | Non disponibile | Non disponibile
Autorizzazione URL Autorizzazione URL consente di creare regole per restringere l'accesso al contenuto Web. È possibile associare tali regole a utenti, gruppi o verbi di intestazioni HTTP. Configurando regole di autenticazione URL, è possibile impedire agli utenti che non sono membri di determinati gruppi di accedere al contenuto o di interagire con le pagine Web. | Disponibile | Disponibile | Disponibile | Disponibile
Filtro richieste Filtro richieste consente di eseguire lo screening di tutte le richieste in ingresso nel server e di filtrarle in base alle regole impostate dall'amministratore. Molti attacchi dannosi hanno caratteristiche comuni, ad esempio richieste estremamente lunghe o per l'esecuzione di un'azione insolita. Filtrando le richieste è possibile limitare gli effetti di questo tipo di attacchi. | Predefinita | Predefinita | Predefinita | Predefinita
Restrizioni per IP e domini Restrizioni per IP e domini consente di accettare o rifiutare contenuto in base all'indirizzo IP o al nome di dominio di origine della richiesta. Anziché utilizzare i gruppi, i ruoli o le autorizzazioni del file system NTFS per controllare l'accesso al contenuto, è possibile utilizzare indirizzi IP o nomi di dominio specifici. | Disponibile | Disponibile | Disponibile | Disponibile

Funzionalità relative alle prestazioni

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Compressione contenuto statico Compressione contenuto statico offre l'infrastruttura necessaria per configurare la compressione HTTP di contenuto statico. Ciò consente di utilizzare la larghezza di banda in modo più efficiente. A differenza delle risposte dinamiche, le risposte statiche compresse possono essere memorizzate nella cache senza effetti negativi sulle prestazioni delle risorse della CPU. | Predefinita | Predefinita | Predefinita | Predefinita
Compressione contenuto dinamico Compressione del contenuto dinamico offre l'infrastruttura necessaria per configurare la compressione HTTP del contenuto dinamico. L'attivazione della compressione dinamica garantisce sempre un utilizzo più efficiente della larghezza di banda. Se tuttavia il processore del server è già sottoposto a un utilizzo intensivo, il carico a cui la compressione dinamica sottopone la CPU potrebbe causare un rallentamento del sito. | Disponibile | Disponibile | Disponibile | Disponibile

Strumenti di gestione

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Console di gestione IIS Gestione IIS offre l'infrastruttura necessaria per gestire IIS 7.5 tramite un'interfaccia utente. È possibile utilizzare Gestione IIS per gestire un server Web locale o remoto che esegue IIS 7.5. | Predefinita * | Predefinita | Predefinita | Non disponibile
Strumenti e script di gestione IIS Strumenti e script di gestione IIS offre l'infrastruttura necessaria per gestire a livello di programmazione un server Web IIS 7.5 utilizzando i comandi di una finestra di comando o eseguendo script. È possibile utilizzare questi strumenti per automatizzare i comandi tramite file batch o per evitare il sovraccarico di lavoro derivante dalla gestione di IIS tramite l'interfaccia utente. | Disponibile | Disponibile | Disponibile | Disponibile
Servizio di gestione Servizio di gestione offre l'infrastruttura necessaria per configurare l'interfaccia utente di IIS 7.5, Gestione IIS, per la gestione remota in IIS 7.5. | Disponibile | Disponibile | Disponibile | Non disponibile
Compatibilità di gestione con IIS 6 Compatibilità di gestione con IIS 6 garantisce la compatibilità con le versioni successive per le applicazioni e gli script in cui vengono utilizzate le due API di IIS, ovvero ABO (Admin Base Object) e ADSI (Active Directory Service Interface). È possibile utilizzare script IIS 6.0 esistenti per gestire il server Web IIS 7.5. | Disponibile | Disponibile | Disponibile | Disponibile
Compatibilità metabase IIS 6.0 Compatibilità metabase IIS 6.0 offre l'infrastruttura necessaria per eseguire query e configurare la metabase in modo da poter eseguire applicazioni e script migrati da versioni precedenti di IIS in cui vengono utilizzate le API ABO (Admin Base Object) o ADSI (Active Directory Service Interface). | Disponibile | Disponibile | Disponibile | Disponibile
Compatibilità WMI con IIS 6 Compatibilità WMI con IIS 6.0 offre interfacce di scripting di Strumentazione gestione Windows (WMI) per gestire e automatizzare a livello di programmazione le attività per il server Web IIS 7.5 a partire da un insieme di script creati nel provider WMI. In questo servizio sono inclusi gli strumenti WMI CIM Studio, WMI Event Registration, WMI Event Viewer e WMI Object Browser per la gestione dei siti. | Disponibile | Disponibile | Disponibile | Non disponibile
Strumenti di scripting di IIS 6 Strumenti di scripting di IIS 6 consente di continuare a utilizzare in IIS 7.5 gli strumenti di scripting di IIS 6.0 creati per gestire IIS 6.0, soprattutto se nelle applicazioni e negli script vengono utilizzate le API ADO (ActiveX Data Objects) o ADSI (Active Directory Service Interface). Per utilizzare questa funzionalità, è necessario disporre dell'API di configurazione del servizio Attivazione processo Windows. | Disponibile | Disponibile | Disponibile | Non disponibile
Console di gestione IIS 6 Console di gestione IIS 6 offre l'infrastruttura necessaria per l'amministrazione di server IIS 6.0 remoti dal computer in uso. | Disponibile * | Disponibile | Disponibile | Non disponibile

* Questo modulo non è disponibile in un'installazione Server Core.

Funzionalità del Servizio di pubblicazione FTP

Nome/descrizione della funzionalità | Edizioni di Windows Server 2008 R2 | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Server FTP Server FTP consente il trasferimento di file tra client e server utilizzando il protocollo FTP. Gli utenti possano stabilire una connessione FTP e trasferire i file mediante un client FTP o un Web browser abilitato per l'utilizzo del protocollo FTP. | Disponibile | Disponibile | Non disponibile | Non disponibile
Servizio FTP Consente la pubblicazione FTP in un server Web. | Disponibile | Disponibile | Non disponibile | Non disponibile
Estendibilità FTP Consente il supporto delle funzionalità di estendibilità FTP quali provider personalizzati, utenti ASP.NET o utenti Gestione IIS. | Disponibile | Disponibile | Non disponibile | Non disponibile

Internet Information Services Hostable Web Core

Nome/descrizione della funzionalità | Windows Server 2008 R2 Edizioni di | Windows 7 Ultimate, Professional ed Enterprise Edition | Windows 7 Home Premium Edition | Windows 7 Home Basic e Starter Edition
Internet Information Services Hostable Web Core I componenti di base del motore Web di IIS possono essere utilizzati o ospitati da altre applicazioni. In questo modo i componenti di IIS 7 possono gestire le richieste HTTP direttamente in un'applicazione. Questa funzione risulta utile per rendere disponibili funzionalità di base di server Web per le applicazioni personalizzate o per il debug delle applicazioni. | Disponibile | Disponibile | Disponibile | Disponibile

Vedere anche

Opzione di installazione dei componenti di base del server (in linea)


Installazione di IIS 7.5 in Windows Server 2008 R2

Per impostazione predefinita, IIS 7.5 non è installato in Windows Server® 2008 R2. È possibile installare IIS 7.5 utilizzando la procedura guidata Aggiungi ruoli in Server Manager o la riga di comando.

Quando si installa Windows Server 2008 R2, è possibile eseguire un'installazione Server Core che prevede un'installazione minima del server di Windows Server 2008 R2. Con questo tipo di installazione, ad esempio, la tradizionale interfaccia Windows non viene installata, pertanto è necessario configurare il server dal prompt dei comandi.

Requisiti

Credenziali amministrative

Per eseguire questa procedura, è necessario essere un membro del ruolo o dei ruoli amministrativi di IIS seguenti:

  • Amministratore del server Web

Per installare IIS 7.5 in Windows Server® 2008 R2

È possibile eseguire questa procedura utilizzando l'interfaccia utente o uno script.

Utilizzo dell'interfaccia utente

  1. Fare clic sul pulsante Start, scegliere Strumenti di amministrazione, quindi fare clic su Server Manager.

  2. In Riepilogo ruoli fare clic su Aggiungi ruoli.

  3. Utilizzare l'Aggiunta guidata ruoli per aggiungere il ruolo del server Web.

Importante

Se si utilizza l'Aggiunta guidata ruoli per installare IIS, verrà eseguita l'installazione predefinita, che include un insieme minimo di servizi di ruolo. Se sono necessari altri servizi ruolo di IIS, ad esempio Sviluppo applicazioni o Integrità e diagnostica, assicurarsi di selezionare le caselle di controllo associate a tali funzionalità nella pagina Selezione servizi ruolo della procedura guidata.

Utilizzo di uno script

  • Digitare il comando seguente in uno script:

    CMD /C START /w PKGMGR.EXE /l:log.etw /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementScriptingTools;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;WAS-WindowsActivationService;WAS-ProcessModel;IIS-FTPServer;IIS-FTPSvc;IIS-FTPExtensibility;IIS-WebDAV;IIS-ASPNET;IIS-NetFxExtensibility;WAS-NetFxEnvironment;WAS-ConfigurationAPI;IIS-ManagementService;MicrosoftWindowsPowerShell

Importante

Se si utilizza questo script, viene eseguita l'installazione completa di IIS 7, che consente di installare tutti i pacchetti di funzionalità disponibili. Per evitare di installare pacchetti di funzionalità superflui, è necessario modificare lo script in modo da installare solo quelli desiderati.

Per installare IIS 7.5 in Windows Server 2008 R2 utilizzando un'installazione Server Core

Se si desidera installare componenti IIS 7 che si basano su .NET Framework, è necessario installare prima .NET Framework. I componenti che si basano su .NET Framework non verranno installati se .NET Framework non è già installato.

Utilizzo di uno script per eseguire l'installazione di .NET Framework e l'installazione completa di IIS 7.5 in Server Core

  • Digitare il comando seguente in uno script:

    CMD /C START /w PKGMGR.EXE /l:log.etw /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementScriptingTools;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;WAS-WindowsActivationService;WAS-ProcessModel;IIS-FTPServer;IIS-FTPSvc;IIS-FTPExtensibility;IIS-WebDAV;IIS-ASPNET;IIS-NetFxExtensibility;WAS-NetFxEnvironment;WAS-ConfigurationAPI;IIS-ManagementService;MicrosoftWindowsPowerShell;NetFx2-ServerCore;NetFx2-ServerCore-WOW64

Utilizzo di uno script per l'installazione completa di IIS 7.5 in Server Core

  • Digitare il comando seguente in uno script:

    CMD /C START /w PKGMGR.EXE /l:log.etw /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementScriptingTools;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;WAS-WindowsActivationService;WAS-ProcessModel;IIS-FTPServer;IIS-FTPSvc;IIS-FTPExtensibility;IIS-WebDAV;IIS-ASPNET;IIS-NetFxExtensibility;WAS-NetFxEnvironment;WAS-ConfigurationAPI;IIS-ManagementService;MicrosoftWindowsPowerShell

Importante

Se si utilizza questo script, sarà possibile eseguire l'installazione completa di IIS che include tutti i pacchetti di funzionalità disponibili per Server Core. Per evitare di installare pacchetti di funzionalità superflui, è necessario modificare lo script in modo da installare solo quelli desiderati.

Utilizzo di uno script per l'installazione predefinita su Server Core

  • Digitare il comando seguente in uno script:

    start /w pkgmgr /l:log.etw /iu:IIS-WebServerRole;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI

Importante
  • Se si utilizza questo script, sarà possibile eseguire l'installazione predefinita di IIS che include un insieme minimo dei pacchetti di funzionalità disponibili.

Vedere anche

Opzione di installazione dei componenti di base del server (in linea)


Installazione di IIS 7.5 in Windows 7 Professional, Enterprise o Ultimate

Per impostazione predefinita, IIS 7.5 non è installato in Windows® 7 Professional, Enterprise, o Windows® 7 Ultimate. È possibile installare IIS facendo clic su Funzionalità Windows in Opzioni avanzate nell'area Programmi del Pannello di controllo.

Nota

Per installare IIS 7.5, è necessario essere un membro del gruppo Administrators.

Per installare IIS 7.5 in Windows 7

È possibile eseguire questa procedura utilizzando l'interfaccia utente o uno script.

Utilizzo dell'interfaccia utente

  1. Fare clic sul pulsante Start, quindi scegliere Pannello di controllo.

  2. Nel Pannello di controllo fare clic su Programmi e quindi fare clic su Attivazione o disattivazione delle funzionalità Windows.

  3. Nella finestra di dialogo Funzionalità Windows fare clic su Internet Information Services, quindi scegliere OK.

Importante

Se si decide di installare IIS dal Pannello di controllo, risulterà disponibile l'installazione predefinita che include un insieme di funzionalità ridotto. Per installare funzionalità aggiuntive di IIS, ad esempio Funzionalità per lo sviluppo di applicazioni o Strumenti di gestione Web, selezionare le caselle di controllo associate alle funzionalità desiderate nella finestra di dialogo Funzionalità Windows.

Utilizzo di uno script

  • Digitare il comando seguente in uno script:

    start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;IIS-FTPPublishingService;IIS-FTPServer;IIS-FTPManagement;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI

    Importante

    Se si utilizza questo script, viene eseguita l'installazione completa di IIS 7.5, che consente di installare tutti i pacchetti di funzionalità disponibili. Per evitare di installare pacchetti di funzionalità superflui, è necessario modificare lo script in modo da installare solo quelli desiderati.

Vedere anche

  • Server Web in Tech Center (in linea)


Installazione di IIS 7.5 in Windows 7 Home Premium, Home Basic o Home Starter

Per impostazione predefinita, IIS 7.5 non è installato in Windows® 7. È possibile installare IIS facendo clic su Funzionalità Windows in Opzioni avanzate nell'area Programmi del Pannello di controllo.

Nota

Per installare IIS 7.5, è necessario essere un membro del gruppo Administrators.

Per installare IIS 7.5 in Windows 7

È possibile eseguire questa procedura utilizzando l'interfaccia utente o uno script.

Utilizzo dell'interfaccia utente

  1. Fare clic sul pulsante Start e quindi scegliere Pannello di controllo.

  2. Nel Pannello di controllo fare clic su Programmi e quindi fare clic su Attivazione o disattivazione delle funzionalità Windows.

  3. Nella finestra di dialogo Funzionalità Windows fare clic su Internet Information Services, quindi scegliere OK.

Importante

Se si decide di installare IIS dal Pannello di controllo, risulterà disponibile l'installazione predefinita che include un insieme di funzionalità ridotto. Per installare funzionalità aggiuntive di IIS, ad esempio Funzionalità per lo sviluppo di applicazioni o Strumenti di gestione Web, selezionare le caselle di controllo associate alle funzionalità desiderate nella finestra di dialogo Funzionalità Windows.

Utilizzo di uno script

  • Digitare il comando seguente in uno script:

    start /w pkgmgr /l:log.etw /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-Security;IIS-BasicAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI

Importante

Se si utilizza questo script, sarà possibile eseguire l'installazione completa di IIS che include tutti i pacchetti di funzionalità disponibili. Per evitare di installare pacchetti di funzionalità superflui, è necessario modificare lo script in modo da installare solo quelli desiderati.

Vedere anche

  • Server Web in Tech Center (in linea)


Guida di Gestione IIS

In IIS 7 è disponibile un'interfaccia utente, Gestione IIS, che consente di effettuare le operazioni seguenti:

  • Gestione di IIS e ASP.NET con un unico strumento.

  • Visualizzazione di informazioni diagnostiche e sull'integrità, inclusa la possibilità di visualizzare in tempo reale le richieste attualmente in esecuzione.

  • Configurazione dell'autorizzazione di utenti e ruoli per siti e applicazioni Web.

  • Connessione remota a un sito, a un server o a un'applicazione Web tramite HTTP.

È inoltre possibile estendere l'interfaccia utente per includere funzionalità personalizzate.

Guida accessibile tramite F1

Gestione IIS fornisce descrizioni per tutti gli elementi dell'interfaccia utente presenti in ogni pagina di funzionalità, finestra di dialogo e pagina di procedura guidata all'interno di Gestione IIS. Per visualizzare questa guida, premere F1 nella pagina di funzionalità, finestra di dialogo o pagina di procedura guidata attiva.

Guida della barra dei menu e delle applicazioni

Per coerenza con altri snap-in MMC (Microsoft Management Console), la Guida di Gestione IIS è disponibile sia dal menu dello snap-in sia dalla barra delle applicazioni.

Guida dei menu

Sulla barra dei menu è visualizzato un menu ?, da cui è possibile visualizzare la Guida dell'Interfaccia utente, oltre a tutto il contenuto della Guida disponibile sul computer. Se si dispone di una connessione a Internet, è possibile consultare la Raccolta di documentazione tecnica di Windows Server 2008 in Microsoft TechNet (la pagina potrebbe essere in inglese) per visualizzare tutto il contenuto della Guida di IIS 7 disponibile per gli amministratori IT.

Guida della barra delle applicazioni

Sulla barra delle applicazioni è visualizzata un'icona della Guida su cui è possibile fare clic per visualizzare la Guida relativa all'interfaccia utente di IIS 7. La barra delle applicazioni viene visualizzata nella parte superiore di ogni pagina dell'interfaccia utente.

Guida del riquadro Azioni

Nel riquadro Azioni è presente un'icona della Guida su cui è possibile fare clic per visualizzare la Guida relativa all'interfaccia utente di IIS 7. Il riquadro Azioni viene visualizzato su ogni pagina dell'interfaccia utente.


.Pagina Regole di autorizzazione .NET

Utilizzare la pagina Regole di autorizzazione .NET per configurare le regole per l'autorizzazione degli utenti ad accedere ai siti Web e alle applicazioni. È possibile aggiungere regole di autorizzazioni consentite e negate e specificare gli utenti, i ruoli o i gruppi di utenti a cui consentire l'accesso ai contenuti Web.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Modalità | Indica il tipo di azione abilitato dalla regole di autorizzazione .NET. Il valore può essere Consenti o Nega.
Utenti | Elenca gli utenti che sono autorizzati o meno ad accedere ai contenuti Web come specificato dalla regola di autorizzazione .NET.
Ruoli | Elenca i ruoli che sono autorizzati o meno ad accedere ai contenuti Web come specificato dalla regola di autorizzazione .NET.
Verbi | Elenca i verbi a cui viene applicata la regola di autorizzazione .NET.
Tipo voce | Indica il tipo di voce per la regola di autorizzazione .NET.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi regola di accesso consentito | Apre la finestra di dialogo Aggiungi regola di autorizzazione consentita in cui è possibile configurare una regola che consente l'accesso ai contenuti Web a determinate regole, utenti o gruppi di utenti.
Aggiungi regola di accesso negato | Apre la finestra di dialogo Aggiungi regola di autorizzazione negata in cui è possibile configurare una regola che nega l'accesso ai contenuti Web a determinate regole, utenti o gruppi di utenti.
Modifica | Apre la finestra di dialogo Modifica regola di autorizzazione consentita o Modifica regola di autorizzazione negata in cui è possibile modificare la regola di autorizzazione .NET selezionata.
Rimuovi | Rimuove la regola di autorizzazione .NET selezionata.

Vedere anche

  • Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata


Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata

Utilizzare le finestre di dialogo Aggiungi regola di autorizzazione consentita, Modifica regola di autorizzazione consentita, Aggiungi regola di autorizzazione negata e Modifica regola di autorizzazione negata per aggiungere o modificare le proprietà delle regole di autorizzazione .NET.

Per ulteriori informazioni, vedere l'argomento .Pagina Regole di autorizzazione .NET.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tutti gli utenti

Selezionare questa opzione per gestire l'accesso al contenuto per utenti anonimi e autenticati.

Nota

Accertarsi di posizionare questa regola al di sotto di eventuali regole che concedono l'accesso al contenuto. Se questa regola si trova all'inizio dell'elenco di regole, l'accesso al contenuto verrà negato a tutti gli utenti.

Tutti gli utenti anonimi

Selezionare questa opzione per gestire l'accesso al contenuto per utenti non autenticati.

Nota

Se si utilizza questa regola, tutti gli utenti dovranno disporre di un account utente di autenticazione valido e di una password per potersi autenticare.

Ruoli o gruppi di utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per ruoli o gruppi di utenti specifici.

Nota

Se si utilizza questa regola, tutti i membri dei ruoli e dei gruppi specificati dovranno disporre di un account utente di autenticazione personalizzato o di base valido e di una password per potersi autenticare.

Utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per un account utente specifico.

Nota

Se si utilizza questa opzione, tutti gli utenti dovranno disporre di un account utente di autenticazione personalizzato o di base valido e di una password per potersi autenticare.

Applica la regola a verbi specifici

Selezionare questa opzione per applicare la regola di autorizzazione a verbi specifici, quali GET o POST.


Pagina Compilazione .NET

Utilizzare la pagina delle proprietà Compilazione .NET per gestire le impostazioni di configurazione del codice dell'applicazione ASP.NET.

Utilizzare l'elenco Visualizza per selezionare una delle opzioni seguenti relative alla modalità di visualizzazione delle impostazioni: Nomi descrittivi, Nomi di configurazione o Entrambi i nomi.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Compilazioni batch [batch] | Indica se è supportata l'elaborazione batch. L’impostazione predefinita è True.
Dimensione max file [maxBatchGeneratedFileSize] | Specifica la dimensione massima in KB dei file di origine generati per la compilazione in batch. Il valore predefinito è 1000 KB.
Dimensione massima di batch [maxBatchSize] | Specifica il numero massimo di pagine per la compilazione in batch. Il valore predefinito è 1000.
Timeout (hh.mm.ss) [batchTimeout] | Indica il periodo di timeout per la compilazione in batch. Se la compilazione non può essere completata entro il periodo di timeout previsto, il compilatore torna alla modalità di compilazione singola per la pagina corrente. Il valore predefinito è 00.15.00 (15 minuti).
Debug [debug] | Specifica se per la compilazione verranno utilizzati file binari della versione o di debug. Quando è impostata su true, per la compilazione verranno utilizzati i file binari di debug. Il valore predefinito è false.
Numero di ricompilazioni [numRecompilesBeforeAppRestart] | Indica il numero di ricompilazioni dinamiche di risorse possibili prima del riavvio dell'applicazione. Il valore predefinito è 15.
Pragma linea Url [urlLinePragmas] | Specifica se nelle istruzioni del compilatore vengono utilizzati percorsi fisici o URL. Quando è impostata su true, per le istruzioni del compilatore verranno utilizzati URL anziché percorsi fisici. Il valore predefinito è false.
Opzione di compilazione explicit [explicit] | Specifica se impostare l'opzione di compilazione explicit di Microsoft Visual Basic. Se la proprietà è impostata su True, è necessario dichiarare tutte le variabili utilizzando un'istruzione Dim, Private, Public o ReDim. Il valore predefinito è True.
Opzione di compilazione strict [strict] | Specifica se abilitare l'opzione di compilazione strict di Visual Basic. Quando è impostata su true, la compilazione impedisce in modo esplicito qualsiasi conversione di tipi di dati in cui potrebbero verificarsi perdite di dati e qualsiasi conversione tra tipi numerici e stringhe. Il valore predefinito è false.
Assembly [assemblies] | Definisce il set di assembly, dalla cartella \bin o dalla cache di assembly globale (GAC), a cui viene fatto riferimento durante la compilazione. Nella cache di assembly globale vengono archiviati gli assembly .NET appositamente indicati per la condivisione tra più applicazioni nel computer. Utilizzare un asterisco ("*") per includere tutti gli assembly nella directory.
Linguaggio predefinito [defaultLanguage] | Specifica il linguaggio di programmazione predefinito, ad esempio C# o VB.NET, da utilizzare nei file di compilazione dinamica. Il linguaggio di programmazione predefinito è vb, che consente di specificare VB.NET come linguaggio di programmazione predefinito.
Sottodirectory codice [codeSubDirectories] | Definisce le sottodirectory che contengono i file compilati in fase di esecuzione. Il numero di sottodirectory consentito è illimitato.
Directory temporanea [tempDirectory] | Specifica la directory da utilizzare per l'archiviazione temporanea dei file durante la compilazione. Il valore predefinito è una stringa vuota che inserisce i file temporanei in una posizione al di sotto della directory dei file ASP.NET temporanei.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione delle impostazioni di compilazione .NET in IIS 7 (in linea)


.Pagine di errore .NET

Utilizzare la funzionalità Pagine di errore .NET per configurare le risposte agli errori HTTP quando si verificano. È possibile creare pagine di errori personalizzate o messaggi di errore dettagliati che contengono le informazioni per la risoluzione dell'errore.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Raggruppa per | Utilizzare questo elenco a discesa per ordinare le pagina di errori per Nessun raggruppamento o Tipo voce. In tal modo sarà possibile trovare con facilità determinate pagine di errori, ad esempio il tipo di voce Locale.
Codice stato | Indica il codice di stato per la pagina di errori .NET.
Reindirizza | Indica l'indirizzo URL per la pagina di errori .NET a cui l'utente viene reindirizzato quando si verifica un errore.
Tipo voce | Indica il tipo di voce per la pagina di errori .NET.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Apre la finestra di dialogo Aggiungi pagina errori personalizzati in cui è possibile configurare una pagina di errori. Immettere il codice di stato e l'URL a cui l'utente viene reindirizzato quando si verifica un errore.
Modifica | Apre la finestra di dialogo Modifica pagina errori personalizzati in cui è possibile modificare l'URL per la pagina di errori selezionata. È possibile modificare il codice di stato utilizzando l'opzione Modifica codice stato nel riquadro Azioni.
Modifica impostazioni funzionalità | Apre la finestra di dialogo Modifica impostazioni pagine errori che consente di configurare le proprietà della pagina predefinita e della modalità per tutte le pagine di errori. Per ulteriori informazioni, vedere Finestra di dialogo Modifica impostazioni pagine errori ASP.NET.
Modifica codice stato | Consente di modificare il codice di stato per la pagina di errori selezionata.
Rimuovi | Rimuove la pagina di errori selezionata.

Vedere anche

  • Finestra di dialogo Aggiungi pagina errori personalizzati o Modifica pagina errori personalizzati
  • Finestra di dialogo Modifica impostazioni pagine errori ASP.NET


Finestra di dialogo Aggiungi pagina errori personalizzati o Modifica pagina errori personalizzati

Utilizzare le finestre di dialogo Aggiungi pagina errori personalizzati e Modifica pagina errori personalizzati per aggiungere o modificare il codice di stato e l'URL delle pagine di errori.

Per ulteriori informazioni, vedere l'argomento .Pagine di errore .NET.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Codice stato | Immettere il codice di stato per la pagina di errori. Non è possibile modificare il codice di stato utilizzando la finestra di dialogo Modifica pagina errori personalizzati. Utilizzare invece l'opzione Modifica codice stato del riquadro Azioni.
URL assoluto | Immettere l'indirizzo URL a cui reindirizzare gli utenti quando si verifica un errore.


Finestra di dialogo Modifica impostazioni pagine errori ASP.NET

Utilizzare la finestra di dialogo Modifica impostazioni pagine errori per configurare le proprietà della pagina predefinita e della modalità per le pagine di errori. Le impostazioni vengono applicate per tutte le pagine di errori.

Per ulteriori informazioni, vedere .Pagine di errore .NET.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Modalità

Selezionare una modalità per le pagine di errori: Attivato, Disattivato o Solo remoto.

URL assoluto

Specifica l'indirizzo URL predefinito a cui indirizzare un browser se si verifica un errore. Se questo attributo non viene specificato, viene visualizzato un messaggio di errore generico.

L'URL può essere assoluto o relativo. Un esempio di URL assoluto è www.contoso.com/ErrorPage.htm. Un URL relativo, ad esempio /ErrorPage.htm, è relativo al file Web.config in cui era specificato l'URL per questo attributo e non alla pagina Web in cui si è verificato l'errore. Un URL che inizia con una tilde (~), ad esempio ~/ErrorPage.htm, indica che l'URL specificato è relativo al percorso radice dell'applicazione.


Pagina Globalizzazione .NET

Utilizzare la pagina di funzionalità Globalizzazione .NET per configurare le impostazioni relative alla globalizzazione di .NET Framework. Per globalizzazione si intende il processo di internazionalizzazione del codice dell'applicazione con successiva localizzazione dell'applicazione in altre lingue. Il processo di internazionalizzazione rende possibile la traduzione, l'archiviazione, il recupero e la presentazione del contenuto dell'applicazione per qualsiasi impostazione locale, utilizzando la stessa base di codice dell'applicazione laddove possibile. Per impostazione locale si intende la combinazione di lingua e ambiente culturale, inclusi i formati di data, ora, valuta, numeri di telefono e così via. La localizzazione implica l'adattamento di un'applicazione ad altre impostazioni locali mediante la traduzione e la formattazione del contenuto in base alla lingua, preferibilmente senza alcuna modifica al codice stesso.

In IIS 7 è possibile configurare le impostazioni di globalizzazione di .NET Framework seguenti:

  • Impostazioni della lingua, ad esempio la lingua dell'interfaccia utente

  • Impostazioni di codifica come la codifica per le intestazioni di risposta

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Lingua [culture]

Consente di specificare la lingua predefinita per l'elaborazione delle richieste Web in entrata.

Abilita lingua basata su client [enableClientBasedCulture]

Ottiene o imposta un valore che indica se le proprietà Culture e UICulture devono basarsi sul valore del campo di intestazione AcceptLanguage inviato dal browser client.

Lingua interfaccia utente [uiCulture]

Consente di specificare la lingua predefinita per l'elaborazione delle ricerche delle risorse che dipendono dalle impostazioni internazionali.

File [fileEncoding]

Consente di specificare la codifica file per l'analisi dei file ASPX, ASMX e ASAX. I file Unicode e UTF-8 salvati con il prefisso dell'indicatore dell'ordine dei byte vengono riconosciuti automaticamente, indipendentemente dal valore di questo attributo.

Richieste [requestEncoding]

Consente di specificare la codifica utilizzata da ciascuna richiesta in entrata, inclusi i dati inviati e la stringa di query.

Se la richiesta include un'intestazione di richiesta che contiene un attributo Accept-Charset, questo attributo viene ignorato nella configurazione.

La codifica predefinita è UTF-8 e viene specificata nella sezione di globalizzazione del file Machine.config creato durante l'installazione di .NET Framework. Se la codifica della richiesta non è specificata in un file Machine.config o Web.config, vengono automaticamente utilizzate le Opzioni internazionali e della lingua del computer.

In applicazioni a server singolo, questo attributo e l'attributo responseEncoding devono essere identici. Per casi meno comuni (applicazioni a più server dove le codifiche predefinite dei server sono differenti), è possibile variare la codifica della richiesta e della risposta utilizzando file Web.config locali.

Intestazioni di risposta [responseHeaderEncoding]

Consente di specificare la codifica del contenuto delle intestazioni di risposta.

Risposte [responseEncoding]

Consente di specificare la codifica del contenuto delle risposte.

La codifica predefinita è UTF-8 e viene specificata nella sezione di globalizzazione del file Machine.config creato durante l'installazione di .NET Framework. Se la codifica della risposta non è specificata in un file Machine.config o Web.config, vengono automaticamente utilizzate le Opzioni internazionali e della lingua del computer.

In applicazioni a server singolo, questo attributo e l'attributo responseEncoding devono essere identici. Per casi meno comuni (applicazioni a più server dove le codifiche predefinite dei server sono differenti), è possibile variare la codifica della richiesta e della risposta utilizzando file Web.config locali.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione delle impostazioni di globalizzazione .NET in IIS 7 (in linea)


Profilo .NET

In questa sezione sono presenti gli argomenti seguenti:

Pagina Profilo .NET

Finestra di dialogo Proprietà profilo .NET

Finestra di dialogo Aggiungi gruppo o Modifica gruppo

Finestra di dialogo Modifica impostazioni profilo


Pagina Profilo .NET

Utilizzare la pagina Profilo .NET per gestire un elenco delle proprietà di profilo utilizzate per tenere traccia delle informazioni personalizzate richieste dall'applicazione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome della proprietà di profilo.
Tipo di dati | Consente di visualizzare il tipo di dati per la proprietà che può essere un tipo di dati comune, quali String, Int32 DateTime, StringCollection e così via, oppure un tipo di dati personalizzato contenente le informazioni personalizzate passate al provider del profilo.
Valore predefinito | Consente di visualizzare il valore con cui viene inizializzata la proprietà.
Consenti accesso anonimo | Consente di visualizzare se la proprietà è gestita per gli utenti anonimi. Il valore è True o False.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi proprietà | Consente di visualizzare la finestra di dialogo Aggiungi proprietà profilo .NET in cui è possibile aggiungere una proprietà del profilo .NET.
Aggiungi gruppo | Consente di visualizzare la finestra di dialogo Aggiungi gruppo in cui è possibile aggiungere un gruppo in cui inserire le proprietà del profilo .NET.
Aggiungi proprietà a gruppo | Consente di visualizzare la finestra di dialogo Aggiungi proprietà profilo .NET al gruppo Nome in cui è possibile aggiungere proprietà del profilo .NET al gruppo selezionato.
Modifica | Consente di visualizzare la finestra di dialogo Modifica proprietà profilo .NET o Modifica proprietà profilo .NET nel gruppo Nome in cui è possibile modificare la proprietà del profilo .NET selezionata.
Rinomina | Consente di abilitare il campo Nome della proprietà del profilo .NET selezionata per rinominare la proprietà.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Disabilita | Consente di disabilitare la funzionalità Profilo .NET.
Imposta provider predefinito | Consente di visualizzare la finestra di dialogo Modifica impostazioni profilo in cui è possibile selezionare un provider predefinito per la funzionalità.
Provider | Consente di aprire la pagina di funzionalità Provider in cui è possibile aggiungere ulteriori provider per la funzionalità Profilo .NET.

Vedere anche

  • Configurazione di profili .NET in IIS 7 (in linea)


Finestra di dialogo Proprietà profilo .NET

Utilizzare la finestra di dialogo Proprietà profilo .NET per impostare o modificare le proprietà di profilo che tengono traccia di eventuali informazioni personalizzate richieste dall'applicazione, incluse le seguenti:

  • Informazioni utente, quale un indirizzo o la città.

  • Preferenze, come una combinazione di colori o un elenco di azioni da seguire.

  • Informazioni personalizzate sulla sessione corrente, come un carrello acquisti.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Consente di definire il nome della proprietà di profilo.
Tipo di dati | Consente di specificare il tipo per la proprietà. L'impostazione predefinita è String. È possibile specificare qualsiasi classe .NET come tipo (Int32, DateTime, StringCollection e così via).
Valore predefinito | Consente di specificare il valore con cui viene inizializzata la proprietà.
Opzione di serializzazione | Consente di specificare il formattatore di serializzazione (String, Binary, XML o un tipo di serializzazione specifico del provider). L'impostazione predefinita è String.
Sola lettura | Consente di specificare se la proprietà può essere modificata.
Disponibile per utenti anonimi | Consente di specificare se la proprietà è gestita per gli utenti anonimi. Per impostazione predefinita, questa casella di controllo è deselezionata.

Vedere anche

  • Configurazione di profili .NET in IIS 7 (in linea)


Finestra di dialogo Aggiungi gruppo o Modifica gruppo

Utilizzare la finestra di dialogo Aggiungi gruppo per aggiungere un gruppo di profili. I gruppi risultano utili per l'organizzazione delle proprietà di profilo.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Consente di definire il nome del gruppo di profili.

Vedere anche

  • Configurazione di profili .NET in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni profilo

Utilizzare la finestra di dialogo Modifica impostazioni profilo per definire l'interfaccia predefinita tra il servizio di appartenenza ASP.NET e le origini dati dell'appartenenza.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Provider predefinito

Consente di definire l'interfaccia predefinita tra i servizi di appartenenza ASP.NET e le origini dati dell'appartenenza.

Nota

La configurazione predefinita del computer ASP.NET contiene un 'istanza di SqlProfileProvider predefinita denominata AspNetSqlProfileProvider, connessa a SQL Server nel computer locale. Per impostazione predefinita, la funzionalità di profilo di ASP.NET utilizza questa istanza del provider. In alternativa, è possibile specificare un provider predefinito diverso. Per ulteriori informazioni sui provider di profili ASP.NET, vedere Provider di profili ASP.NET (la pagina potrebbe essere in inglese).

Vedere anche

  • Configurazione di profili .NET in IIS 7 (in linea)


Ruoli .NET

In questa sezione sono presenti gli argomenti seguenti:

Pagina Ruoli .NET

Finestra di dialogo Aggiungi ruolo .NET

Finestra di dialogo Modifica impostazioni ruoli .NET


Pagina Ruoli .NET

Utilizzare la pagina di funzionalità Ruoli .NET per gestire un elenco di gruppi di utenti. I gruppi di utenti offrono la possibilità di suddividere in categorie un set di utenti e di eseguire operazioni correlate alla sicurezza, come l'autorizzazione, su un set definito di utenti.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Elenca il nome del ruolo.
Utenti | Indica il numero di utenti assegnati a un ruolo.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi ruolo .NET in cui è possibile aggiungere nomi di ruolo al provider.
Visualizza utenti | Consente di aprire la pagina di funzionalità Utenti .NET, filtrata in base al ruolo selezionato.
Rinomina | Consente di modificare il ruolo selezionato.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Disabilita | Consente di disabilitare la pagina di funzionalità Ruoli .NET.
Imposta provider predefinito | Consente di visualizzare la finestra di dialogo Modifica impostazioni ruoli .NET in cui è possibile impostare il provider predefinito.
Provider | Consente di aprire la pagina di funzionalità Provider.

Vedere anche

  • Configurazione di ruoli .NET in IIS 7 (in linea)


Finestra di dialogo Aggiungi ruolo .NET

Utilizzare la finestra di dialogo Aggiungi ruolo .NET per aggiungere nomi di ruolo a database a cui fa riferimento il provider corrente. I ruoli consentono di suddividere in categorie gli utenti e di eseguire in modo più efficace attività associate alla sicurezza, quale l'autorizzazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Consente di richiedere il nome del ruolo.

Vedere anche

  • Configurazione di ruoli .NET in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni ruoli .NET

Utilizzare la finestra di dialogo Modifica impostazioni ruoli .NET per impostare il provider predefinito per i ruoli di appartenenza.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Provider predefinito

Consente di impostare il provider predefinito per ruoli .NET. In IIS 7 sono inclusi i provider seguenti:

  • AspNetSqlRoleProvider: archivia le informazioni sui ruoli in un database SQL Server.

  • AspNetWindowsTokenRoleProvider: utilizza le informazioni sui ruoli basate sugli account di dominio di Windows. Il provider di Windows è utile solo se l'applicazione viene eseguita in una rete in cui tutti gli utenti dispongono di account di dominio.

Vedere anche

  • Configurazione di ruoli .NET in IIS 7 (in linea)


Pagina Livelli di trust .NET

La pagina Livelli di trust .NET consente di impostare l'elemento di trust nel file web.config. L'elemento di trust è utile per configurare il livello di sicurezza dall'accesso di codice assegnato a un'applicazione.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Livello di trust

Visualizza il nome del livello di trust. Tra le opzioni disponibili sono incluse:

  • Completo (interno): specifica autorizzazioni senza restrizioni. Concede all'applicazione ASP.NET le autorizzazioni per l'accesso a qualsiasi risorsa soggetta alla sicurezza del sistema operativo. Sono supportate tutte le operazioni privilegiate.

  • Alto (web_hightrust.config): specifica un livello alto di sicurezza dall'accesso di codice, ovvero l'applicazione non può eseguire nessuna delle operazioni seguenti per impostazione predefinita:

    • Chiamare codice non gestito.

    • Chiamare componenti serviti.

    • Scrivere nel registro eventi.

    • Accedere a code del servizio Accodamento messaggi.

    • Accedere a origini dati ODBC, OleDb o Oracle.

  • Medio (web_mediumtrust.config): specifica un livello medio di sicurezza dall'accesso di codice, ovvero, oltre a essere soggetta alle restrizioni del livello di trust alto, l'applicazione ASP.NET non può eseguire nessuna delle operazioni seguenti per impostazione predefinita:

    • Accedere a file esterni alla directory dell'applicazione.

    • Accedere al Registro di sistema.

    • Effettuare chiamate di rete o del servizio Web.

  • Basso (web_lowtrust.config): specifica un livello basso di sicurezza dall'accesso di codice, ovvero, oltre a essere soggetta alle restrizioni del livello di trust medio, l'applicazione ASP.NET non può eseguire nessuna delle operazioni seguenti per impostazione predefinita:

    • Scrivere nel file system.

    • Chiamare il metodo Assert.

  • Minimo (web_minimaltrust.config): specifica un livello minimo di sicurezza dall'accesso di codice, ovvero l'applicazione dispone esclusivamente delle autorizzazioni di esecuzione.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione dei livelli di trust .NET in IIS 7 (in linea)


Utenti .NET

In questa sezione sono presenti gli argomenti seguenti:

Pagina Utenti .NET

Aggiunti utente .NET - Dettagli account utente .NET

Aggiungi utente .NET - Ruoli utente .NET

Finestra di dialogo Modifica utente .NET

Finestra di dialogo Modifica impostazioni utenti .NET


Pagina Utenti .NET

Utilizzare la pagina di funzionalità Utenti .NET per gestire l'elenco delle identità utente per un'applicazione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare un'identità utente univoca.
Indirizzo di posta elettronica | Consente di visualizzare l'indirizzo di posta elettronica di un utente.
Data di creazione | Consente di visualizzare la data di creazione dell'identità utente.
Ultimo accesso | Consente di visualizzare la data dell'ultimo accesso dell'utente all'applicazione.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di aprire la procedura guidata Dettagli account utente .NET in cui è possibile aggiungere un nuovo utente.
Imposta provider predefinito | Consente di visualizzare la finestra di dialogo Modifica impostazioni utenti .NET in cui è possibile impostare il provider predefinito.
Reimposta password | Consente di reimpostare la password dell'utente selezionato.
Modifica | Consente di visualizzare la finestra di dialogo Modifica utente .NET in cui è possibile modificare il ruolo o l'indirizzo di posta elettronica di un utente. Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Provider | Consente di aprire la pagina di funzionalità Provider.
Ruoli | Consente di aprire la pagina di funzionalità Ruoli .NET.

Vedere anche

  • Configurazione di utenti .NET in IIS 7 (in linea)


Aggiunti utente .NET - Dettagli account utente .NET

Utilizzare la procedura guidata Dettagli account utente .NET per aggiungere un nuovo utente. Se la funzionalità Ruoli non è abilitata, la procedura guidata includerà solo la pagina Dettagli account utente .NET. Immettere le informazioni per il nuovo utente e quindi fare clic su Avanti per aggiungere ruoli oppure su Fine se la funzionalità Ruoli non è abilitata.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Consente di definire un'identità utente nuova. Questo valore deve essere univoco.
Posta elettronica | Consente di impostare un indirizzo di posta elettronica predefinito per un utente.
Password | Configura la password per l'utente.
Conferma password | Conferma che la password corrisponda a quella immessa nella casella Password.
Domanda | Specifica una domanda di sicurezza che gli utenti possono utilizzare per reimpostare le password. Selezionare una delle domande predefinite dall'elenco a discesa o immettere una domanda personalizzata.
Risposta | Consente di specificare la risposta alla domanda di sicurezza.

Vedere anche

  • Configurazione di utenti .NET in IIS 7 (in linea)


Aggiungi utente .NET - Ruoli utente .NET

Utilizzare la procedura guidata Ruoli utente .NET per specificare i ruoli per un nuovo utente. Selezionare i ruoli per l'utente e quindi fare clic su Fine. Se si desidera modificare le informazioni utente presenti nella pagina precedente della procedura guidata, fare clic su Precedente.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Utenti | Consente di specificare i nomi utente disponibili per l'assegnazione dei ruoli.
Ruoli | Consente di specificare un elenco dei ruoli disponibili del provider predefinito. Un singolo nome utente può essere associato a più ruoli.

Vedere anche

  • Configurazione di utenti .NET in IIS 7 (in linea)


Finestra di dialogo Modifica utente .NET

Utilizzare la finestra di dialogo Modifica utente .NET per modificare il ruolo o l'indirizzo di posta elettronica di un utente.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Consente di definire un'identità utente univoca.
Posta elettronica | Consente di impostare un indirizzo di posta elettronica predefinito per un utente.
Ruoli | Consente di definire il ruolo o i ruoli a cui appartiene un utente.

Vedere anche

  • Configurazione di utenti .NET in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni utenti .NET

Utilizzare la finestra di dialogo Modifica impostazioni utenti .NET per impostare il provider predefinito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Provider predefinito

Consente di impostare il provider predefinito per utenti .NET. In IIS 7 è incluso il provider seguente:

  • AspNetSqlMembershipProvider: utilizzare questo provider per archiviare le informazioni utente in un database SQL Server.

Vedere anche

  • Configurazione di utenti .NET in IIS 7 (in linea)


Pool di applicazioni

In questa sezione sono presenti gli argomenti seguenti:

Pagina Pool di applicazioni

Finestra di dialogo Aggiungi pool di applicazioni o Modifica pool di applicazioni

Finestra di dialogo Identità pool di applicazioni

Pagina Condizioni riciclo della procedura guidata

Pagina Eventi di riciclo da registrare della procedura guidata


Pagina Pool di applicazioni

Utilizzare la pagina Pool di applicazioni per gestire un elenco dei pool di applicazioni in un server Web.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili. Per eseguire ricerche nell'elenco, digitare i criteri di ricerca nella casella Filtro, espandere l'elenco Vai per selezionare il campo in base al quale effettuare la ricerca, quindi fare clic su Vai oppure premere INVIO. Fare clic Mostra tutti per rimuovere i criteri di filtro.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Nome

Consente di visualizzare il nome di ogni pool di applicazioni.

Stato

Indica se un pool di applicazioni è stato avviato.

Versione .NET Framework

Consente di visualizzare la versione di .NET Framework utilizzata da un pool di applicazioni. Se il pool di applicazioni è stato configurato in modo da non utilizzare .NET Framework, il valore è Nessun codice gestito.

Modalità pipeline gestita

Consente di visualizzare la modalità di elaborazione delle richieste utilizzata da un pool di applicazioni.

I valori possono essere Integrata o Classica. Quando il valore è Integrata, IIS utilizza la pipeline integrata di elaborazione delle richieste IIS e ASP.NET per elaborare le richieste nel pool di applicazioni. Quando il valore è Classica, IIS utilizza pipeline di elaborazione delle richieste diverse per IIS e ASP.NET per elaborare le richieste nel pool di applicazioni.

Identità

Consente di visualizzare l'identità utilizzata da un pool di applicazioni. I valori possono essere Servizio di rete, Servizio locale, Sistema locale o il nome dell'account utente per un'identità personalizzata.

Applicazioni

Consente di visualizzare il numero di applicazioni contenute in un pool di applicazioni.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi pool di applicazioni

Consente di visualizzare la finestra di dialogo Aggiungi pool di applicazioni in cui è possibile aggiungere un pool di applicazioni al server Web.

Impostazioni predefinite pool di applicazioni

Consente di visualizzare la finestra di dialogo Impostazioni predefinite pool di applicazioni in cui è possibile impostare valori predefiniti validi per tutti i pool di applicazioni aggiunti al server Web.

Avvio

Consente di avviare il pool di applicazioni selezionato.

Arresto

Consente di arrestare il pool di applicazioni selezionato. In tal modo il servizio Attivazione processo Windows (WAS) arresterà tutti i processi di lavoro in esecuzione del pool di applicazioni. Un pool di applicazioni arrestato deve essere riavviato da un amministratore. In caso contrario, le richieste effettuate alle applicazioni del pool restituiranno l'errore HTTP 503-Servizio non disponibile.

Riciclo

Consente di arrestare e riavviare il pool di applicazioni selezionato. Durante il riavvio un pool di applicazioni è temporaneamente non disponibile fino al completamento dell'operazione.

Impostazioni di base

Consente di visualizzare la finestra di dialogo Modifica pool di applicazioni in cui è possibile modificare le impostazioni specificate durante la creazione del pool di applicazioni. Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.

Riciclo

Consente di aprire la procedura guidata Modifica impostazioni riciclo pool di applicazioni in cui è possibile specificare le condizioni per il riciclo di un pool di applicazioni e configurare la modalità di registrazione degli eventi di riciclo.

Impostazioni avanzate

Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile configurare le impostazioni avanzate per il pool di applicazioni selezionato.

Rinomina

Consente di abilitare il campo Nome relativo al pool di applicazioni selezionato per poterlo rinominare.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Nota

Non è possibile rimuovere un pool di applicazioni che contiene applicazioni. Per poterlo rimuovere, è dapprima necessario spostare eventuali applicazioni all'esterno del pool.

Visualizza applicazioni

Consente di aprire la pagina di funzionalità Applicazioni in cui è possibile visualizzare le applicazioni che appartengono al pool di applicazioni selezionato.

Vedere anche

  • Gestione dei pool di applicazioni in IIS 7 (in linea)


Finestra di dialogo Aggiungi pool di applicazioni o Modifica pool di applicazioni

Le finestre di dialogo Aggiungi pool di applicazioni e Modifica pool di applicazioni consentono di creare o modificare un pool di applicazioni. Un pool di applicazioni è un gruppo costituito da uno o più URL che vengono serviti da un processo di lavoro o da un insieme di processi di lavoro. I pool di applicazioni impostano limiti che impediscono alle applicazioni in essi contenute di influenzare le applicazioni di un altro pool.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome

Digitare un nome descrittivo univoco per il pool di applicazioni. Il nome specificato consentirà di identificare facilmente il pool di applicazioni e di semplificare l'assegnazione di applicazioni a tale pool.

Nota

Non è possibile rinominare un pool di applicazioni nella finestra di dialogo Modifica pool di applicazioni. Per rinominare un pool di applicazioni, utilizzare l'azione Rinomina del riquadro Azioni della pagina di funzionalità Pool di applicazioni.

Versione .NET Framework

Selezionare la versione di .NET Framework che verrà caricata dal pool di applicazioni. Se le applicazioni Web che si desidera assegnare a questo pool di applicazioni non contengono codice gestito, selezionare l'opzione Nessun codice gestito nell'elenco.

Un pool di applicazioni può caricare una sola versione di .NET Framework. Tutte le applicazioni del pool devono utilizzare la stessa versione.

Nota

Se si seleziona .NET Framework versione 1.1, l'elenco Modalità pipeline gestita verrà disabilitato. Inoltre, se si esegue IIS 7 in Windows a 64 bit ed è stato installato .NET Framework versione 1.1, il valore non verrà visualizzato nell'elenco Versione .NET Framework quando si aggiunge o si modifica un pool di applicazioni. Questa situazione si verifica perché .NET Framework versione 1.1 viene installato nella directory Framework, mentre IIS legge i valori dalla directory Framework64 in Windows a 64 bit. È necessario impostare l'attributo managedRuntimeVersion su v1.1 per il pool di applicazioni direttamente nel file di configurazione oppure utilizzando uno strumento quale Appcmd.exe.

Modalità pipeline gestita

Selezionare uno dei valori seguenti nell'elenco per specificare la modalità di elaborazione delle richieste relative al contenuto gestito in IIS:

  • Integrata: IIS elabora le richieste relative al contenuto gestito con la pipeline integrata di elaborazione delle richieste di IIS e ASP.NET.

  • Classica: IIS elabora le richieste relative al contenuto gestito con le pipeline distinte di elaborazione delle richieste di IIS e ASP.NET. Utilizzare questa modalità solo quando non è possibile eseguire le applicazioni del pool in modalità Integrata.

Avvia pool di applicazioni immediatamente

Selezionare questa opzione per consentire l'avvio del pool di applicazioni ogni volta che viene avviato il servizio Attivazione processo Windows (WAS). Se si disabilita l'avvio automatico, è necessario avviare il pool di applicazioni manualmente. In caso contrario, le richieste effettuate alle applicazioni del pool restituiranno l'errore HTTP 503-Servizio non disponibile.

Vedere anche

  • Gestione dei pool di applicazioni in IIS 7 (in linea)


Finestra di dialogo Identità pool di applicazioni

Utilizzare la finestra di dialogo Identità pool di applicazioni per configurare l'account con cui eseguire il processo di lavoro di un pool di applicazioni. È possibile selezionare uno degli account di sicurezza predefiniti o configurare un account personalizzato.

Nota

Se si utilizza un'identità personalizzata, assicurarsi che l'account utente specificato sia un membro del gruppo IIS_IUSRS nel server Web in modo da disporre dell'accesso corretto alle risorse. Quando si utilizza l'autenticazione Kerberos e di Windows nell'ambiente, potrebbe inoltre essere necessario registrare un nome principale di servizio (SPN) con il controller di dominio.

Per configurare un'identità per il pool di applicazioni

  1. Nella pagina di funzionalità Pool di applicazioni selezionare un pool di applicazioni nell'elenco.

  2. Nel riquadro Azioni fare clic su Impostazioni avanzate.

  3. In Modello di processo individuare il campo Identità e fare clic su … (pulsante Proprietà) per visualizzare la finestra di dialogo Identità pool di applicazioni.

  4. Selezionare un'opzione relativa all'identità:

    • Scegliere Account predefinito per utilizzare un account di sicurezza predefinito, quindi selezionare uno degli account nell'elenco.

    • Scegliere Account personalizzato per configurare un account personalizzato, quindi fare clic su Imposta per visualizzare la finestra di dialogo Imposta credenziali in cui è possibile specificare il nome utente e la password per l'account.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Account predefinito

Selezionare questa opzione per utilizzare uno degli account di sicurezza predefiniti. Selezionare quindi uno degli account seguenti:

  • Identità pool di applicazioni: è selezionato per impostazione predefinita. Tale account viene creato dinamicamente all'avvio di un pool di applicazioni e pertanto fornisce la massima sicurezza per le applicazioni.

  • Servizio locale: è un membro del gruppo Utenti e dispone degli stessi diritti utente dell'account Servizio di rete, ma è limitato al computer locale. Utilizzare questo account quando il processo di lavoro nel pool di applicazioni non richiede accesso esterno al server Web nel quale viene eseguito.

  • Sistema locale: dispone di tutti i diritti utente e fa parte del gruppo Administrators del server Web. Laddove possibile, evitare di utilizzare l'account Sistema locale perché presenta un rischio di sicurezza più grave per il server Web.

  • Servizio di rete: è un membro del gruppo Utenti e dispone dei diritti utente necessari per l'esecuzione delle applicazioni. Può interagire in un'intera rete basata su Active Directory mediante l'utilizzo delle credenziali dell'account computer.

Account personalizzato

Selezionare questa opzione per configurare un account personalizzato. Fare quindi clic sul pulsante Imposta corrispondente per configurare il nome utente e la password per l'account.

Imposta

Consente di visualizzare la finestra di dialogo Imposta credenziali in cui è possibile specificare le credenziali per l'account personalizzato.

Nome utente

Digitare l'alias dell'account utente con il quale si desidera eseguire il processo di lavoro.

Password

Digitare la password per l'account utente specificato nella casella Nome utente.

Conferma password

Digitare nuovamente la password per l'account utente specificato nella casella Nome utente.

Vedere anche

  • Gestione dei pool di applicazioni in IIS 7 (in linea)


Pagina Condizioni riciclo della procedura guidata

Utilizzare la pagina Condizioni riciclo della procedura guidata Modifica impostazioni riciclo pool di applicazioni per configurare IIS in modo da riavviare periodicamente i processi di lavoro in un pool di applicazioni. In tal modo sarà possibile recuperare risorse di sistema preziose e ottimizzare la gestione dei processi di lavoro con problemi.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Intervalli di tempo regolari (in minuti) | Selezionare questa opzione per specificare l'intervallo di tempo in minuti dopo il quale si desidera riciclare il processo di lavoro in IIS. È possibile scegliere questa opzione nel caso in cui si verifichino problemi in un'applicazione eseguita per un periodo prolungato. A seconda delle informazioni disponibili sull'applicazione, il valore deve essere impostato in modo che sia inferiore al tempo trascorso prima dell'errore dell'applicazione.
Numero fisso di richieste | Selezionare questa opzione per specificare il numero di richieste dopo il quale si desidera riciclare il processo di lavoro in IIS. È possibile scegliere questa opzione se si verificano problemi in un'applicazione dopo aver raggiunto un certo numero di richieste. A seconda delle informazioni disponibili sull'applicazione, il valore deve essere configurato in modo che sia inferiore al numero di richieste elaborate prima dell'errore dell'applicazione.
Orari specifici | Selezionare questa opzione per specificare l'ora in cui si desidera riciclare il processo di lavoro in IIS in un periodo di 24 ore. Per riciclare, ad esempio, un processo di lavoro alle 4.30 e alle 16.30, immettere 4:30 AM, 4:30 PM. Per la pianificazione verrà utilizzata l'ora locale nel server Web. È possibile scegliere questa opzione se si verificano problemi in un'applicazione eseguita per un periodo prolungato e se si desidera riciclare il pool di applicazioni in un momento specifico, ad esempio di notte o la mattina presto, per evitare un impatto negativo sugli utenti. A seconda delle informazioni disponibili sull'applicazione, l'intervallo deve essere impostato su una frequenza sufficiente a evitare errori dell'applicazione.
Utilizzo memoria virtuale (in KB) | Selezionare questa opzione per specificare il numero massimo di kilobyte della memoria virtuale comune del sistema che possono essere utilizzati da un processo di lavoro prima che venga riciclato. È possibile scegliere questa opzione quando si nota un aumento continuo della memoria virtuale utilizzata nel server. Tale sintomo può infatti indicare che un'applicazione riserva più volte la memoria, con conseguente frammentazione dell'heap della memoria. Un valore troppo elevato potrebbe causare una riduzione delle prestazioni del sistema. Occorre innanzitutto impostare la soglia della memoria virtuale su un valore inferiore al 70% della memoria virtuale disponibile, quindi regolare l'impostazione in base alle necessità.
Utilizzo memoria privata (in KB) | Selezionare questa opzione per specificare il numero massimo di kilobyte della memoria fisica di sistema allocata in modalità privata che possono essere utilizzati da un processo di lavoro prima che venga riciclato. È possibile scegliere questa opzione quando un'applicazione in uso presenta perdite di memoria. Un valore troppo elevato potrebbe causare una riduzione delle prestazioni del sistema. Occorre innanzitutto impostare l'opzione su un valore inferiore al 60% della memoria fisica disponibile nel server, quindi regolare l'impostazione in base alle necessità.

Vedere anche

  • Gestione dei pool di applicazioni in IIS 7 (in linea)


Pagina Eventi di riciclo da registrare della procedura guidata

Utilizzare la pagina Eventi di riciclo da registrare della procedura guidata Modifica impostazioni riciclo pool di applicazioni per configurare IIS affinché registri un evento quando un processo di lavoro viene riciclato.

È possibile configurare IIS in modo che registri informazioni per eventi di riciclo configurati, ad esempio a un intervallo fisso, o per eventi di riciclo che si verificano in fase di esecuzione, ad esempio quando un'estensione ISAPI si dichiara danneggiata.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Intervalli di tempo regolari | Selezionare questa opzione per registrare un evento quando un processo di lavoro viene riciclato a un intervallo di tempo specificato. Questa opzione è disponibile solo quando l'opzione Intervalli di tempo regolari (in minuti) è selezionata e un intervallo di tempo viene specificato nella pagina precedente della procedura guidata.
Utilizzo memoria virtuale | Selezionare questa opzione per registrare un evento quando un processo di lavoro viene riciclato dopo avere utilizzato una quantità specificata di memoria virtuale. Questa opzione è disponibile solo quando è selezionata l'opzione Utilizzo memoria virtuale (in KB) e quando viene specificato un numero di kilobyte nella pagina precedente della procedura guidata.
Numero di richieste | Selezionare questa opzione per registrare un evento quando un processo di lavoro viene riciclato dopo aver raggiunto un numero specificato di richieste. Questa opzione è disponibile solo quando si seleziona l'opzione Numero fisso di richieste e si specifica un numero di richieste nella pagina precedente della procedura guidata.
Orari pianificati | Selezionare questa opzione per registrare un evento quando un processo di lavoro viene riciclato a un'ora pianificata. Questa opzione è disponibile solo quando si seleziona l'opzione Orari specifici e si specifica un orario nella pagina precedente della procedura guidata.
Utilizzo memoria privata | Selezionare questa opzione per registrare un evento quando un processo di lavoro viene riciclato dopo avere utilizzato una quantità specificata di memoria fisica. Questa opzione è disponibile solo quando è selezionata l'opzione Utilizzo memoria privata (in KB) e quando viene specificato un numero di kilobyte nella pagina precedente della procedura guidata.
A richiesta | Selezionare questa opzione per registrare un evento quando si ricicla un processo di lavoro utilizzando Gestione IIS o Appcmd.exe per correggere un problema.
Modifiche configurazione | Selezionare questa opzione per registrare un evento quando una modifica apportata alla configurazione causa il riciclo del pool di applicazioni.
ISAPI danneggiata | Selezionare questa opzione per registrare un evento quando viene segnalata al processo di lavoro un'estensione ISAPI danneggiata.

Vedere anche

  • Gestione dei pool di applicazioni in IIS 7 (in linea)


Impostazioni applicazione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Impostazioni applicazione

Finestra di dialogo Aggiungi impostazione applicazione o Modifica impostazione applicazione


Pagina Impostazioni applicazione

Utilizzare la pagina Impostazioni applicazione per gestire un elenco delle coppie chiave/valore archiviate nel file web.config dell'applicazione. Alle impostazioni dell'applicazione è possibile accedere da qualsiasi posizione di un'applicazione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome della variabile dell'impostazione dell'applicazione.
Valore | Consente di visualizzare il valore assegnato alla variabile dell'impostazione dell'applicazione.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi impostazione applicazione in cui è possibile aggiungere una variabile e un valore per l'impostazione dell'applicazione.
Modifica | Consente di visualizzare la finestra di dialogo Modifica impostazione applicazione in cui è possibile modificare l'impostazione dell'applicazione selezionata.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione delle impostazioni delle applicazioni in IIS 7 (in linea)


Finestra di dialogo Aggiungi impostazione applicazione o Modifica impostazione applicazione

Utilizzare le finestre di dialogo Aggiungi impostazione applicazione e Modifica impostazione applicazione per aggiungere o modificare le variabili globali archiviate in una posizione centrale. A queste coppie di nome/valore è possibile accedere da qualsiasi posizione di un'applicazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Consente di definire un nome univoco per l'impostazione dell'applicazione.
Valore | Consente di definire un valore per l'impostazione dell'applicazione.

Vedere anche

  • Configurazione delle impostazioni delle applicazioni in IIS 7 (in linea)


Applicazioni

In questa sezione sono presenti gli argomenti seguenti:

Pagina Applicazioni

Finestra di dialogo Aggiungi applicazione o Modifica applicazione


Pagina Applicazioni

Utilizzare la pagina Applicazioni per gestire l'elenco di applicazioni in un sito.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili. Per eseguire ricerche nell'elenco, digitare i criteri di ricerca nella casella Filtro, espandere l'elenco Vai per selezionare il campo in base al quale effettuare la ricerca, quindi fare clic su Vai oppure premere INVIO. Fare clic Mostra tutti per rimuovere i criteri di filtro.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Percorso virtuale | Consente di visualizzare il percorso virtuale utilizzato in un URL per accedere all'applicazione.
Percorso fisico | Consente di visualizzare il percorso fisico della directory in cui è presente il contenuto dell'applicazione.
Sito | Consente di visualizzare il sito al quale appartiene l'applicazione.
Pool di applicazioni | Consente di visualizzare il pool di applicazioni nel quale viene eseguita l'applicazione.

Elementi del riquadro Azioni

Nella tabella seguente sono descritte le azioni disponibili durante la connessione a un server.

Se durante la connessione a un sito si seleziona un'applicazione nella pagina Applicazioni, le azioni disponibili sono Sfoglia e Visualizza directory virtuali.

Nome dell'elemento | Descrizione
Aggiungi applicazione | Consente di visualizzare la finestra di dialogo Aggiungi applicazione in cui è possibile aggiungere un'applicazione.
Impostazioni predefinite applicazioni | Consente di visualizzare la finestra di dialogo Impostazioni predefinite applicazioni in cui è possibile configurare le impostazioni predefinite valide per tutte le applicazioni.
Cambia pool di applicazioni | Consente di visualizzare la finestra di dialogo Seleziona pool di applicazioni in cui è possibile cambiare il pool di applicazioni cui appartiene l'applicazione selezionata. Questa azione è l'unica disponibile nella pagina Applicazioni visualizzata quando si visualizzano applicazioni in un pool di applicazioni. Non è invece disponibile nella pagina Applicazioni visualizzata quando si visualizzano le applicazioni in un sito.
Esplora | Consente di aprire la directory fisica (in Esplora risorse) di cui è stato eseguito il mapping alla directory virtuale radice relativa all'applicazione selezionata.
Modifica autorizzazioni | Consente di visualizzare la finestra di dialogo delle proprietà di Windows della directory fisica di cui è stato eseguito il mapping alla directory virtuale radice relativa all'applicazione selezionata.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Sfoglia | Consente di aprire l'applicazione selezionata in un browser Internet.
Impostazioni di base | Consente di visualizzare la finestra di dialogo Modifica applicazione in cui è possibile modificare le impostazioni specificate durante la creazione dell'applicazione selezionata.
Impostazioni avanzate | Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile configurare le impostazioni avanzate per l'applicazione selezionata.
Visualizza directory virtuali | Consente di visualizzare la pagina di funzionalità Directory virtuali in cui è possibile visualizzare le directory virtuali che appartengono all'applicazione selezionata.

Vedere anche

  • Gestione di applicazioni in IIS 7 (in linea)


Finestra di dialogo Aggiungi applicazione o Modifica applicazione

Utilizzare le finestre di dialogo Aggiungi applicazione e Modifica applicazione per aggiungere un'applicazione a un sito o per modificare un'applicazione esistente. Un'applicazione è costituita da un gruppo di file utilizzati per il recapito di contenuto o la fornitura di servizi tramite protocolli, ad esempio HTTP. Oltre ad appartenere a un sito, un'applicazione appartiene a un pool di applicazioni che consente di isolare l'applicazione da applicazioni di altri pool di applicazioni presenti sul server. Quando si crea un'applicazione in IIS, il percorso dell'applicazione viene incluso nell'URL del sito. Viene definita una directory come radice o punto iniziale dell'applicazione e quindi vengono indicate le proprietà specifiche dell'applicazione in questione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome sito | Consente di visualizzare il nome del sito che conterrà l'applicazione.
Percorso | Consente di visualizzare il percorso dell'applicazione. Se si crea un'applicazione al livello del sito, in questa casella viene visualizzato /. Se si crea un'applicazione all'interno di un'altra applicazione, in questa casella viene visualizzato il percorso dell'applicazione esistente che contiene la nuova applicazione, ad esempio /myApp.
Alias | Digitare un nome che i client possono utilizzare per accedere al contenuto da un Web browser. Se, ad esempio, l'indirizzo del sito è http://www.contoso.com/ e si crea un'applicazione per tale sito denominata /marketing, gli utenti potranno accedere all'applicazione dal Web browser digitando http://www.contoso.com/marketing.
Pool di applicazioni | Consente di visualizzare il pool di applicazioni selezionato per l'applicazione.
Seleziona | Consente di visualizzare la finestra di dialogo Seleziona pool di applicazioni in cui è possibile selezionare il pool di applicazioni in cui verrà eseguita l'applicazione.
Percorso fisico | Digitare o selezionare il percorso fisico in cui è archiviato il contenuto dell'applicazione. Il contenuto può risiedere nel computer locale o provenire da una condivisione remota. Se il contenuto è archiviato nel computer locale, digitare il percorso fisico, ad esempio C:\Content. Se il contenuto è archiviato in una condivisione remota, immettere il percorso UNC, ad esempio \\Server\Share. Facoltativamente, fare clic Connetti come per fornire le credenziali di un account autorizzato ad accedere al contenuto nel percorso fisico.
… | Consente di visualizzare la finestra di dialogo Sfoglia per cartelle in cui è possibile selezionare il percorso fisico del contenuto dell'applicazione.
Connetti come | Consente di visualizzare la finestra di dialogo Connetti come in cui è possibile selezionare la modalità di connessione al percorso digitato nella casella Percorso fisico. Per impostazione predefinita, la modalità selezionata è Utente applicazione (autenticazione pass-through).
Prova impostazioni | Consente di visualizzare la finestra di dialogo Prova impostazioni in cui è possibile visualizzare un elenco di risultati della prova per valutare la validità delle impostazioni relative al percorso.

Vedere anche

  • Finestra di dialogo Connetti come - Siti, applicazioni e directory virtuali
  • Gestione di applicazioni in IIS 7 (in linea)


Pagina ASP

Utilizzare la pagina delle proprietà ASP per gestire un elenco di impostazioni di configurazione ASP (classico).

Utilizzare l'elenco Visualizza per selezionare una delle opzioni seguenti relative alla modalità di visualizzazione delle impostazioni: Nomi descrittivi, Nomi di configurazione o Entrambi i nomi.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Tabella codici [codePage] | Consente di specificare la tabella codici predefinita per un'applicazione ASP.
Abilita memorizzazione nel buffer [bufferingOn] | Consente di specificare se l'output di un'applicazione ASP verrà memorizzato nel buffer. Il valore predefinito è True.
Consenti codifica Chunked [enableChunkedEncoding] | Consente di specificare se la codifica di trasferimento Chunked HTTP 1.1 è abilitata per il servizio Pubblicazione sul Web (servizio WWW). Il valore predefinito è True.
Abilita fallback HTML [enableAspHtmlFallback] | Consente di controllare il comportamento di ASP quando la coda di richieste è piena. Se la proprietà è impostata su True, ASP cerca un file HTML al cui nome è stato aggiunto _asp e, se lo trova, lo restituisce. Se ad esempio il nome del file con estensione asp richiesto è Hello.asp, il nome del file htm restituito sarà Hello_asp.htm. Se il file non esiste, al client verrà restituito un errore HTTP di tipo 500.13 (Server occupato). Questo errore viene restituito anche se il valore è impostato su False. Il valore predefinito per questo attributo è True.
Abilita percorsi principali [enableParentPaths] | Consente di specificare se una pagina ASP consente percorsi relativi alla directory corrente (mediante la notazione "... \") o a directory di livello superiore. Il valore predefinito è False.
Intervallo di test connessione client [queueConnectionTestTime] | Consente di specificare l'intervallo di permanenza di una richiesta nella coda. Se la richiesta rimane nella coda per una durata superiore a quella specificata, ASP verifica se il client è ancora connesso prima di eseguire la richiesta. Se il client non è più connesso, la richiesta non verrà elaborata e sarà eliminata dalla coda. Il valore predefinito è 00:00:03 secondi.
Limite massimo corpo entità richieste [maxRequestEntityAllowed] | Consente di specificare il numero massimo di byte consentiti nel corpo dell'entità di una richiesta ASP. Il valore predefinito è 200000 byte.
Lunghezza coda [requestQueueMax] | Consente di specificare il numero massimo consentito di richieste ASP simultanee nella coda. Il valore predefinito è 3000.
Timeout code richieste [queueTimeout] | Consente di specificare l'intervallo di attesa nella coda consentito per una richiesta di script ASP. L'impostazione predefinita è 00:00:00 (infinito).
Limite memorizzazione risposte nel buffer [bufferingLimit] | Consente di impostare la dimensione massima del buffer ASP. Se la memorizzazione delle risposte nel buffer è attivata, questa proprietà consente di controllare il numero massimo di byte che una pagina ASP può scrivere nel buffer delle risposte prima della cancellazione del buffer. Il valore predefinito è 4194304 byte.
Timeout script [scriptTimeout] | Consente di specificare l'intervallo di esecuzione predefinito consentito a uno script dalle pagine ASP prima del tentativo di arresto dello script e della scrittura di un evento nel registro eventi di Windows. Il valore predefinito è 00:01:30 minuti.
Limite thread per processore [processorThreadMax] | Consente di specificare il numero massimo di thread di lavoro per processore che IIS può creare per eseguire le richieste ASP. Il valore predefinito è 25.
ID impostazioni locali [lcid] | Consente di impostare l'identificatore predefinito delle impostazioni internazionali (LCID) per un'applicazione. L'identificatore LCID definisce il formato che verrà utilizzato per la data, l'ora e la valuta. L'impostazione predefinita è 1033 e rappresenta l'inglese USA (en-us).
Riavvia dopo la modifica della configurazione [enableApplicationRestart] | Consente di determinare se un'applicazione ASP può essere riavviata automaticamente quando viene apportata una modifica alle proprietà di configurazione critiche di quell'applicazione. Il valore predefinito è True.
Calcola numeri di riga [calcLineNumber] | Consente di specificare se il numero di ogni riga di codice eseguita dovrà essere calcolato e memorizzato da ASP in modo che possa essere fornito nelle segnalazioni di errore. Il valore predefinito è True.
Intercetta eccezioni componenti COM [exceptionCatchEnable] | Consente di specificare se le pagine ASP intercettano eccezioni generate dai componenti. Se la proprietà è impostata su False, la pagina ASP non intercetta eccezioni generate dal componente. Ciò può determinare la gestione dell'eccezione da parte di altri layer del processo, ad esempio il processo di lavoro IIS o VB Script, e in genere la chiusura del processo di lavoro. Il valore predefinito è True.
Abilita debug sul lato client [appAllowClientDebug] | Consente di specificare se è abilitato il debug sul lato client ASP. Il valore predefinito è False.
Abilita richieste di registrazione errori [logErrorRequests] | Consente di decidere se gli errori ASP verranno scritti o meno nella sezione dell'applicazione del registro eventi di Windows dal server Web. Per impostazione predefinita, gli errori ASP vengono scritti nel browser client e nei file di registro di IIS. Il valore predefinito è True.
Abilita debug sul lato server [appAllowDebugging] | Consente di specificare se è abilitato il debug ASP nel server. Il valore predefinito è False.
Registra errori nel registro NT [errorsToNTLog] | Consente di specificare quali errori ASP vengono scritti nel registro eventi di Windows. Per impostazione predefinita, gli errori ASP vengono scritti nel browser client e nei file di registro di IIS. Il valore predefinito è False.
Esegui funzioni OnEnd in modo anonimo [runOnEndAnonymously] | Consente di specificare se le funzioni ASP globali SessionOnEnd e ApplicationOnEnd devono essere eseguite come utente anonimo. Se la proprietà è impostata su False, le funzioni non vengono eseguite. Il valore predefinito è True.
Messaggio di errore script [scriptErrorMessage] | Consente di specificare il messaggio di errore da inviare al browser se al client non vengono inviati errori di debug specifici. Il messaggio predefinito inviato è "Si è verificato un errore del server durante l'elaborazione dell'URL. Contattare l'amministratore del sistema."
Invia errori al browser [scriptErrorSentToBrowser] | Consente di specificare se il server Web scrive i dettagli relativi al debug (nome file, errore, numero di riga, descrizione) nel browser client oltre che nel registro eventi di IIS. Il valore predefinito è True.
Linguaggio script [scriptLanguage] | Consente di specificare il linguaggio script predefinito per tutte le applicazioni ASP in esecuzione nel server Web. L'impostazione predefinita è VBScript.
Percorso directory cache [diskTemplateCacheDirectory] | Contiene il nome della directory utilizzata da ASP per archiviare su disco i modelli ASP compilati dopo l'overflow della cache in memoria. L'impostazione predefinita è systemroot\inetpub\temp\ASP Compiled Templates.
Abilita memorizzazione delle librerie dei tipi nella cache [enableTypelibCache] | Consente di specificare se le librerie dei tipi sono memorizzate nella cache sul server. L'impostazione predefinita è True..
Numero massimo di file nella cache del disco [maxDiskTemplateCacheFiles] | Consente di specificare il numero massimo di modelli ASP compilati che possono essere archiviati. Il valore predefinito è 2000.
Numero massimo di file nella memoria cache [scriptFileCacheSize] | Consente di specificare il numero di file script precompilati da memorizzare nella cache. Se il valore è 0, nella cache non verrà inserito alcun file. Se il valore è 4291967295, nella cache verranno inseriti tutti i file script richiesti. La proprietà può essere utilizzata per ottimizzare le prestazioni in base alla quantità di memoria disponibile e alla quantità di file script elaborati. Il valore predefinito è 500.
Numero massimo di motori di script nella cache [scriptEngineCacheMax] | Consente di specificare il numero massimo di motori di script che verranno mantenuti nella memoria cache delle pagine ASP. Il valore predefinito è 250.
Abilita componente side-by-side [appServiceFlags] | Consente di abilitare gli assembly side-by-side COM+ che consentono alle applicazioni ASP di specificare la versione di un componente COM o DLL di sistema da utilizzare. Il valore predefinito è False.
Abilita individuazione [appServiceFlags] | Consente di abilitare l'individuazione COM+ che consente agli amministratori o agli sviluppatori di eseguire il debug delle applicazioni ASP. Il valore predefinito è False.
Esegui in MTA [executeInMta] | Consente di specificare se ASP consente di eseguire script in un raggruppamento multithreading. Il valore predefinito è False.
Supporto modello di threading dei componenti [trackThreadingModel] | Consente di specificare se in IIS verrà esaminato il modello di threading di ciascun componente creato dall'applicazione. Il valore predefinito è False.
ID partizione [partitionID] | Impostare questa proprietà sul GUID della partizione COM+. Quando questa proprietà è definita, impostare l'elemento Usa partizione su True.
Componente side-by-side [sxsName] | Impostare questa proprietà sul nome dell'applicazione COM+. Quando questa proprietà è definita, impostare l'elemento Abilita componente side-by-side su True.
Usa partizione [appServiceFlags] | Isola le applicazioni nelle relative partizioni COM+. Quando questa proprietà è impostata su True, è necessario definire un valore per l'elemento ID partizione. Il valore predefinito è False.
Abilita stato sessione [allowSessionState] | Consente di abilitare la persistenza dello stato della sessione per l'applicazione ASP. Il valore predefinito è True.
Numero massimo di sessioni [max] | Consente di specificare il numero massimo di sessioni simultanee consentite da IIS. Il valore predefinito è 2147483647.
Nuovo ID tramite connessione protetta [keepSessionIdSecure] | Consente di generare un nuovo cookie quando viene eseguita una transizione da una connessione non protetta a una protetta. Il valore predefinito è True.
Timeout [timeout] | Consente di specificare per quanto tempo un oggetto sessione viene mantenuto dopo l'esecuzione dell'ultima richiesta a esso associata. Il valore predefinito è 00:20:00.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione delle impostazioni ASP in IIS 7 (in linea)


Autenticazione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Autenticazione

Autenticazione certificato client AD

Autenticazione anonima

Finestra di dialogo Modifica credenziali di autenticazione anonima

Finestra di dialogo Imposta credenziali - Funzionalità Autenticazione anonima

Autenticazione di base

Finestra di dialogo Modifica impostazioni autenticazione di base

Autenticazione del digest

Finestra di dialogo Modifica impostazioni autenticazione digest

Autenticazione basata su form

Finestra di dialogo Modifica impostazioni autenticazione basata su form

Autenticazione di Windows

Finestra di dialogo Impostazioni avanzate - Funzionalità Autenticazione di Windows

Rappresentazione ASP.NET

Finestra di dialogo Impostazioni di rappresentazione ASP.NET

Finestra di dialogo Imposta credenziali - Funzionalità Rappresentazione ASP.NET


Pagina Autenticazione

Utilizzare la pagina di funzionalità Autenticazione per configurare i metodi di autenticazione utilizzati dai client per accedere al contenuto.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Autenticazione certificato client Active Directory

L'autenticazione certificato client Active Directory consente di utilizzare le funzionalità del servizio directory Active Directory per eseguire il mapping di utenti a certificati client per l'autenticazione. Il mapping di utenti a certificati client consente di autenticare automaticamente gli utenti senza utilizzare altri metodi di autenticazione, ad esempio l'autenticazione integrata di Windows, di base o del digest.

Questo tipo di autenticazione non è disponibile in Windows® 7 Home Premium, Windows® 7 Home Basic o Windows® 7 Starter.

Autenticazione anonima

L'autenticazione anonima consente a qualsiasi utente di accedere a qualsiasi contenuto pubblico senza fornire un nome utente e una password. Per impostazione predefinita, l'autenticazione anonima è attivata in IIS 7.

Nota

Utilizzare l'autenticazione anonima quando si desidera consentire a tutti i client che accedono al sito di visualizzarne il contenuto.

Rappresentazione ASP.NET

La rappresentazione ASP.NET consente di eseguire applicazioni ASP.NET in un contesto diverso da quello dell'account ASPNET predefinito. Utilizzare questo tipo di autenticazione con altri metodi di autenticazione IIS oppure configurare un account utente arbitrario.

Autenticazione di base

Con l'autenticazione di base gli utenti devono fornire un nome utente e una password validi per accedere al contenuto.

Nota

Questo tipo di autenticazione trasmette password in rete utilizzando la crittografia vulnerabile. Utilizzare l'autenticazione di base solo se si è certi che la connessione tra il client e il server è protetta.

Autenticazione del digest

L'autenticazione del digest utilizza un controller di dominio di Windows per autenticare gli utenti che richiedono l'accesso al contenuto sul server. Utilizzare l'autenticazione del digest quando è necessaria una sicurezza più avanzata rispetto a quella di base.

Questo tipo di autenticazione non è disponibile in Windows® 7 Home Premium, Windows® 7 Home Basic o Windows® 7 Starter.

Nota

I browser che non supportano il protocollo HTTP 1.1 non possono supportare l'autenticazione del digest.

Autenticazione basata su form

L'autenticazione basata su form utilizza il reindirizzamento su lato client per inoltrare gli utenti non autenticati a un modulo HTML in cui possono immettere le proprie credenziali, ovvero generalmente un nome utente e una password. Dopo che le credenziali sono state convalidate, gli utenti vengono reindirizzati alla pagina che hanno inizialmente richiesto.

Importante

Dal momento che l'autenticazione basata su form invia il nome utente e la password al server Web come testo normale, è necessario utilizzare la crittografia SSL (Secure Sockets Layer) per la pagina di accesso e per tutte le altre pagine dell'applicazione.

Autenticazione di Windows

L'autenticazione di Windows utilizza i protocolli NTLM o Kerberos per autenticare i client. Questo tipo di autenticazione è più adatta a un ambiente Intranet, mentre non è consigliabile utilizzarla su Internet in quanto questo ambiente non richiede né crittografa le credenziali utente.

Questo tipo di autenticazione non è disponibile in Windows® 7 Home Premium, Windows® 7 Home Basic o Windows® 7 Starter.

Importante

L'impostazione predefinita per l'autenticazione di Windows è Negoziazione. Questa impostazione consente al client di selezionare il provider supporto sicurezza appropriato.

Vedere anche

  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione certificato client AD

Utilizzare l'autenticazione certificato client AD per eseguire il mapping delle informazioni dei certificati client tra diversi server.

Nota

Il mapping con caratteri jolly tramite autenticazione certificato client AD è, tuttavia, meno efficace del mapping con caratteri jolly nativo di IIS.

Se si seleziona l'autenticazione certificato client AD, non è possibile utilizzare il mapping dei certificati IIS per gli altri siti ospitati nel server selezionato.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione certificato client AD | Selezionare questa opzione per gestire l'autenticazione certificato client AD.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione certificato client AD.
Disabilita | Consente di disabilitare l'autenticazione certificato client AD.

Vedere anche

  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione anonima

Utilizzare l'autenticazione anonima per consentire a qualsiasi utente di accedere a qualsiasi contenuto pubblico senza fornire una verifica di nome utente e password al browser client. Per impostazione predefinita, l'autenticazione anonima è attivata in IIS 7.

Per consentire la visualizzazione di un contenuto solo a determinati utenti utilizzando l'autenticazione anonima, è necessario configurare le autorizzazioni del file system NTFS appropriate per impedire agli utenti anonimi di accedere al contenuto. Per consentire la visualizzazione del contenuto selezionato solo agli utenti registrati, configurare un metodo di autenticazione per il contenuto che richieda un nome utente ed una password, ad esempio autenticazione di base o del digest.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione anonima | Selezionare questa opzione per gestire l'autenticazione anonima.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Disabilita | Consente di disabilitare l'autenticazione anonima.
Abilita | Consente di abilitare l'autenticazione anonima.
Modifica | Consente di visualizzare la finestra di dialogo Modifica credenziali di autenticazione anonima in cui è possibile impostare il principio di sicurezza che verrà utilizzato dagli utenti anonimi per la connessione al sito. È possibile eseguire questa azione solo se si seleziona Autenticazione anonima nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Modifica credenziali di autenticazione anonima
  • Finestra di dialogo Imposta credenziali - Funzionalità Autenticazione anonima
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Modifica credenziali di autenticazione anonima

Utilizzare la finestra di dialogo Modifica credenziali di autenticazione anonima per modificare l'account utilizzato da IIS per accedere ai siti e alle applicazioni Web.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Utente specifico

Digitare il nome dell'account specifico che si desidera venga utilizzato da IIS per accedere al sito o all'applicazione. Per impostazione predefinita, in IIS 7 viene utilizzato IUSR come nome utente per l'accesso anonimo. Questo nome utente viene creato quando si installa IIS 7.

Imposta

Consente di visualizzare la finestra di dialogo Imposta credenziali in cui è possibile specificare un nome account e una password che verranno utilizzati da IIS per l'autenticazione anonima.

Identità pool di applicazioni

Selezionare Identità pool di applicazioni per consentire l'esecuzione dei processi IIS con l'account attualmente specificato nella pagina delle proprietà per il pool di applicazioni. Per impostazione predefinita, si tratta dell'account Servizio di rete.

Importante

Se si utilizza l'account Servizio di rete, si concede agli utenti anonimi tutti i tipi di accesso alla rete interna associati a tale account.

Vedere anche

  • Finestra di dialogo Imposta credenziali - Funzionalità Autenticazione anonima
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Imposta credenziali - Funzionalità Autenticazione anonima

Utilizzare la finestra di dialogo Imposta credenziali per modificare l'account utilizzato da IIS per l'accesso anonimo ai siti e alle applicazioni. Per impostazione predefinita, l'account utilizzato da IIS 7 per l'accesso anonimo è IUSR. Questo account viene creato durante l'installazione di IIS 7.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome utente

Digitare il nome dell'account da utilizzare in IIS per l'accesso ai siti e alle applicazioni.

Importante

La sostituzione dell'account utente anonimo IUSR con un altro account di rete può influenzare la sicurezza in quanto si forniscono a utenti anonimi le credenziali amministrative associate a quell'account.

Password

Digitare la password associata all'account che si desidera utilizzare in IIS per l'accesso anonimo ai siti e alle applicazioni.

Importante

Se la password associata a tale account viene modificata, è necessario modificare anche la password nella finestra di dialogo Imposta credenziali. Se la password sull'account e la password nella finestra di dialogo Imposta credenziali non corrispondono, il sito o l'applicazione associata verrà disabilitata.

Conferma password

Digitare nuovamente la password associata all'account che si desidera utilizzare in IIS per l'accesso anonimo ai siti e alle applicazioni.

Vedere anche

  • Finestra di dialogo Modifica credenziali di autenticazione anonima
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione di base

Utilizzare l'autenticazione di base se si desidera che gli utenti forniscano un nome utente e una password validi per accedere al contenuto. Tutti i browser più utilizzati supportano questo metodo di autenticazione che funziona su firewall e server proxy. Lo svantaggio dell'autenticazione di base è che le password vengono trasmesse in rete utilizzando la crittografia vulnerabile. Utilizzare l'autenticazione di base solo se si è certi che la connessione tra il client e il server è protetta.

Disabilitare l'autenticazione anonima se si utilizza l'autenticazione di base. La prima richiesta che viene inviata da tutti i browser a un server è l'accesso anonimo al contenuto del server. Se non si disabilita l'autenticazione anonima, gli utenti possono accedere in modo anonimo a tutto il contento sul server, incluso il contenuto soggetto a restrizioni.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione di base | Selezionare questa opzione per gestire l'autenticazione di base.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione di base.
Disabilita | Consente di disabilitare l'autenticazione di base.
Modifica | Consente di visualizzare la finestra di dialogo Modifica impostazioni autenticazione di base in cui è possibile impostare l'area di autenticazione e il dominio predefinito. È possibile eseguire questa azione solo se si seleziona Autenticazione di base nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Modifica impostazioni autenticazione di base
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni autenticazione di base

Utilizzare la finestra di dialogo Modifica impostazioni autenticazione di base per configurare l'autenticazione di base per un sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Dominio predefinito

Digitare il nome del dominio in base al quale si desidera eseguire l'autenticazione degli utenti per impostazione predefinita. Gli utenti che non forniscono un nome di dominio al momento dell'accesso al sito vengono autenticati in base a tale dominio.

Area autenticazione

Digitare il nome di dominio DNS o l'indirizzo che utilizzeranno le credenziali autenticate in base al dominio predefinito. Per l'autenticazione di base la specifica di un valore per Area autenticazione è facoltativa.

Importante

Se si immette il nome del dominio predefinito nella casella Area autenticazione, il nome del dominio Microsoft Windows interno potrebbe essere esposto a utenti esterni durante la richiesta di verifica del nome utente e della password.

Vedere anche

  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione del digest

Utilizzare l'autenticazione del digest per offrire un tipo di autenticazione notevolmente più sicura rispetto a quella di base. L'autenticazione del digest è inoltre supportata in tutti i moderni browser e può essere utilizzata server proxy e firewall.

Per utilizzare correttamente l'autenticazione del digest, è necessario innanzitutto disabilitare l'autenticazione anonima. La prima richiesta che viene inviata da tutti i browser a un server è l'accesso anonimo al contenuto del server. Se non si disabilita l'autenticazione anonima, gli utenti possono accedere in modo anonimo a tutto il contento sul server, incluso il contenuto soggetto a restrizioni.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione digest | Selezionare questa opzione per gestire l'autenticazione del digest.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione del digest.
Disabilita | Consente di disabilitare l'autenticazione del digest.
Modifica | Consente di visualizzare la finestra di dialogo Modifica impostazioni autenticazione digest in cui è possibile impostare l'area di autenticazione in base a cui autenticare le credenziali. È possibile eseguire questa azione solo se si seleziona Autenticazione del digest nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Modifica impostazioni autenticazione digest
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni autenticazione digest

Utilizzare la finestra di dialogo Modifica impostazioni autenticazione digest per definire il nome dell'area di autenticazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione
  • Area autenticazione

Digitare il nome del dominio DNS o l'indirizzo che utilizzerà le credenziali autenticate in base al dominio Windows interno. La specifica di un valore per Area autenticazione è obbligatoria per l'autenticazione del digest.

Vedere anche

  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione basata su form

Utilizzare l'autenticazione basata su form per fornire servizi di autenticazione per siti o applicazioni di server pubblici caratterizzati da un traffico intenso. Questa modalità di autenticazione consente di gestire la registrazione e l'autenticazione client a livello di applicazione, anziché utilizzare i meccanismi di autenticazione forniti dal sistema operativo.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione basata su form | Selezionare questa opzione per gestire l'autenticazione basata su form.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione basata su form.
Disabilita | Consente di disabilitare l'autenticazione basata su form.
Modifica | Consente di visualizzare la finestra di dialogo Modifica impostazioni autenticazione basata su form in cui è possibile impostare diversi parametri per l'autenticazione basata su form, ad esempio le impostazioni dei cookie e l'URL di accesso per il reindirizzamento di client non autenticati. È possibile eseguire questa azione solo se si seleziona Autenticazione basata su form nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Modifica impostazioni autenticazione basata su form
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni autenticazione basata su form

Utilizzare l'autenticazione basata su form anziché i meccanismi di autenticazione forniti dal sistema operativo per gestire la registrazione e l'autenticazione client a livello di applicazione.

Importante

Poiché l'autenticazione basata su form invia il nome utente e la password al server come testo non crittografato, è necessario utilizzare la crittografia SSL (Secure Sockets Layer) per la pagina di accesso e per tutte le altre pagine dell'applicazione ad eccezione della home page.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

URL di accesso

Consente di specificare l'URL a cui viene reindirizzata la richiesta per l'accesso se non viene trovato alcun cookie di autenticazione valido. Il valore predefinito è login.aspx.

Timeout del cookie di autenticazione (in minuti)

Consente di specificare la quantità di tempo, in minuti esatti, dopo la quale il cookie scade. Il valore predefinito è 30. Se l'attributo SlidingExpiration è impostato su true, l'attributo time-out sarà un valore variabile, che scade dopo il numero di minuti specificato a partire dall'ora di ricezione dell'ultima richiesta. Per impedire che le prestazioni vengano compromesse ed evitare che nel browser degli utenti che hanno attivato gli avvisi relativi ai cookie vengano visualizzati numerosi avvisi, il cookie viene aggiornato quando è già trascorsa oltre la metà del tempo specificato.

Modalità

Consente di specificare dove archiviare il ticket di autenticazione basata su form. Le opzioni sono:

  • Non utilizzare cookie: i cookie non vengono utilizzati.

  • Utilizza i cookie: i cookie vengono sempre utilizzati, indipendentemente dal dispositivo.

  • Rilevamento automatico: i cookie vengono utilizzati se sono supportati dal profilo del dispositivo. In caso contrario, non vengono utilizzati. Per i browser che supportano i cookie in ASP:NET viene eseguito un controllo per determinare se i cookie sono abilitati

  • Utilizza profilo del dispositivo - i cookie vengono utilizzati se sono supportati dal profilo del dispositivo. In caso contrario, non vengono utilizzati. In ASP.NET non viene eseguito alcun controllo per determinare se i cookie sono abilitati sui dispositivi che supportano i cookie. Si tratta dell'impostazione predefinita.

Nome

Consente di impostare il nome del cookie di autenticazione basata su form. Il nome predefinito è .ASPXAUTH.

Modalità di protezione

Consente di specificare il tipo di crittografia, se disponibile, da utilizzare per i cookie. Le opzioni sono:

  • Crittografia e convalida: specifica che per consentire la protezione del cookie vengono utilizzate sia la crittografia che la convalida dei dati. Questa opzione utilizza l'algoritmo di convalida dei dati configurato (basato sull'elemento <machineKey>). Per la crittografia viene utilizzato l'algoritmo Triple DES (3DES), se disponibile e se la chiave è sufficientemente lunga (48 byte o un numero superiore). Crittografia e convalida corrisponde al valore predefinito e consigliato.

  • Nessuna: specifica che la crittografia e la convalida sono entrambe disabilitate per i siti che utilizzano i cookie solo per la personalizzazione e che presentano requisiti di sicurezza di livello inferiore. Sebbene l'utilizzo di questa impostazione non sia consigliato da Microsoft, si tratta del metodo che richiede la minor quantità di risorse per abilitare la personalizzazione mediante .NET Framework.

  • Crittografia: specifica che il cookie viene crittografato utilizzando l'algoritmo Triple DES o DES, ma la convalida dei dati non viene eseguita sul cookie. I cookie utilizzati in questo modo potrebbero essere esposti ad attacchi plaintext.

  • Convalida: specifica che uno schema di convalida verifica che il contenuto di un cookie crittografato non sia stato modificato durante il passaggio. Il cookie viene creato utilizzando la convalida dei cookie attraverso la concatenazione di una chiave di convalida con i dati del cookie, il calcolo di un codice MAC (Message Authentication Code) e l'aggiunta di quest'ultimo al cookie in uscita.

Richiede SSL

Consente di specificare se è necessaria una connessione SSL per la trasmissione del cookie di autenticazione. Per impostazione predefinita, l'opzione è disabilitata.

Estendi scadenza cookie a ogni richiesta

Consente di specificare se la scadenza variabile è abilitata. La scadenza variabile reimposta l'ora in cui un cookie di autenticazione attivo scade a seguito di ogni richiesta durante una singola sessione. Per impostazione predefinita, l'opzione è attivata.

Vedere anche

  • Configurazione dell'autenticazione in IIS 7 (in linea)


Autenticazione di Windows

Utilizzare l'autenticazione di Windows solo in ambienti Intranet. Questo tipo di autenticazione consente di utilizzare l'autenticazione disponibile nel dominio Windows per autenticare connessioni client.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Autenticazione di Windows | Selezionare questa opzione per gestire l'autenticazione di Windows.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione di Windows.
Disabilita | Consente di disabilitare l'autenticazione di Windows.
Impostazioni avanzate | Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile abilitare o disabilitare l'autenticazione in modalità kernel e configurare le impostazioni di Protezione estesa. È possibile eseguire questa azione solo se si abilita Autenticazione di Windows nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Impostazioni avanzate - Funzionalità Autenticazione di Windows
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Impostazioni avanzate - Funzionalità Autenticazione di Windows

Utilizzare la finestra di dialogo Impostazioni avanzate per specificare se in modalità kernel viene eseguita l'autenticazione di Windows e per configurare le impostazioni di Protezione estesa. Per impostazione predefinita, l'autenticazione in modalità kernel è abilitata in IIS. Tale tipo di autenticazione può contribuire a migliorare le prestazioni e a prevenire problemi di autenticazione con i pool di applicazioni configurati per l'utilizzo di un'identità personalizzata.

È consigliabile non disabilitare questa impostazione se si utilizza l'autenticazione Kerberos e si dispone di un'identità personalizzata nel pool di applicazioni.

Negotiable 2 consente di utilizzare i nuovi provider di autenticazione, ad esempio LiveId (LiveSSP) o CardSpace (FedSSP), con IIS. Si tratta di uno schema di autenticazione HTTP che utilizza il protocollo di protezione NegoEx per estendere in modo logico il protocollo SPNEGO. Uno dei vantaggi del supporto per il protocollo Negotiable 2 disponibile in IIS è la possibilità di configurare l'autenticazione Kerberos esplicita che non utilizza NTLM se il client non supporta Kerberos.

Si noti che non è possibile utilizzare provider basati su Negotiable 2 se è abilitata l'autenticazione in modalità kernel. È necessario disattivare l'autenticazione in modalità kernel prima di utilizzare provider di autenticazione basati su Negotiable 2.

Vedere anche

  • Autenticazione di Windows


Rappresentazione ASP.NET

Utilizzare l'autenticazione basata su rappresentazione ASP.NET quando si desidera eseguire l'applicazione ASP.NET in un contesto di sicurezza diverso da quello predefinito.

Se si abilita la rappresentazione per un'applicazione ASP.NET, quest'ultima potrà essere eseguita in uno dei due diversi contesti: come utente autenticato da IIS o come account arbitrario impostato. Se ad esempio si utilizzasse l'autenticazione anonima e si scegliesse di eseguire l'applicazione ASP.NET come utente autenticato, l'applicazione verrebbe eseguita con un account impostato per gli utenti anonimi (in genere IUSR). Analogamente, se si scegliesse di eseguire l'applicazione con un account arbitrario, questa verrebbe eseguita in qualsiasi contesto di sicurezza impostato per quell'account.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Rappresentazione ASP.NET | Selezionare questa opzione per gestire l'autenticazione basata sulla rappresentazione ASP.NET.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita | Consente di abilitare l'autenticazione basata sulla rappresentazione ASP.NET.
Disabilita | Consente di disabilitare l'autenticazione basata sulla rappresentazione ASP.NET.
Modifica | Consente di visualizzare la finestra di dialogo Modifica impostazioni di rappresentazione ASP.NET in cui è possibile specificare l'identità da utilizzare per eseguire l'applicazione ASP.NET. È possibile eseguire questa azione solo quando si seleziona Rappresentazione ASP.NET nell'elenco della pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Impostazioni di rappresentazione ASP.NET
  • Finestra di dialogo Imposta credenziali - Funzionalità Rappresentazione ASP.NET
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Impostazioni di rappresentazione ASP.NET

Utilizzare la finestra di dialogo Impostazioni di rappresentazione ASP.NET per specificare l'account che deve essere rappresentato dall'applicazione ASP.NET.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Utente specifico | Digitare il nome dell'account specifico che si desidera venga rappresentato dall'applicazione ASP.NET.
Imposta | Consente di visualizzare la finestra di dialogo Imposta credenziali in cui è possibile specificare un nome account e una password che verranno utilizzati da IIS per la rappresentazione ASP.NET.
Nome utente autenticato | Selezionare Utente autenticato per consentire l'esecuzione dell'applicazione ASP.NET nel contesto di sicurezza dell'account utente autenticato da IIS.

Vedere anche

  • Finestra di dialogo Imposta credenziali - Funzionalità Rappresentazione ASP.NET
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Finestra di dialogo Imposta credenziali - Funzionalità Rappresentazione ASP.NET

Utilizzare la finestra di dialogo Imposta credenziali per specificare l'account che deve essere rappresentato da ASP.NET.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Digitare il nome dell'account che si desidera venga rappresentato da ASP.NET.
Password | Digitare la password associata all'account che si desidera venga rappresentato da ASP.NET.
Conferma password | Digitare nuovamente la password associata all'account che si desidera venga rappresentato da ASP.NET.

Vedere anche

  • Finestra di dialogo Impostazioni di rappresentazione ASP.NET
  • Configurazione dell'autenticazione in IIS 7 (in linea)


Regole di autorizzazione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Regole di autorizzazione

Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata


Pagina Regole di autorizzazione

Utilizzare la pagina Regole di autorizzazione per gestire l'elenco di regole di accesso e negazione dell'accesso che controllano l'accesso al contenuto.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Modalità

Consente di visualizzare il tipo di regola. I valori possono essere Consenti o Nega. I valori di Modalità indicano se la regola è destinata a consentire o negare l'accesso al contenuto.

Nota

Un ruolo, un utente o un gruppo, cui sia stato specificamente negato l'accesso da una regola, non può ottenerlo da un'altra.

Utenti

Consente di visualizzare il tipo di utente, i nomi utente o i gruppi di utenti a cui si applica la regola.

Ruoli

Consente di visualizzare il ruolo o i ruoli di Microsoft Windows ai quali si applica la regola, ad esempio il ruolo di amministratore.

Verbi

Consente di visualizzare il verbo o i verbi HTTP ai quali si applica questa regola, ad esempio GET o POST.

Tipo voce

Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi regola di accesso consentito | Consente di visualizzare la finestra di dialogo Aggiungi regola di autorizzazione consentita in cui è possibile definire regole per l'accesso al contenuto.
Aggiungi regola di accesso negato | Consente di visualizzare la finestra di dialogo Aggiungi regola di autorizzazione negata in cui è possibile definire regole per l'accesso al contenuto.
Modifica | Consente di visualizzare la finestra di dialogo Modifica regola di autorizzazione consentita o Modifica regola di autorizzazione negata in cui è possibile modificare le regole di autorizzazione. Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione delle regole di autorizzazione URL in IIS 7 (in linea)


Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata

Utilizzare le finestre di dialogo Aggiungi regola di autorizzazione consentita, Modifica regola di autorizzazione consentita, Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata per definire le regole per l'accesso al contenuto.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Tutti gli utenti | Selezionare questa opzione per gestire l'accesso al contenuto per utenti anonimi e autenticati. Per impostazione predefinita, per Tutti gli utenti è disponibile una regola di accesso consentito configurata.
Tutti gli utenti anonimi | Selezionare questa opzione per gestire l'accesso al contenuto per utenti non autenticati.
Ruoli o gruppi di utenti specificati | Selezionare questa opzione per gestire l'accesso al contenuto per ruoli o gruppi di utenti specifici di Microsoft Windows.
Utenti specificati | Selezionare questa opzione per gestire l'accesso al contenuto per un account utente specifico.
Applica la regola a verbi specifici | Consente di specificare che la regola si applica a verbi HTTP specifici, ad esempio GET o POST.

Vedere anche

  • Configurazione delle regole di autorizzazione URL in IIS 7 (in linea)


Pagina CGI

Utilizzare la pagina delle proprietà CGI per configurare applicazioni CGI (Common Gateway Interface) sul server Web. È possibile impostare il valore di timeout CGI per uno script CGI, isolare un'applicazione CGI nella rispettiva console o configurare un'applicazione CGI per l'esecuzione a livello di sistema o a livello utente.

Utilizzare l'elenco Visualizza per selezionare una delle opzioni seguenti relative alla modalità di visualizzazione delle impostazioni: Nomi descrittivi, Nomi di configurazione o Entrambi i nomi.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Timeout (hh.mm.ss) [timeout] | Consente di specificare il timeout (in secondi) per le applicazioni CGI. Il valore predefinito è 15 minuti (00.15.00).
Usa nuova console per ogni chiamata [createCGIWithNewConsole] | Consente di specificare se un'applicazione CGI viene eseguita nella rispettiva console. Se il valore è impostato su True, ogni applicazione CGI creerà una nuova console all'avvio. Il valore predefinito è False.
Rappresenta utente [createProcessAsUser] | Consente di specificare se verrà creato un processo CGI nel contesto del sistema o nel contesto dell'utente che ha effettuato la richiesta. Il valore predefinito è True.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione delle impostazioni CGI in IIS 7 (in linea)


Pagina Compressione

Utilizzare la pagina di funzionalità Compressione per ridurre i tempi di trasmissione tra IIS e browser abilitati per la compressione. La compressione è utile se il sito Web utilizza una notevole quantità di larghezza di banda o se si desidera utilizzare la larghezza di banda disponibile in modo più efficiente. La compressione può migliorare le prestazioni se la larghezza di banda di rete è limitata, come nel caso ad esempio dei client dei telefoni cellulari o in un contesto di un centro dati.

In IIS sono disponibili le opzioni di compressione seguenti:

  • Solo file statici

  • Solo risposte dell'applicazione dinamiche

  • File statici e risposte dell'applicazione dinamiche

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Abilita compressione statica del contenuto

Configura IIS per la compressione del contenuto statico.

Nota

A differenza delle risposte dinamiche, le risposte statiche compresse possono essere memorizzate nella cache su disco in più richieste senza influire sulle risorse della CPU. Alla richiesta successiva, un file compresso può essere recuperato dal disco, con un conseguente miglioramento delle prestazioni dal momento che la CPU non deve comprimere nuovamente il file.

Abilita compressione dinamica del contenuto

Configura IIS per la compressione del contenuto dinamico.

Nota

La compressione delle risposte dell'applicazione dinamiche può influire sulle risorse della CPU perché IIS non memorizza nella cache versioni compresse dell'output dinamico. Se la compressione è abilitata per le risposte dinamiche e IIS riceve una richiesta per una risorsa che contiene contenuto dinamico, la risposta inviata da IIS viene nuovamente compressa ogni volta che viene richiesta. Poiché la compressione dinamica utilizza una notevole quantità di tempo di CPU e di risorse di memoria, è opportuno utilizzarla solo sui server i cui client sono dotati di connessioni di rete lente ma con tempo di CPU disponibile.

Comprimi solo file con dimensioni maggiori di (in byte)

Consente di definire la dimensione minima del file che si desidera venga compresso da IIS. La dimensione predefinita è 256 byte.

Nota

Questa opzione è disponibile solo a livello di server.

Directory cache

Consente di definire il percorso di una directory locale in cui un file statico viene memorizzato nella cache dopo essere stato compresso, fino alla scadenza o fino alla modifica del contenuto. Per motivi di sicurezza, questa directory temporanea deve essere su un'unità locale su una partizione con formattazione NTFS. La directory non può essere compressa e non deve essere condivisa.

Nota

Questa casella è disponibile solo a livello di server.

Limite di spazio su disco per pool di applicazioni (in MB)

Consente di impostare la quantità massima di spazio, in megabyte, utilizzabile da IIS durante la compressione del contenuto statico. Se si specifica questa impostazione, IIS svuota automaticamente la directory temporanea quando viene raggiunto il limite impostato. Il limite predefinito è 100 MB per pool di applicazioni.

Nota

Questa opzione è disponibile solo a livello di server.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione della compressione HTTP in IIS 7 (in linea)


Pagina Editor di configurazione

L'editor di configurazione consente di aprire e gestire i file di configurazione tramite l'estrazione delle sezioni in Gestione IIS. Le sezioni disponibili vengono determinate dalla posizione dell'utente nel server, nel sito o nell'applicazione. All'interno di ciascuna sezione è possibile modificare elementi, attributi e insiemi. Questa funzionalità è disponibile solo per gli amministratori.

Utilizzare la pagina Editor di configurazione per gestire le sezioni dei file di configurazione. L'editor di configurazione può essere utilizzato anche per eseguire ricerche nei file di configurazione e per generare script.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Sezione | Utilizzare l'elenco a discesa Sezione per selezionare la sezione da configurare. Se si desidera digitare il percorso della sezione, è necessario specificare il percorso completo per accedere alla sezione dati, ad esempio system.data anziché data.
Sezione dei contenuti fondamentali | Nel riquadro centrale sono visualizzate le informazioni per la sezione da configurare. Il percorso della sezione viene visualizzato sopra le proprietà e i relativi valori. È possibile modificare questi valori di proprietà facendo clic sul valore.
Informazioni sul tipo e sulla convalida | Nella casella di testo visualizzata nella parte inferiore della pagina Editor di configurazione vengono visualizzate le informazioni sulla convalida e sul tipo di dati, ad esempio l'intervallo di valori, per la proprietà attualmente selezionata.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Applica

Salva le modifiche apportate all'elemento, all'attributo o all'insieme.

Annulla

Annulla le modifiche correnti apportate all'elemento, all'attributo o all'insieme. Se si fa clic su Applica non è possibile utilizzare Annulla per annullare le modifiche.

Genera script

Crea uno script delle azioni recentemente eseguite. Apre Finestra di dialogo script in cui è visualizzato lo script per l'azione in tre linguaggi di programmazione: C#, JavaScript e AppCmd. La funzionalità di generazione dello script viene abilitata solo dopo aver intrapreso un'azione, ad esempio la modifica del valore di una proprietà. È necessario generare uno script che includa l'azione prima di fare clic su Applica.

Lo script non include le azioni immediate, ad esempio il blocco di una sezione, la modifica di un insieme o il ripristino del padre.

Cerca configurazione

Apre la finestra di dialogo Ricerca della configurazione che consente di cercare sezioni specifiche nei file di configurazione.

Per ulteriori informazioni, vedere l'argomento Finestra di dialogo Ricerca della configurazione.

Blocca sezione

Blocca la sezione selezionata in modo che non possa essere ulteriormente modificata.

Sblocca sezione

Sblocca la sezione selezionata per consentire di apportare modifiche.

È possibile sbloccare una sezione solo nel percorso in cui è stata originariamente bloccata. Ad esempio, se una sezione è stata bloccata utilizzando ApplicationHost.config, non è possibile sbloccarla utilizzando Web.config.

Blocca attributo

Blocca l'attributo selezionato.

Sblocca attributo

Sblocca l'attributo selezionato per consentire di apportare modifiche.

È possibile sbloccare un attributo solo nel percorso in cui è stato originariamente bloccato.

Blocca elemento

Blocca l'elemento selezionato.

Sblocca elemento

Sblocca l'elemento selezionato per consentire di apportare modifiche.

È possibile sbloccare un elemento solo nel percorso in cui è stato originariamente bloccato.

Rimuovi

Rimuove l'elemento selezionato e le relative impostazioni.

Modifica elementi

Apre la finestra di dialogo Editor dell'insieme per consentire di aggiungere, modificare o rimuovere le proprietà di un insieme.

Per ulteriori informazioni, vedere l'argomento Finestra di dialogo Editor dell'insieme.

Ripristina padre

Modifica i valori nella sezione corrente in modo che vengano ereditati i valori dalla configurazione padre. È possibile utilizzare questa funzionalità solo a livello di sezione.

Vedere anche

  • Finestra di dialogo Ricerca della configurazione
  • Finestra di dialogo Editor dell'insieme


Finestra di dialogo Ricerca della configurazione

Utilizzare la finestra di dialogo Ricerca della configurazione per cercare sezioni specifiche nei file di configurazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Trova sezione | Digitare il percorso della sezione da cercare nel file di configurazione. Mentre vengono digitati i singoli caratteri, i risultati della ricerca vengono filtrati in modo da includere solo quelli corrispondenti alle selezioni.
Riquadro di sinistra | Visualizza i risultati della ricerca delle sezione nella visualizzazione semplice o gerarchica.
Riquadro di destra | Visualizza il valore di configurazione della sezione cercata nel file di configurazione.

Vedere anche

  • Pagina Editor di configurazione


Finestra di dialogo Editor dell'insieme

Utilizzare la finestra di dialogo Editor dell'insieme per aggiungere, modificare o rimuovere le proprietà di un insieme. Nell'editor dell'insieme sono presenti due riquadri: Elementi, in cui sono elencati tutti gli elementi di un insieme per la sezione da configurare, e Proprietà, in cui è possibile modificare i valori degli elementi di proprietà dell'insieme facendo clic sulla riga da modificare. Nella casella di testo visualizzata nella parte inferiore della finestra di dialogo Editor di configurazione vengono visualizzate le informazioni sulla convalida e sul tipo di dati, ad esempio l'intervallo di valori, per la proprietà attualmente selezionata.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Aggiunge una nuova riga alla fine dell'elenco degli elementi. Per la nuova riga vengono utilizzati i valori predefiniti dello schema.
Cancella tutto | Rimuove tutti gli elementi dall'insieme. Viene visualizzata una finestra di dialogo con la richiesta di confermare l'azione.
Blocca elemento | Blocca l'elemento selezionato nell'insieme.
Rimuovi | Elimina l'elemento selezionato dalla sezione del file di configurazione.

Vedere anche

  • Pagina Editor di configurazione


Stringhe di connessione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Stringhe di connessione

Finestre di dialogo Aggiungi stringa di connessione e Modifica stringa di connessione

Finestra di dialogo Imposta credenziali - Funzionalità Stringhe di connessione


Pagina Stringhe di connessione

Utilizzare la pagina di funzionalità Stringhe di connessione per gestire un elenco di stringhe di connessione utilizzato in genere dalle applicazioni di codice gestito.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome della stringa di connessione.
Stringa di connessione | Consente di visualizzare i dettagli della stringa di connessione.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi stringa di connessione in cui è possibile configurare una stringa di connessione SQL o personalizzata.
Modifica | Consente di visualizzare la finestra di dialogo Modifica stringa di connessione in cui è possibile modificare la stringa di connessione selezionata.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione delle stringhe di connessione in IIS 7 (in linea)


Finestre di dialogo Aggiungi stringa di connessione e Modifica stringa di connessione

Le finestre di dialogo Aggiungi stringa di connessione e Modifica stringa di connessione consentono di creare o modificare una stringa di connessione SQL o personalizzata da utilizzare in un'applicazione che si connette a un database.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Digitare un nome per la stringa di connessione, ad esempio ServerSqlGestioneTemporanea. Il nome immesso deve corrispondere al nome a cui viene fatto riferimento nel codice dell'applicazione per il recupero dei dati che utilizzano questa stringa di connessione.
Server | Digitare il nome del server SQL che ospita il database.
Database | Digitare il nome del database SQL Server.
Credenziali | Consente di definire le credenziali di sicurezza utilizzate per connettersi al database.
Utilizza sicurezza integrata di Windows | Selezionare questa opzione per configurare la stringa di connessione in modo che l'applicazione utilizzi l'identità di Windows corrente stabilita sul thread del sistema operativo per accedere al database SQL Server. La sicurezza integrata richiede che SQL Server sia in esecuzione sullo stesso computer di IIS, a meno che l'amministratore non abbia configurato la delega tra computer. Richiede inoltre che tutti gli utenti dell'applicazione appartengano allo stesso dominio per far sì che le credenziali di cui dispongono siano disponibili per il server Web.
Specifica credenziali | Selezionare questa opzione per configurare la stringa di connessione per l'utilizzo di un nome utente e di una password SQL Server. Questa configurazione risulta utile quando il database SQL Server si trova su un computer diverso dal server Web.
Imposta | Consente di visualizzare la finestra di dialogo Imposta credenziali in cui è possibile configurare un nome utente e una password per la connessione al database SQL Server.
Personalizzato | Digitare una stringa personalizzata per la connessione al database. Utilizzare questa stringa anziché una stringa di connessione SQL per connettersi a un archivio dati diverso o per configurare impostazioni della stringa di connessione aggiuntive.

Vedere anche

  • Finestra di dialogo Imposta credenziali - Funzionalità Stringhe di connessione
  • Configurazione delle stringhe di connessione in IIS 7 (in linea)


Finestra di dialogo Imposta credenziali - Funzionalità Stringhe di connessione

Utilizzare la finestra di dialogo Imposta credenziali per configurare una stringa di connessione per utilizzare un nome utente e una password di SQL Server. È consigliabile impostare queste credenziali quando il database SQL Server si trova in un computer diverso da quello del server Web.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Digitare il nome dell'account che deve essere utilizzato da IIS per accedere al database SQL Server.
Password | Digitare la password associata al database SQL Server.
Conferma password | Digitare nuovamente la password associata al database SQL Server.

Vedere anche

  • Finestre di dialogo Aggiungi stringa di connessione e Modifica stringa di connessione
  • Configurazione delle stringhe di connessione in IIS 7 (in linea)


Documento predefinito

In questa sezione sono presenti gli argomenti seguenti:

Pagina Documento predefinito

Finestra di dialogo Aggiungi documento predefinito


Pagina Documento predefinito

Utilizzare la pagina di funzionalità Documenti predefiniti per configurare l'elenco di documenti predefiniti. Se un utente accede al sito o all'applicazione senza specificare un nome di documento, ad esempio richiedendo http://www.contoso.com/ anziché http://www.contoso.com/Default.htm, è possibile configurare IIS in modo da rendere disponibile un documento predefinito quale Default.htm. IIS restituirà il primo documento predefinito dell'elenco che corrisponde a un nome file nella directory.

Nota

Per migliorare le prestazioni, verificare che il primo documento predefinito dell'elenco sia disponibile sul disco e che corrisponda al primo nome file dell'elenco.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome file aggiunto come documento predefinito.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi

Consente di visualizzare la finestra di dialogo Aggiungi documento predefinito in cui è possibile aggiungere un nome file all'elenco dei documenti predefiniti.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco al livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Disabilita

Consente di disabilitare la funzionalità Documenti predefiniti. Quando i documenti predefiniti sono disabilitati e un utente accede al sito o all'applicazione senza specificare un nome di documento, i browser del client riceveranno un errore di tipo 403 - Accesso negato perché il server Web non è in grado di determinare i file da rendere disponibili e il client non è in grado di visualizzare il contenuto della directory.

Nota

Se la funzionalità Documenti predefiniti è disabilitata ma la funzionalità Esplorazione directory è abilitata, i browser del client riceveranno un elenco di directory anziché un errore di tipo 403 - Accesso negato.

Abilita

Consente di abilitare la funzionalità Documenti predefiniti.

Ripristina ereditato

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Vedere anche

  • Configurazione dei documenti predefiniti in IIS 7 (in linea)


Finestra di dialogo Aggiungi documento predefinito

Utilizzare la pagina di funzionalità Aggiungi documento predefinito per aggiungere un nome file all'elenco dei documenti predefiniti.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Digitare il nome file o il percorso relativo che si desidera aggiungere all'elenco di documenti predefiniti. Questo valore verrà aggiunto all'inizio dell'elenco.

Vedere anche

  • Configurazione dei documenti predefiniti in IIS 7 (in linea)


Pagina Esplorazione directory

Utilizzare la pagina Esplorazione directory per modificare le impostazioni del contenuto per la selezione di una directory nel server Web. Quando si configura la funzionalità di esplorazione delle directory, tutte le sottodirectory utilizzano le stesse impostazioni, a meno che non vengano sostituite in un livello inferiore.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Ora | Selezionare questa opzione per visualizzare l'ora dell'ultima modifica di ogni file in un elenco di directory.
Dimensione | Selezionare questa opzione per visualizzare la dimensione di ogni file in un elenco di directory.
Estensione | Selezionare questa opzione per visualizzare l'estensione di ogni file in un elenco di directory.
Data | Selezionare questa opzione per visualizzare la data dell'ultima modifica di ogni file in un elenco di directory.
Data estesa | Selezionare questa opzione per visualizzare la data, in formato esteso, dell'ultima modifica di ogni file in un elenco di directory.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Abilita | Consente di abilitare la funzionalità Esplorazione directory. Quando la funzionalità Documento predefinito è disabilitata ma la funzionalità Esplorazione directory è abilitata, i browser del client ricevono un elenco di directory anziché un errore di tipo 403 - Accesso negato. Quando le funzionalità Documento predefinito e Esplorazione directory sono entrambe abilitate, IIS restituirà un eventuale documento predefinito trovato oppure un elenco di directory se non vengono trovati documenti predefiniti.
Disabilita | Consente di disabilitare la funzionalità Esplorazione directory. Quando le funzionalità Documento predefinito ed Esplorazione directory sono disabilitate, i browser del client ricevono un errore di tipo 403 - Accesso negato.

Vedere anche

  • Configurazione di Esplorazione directory in IIS 7 (in linea)


Pagine errore

In questa sezione sono presenti gli argomenti seguenti:

Pagina Pagine errori

Finestra di dialogo Aggiungi pagina errori personalizzati o Modifica pagina errori personalizzati

Finestra di dialogo Modifica impostazioni pagine errori

Finestra di dialogo Imposta percorso errori personalizzato localizzato


Pagina Pagine errori

Utilizzare la pagina Pagine errori per gestire un elenco di messaggi di errore HTTP personalizzati.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Codice stato | Consente di visualizzare il codice di stato HTTP al quale si applica la pagina degli errori.
Percorso | Consente di visualizzare il percorso della pagina di errore personalizzata se si sceglie il tipo di percorso File o l'URL della pagina di errore personalizzata se si utilizza il tipo di percorso Esegui URL o Reindirizzamento.
Tipo | Consente di visualizzare il tipo del percorso (file, URL di esecuzione o URL di reindirizzamento) della pagina di errore.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi pagina errori personalizzati in cui è possibile aggiungere un errore personalizzato all'elenco di errori HTTP.
Modifica | Consente di visualizzare la finestra di dialogo Modifica pagina errori personalizzati in cui è possibile modificare l'errore personalizzato selezionato.
Modifica codice stato | Consente di abilitare il campo Codice stato della voce di elenco selezionata in modo da poter modificare il codice di stato al quale si applica la pagina di errore.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Modifica impostazioni funzionalità | Consente di visualizzare la finestra di dialogo Modifica impostazioni pagine errori in cui è possibile configurare le impostazioni che si applicano all'intera funzionalità Pagine errori.

Vedere anche

  • Configurazione delle pagine errori in IIS 7 (in linea)


Finestra di dialogo Aggiungi pagina errori personalizzati o Modifica pagina errori personalizzati

Utilizzare le finestre di dialogo Aggiungi pagina errori personalizzati e Modifica pagina errori personalizzati per configurare IIS per la restituzione di un messaggio di errore personalizzato ogni volta che si verifica un errore HTTP specifico.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Codice stato

Digitare il codice di stato HTTP (e il codice di stato secondario facoltativo) al quale si applica la pagina di errore personalizzata.

Inserisci contenuto dal file statico nella risposta di errore

Selezionare questa opzione quando la pagina di errore deve includere contenuto statico, ad esempio da un file HTML. Nella casella Percorso file corrispondente digitare o individuare il percorso fisico del file statico.

Attenzione

Se il file configurato nella casella Percorso file non corrisponde a contenuto statico, ad esempio un file con estensione aspx, il codice verrà visualizzato anziché essere eseguito quando viene restituita la risposta.

Sfoglia

Consente di aprire il menu dei file da cui cercare il file statico.

Prova a restituire il file di errore nella lingua del client

Selezionare questa opzione quando l'errore deve essere restituito nella lingua del client, se possibile. Quando si seleziona questa casella di controllo, fare clic sul pulsante Imposta per configurare il percorso.

Imposta

Consente di visualizzare la finestra di dialogo Imposta percorso errori personalizzato localizzato in cui è possibile configurare il percorso di file di errore localizzati.

Nota

Questo pulsante è abilitato solo quando si seleziona Prova a restituire il file di errore nella lingua del client.

Esegui un URL su questo sito

Selezionare questa opzione quando la pagina di errore deve includere contenuto dinamico, ad esempio da un file ASP. Nella casella URL (relativo alla radice del sito) corrispondente digitare il percorso relativo dell'errore personalizzato.

Rispondi con reindirizzamento 302

Selezionare questa opzione quando si desidera che il client venga reindirizzato a un URL diverso. Nella casella URL assoluto corrispondente digitare l'URL completo al quale reindirizzare il client.

Vedere anche

  • Configurazione delle pagine errori in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni pagine errori

La finestra di dialogo Modifica impostazioni pagine errori consente di restituire un messaggio di errore predefinito ogni volta che si verifica un errore HTTP per il quale non è disponibile una pagina di errore predefinita.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Pagine errori personalizzati

In Risposte di errore selezionare questa opzione per rispondere con solo pagine di errore personalizzati sia a richieste locali che a richieste effettuate da altri computer.

Errori dettagliati

In Risposte di errore selezionare questa opzione per rispondere con solo errori dettagliati sia a richieste locali che a richieste effettuate da altri computer.

Attenzione

I messaggi di errore dettagliati possono includere informazioni riservate del server che verranno visualizzate ai client.

Errori dettagliati per richieste locali e pagine errori personalizzati per richieste remote

In Risposte di errore selezionare questa opzione per visualizzare errori dettagliati in caso di richieste locali ed errori personalizzati in caso di richieste effettuate da altri computer.

Percorso

In Pagina predefinita digitare o individuare il percorso della pagina di errore predefinita. A seconda dell'opzione selezionata nell'elenco a discesa Tipo di percorso, il valore digitato nel campo Percorso deve essere uno degli elementi seguenti:

  • Se si seleziona File, specificare un percorso fisico.

  • Se si seleziona Esegui URL, specificare un URL relativo all'URL radice del sito.

  • Se si seleziona Reindirizzamento, digitare un URL.

Tipo di percorso

In Pagina predefinita selezionare una delle opzioni seguenti nell'elenco a discesa Tipo di percorso:

  • File: l'errore predefinito è rappresentato da contenuto statico, ad esempio da un file HTML.

  • Esegui URL: l'errore predefinito è rappresentato da contenuto dinamico, ad esempio da un file ASP.

  • Reindirizzamento: l'errore predefinito è rappresentato da un URL di reindirizzamento.

Vedere anche

  • Configurazione delle pagine errori in IIS 7 (in linea)


Finestra di dialogo Imposta percorso errori personalizzato localizzato

Utilizzare la finestra di dialogo Imposta percorso errori personalizzato localizzato per configurare il percorso di file di errore localizzati.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso directory radice | Digitare il percorso fisico della directory radice dei file di errore localizzati. Il percorso della directory radice è la parte del percorso che precede la directory delle impostazioni locali, ad esempio EN-US. Ad esempio, se il percorso completo dei file di errore per le impostazioni locali EN-US è d:\errors\EN-US\messages\404.htm, sarà necessario digitare d:\errors.
Sfoglia | Consente di aprire il menu dei file da cui cercare il percorso.
Percorso relativo del file | Digitare il percorso fisico relativo del file di errore localizzato. Il percorso relativo del file è la parte del percorso che segue la directory delle impostazioni locali, ad esempio EN-US. Ad esempio, se il percorso completo dei file di errore per le impostazioni locali EN-US è d:\errors\EN-US\messages\404.htm, sarà necessario digitare \messages\404.htm.

Vedere anche

  • Configurazione delle pagine errori in IIS 7 (in linea)


Regole di traccia richieste non riuscite

In questa sezione sono presenti gli argomenti seguenti:

Pagina Regole di traccia richieste non riuscite

Pagina Specifica contenuto da tracciare della procedura guidata

Pagina Definisci condizioni di traccia della procedura guidata

Pagina Seleziona provider di traccia della procedura guidata


Pagina Regole di traccia richieste non riuscite

Utilizzare la pagina Regole di traccia richieste non riuscite per gestire un elenco delle regole di traccia per le richieste non riuscite.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Percorso | Consente di visualizzare l'URL di cui è stata eseguita la traccia da una regola di traccia per le richieste non riuscite. L'URL può contenere al massimo un carattere jolly e deve essere locale rispetto alla directory in cui è impostata la definizione della richiesta non riuscita. Ad esempio, gli schemi jolly *.aspx e ind* corrisponderanno entrambi all'URL www.contoso.com/index.aspx.
Provider associati | Consente di visualizzare i provider di traccia associati a una regola di traccia per le richieste non riuscite. Un provider definisce l'area funzionale della traccia. Un esempio è dato dal provider di traccia ASP.NET, che esegue la traccia delle transizioni interne ed esterne al codice gestito, incluse le richieste *.aspx.
Codici stato | Consente di visualizzare le combinazioni di codici di stato e stato secondario HTTP di cui viene eseguita la traccia da una regola di traccia per le richieste non riuscite. Nell'elenco possono essere presenti più codici di stato, separati da virgole.
Tempo impiegato | Consente di visualizzare la durata massima in secondi prevista per l'esecuzione della richiesta.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi

Consente di avviare la procedura guidata Aggiungi regola di traccia richieste non riuscite in cui è possibile aggiungere una regola per eseguire la traccia delle richieste non riuscite.

Modifica

Consente di avviare la procedura guidata Modifica regola di traccia richieste non riuscite in cui è possibile modificare la regola selezionata per la traccia delle richieste non riuscite.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Modifica funzionalità di traccia sito

Consente di visualizzare la finestra di dialogo Modifica impostazioni traccia richieste non riuscite sito Web in cui è possibile abilitare e configurare le impostazioni di traccia delle richieste non riuscite per il sito Web. Questa azione è disponibile solo quando si è connessi a un server ed è stato selezionato un sito specifico.

Visualizza registri di traccia

Consente di aprire la directory dei file di registro di traccia. Questa azione è disponibile solo quando si è connessi a un server.

Ripristina ereditato

Consente di reimpostare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Configurazione della traccia per richieste non riuscite in IIS 7 (in linea)


Pagina Specifica contenuto da tracciare della procedura guidata

Utilizzare la pagina Specifica contenuto da tracciare della procedura guidata Modifica regola di traccia per richieste non riuscite per configurare il contenuto che si desidera tracciare con una regola di traccia per le richieste non riuscite.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Tutto il contenuto (*) | Selezionare questa opzione per includere nella traccia tutti i file di una directory.
ASP.NET (*.aspx) | Selezionare questa opzione per includere nella traccia tutti i file con estensione aspx presenti in una directory.
ASP (*.asp) | Selezionare questa opzione per includere nella traccia tutti i file con estensione asp presenti in una directory.
Personalizzato | Selezionare questa opzione e digitare un valore, ad esempio "xyz.exe" o "* .jpg", per includere nella traccia un errore relativo a un insieme personalizzato di contenuti. Questo valore può contenere, al massimo, un carattere jolly e deve essere locale rispetto alla directory in cui è impostata la definizione della richiesta non riuscita. Ad esempio, gli schemi jolly *.aspx e ind* corrisponderanno entrambi all'URL www.contoso.com/index.aspx.

Vedere anche

  • Configurazione della traccia per richieste non riuscite in IIS 7 (in linea)


Pagina Definisci condizioni di traccia della procedura guidata

Utilizzare la pagina Definisci condizioni di traccia della procedura guidata Aggiungi regola di traccia richieste non riuscite o Modifica regola di traccia richieste non riuscite per definire una condizione di traccia per una regola di traccia delle richieste non riuscite. Questa condizione di traccia consente di acquisire gli eventi di traccia relativi a una richiesta non riuscita e di registrarli via via che si verificano senza dover riprodurre l'errore.

Se vengono specificate più condizioni di traccia, alla prima condizione soddisfatta verrà generato il file di registro di traccia per le richieste non riuscite. Se ad esempio si configura una regola di traccia per registrare le richieste che generano il codice di stato 404 e la cui esecuzione richiede più di quattro secondi, il registro di traccia verrà generato quando verrà soddisfatta la prima delle seguenti condizioni:

  • Una richiesta genera il codice di stato 404.

  • Per l'esecuzione di una richiesta sono richiesti più di quattro secondi.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Codici stato

Selezionare questa opzione quando si desidera che venga registrato un evento di traccia per le risposte che generano il codice di stato HTTP specificato (e facoltativamente un codice di stato secondario). Nella casella corrispondente digitare il codice o i codici di stato che si desidera includere nella traccia. Per separare più codici di stato, utilizzare la virgola (,) tra un codice e l'altro. Per digitare un intervallo di codici di stato, utilizzare un trattino (-) tra due codici. È inoltre possibile definire in modo più dettagliato i codici di stato utilizzando codici di stato secondario, ad esempio 404.2, 404.3 o 500.

Tempo impiegato (in secondi)

Selezionare questa opzione quando si desidera includere nella traccia eventi che superano l'intervallo di tempo allocato per completare l'elaborazione della richiesta. Nella casella corrispondente digitare il tempo massimo in secondi consentito per l'esecuzione di una richiesta.

Gravità evento

Selezionare questa opzione quando si desidera includere nella traccia eventi in base alla gravità. Nell'elenco corrispondente selezionare una delle gravità seguenti in base a cui includere gli eventi nella traccia:

  • Errore: vengono fornite informazioni sui componenti in cui si è verificato un errore e che non sono in grado di continuare a elaborare richieste. Questi errori indicano in genere un problema sul lato server.

  • Errore critico: vengono fornite informazioni su azioni che possono causare l'interruzione di un processo.

  • Avviso: vengono fornite informazioni su componenti in cui si è verificato un errore ma che sono in grado di continuare a elaborare la richiesta.

Vedere anche

  • Configurazione della traccia per richieste non riuscite in IIS 7 (in linea)


Pagina Seleziona provider di traccia della procedura guidata

Utilizzare la pagina Seleziona provider di traccia della procedura guidata Aggiungi regola di traccia richieste non riuscite o Modifica regola di traccia richieste non riuscite per definire gli elementi da includere nella traccia di un URL, tra cui i provider di traccia, il livello di dettaglio e le aree che il provider deve tracciare.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Provider

Consente di definire l'area funzionale per la traccia. È possibile selezionare uno o più dei provider di traccia seguenti:

  • ASP: se si desidera tracciare l'inizio e il completamento dell'esecuzione di una richiesta ASP.

  • ASP.NET: se si desidera vedere le transizioni fuori e dentro il codice gestito. Sono incluse tutte le richieste relative a file con estensione aspx e eventuali richieste elaborate da moduli gestiti, ad esempio file statici configurati per l'utilizzo dell'autenticazione basata su form.

  • Estensione ISAPI: se si desidera tracciare la transizione di una richiesta fuori e dentro un processo estensione ISAPI.

  • Server WWW: se si desidera tracciare le richieste tramite il processo di lavoro IIS.

Dettaglio

Consente di specificare la quantità di dati riportati da ciascun provider nel registro di traccia. I livelli di dettaglio sono inclusivi, ovvero se ad esempio si seleziona Errori, nel file di registro verranno inclusi gli errori, gli errori critici e gli eventi generali. È possibile selezionare uno o più dei livelli di dettaglio seguenti:

  • Generale: fornisce informazioni di contesto per l'attività della richiesta. In IIS 7, ad esempio, IISGeneralEvents::GENERAL_REQUEST_START determina la registrazione dell'URL e del verbo della richiesta.

  • Errori critici: fornisce informazioni su azioni che possono o che stanno determinando l'interruzione di un processo.

  • Errori: fornisce informazioni su componenti che tentano di essere eseguiti sul server, ma non possono continuare a elaborare le richieste a causa di errori. Tali errori generalmente comportano l'interruzione nell'elaborazione di una richiesta. Un evento di autorizzazione ne è un esempio.

  • Avvisi: fornisce informazioni su componenti che tentano di essere eseguiti sul server e possono continuare a elaborare le richieste nonostante la presenza di errori.

  • Informazioni: fornisce informazioni generali sulle richieste.

  • Modalità dettagliata: fornisce informazioni dettagliate sulle richieste.

Aree

Consente di definire le aree che il provider deve tracciare.

Se il provider selezionato è il provider di traccia ASP.NET, selezionare una o più delle aree seguenti da tracciare:

  • Infrastruttura: se si desidera tracciare eventi correlati principalmente all'entrata e all'uscita da varie zone dell'infrastruttura ASP.NET.

  • Modulo: se si desidera tracciare eventi che vengono registrati quando una richiesta entra o esce da vari moduli pipeline HTTP. Quest'area viene utilizzata anche per acquisire eventi di traccia per moduli gestiti.

  • Pagina: se si desidera generare eventi di traccia che corrispondono all'esecuzione di eventi specifici correlati alle pagine ASP.NET, ad esempio Page_Load. Quest'area viene utilizzata anche per acquisire eventi Trace.Write e Trace.Warn delle pagine ASP.NET.

  • AppServices: se si desidera tracciare eventi che sono registrati come parte della nuova funzionalità dei servizi dell'applicazione.

Se il provider selezionato è il provider di traccia server WWW, selezionare una o più delle aree seguenti da tracciare:

  • Autenticazione: se si desidera tracciare tentativi di autenticazione, inclusi il nome dell'utente autenticato, lo schema di autenticazione (anonimo, di base, o altri) e i risultati del tentativo di autenticazione (riuscito, non riuscito, errore e così via).

  • Sicurezza: se si desidera generare eventi di traccia quando le richieste vengono rifiutate dal server che esegue IIS per motivi di sicurezza, ad esempio una richiesta client cui viene negato l'accesso a una risorsa.

  • Filtro: se si desidera determinare il tempo necessario per l'elaborazione delle richieste da parte di un filtro ISAPI.

  • StaticFile: se si desidera tracciare il tempo necessario per il completamento delle richieste di file statici o vedere come i filtri potrebbero modificare le richieste.

  • CGI: se viene effettuata una richiesta per un file CGI e si desidera generare eventi di traccia.

  • Compressione: se una risposta viene compressa e si desidera generare eventi di traccia.

  • Cache: se si desidera generare eventi di traccia per le operazioni della cache associate alla richiesta.

  • RequestNotifications: se si desidera acquisire tutte le notifiche delle richieste, sia in ingresso che in uscita.

  • Modulo: se si desidera tracciare eventi che vengono registrati quando una richiesta entra o esce da vari moduli pipeline HTTP. Quest'area viene utilizzata anche per acquisire eventi di traccia per moduli gestiti.

Vedere anche

  • Configurazione della traccia per richieste non riuscite in IIS 7 (in linea)


Pagina Impostazioni di FastCGI

Per comunicare con le applicazioni esterne, i server Web utilizzano il protocollo Fast Common Gateway Interface (FastCGI) che definisce il modo in cui le informazioni vengono passate tra il server Web e un'applicazione FastCGI esterna. Quando viene inviata una richiesta, il server Web avvia un'applicazione FastCGI per elaborare la richiesta e generare le risposte dinamiche da restituire al client.

Le richieste HTTP vengono gestite dalle applicazioni FastCGI, ciascuna delle quali è costituita da un insieme di pool di processi. All'interno dei pool, ciascun processo gestisce le richieste una alla volta e, al termine, ritorna nel pool per ricevere un'altra richiesta.

Utilizzare la pagina Impostazioni di FastCGI per configurare le impostazioni del pool di processi per le applicazioni FastCGI nel server Web. È possibile aggiungere nel server Web applicazioni FastCGI che possono essere utilizzate dai siti e specificare le proprietà di configurazione, quali le variabili di elaborazione e il numero massimo di richieste per le applicazioni.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Percorso completo

Indica il percorso fisico dell'eseguibile del processo da utilizzare nel pool di processi.

Argomenti

Elenca gli argomenti da passare all'avvio all'applicazione FastCGI selezionata. Tali argomenti possono essere utilizzati per identificare in modo univoco un pool di processi FastCGI, se esistono diversi pool di processi FastCGI per un singolo eseguibile del processo.

Numero massimo di istanze

Indica il numero massimo di processi FastCGI consentiti nel pool di processi per l'applicazione FastCGI selezionata. Questo numero rappresenta anche il numero massimo di richieste simultanee che possono essere gestite dall'applicazione FastCGI. Il valore predefinito è 4.

Solo nei sistemi operativi Windows® 7 e Windows Server® 2008 R2, se si imposta la proprietà MaxInstances su 0, IIS seleziona automaticamente il numero di processi FastCGI ottimale per l'ambiente di esecuzione corrente.

Numero massimo di richieste dell'istanza

Indica il numero massimo di richieste che l'applicazione FastCGI selezionata esegue prima del riciclo. Il valore predefinito è 200.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi applicazione | Apre la finestra di dialogo Aggiungi applicazione FastCGI che consente di configurare le proprietà generali e di elaborazione.
Modifica | Apre la finestra di dialogo Modifica applicazione FastCGI che consente di modificare le proprietà generali e di elaborazione per l'applicazione selezionata.
Rimuovi | Rimuove l'applicazione FastCGI selezionata.

Vedere anche

  • Finestra di dialogo Aggiungi applicazione FastCGI o Modifica applicazione FastCGI
  • Finestra di dialogo Editor delle variabili di ambiente


Finestra di dialogo Aggiungi applicazione FastCGI o Modifica applicazione FastCGI

Utilizzare le finestre di dialogo Aggiungi applicazione FastCGI e Modifica applicazione FastCGI per aggiungere o modificare le proprietà generali e di elaborazione di un'applicazione.

Per ulteriori informazioni sulle applicazioni FastCGI, vedere Pagina Impostazioni di FastCGI.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Percorso completo

Specifica il percorso fisico dell'eseguibile del processo da utilizzare nel pool di applicazioni FastCGI.

…

Fare clic per cercare il percorso fisico del file eseguibile del processo FastCGI.

Argomenti

Specifica gli argomenti della riga di comando che vengono passati al processo FastCGI. Tali argomenti possono essere utilizzati per identificare in modo univoco un pool di processi FastCGI, se esistono diversi pool di processi FastCGI per un singolo eseguibile del processo.

Variabili di ambiente

Specifica l'insieme delle variabili di ambiente che viene impostato per il programma eseguibile del processo. Questa proprietà è facoltativa. Fare clic sul pulsante Sfoglia (…) per aprire Editor dell'insieme - Variabili di ambiente da cui è possibile aggiungere e rimuovere i membri e definire i valori di proprietà. Per ulteriori informazioni, vedere la pagina della Guida dell'interfaccia utente Finestra di dialogo Editor delle variabili di ambiente.

Numero massimo di richieste dell'istanza

Controlla il comportamento del riciclo dei processi FastCGI. Specifica il numero massimo di richieste che un'applicazione FastCGI può gestire prima del riciclo del processo. Il valore predefinito è 200.

Numero massimo di istanze

Specifica il numero massimo di processi FastCGI consentiti nel pool di processi per l'applicazione FastCGI selezionata. Questo numero rappresenta anche il numero massimo di richieste simultanee che possono essere gestite dall'applicazione FastCGI. Il valore predefinito è 4.

Solo nei sistemi operativi Windows® 7 e Windows Server® 2008 R2, se si imposta la proprietà Numero massimo di istanze su 0, IIS seleziona automaticamente il numero di processi FastCGI ottimale per l'ambiente di esecuzione corrente.

Timeout attività

Specifica il tempo massimo di esecuzione consentito per il processo FastCGI dell'applicazione che non comunica con IIS prima del timeout del processo. Il timeout può essere utilizzato per rilevare e chiudere i processi bloccati. Il valore predefinito è 30 (secondi).

FlushNamedpipe

Specifica se la named pipe viene cancellata alla fine di ogni richiesta e prima della chiusura dell'applicazione. Se la named pipe viene cancellata, il valore è impostato su true. Il valore predefinito è false. Questa proprietà si applica solo quando si utilizza il protocollo named pipe.

Protocollo

Specifica il protocollo da utilizzare per comunicare con il processo FastCGI. Il valori possibili per la proprietà Protocollo sono 0 (NamedPipe) o 1 (TCP). Il valore predefinito è 0 (NamedPipe).

IdleTimeout

Specifica il tempo di inattività consentito per un processo FastCGI dell'applicazione dopo il quale un processo inattivo viene terminato. Il valore predefinito è 300 (secondi).

Lunghezza coda

Specifica il numero massimo di richieste che vengono accodate per il pool di applicazioni FastCGI. Quando la coda è piena, le richieste successive restituiscono ai client il codice di errore HTTP 503 (Servizio non disponibile). In tal modo si indica che l'applicazione è troppo occupata. Il valore predefinito è 1000.

Numero massimo di errori PerMinute

Specifica il numero massimo di errori del processo FastCGI consentiti in un minuto prima che il gestore FastCGI attivi la modalità non in linea per il processo. Il valore predefinito è 10.

Timeout richiesta

Specifica il tempo massimo consentito per una richiesta all'applicazione. Se per una singola richiesta viene impiegato più tempo di quanto specificato, il processo FastCGI viene terminato. Il valore predefinito è 90 secondi.

Controlla modifiche al file

Questa proprietà viene applicata solo ai sistemi operativi Windows 7 e Windows Server® 2008 R2.

Specifica il percorso di un file. Se si modifica il file viene attivato il riciclo dei processi FastCGI. È possibile specificare il percorso assoluto e anche il percorso relativo alla posizione dell'eseguibile di FastCGI.

Modalità errori standard

Questa proprietà viene applicata solo ai sistemi operativi Windows 7 e Windows Server® 2008 R2.

Specifica come vengono gestiti gli errori restituiti da un processo FastCGI. Sono disponibili le seguenti opzioni:

  • ReturnStderrIn500 Questo modulo imposta il codice di stato su 500 e invia come risposta ciò che è stato ricevuto in STDERR. È il valore predefinito e ha lo stesso comportamento di IIS.

  • ReturnGeneric500 Questo modulo imposta il codice di stato su 500, ma restituisce un valore 500 generico. Questa configurazione è utile se si desidera abilitare la registrazione dettagliata degli errori per un server, ma non si desidera che questi errori vengano restituiti agli utenti.

  • IgnoreAndReturn200 Questo modulo invia come risposta ciò che è stato ricevuto in STDOUT con il codice di stato 200. Il testo nel flusso STDERR viene ignorato. Questa proprietà è utile se si desidera utilizzare le istruzioni di debug per scopi di individuazione.

  • TerminateProcess Questo modulo termina il processo FastCGI e restituisce il messaggio di errore generico 500.


Finestra di dialogo Editor delle variabili di ambiente

Le variabili di ambiente sono stringhe contenenti informazioni quali un nome file o un percorso. Tali variabili controllano il comportamento di vari programmi in un computer.

Quando si aggiunge o si modifica un'applicazione FastCGI, è possibile definire i valori per le proprietà dell'applicazione. Ad esempio, è possibile definire i valori per le variabili di ambiente. Tali variabili di ambiente vengono impostate dal modulo FastCGI durante l'avvio di un processo FastCGI. Le variabili di ambiente vengono impostate solo per il processo FastCGI e non vengono utilizzate da nessun altro processo in esecuzione nel computer. Fare clic sul pulsante Sfoglia (…) quando si imposta la proprietà Variabili di ambiente per aprire la finestra di dialogo Editor dell'insieme - Variabili di ambiente. In questa finestra sarà possibile specificare le variabili di ambiente facoltative che verranno impostate nell'eseguibile di FastCGI. Se uno dei nomi di variabile forniti collide con le variabili del server, verrà utilizzata la variabile specificata in questa proprietà.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Membri | Contiene l'elenco dei membri dell'insieme delle variabili di ambiente. Ciascun membro è costituito da una coppia nome-valore. Per aggiungere un membro, digitare il nome e un valore nel riquadro Proprietà nome e fare clic su Aggiungi. Per rimuovere un membro, evidenziarlo nell'elenco, quindi fare clic su Rimuovi. Per cambiare l'ordine di memorizzazione dei membri nel file ApplicationHost.config, utilizzare le frecce Su e Giù. Dal momento che tutte le coppie nome-valore sono univoche, l'ordine non altera la funzionalità.
Nome | Digitare un nome univoco per il membro.
Valore | Digitare un valore per il membro. Queste informazioni vengono memorizzate insieme al nome corrispondente nel file ApplicationHost.config.
Icone di ordinamento | Utilizzare queste icone per ordinare le coppie nome-valore dell'insieme per categoria, pagine di proprietà o ordine alfabetico.


Delega funzionalità

In questa sezione sono presenti gli argomenti seguenti:

Pagina Delega funzionalità

Pagina Delega sito personalizzata o Delega applicazione personalizzata

Finestra di dialogo Copia delega


Pagina Delega funzionalità

Utilizzare la pagina di funzionalità Delega funzionalità per configurare lo stato di delega delle funzionalità di Gestione IIS per i siti e le applicazioni sul server Web in Windows Vista® e Windows Server® 2008. Quando si configura lo stato di delega di una funzionalità in Gestione IIS, è possibile specifica se bloccare o sbloccare la sezione di configurazione correlata alla funzionalità nei file di configurazione a livello di server (ApplicationHost.config e Web.config radice) per IIS 7. Quando si blocca una funzionalità, è possibile leggere e scrivere la configurazione nel file di configurazione a livello di server solo per tale funzionalità. È tuttavia possibile sbloccare una funzionalità quando si desidera rendere possibile la lettura e la scrittura della configurazione in file di configurazione di livello inferiore, ad esempio un file Web.config nel sito o nell'applicazione.

Nota

Quando si configura lo stato di delega delle funzionalità in Gestione IIS, è possibile controllare solo le sezioni di configurazione e i livelli corrispondenti in cui è possibile definire le impostazioni nei file di configurazione.

Utilizzando i file Web.config per leggere e salvare in siti e applicazioni impostazioni di configurazione per una qualsiasi o tutte le funzionalità, è possibile copiare facilmente la configurazione da un computer all'altro. Ad esempio, è possibile sviluppare un'applicazione su un computer di sviluppo o di test e specificare che alcune funzionalità di tale applicazione vengano scritte nel file Web.config. In tal modo è possibile comprimere facilmente tutto il contenuto dell'applicazione, incluso il file di configurazione, e di trasferirlo in un altro computer.

Importante

Se si sviluppa un sito o un'applicazione per un ambiente di produzione, è necessario chiedere a un amministratore del computer di produzione se è possibile sbloccare le funzionalità configurate nel file Web.config del sito o dell'applicazione nell'ambiente di produzione. Se la funzionalità che si configura in Web.config è bloccata nell'ambiente di produzione, potrebbero verificarsi errori di runtime in quanto la configurazione scelta non è valida.

In Windows Server 2008 Delega funzionalità viene utilizzata insieme alle funzionalità Utenti Gestione IIS e Autorizzazioni Gestione IIS per consentire a utenti non amministratori di visualizzare e configurare funzionalità delegate in siti o applicazioni tramite Gestione IIS. Lo stato di delega di una funzionalità determina se gli utenti possono configurare la funzionalità nei relativi siti e applicazioni. Se ad esempio si desidera consentire agli utenti di configurare le stringhe di connessione ai dati, è possibile selezionare Stringhe di connessione nell'elenco della pagina Delega funzionalità e quindi fare clic su Lettura/Scrittura nel riquadro Azioni o nel menu di scelta rapida.

Le impostazioni della pagina Delega funzionalità vengono applicate a tutti i siti e le applicazioni sul server Web. Le impostazioni di Delega funzionalità configurate a livello di server sono valide per tutti i siti del server, mentre quelle configurate a livello di sito sono valide per tutte le applicazioni di tale sito. Per configurare lo stato di delega per funzionalità di un sito o un'applicazione specifica, utilizzare le pagine Delega sito personalizzata e Delega applicazione personalizzata.

Attenzione

Se si desidera modificare stati di delega per le funzionalità già configurati, è necessario esaminare in che modo le funzionalità sono state delegate ai livelli inferiori della configurazione per assicurarsi di comprendere l'impatto delle modifiche sulle funzionalità a tali livelli. Se ad esempio una funzionalità è stata configurata come di sola lettura per i siti e un utente a livello del sito ha configurato un'impostazione più restrittiva rimuovendo la delega per tale funzionalità, è possibile che lo stato impostato dall'utente venga modificato inavvertitamente se si configura la funzionalità come di lettura/scrittura al livello padre. È consigliabile utilizzare un computer di test per verificare l'impatto delle modifiche degli stati di delega sull'ambiente prima di apportare modifiche a un ambiente di produzione.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome della funzionalità dell'interfaccia utente in Gestione IIS. Selezionare una funzionalità e quindi fare clic sullo stato di delega desiderato nel riquadro Azioni o nel menu di scelta rapida.
Delega | Consente di visualizzare lo stato di delega della funzionalità dell'interfaccia utente a livelli inferiori.

Elementi del riquadro Azioni

Nella tabella riportata di seguito sono illustrate le opzioni di delega disponibili per le funzionalità di IIS 7 in Gestione IIS e l'impatto di tali opzioni sui file di configurazione e sull'interfaccia utente. Tali funzionalità sono basate sulla configurazione. Se si estende Gestione IIS in modo da includere funzionalità di terze parti, è possibile che gli stati di delega siano diversi da quelli riportati in questa tabella se vengono utilizzati stati di delega specificati dall'utente. Singole funzionalità configurate nella pagina Delega funzionalità potrebbero inoltre essere specifiche del protocollo e non applicabili a tutti i siti e a tutte le applicazioni.

Opzione di delega Descrizione per i sistemi operativi Windows Vista Descrizione per i sistemi operativi Windows Server 2008

Lettura/Scrittura

Selezionare l'opzione Lettura/Scrittura per sbloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. Le modifiche alla configurazione di tale funzionalità saranno quindi lette e scritte nei file Web.config di siti o applicazioni.

Selezionare l'opzione Lettura/Scrittura per sbloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. Le modifiche alla configurazione di tale funzionalità saranno quindi lette e scritte nei file Web.config di siti o applicazioni.

La configurazione di una funzionalità come di lettura/scrittura consente inoltre agli utenti non amministratori di visualizzare e configurare la funzionalità in Gestione IIS per i siti o le applicazioni a cui sono autorizzati a connettersi.

Sola lettura

Selezionare l'opzione Sola lettura per bloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile scrivere la configurazione nei file Web.config di siti o applicazioni.

Nota

Se si specificano impostazioni di configurazione per una funzionalità in un file Web.config ma la funzionalità è di sola lettura, si riceverà un errore se si tenta di configurare la funzionalità a livello di sito o di applicazione, mentre nei siti e nelle applicazioni si verificheranno errori di runtime.

Selezionare l'opzione Sola lettura per bloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile scrivere la configurazione nei file Web.config di siti o applicazioni.

Gli utenti non amministratori non potranno inoltre configurare la funzionalità in Gestione IIS per i siti o le applicazioni. La funzionalità sarà infatti disponibile in sola lettura in Gestione IIS per consentire a tali utenti di visualizzarne l'impostazione nel file di configurazione a livello di server.

Nota

Se si specificano impostazioni di configurazione per una funzionalità in un file Web.config ma la funzionalità è di sola lettura, si riceverà un errore se si tenta di configurare la funzionalità a livello di sito o di applicazione, mentre nei siti e nelle applicazioni si verificheranno errori di runtime.

Non delegato

Selezionare l'opzione Non delegato per bloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile leggere e scrivere la configurazione nei file Web.config di siti o applicazioni.

Selezionare l'opzione Non delegato per bloccare le sezioni di configurazione correlate a una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile leggere e scrivere la configurazione nei file Web.config di siti o applicazioni.

Gli utenti non amministratori non potranno inoltre visualizzare la funzionalità in Gestione IIS e non saranno in grado di configurarla a livello di sito e di applicazione.

Reimposta su ereditato

Quando si seleziona Reimposta su ereditato per una funzionalità, la funzionalità eredita lo stato di delega impostato a livello padre.

Quando si seleziona Reimposta su ereditato per una funzionalità, la funzionalità eredita lo stato di delega impostato a livello padre.

Imposta lettura/scrittura per la configurazione

Selezionare l'opzione Imposta lettura/scrittura per la configurazione per sbloccare le sezioni di configurazione di una funzionalità nel file di configurazione a livello di server. Le modifiche alla configurazione di tale funzionalità saranno quindi lette e scritte nei file Web.config di siti o applicazioni. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Selezionare l'opzione Imposta lettura/scrittura per la configurazione per sbloccare le sezioni di configurazione di una funzionalità nel file di configurazione a livello di server. Le modifiche alla configurazione di tale funzionalità saranno quindi lette e scritte nei file Web.config di siti o applicazioni. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Imposta sola lettura per la configurazione

Selezionare l'opzione Imposta sola lettura per la configurazione per bloccare le sezioni di configurazione di una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile scrivere la configurazione nei file Web.config di siti o applicazioni, tuttavia l'applicazione potrà continuare a scrivere nel database. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Selezionare l'opzione Imposta sola lettura per la configurazione per bloccare le sezioni di configurazione di una funzionalità nel file di configurazione a livello di server. In tal modo non sarà possibile scrivere la configurazione nei file Web.config di siti o applicazioni, tuttavia l'applicazione potrà continuare a scrivere nel database. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Reimposta tutte le deleghe

Consente di reimpostare gli stati di delega di tutte le funzionalità a quelli impostati al livello padre. A livello di server consente di impostare gli stati di delega su quelli specificati nelle impostazioni overrideModeDefault nel file di configurazione a livello di server.

Consente di reimpostare gli stati di delega di tutte le funzionalità a quelli impostati al livello padre. A livello di server consente di impostare gli stati di delega su quelli specificati nelle impostazioni overrideModeDefault nel file di configurazione a livello di server.

Delega sito personalizzata o Delega applicazione personalizzata

Non disponibile.

Consente di aprire la pagina di funzionalità Delega sito personalizzata o Delega applicazione personalizzata in cui è possibile configurare gli stati di delega personalizzata per un sito o un'applicazione.

Vedere anche

  • Configurazione della delega per un sito o un'applicazione in IIS 7 (in linea)


Pagina Delega sito personalizzata o Delega applicazione personalizzata

Utilizzare le pagine di funzionalità Delega sito personalizzata e Delega applicazione personalizzata per configurare lo stato di delega predefinito delle funzionalità di Gestione IIS per un sito specifico o un'applicazione specifica sul server Web. Lo stato di delega di una funzionalità determina se utenti non amministrativi che dispongono dell'autorizzazione per un sito o un'applicazione possono configurare la funzionalità in tale sito o applicazione. Ad esempio, è possibile configurare lo stato di delega di una funzionalità, quale Stringhe di connessione, come di lettura/scrittura quando si desidera consentire agli utenti di configurare tale funzionalità nel sito o nell'applicazione.

Le funzionalità configurate in questa pagina influiscono solo sul sito o sull'applicazione selezionata negli elenchi a discesa Siti o Applicazioni. È possibile utilizzare Copia delega per aprire la finestra di dialogo e selezionare altri siti o applicazioni, oppure entrambi, se si desidera applicare gli stessi stati di delega delle funzionalità ad altri siti e applicazioni. È inoltre possibile configurare lo stato di delega predefinito delle funzionalità per tutti i siti e le applicazioni sul server Web utilizzando la pagina Delega funzionalità.

Attenzione

Se si desidera modificare stati di delega per le funzionalità già configurati, è necessario esaminare in che modo le funzionalità sono state delegate ai livelli inferiori della configurazione per assicurarsi di comprendere l'impatto delle modifiche sulle funzionalità a tali livelli. Se ad esempio una funzionalità è stata configurata come di sola lettura per i siti e un utente a livello del sito ha configurato un'impostazione più restrittiva rimuovendo la delega per tale funzionalità, è possibile che lo stato impostato dall'utente venga modificato inavvertitamente se si configura la funzionalità come di lettura/scrittura al livello padre. È consigliabile utilizzare un computer di test per verificare l'impatto delle modifiche degli stati di delega sull'ambiente prima di apportare modifiche a un ambiente di produzione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Siti o Applicazioni

Selezionare il sito o l'applicazione per la quale si desidera configurare lo stato di delega delle funzionalità dell'interfaccia utente.

Nota

Per configurare la delega personalizzata per un sito, è necessario essere connessi a un server in Gestione IIS. Per configurare la delega personalizzata per un'applicazione, è necessario essere connessi a un sito in Gestione IIS.

Copia delega

Fare clic su Copia delega per visualizzare la finestra di dialogo Copia delega e copiare gli stati di delega personalizzati in altri siti o applicazioni.

Nome

Consente di visualizzare il nome della funzionalità dell'interfaccia utente in Gestione IIS. Selezionare una funzionalità e quindi fare clic sullo stato di delega desiderato nel riquadro Azioni o nel menu di scelta rapida.

Delega

Consente di visualizzare lo stato di delega della funzionalità dell'interfaccia utente a livelli inferiori.

Elementi del riquadro Azioni

Nella tabella riportata di seguito sono illustrate le opzioni di delega disponibili per le funzionalità di IIS in Gestione IIS e l'impatto di tali opzioni sui file di configurazione e sull'interfaccia utente. Tali funzionalità sono basate sulla configurazione. Se si estende Gestione IIS in modo da includere funzionalità di terze parti, è possibile che gli stati di delega siano diversi da quelli riportati in questa tabella se vengono utilizzati stati di delega specificati dall'utente.

Nome dell'elemento Descrizione

Lettura/Scrittura

Consente agli utenti non amministratori di un sito o di un'applicazione di visualizzare e configurare la funzionalità selezionata a livello di sito e di applicazione utilizzando Gestione IIS.

Sola lettura

Consente agli utenti non amministratori di un sito o di un'applicazione di visualizzare, ma non di configurare, la funzionalità selezionata a livello di sito e di applicazione utilizzando Gestione IIS.

Imposta lettura/scrittura per la configurazione

Consente agli utenti non amministratori di un sito o di un'applicazione di visualizzare e configurare la funzionalità selezionata a livello di sito e di applicazione utilizzando Gestione IIS. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Imposta sola lettura per la configurazione

Consente agli utenti non amministratori di un sito o di un'applicazione di visualizzare, ma non di configurare, la funzionalità selezionata a livello di sito e di applicazione utilizzando Gestione IIS. Questa opzione è disponibile solo per funzionalità la cui configurazione è presente sia in un file di configurazione sia in un database, ad esempio Utenti .NET e Ruoli .NET.

Nota

Questa impostazione non influisce sulle autorizzazioni del database.

Non delegato

Consente di rimuovere la delega per la funzionalità selezionata. Questa funzionalità non verrà visualizzata in Gestione IIS e non può essere configurata da utenti non amministratori a livello di sito e di applicazione.

Reimposta su ereditato

Consente di reimpostare la funzionalità selezionata allo stato di delega specificato al livello padre.

Reimposta tutte le deleghe

Consente di reimpostare gli stati di delega di tutte le funzionalità a quelli specificati al livello padre.

Delega predefinita

Consente di aprire la pagina Delega funzionalità in cui è possibile configurare gli stato di delega predefiniti per siti o applicazioni.

Vedere anche

  • Configurazione della delega per un sito o un'applicazione in IIS 7 (in linea)


Finestra di dialogo Copia delega

Utilizzare la finestra di dialogo Copia delega per selezionare siti e applicazioni in cui si desidera copiare gli stati di delega personalizzati per le funzionalità disponibili in Gestione IIS. È possibile copiare gli stati di delega personalizzati da un sito a un altro quando si è connessi a un server in Gestione IIS e da un'applicazione a un'altra quando si è connessi a un sito in Gestione IIS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
nome_sito o nome applicazione | Selezionare la casella di controllo accanto ai siti o alle applicazioni a cui si desidera applicare lo stato di delega personalizzato configurato nella pagina Delega sito personalizzata o Delega applicazione personalizzata.

Vedere anche

  • Configurazione della delega per un sito o un'applicazione in IIS 7 (in linea)


Pagine FTP

In questa sezione sono presenti gli argomenti seguenti:

Pagina Autenticazione FTP

Pagina Autorizzazione FTP

Pagina Sessioni FTP correnti

Pagina Esplorazione directory FTP

Pagina Supporto firewall FTP

Pagina Restrizioni dominio e indirizzo IPv4 e FTP

Pagina Registrazione FTP

Pagina Messaggi FTP

Pagina Impostazioni SSL FTP

Pagina Isolamento utente FTP

Pagina Filtro richieste FTP


Finestra di dialogo Impostazioni predefinite del sito FTP

Utilizzare la finestra di dialogo Impostazioni predefinite del sito FTP per impostare i valori predefiniti per i siti FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Consenti UTF8

Specifica se l'attività UTF8 deve essere consentita (sono inclusi i nomi UTF8).

L'impostazione predefinita è True.

Avvia automaticamente

Specifica se avviare il sito alla creazione o all'avvio di IIS. Per avviare un sito, impostare la proprietà su true, mentre per arrestarlo impostare la proprietà su false.

L'impostazione predefinita è True.

Timeout canale di controllo

Specifica il timeout (in secondi) dopo il quale una sessione FTP viene disconnessa automaticamente per inattività.

Il valore predefinito è 120.

Timeout canale dati

Specifica il timeout (in secondi) dopo il quale il canale dati viene disconnesso automaticamente per inattività.

Se si utilizzano i valori di timeout predefiniti per il canale di controllo e il canale dati, quest'ultimo viene chiuso per primo, quindi viene disconnessa la sessione se non verrà rilevata attività per altri 120 secondi.

Il valore predefinito è 30.

Disabilita la funzione di pool dei socket

Specifica se la funzione di pool dei socket viene utilizzata per i siti distinti dall'indirizzo IP anziché dal numero di porta o dal nome host.

L'impostazione predefinita è False.

Numero massimo connessioni

Specifica il numero massimo di connessioni simultanee a un server.

Il valore predefinito è 4294967295.

Reimposta sul numero massimo di connessioni

Specifica se disconnettere la sessione FTP quando viene inviata la risposta del numero massimo di connessioni.

L'impostazione predefinita è False.

Backlog attesa server

Specifica il numero di socket in sospeso che possono essere inseriti nella coda.

Il valore predefinito è 60.

Timeout non autenticato

Specifica il timeout (in secondi) tra l'esecuzione di una nuova connessione e il tentativo di autenticazione.

Il valore predefinito è 30.


Impostazioni avanzate

Utilizzare la finestra di dialogo Impostazioni avanzate per modificare le proprietà degli oggetti seguenti disponibili in IIS:

  • Pool di applicazioni

  • Sito Web

  • Sito FTP

  • Applicazione Web

  • Directory virtuale

La finestra di dialogo Impostazioni avanzate è utile quando si desidera modificare una proprietà o un gruppo di proprietà specifico di un oggetto senza utilizzare una finestra di dialogo o una procedura guidata di modifica oppure quando una proprietà non viene visualizzata in una procedura guidata o in una finestra di dialogo.

Nota

Per modificare il valore predefinito di tutti i pool di applicazioni, siti Web, applicazioni Web o directory virtuali, è possibile utilizzare la finestra di dialogo Predefinite relativa all'oggetto desiderato.

Per informazioni su una proprietà specifica, selezionarla nella finestra di dialogo Impostazioni avanzate e visualizzare le informazioni presenti nel riquadro di descrizione delle proprietà al di sotto della griglia delle proprietà. Per ingrandire il riquadro di descrizione delle proprietà, è possibile fare clic sulla barra tra la griglia delle proprietà e il riquadro di descrizione delle proprietà e quindi trascinare verso l'alto. È anche possibile ridimensionare l'intera finestra di dialogo Predefinite per visualizzare più proprietà contemporaneamente.


Finestra di dialogo Impostazioni avanzate del sito FTP

Utilizzare la finestra di dialogo Impostazioni avanzate per gestire o modificare le impostazioni predefinite del sito per i singoli siti FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Consenti UTF8

Specifica se l'attività UTF8 deve essere consentita (sono inclusi i nomi UTF8).

L'impostazione predefinita è True.

Binding

Specifica la combinazione di indirizzo IP, host virtuale e porta su cui il sito FTP deve essere in ascolto per le richieste in ingresso.

ID

Specifica il numero ID univoco del sito. Questo numero viene utilizzato al posto dei nomi di directory per i file di traccia e di registro.

Nome

Specifica un nome univoco per il sito.

Percorso fisico

Specifica il percorso fisico del contenuto della directory virtuale.

Avvia automaticamente

Specifica se avviare il sito alla creazione o all'avvio di IIS. Per avviare un sito, impostare la proprietà su True, mentre per arrestarlo impostare la proprietà su False.

L'impostazione predefinita è True.

Timeout canale di controllo

Specifica il timeout (in secondi) dopo il quale una sessione FTP viene disconnessa automaticamente per inattività.

Il valore predefinito è 120.

Timeout canale dati

Specifica il timeout (in secondi) dopo il quale il canale dati viene disconnesso automaticamente per inattività.

Se si utilizzano i valori di timeout predefiniti per il canale di controllo e il canale dati, quest'ultimo viene chiuso per primo, quindi viene disconnessa la sessione se non verrà rilevata attività per altri 120 secondi.

Il valore predefinito è 30.

Disabilita la funzione di pool dei socket

Specifica se la funzione di pool dei socket viene utilizzata per i siti distinti dall'indirizzo IP anziché dal numero di porta o dal nome host.

L'impostazione predefinita è False.

Numero massimo connessioni

Specifica il numero massimo di connessioni simultanee a un server.

Il valore predefinito è 4294967295.

Reimposta sul numero massimo di connessioni

Specifica se disconnettere la sessione FTP quando viene inviata la risposta del numero massimo di connessioni.

L'impostazione predefinita è False.

Backlog attesa server

Specifica il numero di socket in sospeso che possono essere inseriti nella coda.

Il valore predefinito è 60.

Timeout non autenticato

Specifica il timeout (in secondi) tra l'esecuzione di una nuova connessione e il tentativo di autenticazione.

Il valore predefinito è 30.

Consenti la lettura dei file durante il caricamento

Specifica se i file possono essere letti durante il trasferimento al server.

L'impostazione predefinita è False.

Consenti sostituzione durante la ridenominazione

Specifica se i file possono sovrascrivere altri file quando vengono rinominati.

L'impostazione predefinita è False.

Conserva caricamenti parziali

Specifica se conservare i file caricati parzialmente, ad esempio quando il trasferimento di un file viene interrotto in modo anomalo prima del completamento.

L'impostazione predefinita è False.

Nota

Se il client chiude la connessione normalmente a causa di un errore, i dati caricati parzialmente potrebbero essere eliminati.


Pagina Autenticazione FTP

Utilizzare la pagina di funzionalità Autenticazione FTP per configurare i metodi di autenticazione utilizzati dai client FTP per accedere al contenuto. È possibile ordinare questo elenco per nome, stato o tipo facendo clic sull'intestazione di colonna appropriata. È inoltre possibile raggruppare le funzionalità di autenticazione per tipo o stato utilizzando l'elenco a discesa Raggruppa per.

Per impostazione predefinita, i metodi di autenticazione non sono abilitati. Se si desidera consentire agli utenti FTP di accedere al contenuto, sarà necessario abilitare un metodo di autenticazione. Sono disponibili due tipi di metodi di autenticazione: Predefinito e Personalizzato.

  • I metodi di autenticazione di tipo Predefinito sono parte integrante del server FTP. Questi metodi di autenticazione possono essere abilitati o disabilitati, ma non possono essere rimossi dal server FTP.

  • I metodi di autenticazione di tipo Personalizzato vengono implementati tramite un componente installabile. Questi metodi di autenticazione possono essere abilitati o disabilitati, nonché aggiunti o rimossi dal server FTP.

    Nota

    Fare clic su Provider personalizzati nell'elenco attività per visualizzare la Finestra di dialogo Provider personalizzati FTP.

    Nota

    L'autenticazione di base funziona con l'isolamento utenti Active Directory (AD). Se tuttavia viene abilitata l'autenticazione di tipo Personalizzato o qualsiasi altro sistema di autenticazione mentre è già abilitato l'isolamento utenti AD, l'altro sistema di autenticazione non funzionerà. Per ulteriori informazioni sull'isolamento utenti FTP, compreso l'isolamento utenti AD, vedere Configuring FTP 7 User Isolation (la pagina potrebbe essere in inglese).

    Nota

    "FTP" e "Anonymous" sono parole riservate. Non è possibile creare account utente di Gestione IIS contenenti tali nomi.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Autenticazione anonima

L'autenticazione anonima è un metodo di autenticazione predefinito che consente a qualsiasi utente di accedere a tutto il contenuto pubblico fornendo nome utente e password dell'utente anonimo. Per impostazione predefinita, l'autenticazione anonima è disabilitata.

Nota

Utilizzare l'autenticazione anonima quando si desidera consentire a tutti i client che accedono al sito FTP di visualizzarne il contenuto.

Autenticazione ASP.NET

L'autenticazione ASP.NET è un metodo di autenticazione personalizzato che richiede agli utenti di fornire un nome utente e una password .NET validi per accedere al contenuto. L'account .NET può essere di un database utente ASP.NET condiviso con il contenuto Web o di un database utente ASP.NET separato.

Nota

L'autenticazione ASP.NET richiede la configurazione di un provider e possibilmente di una stringa di connessione per accedere a un database utente ASP.NET.

Autenticazione di base

L'autenticazione di base è un metodo di autenticazione predefinito che richiede agli utenti di fornire un nome utente e una password di Windows validi per accedere al contenuto. L'account utente può essere locale nel server FTP o un account di dominio.

Nota

Questo tipo di autenticazione trasmette password non crittografate attraverso la rete. Utilizzare l'autenticazione di base solo se si è certi che la connessione tra il client e il server è protetta tramite SSL.

Autenticazione Gestione IIS

L'autenticazione Gestione IIS è un metodo di autenticazione personalizzato che richiede agli utenti di fornire un nome utente e una password di Gestione IIS validi per accedere al contenuto. L'autenticazione Gestione IIS richiede l'installazione e la configurazione del Servizio di gestione IIS per utilizzare sia le credenziali di Windows che le credenziali di Gestione IIS. Non è necessario che il Servizio di gestione IIS sia in esecuzione quando si utilizza l'autenticazione Gestione IIS.

Nota

L'autenticazione Gestione IIS trasmette password non crittografate attraverso la rete. Utilizzare l'autenticazione Gestione IIS solo se si è certi che la connessione tra il client e il server è protetta tramite SSL.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Provider personalizzati

Apre la finestra di dialogo Provider personalizzati che consente di abilitare i provider personalizzati predefiniti o i provider personalizzati definiti dall'utente.

Abilita

Consente di abilitare il provider selezionato. Questa opzione è disponibile solo se il provider selezionato è disabilitato.

Disabilita

Consente di disabilitare il provider selezionato. Questa opzione è disponibile solo se il provider selezionato è abilitato.

Modifica

Consente di modificare le impostazioni per i provider predefiniti.

Nota

Per modificare le impostazioni per i provider personalizzati, è necessario accedere alla finestra di dialogo Provider personalizzati dal livello globale e fare clic su Modifica.

Rimuovi

Consente di rimuovere il provider selezionato. Questa opzione non è disponibile per i provider predefiniti.

Nota

Quando si configurano le impostazioni di autenticazione FTP, è inoltre necessario configurare le impostazioni di autorizzazione FTP.

Vedere anche

  • Finestra di dialogo Provider personalizzati FTP
  • Finestra di dialogo Aggiungi provider di autenticazione personalizzato o Modifica provider di autenticazione personalizzato
  • Pagina Autorizzazione FTP


Finestra di dialogo Provider personalizzati FTP

Utilizzare la finestra di dialogo Provider personalizzati per aggiungere o rimuovere i provider di autenticazione personalizzati FTP per il server FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Seleziona uno o più provider personalizzati registrati

Visualizza l'elenco di provider di autenticazione personalizzati FTP registrati nel server FTP. Quando si seleziona un provider di autenticazione personalizzato FTP dall'elenco, tale provider viene abilitato per l'intero server FTP o per un sito FTP specifico a seconda del nodo evidenziato nell'albero di Gestione IIS.

Questo elemento viene visualizzato a livello globale e a livello di sito.

Nota

I provider di autenticazione personalizzati possono essere una classe con codice gestito o un modulo COM con codice nativo.

Registra

Visualizza la finestra di dialogo Aggiungi provider di autenticazione personalizzato. Utilizzare questa finestra di dialogo per aggiungere nuovi provider di autenticazione personalizzati FTP al server FTP.

Modifica

Visualizza la finestra di dialogo Modifica provider di autenticazione personalizzato. Utilizzare questa finestra di dialogo per modificare le impostazioni di un provider di autenticazione personalizzato FTP già registrato.

Questo elemento viene visualizzato solo a livello globale.

Rimuovi

Rimuove un provider di autenticazione personalizzato FTP già registrato.

Questo elemento viene visualizzato solo a livello globale.

Nota

Quando si configurano le impostazioni di autenticazione FTP, è inoltre necessario configurare le impostazioni di autorizzazione FTP.

Vedere anche

  • Pagina Autorizzazione FTP
  • Pagina Autenticazione FTP
  • Finestra di dialogo Aggiungi provider di autenticazione personalizzato o Modifica provider di autenticazione personalizzato


Finestra di dialogo Aggiungi provider di autenticazione personalizzato o Modifica provider di autenticazione personalizzato

Utilizzare le finestre di dialogo Aggiungi provider di autenticazione personalizzato o Modifica provider di autenticazione personalizzato per aggiungere nuovi provider di autenticazione personalizzati FTP al server FTP o per modificare le impostazioni di un provider di autenticazione personalizzato FTP già aggiunto al server FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Specifica il nome che verrà visualizzato nell'elenco Seleziona uno o più provider personalizzati registrati della Finestra di dialogo Provider personalizzati FTP.
ID classe | Specifica il nome o il GUID per una classe COM quando viene utilizzata l'opzione Provider nativo (COM).
Tipo | Specifica il tipo gestito per una classe .NET quando viene utilizzata l'opzione Provider gestito (.NET).
Dominio applicazione | Specifica il dominio applicazione per una classe .NET quando viene utilizzata l'opzione Provider gestito (.NET).

Nota

Quando si configurano le impostazioni di autenticazione FTP, è inoltre necessario configurare le impostazioni di autorizzazione FTP.

Vedere anche

  • Pagina Autorizzazione FTP
  • Pagina Autenticazione FTP
  • Finestra di dialogo Provider personalizzati FTP


Modifica credenziali di autenticazione anonima

Utilizzare la finestra di dialogo Modifica credenziali di autenticazione anonima per specificare le credenziali da utilizzare per l'autenticazione utente anonima.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Specifica l'account utente per l'autenticazione utente anonima.
Password | Specifica la password dell'account utente.
Conferma password | Conferma la password dell'account utente.


Modifica impostazioni autenticazione di base

Utilizzare la finestra di dialogo Modifica impostazioni autenticazione di base per impostare l'area di autenticazione predefinita per l'autenticazione di base.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Dominio predefinito | Specifica il dominio predefinito per l'autenticazione di base.


Pagina Autorizzazione FTP

Utilizzare la pagina Regole di autorizzazione FTP per gestire l'elenco di regole di accesso consentito o negato al contenuto. Le regole vengono visualizzate in un elenco di cui è possibile modificare l'ordine per concedere l'accesso ad alcuni utenti e contemporaneamente negarlo ad altri. La pagina Regole di autorizzazione FTP consente inoltre di visualizzare informazioni su altre regole, quali Modalità, Utenti, Ruoli o Autorizzazioni.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Modalità

Consente di visualizzare il tipo di regola. I valori possono essere Consenti o Nega. I valori di Modalità indicano se la regola è destinata a consentire o negare l'accesso al contenuto.

Nota

Un ruolo, un utente o un gruppo, cui sia stato specificamente negato l'accesso da una regola, non può ottenerlo da un'altra. Per concedere l'accesso, è necessario creare le regole posizionando la regola di accesso consentito all'inizio dell'elenco.

Utenti

Consente di visualizzare i nomi utente o i gruppi di utenti a cui si applica la regola.

Ruoli

Consente di visualizzare il ruolo di Microsoft Windows o i ruoli .NET a cui si applica la regola, ad esempio il ruolo di amministratore.

Autorizzazioni

Consente di visualizzare le autorizzazioni FTP a cui si applica la regola, ad esempio Lettura o Scrittura.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi regola di accesso consentito | Consente di visualizzare la finestra di dialogo Aggiungi regola di autorizzazione consentita in cui è possibile creare una regola di accesso consentito.
Aggiungi regola di accesso negato | Consente di visualizzare la finestra di dialogo Aggiungi regola di autorizzazione negata in cui è possibile creare una regola di accesso negato.
Modifica | Consente di modificare la regola selezionata.
Rimuovi | Consente di rimuovere la regola selezionata.

Nota

Quando si configurano le impostazioni di autorizzazione FTP, è inoltre necessario configurare le impostazioni di autenticazione FTP.

Vedere anche

  • Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata
  • Pagina Autenticazione FTP


Finestre di dialogo Aggiungi regola di autorizzazione consentita o Modifica regola di autorizzazione consentita e Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata

Utilizzare le finestre di dialogo Aggiungi regola di autorizzazione consentita, Modifica regola di autorizzazione consentita, Aggiungi regola di autorizzazione negata o Modifica regola di autorizzazione negata per definire le regole per l'accesso al contenuto.

Importante

Le regole di autorizzazione di Microsoft Windows specificano che se a un utente è stato negato l'accesso, la regola di accesso negato ha la precedenza su tutte le altre regole.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tutti gli utenti

Selezionare questa opzione per gestire l'accesso al contenuto per utenti anonimi e autenticati.

Nota

Accertarsi di posizionare questa regola al di sotto di eventuali regole che concedono l'accesso al contenuto. Se questa regola si trova all'inizio dell'elenco di regole, l'accesso al contenuto verrà negato a tutti gli utenti.

Tutti gli utenti anonimi

Selezionare questa opzione per gestire l'accesso al contenuto per utenti non autenticati.

Nota

Se si utilizza questa regola, tutti gli utenti dovranno disporre di un account utente di autenticazione personalizzato o di base valido e di una password per potersi autenticare.

Ruoli o gruppi di utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per ruoli o gruppi di utenti specifici di Microsoft Windows.

Nota

Se si utilizza questa regola, tutti i membri dei ruoli e dei gruppi specificati dovranno disporre di un account utente di autenticazione personalizzato o di base valido e di una password per potersi autenticare.

Utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per un account utente specifico.

Nota

Se si utilizza questa opzione, tutti gli utenti dovranno disporre di un account utente di autenticazione personalizzato o di base valido e di una password per potersi autenticare.

Lettura

Specifica se gli utenti specificati dispongono dell'autorizzazione di lettura.

Scrittura

Specifica se gli utenti specificati dispongono dell'autorizzazione di scrittura.

Nota

Quando si configurano le impostazioni di autorizzazione FTP, è inoltre necessario configurare le impostazioni di autenticazione FTP.

Vedere anche

  • Pagina Autenticazione FTP
  • Pagina Autorizzazione FTP


Pagina Sessioni FTP correnti

Utilizzare la pagina di funzionalità Sessioni correnti per monitorare le sessioni correnti del sito FTP.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome utente | Specifica il nome utente della sessione.
Ora di avvio sessione | Specifica l'ora di avvio della sessione corrente.
Comando corrente | Specifica il comando corrente.
Comando precedente | Specifica il comando precedente.
Ora di avvio comando | Specifica l'ora di avvio del comando.
Byte inviati | Specifica i byte inviati.
Byte ricevuti | Specifica i byte ricevuti.
ID sessione | Specifica l'ID sessione.
IP client | Specifica l'indirizzo IP client.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Disconnetti sessione | Consente di disconnettere la sezione selezionata.


Pagina Esplorazione directory FTP

Utilizzare la pagina di funzionalità Esplorazione directory FTP per modificare le impostazioni del contenuto per l'esplorazione di una directory nel server FTP. Quando si configura l'esplorazione di una directory, verranno utilizzate le stesse impostazioni per tutte le directory.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Stile visualizzazione directory

Specifica il formato da utilizzare per visualizzare il contenuto di una directory. Le opzioni sono:

  • MS-DOS: le cartelle e i file vengono visualizzati con il formato MS-DOS.

  • UNIX: le cartelle e i file vengono visualizzati con il formato UNIX.

Directory virtuali

Specifica se visualizzare le directory virtuali quando si visualizza il contenuto di una directory. Se abilitata, le directory virtuali vengono visualizzate; in caso contrario, le directory virtuali vengono nascoste.

Byte disponibili

Specifica se visualizzare i byte disponibili quando si visualizza il contenuto di una directory.

Nota

I byte disponibili visualizzati riflettono la dimensione disponibile nel disco oppure i byte disponibili rimanenti se è abilitata una quota a livello di disco o a livello di cartella.

Anni di quattro cifre

Specifica il formato da utilizzare per l'anno quando viene visualizzata la data dell'ultima modifica per ogni file. Se abilitata, le date vengono visualizzate utilizzando il formato a quattro cifre; in caso contrario, le date vengono visualizzate utilizzando il formato a due cifre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Applica le modifiche alla pagina di funzionalità Esplorazione directory FTP.
Annulla | Annulla le modifiche alla pagina di funzionalità Esplorazione directory FTP.
Nota

Oltre a configurare le impostazione per l'esplorazione delle directory in un server FTP, è possibile utilizzare la funzionalità Messaggi FTP per personalizzare i messaggi visualizzati all'accesso degli utenti al server FTP.

Vedere anche

  • Pagina Messaggi FTP


Pagina Supporto firewall FTP

Utilizzare la pagina di funzionalità Supporto firewall FTP per modificare le impostazioni per le connessioni passive utilizzate dai client FTP per connettersi a un server FTP protetto da un server firewall.

Nota

Se si configurano queste opzioni, sarà possibile controllare solo il comportamento del server FTP. È quindi necessario configurare il firewall per accettare le connessioni FTP e indirizzarle in modo appropriato al server FTP.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Intervallo porte canale dati

Specifica l'intervallo di porte per le connessioni passive utilizzate per le connessioni del canale dati. L'intervallo di porte valido è compreso tra 1025 e 65535. Le porte comprese tra 1 e 1024 sono riservate per i servizi di sistema.

Nota

È possibile immettere l'intervallo di porte speciale "0-0" per configurare il server FTP in modo da utilizzare l'intervallo di porte TCP/IP temporaneo di Windows, che per impostazione predefinita include le porte comprese tra 1025 e 5000.

Indirizzo IP esterno del firewall

Specifica l'indirizzo IPv4 per l'indirizzo IP esterno del server firewall.

Nota

Questa impostazione è obbligatoria quando il server FTP è protetto da un server firewall e si utilizza SSL o il firewall non modifica gli indirizzi IP nei pacchetti FTP scambiati tra il client e il server.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Applica le modifiche alla pagina di funzionalità Supporto firewall FTP.
Annulla | Annulla le modifiche alla pagina di funzionalità Supporto firewall FTP.


Pagina Restrizioni dominio e indirizzo IPv4 e FTP

Utilizzare la pagina di funzionalità Restrizioni dominio e indirizzo IPv4 FTP per definire e gestire le regole che consentono o negano l'accesso al contenuto per un indirizzo IPv4 specifico, un intervallo di indirizzi IPv4 oppure uno o più nomi di dominio.

Per configurare restrizioni in base a nomi di dominio, è innanzitutto necessario abilitare le restrizioni del nome di dominio facendo clic su Modifica impostazioni funzionalità nell'elenco attività e impostando l'opzione Abilita restrizioni nome dominio.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Modalità | Consente di visualizzare il tipo di regola. I valori sono Consenti o Nega. Il valore di Modalità indica se la regola è destinata a consentire o negare l'accesso al contenuto.
Richiedente | Consente di visualizzare un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio definito nelle finestre di dialogo Aggiungi regola di restrizione accesso consentito e Aggiungi regola di restrizione accesso negato. È possibile consentire o negare al richiedente l'accesso al contenuto in modo specifico.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi voce di accesso consentito

Consente di visualizzare la finestra di dialogo Aggiungi regola di restrizione accesso consentito in cui è possibile definire regole che consentono l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Aggiungi voce di accesso negato

Consente di visualizzare la finestra di dialogo Aggiungi regola di restrizione accesso negato in cui è possibile definire regole che consentono l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Modifica impostazioni funzionalità

Consente di visualizzare la finestra di dialogo Modifica impostazioni restrizioni IP e di dominio in cui è possibile configurare impostazioni valide per l'intera funzionalità Restrizioni indirizzo IP e dominio.

Ripristina padre

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco al livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato


Finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato

Utilizzare la finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato per definire regole che consentono o negano l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Indirizzo IPv4 specifico

Aggiungi regola di restrizione accesso consentito: digitare un indirizzo IPv4 nella casella Indirizzo IPv4 specifico della finestra di dialogo Aggiungi regola di restrizione accesso consentito quando si desidera consentire a un indirizzo IPv4 specifico di accedere al contenuto.

Aggiungi regola di restrizione accesso negato: digitare un indirizzo IPv4 nella casella Indirizzo IPv4 specifico della finestra di dialogo Aggiungi regola di restrizione accesso negato quando si desidera impedire a un indirizzo IPv4 specifico di accedere al contenuto.

Intervallo di indirizzi IPv4

Aggiungi regola di restrizione accesso consentito: digitare il valore minimo dell'intervallo di indirizzi IPv4 che si è scelto di utilizzare nella casella Intervallo di indirizzi IPv4 della finestra di dialogo Aggiungi regola di restrizione accesso consentito. Eseguire questa operazione quando si desidera consentire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quindi, immettere la subnet mask.

Aggiungi regola di restrizione accesso negato: digitare il valore minimo dell'intervallo di indirizzi IPv4 che si è scelto di utilizzare nella casella Intervallo di indirizzi IPv4 della finestra di dialogo Aggiungi regola di restrizione accesso negato. Eseguire questa operazione quando si desidera impedire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quindi, immettere la subnet mask.

Maschera

Aggiungi regola di restrizione accesso consentito: digitare una subnet mask nella casella Maschera della finestra di dialogo Aggiungi regola di restrizione accesso consentito. Eseguire questa operazione quando si desidera consentire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quando IIS valuta la subnet mask in base all'indirizzo IPv4 immesso nella casella Intervallo di indirizzi IPv4, vengono definiti i limiti superiore e inferiore di uno spazio di indirizzi IPv4.

Aggiungi regola di restrizione accesso negato: digitare la subnet mask associata all'intervallo di indirizzi IPv4 nella casella Maschera della finestra di dialogo Aggiungi regola di restrizione accesso negato. Eseguire questa operazione quando si desidera impedire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quando IIS valuta la subnet mask in base all'indirizzo IPv4 immesso nella casella Intervallo di indirizzi IPv4, vengono definiti i limiti superiore e inferiore di uno spazio di indirizzi IPv4.

Nome dominio

Aggiungi regola di restrizione accesso consentito: digitare un nome di dominio DNS completo nella casella Nome dominio della finestra di dialogo Aggiungi regola di restrizione accesso consentito quando si desidera consentire a un dominio DNS di accedere al contenuto.

Aggiungi regola di restrizione accesso negato: digitare un nome di dominio DNS completo nella casella Nome dominio della finestra di dialogo Aggiungi regola di restrizione accesso negato quando si desidera impedire a un dominio DNS di accedere al contenuto.

Per visualizzare l'opzione Nome dominio, è prima necessario abilitare le restrizioni del nome di dominio utilizzando Modifica impostazioni funzionalità.

Vedere anche

  • Pagina Restrizioni dominio e indirizzo IPv4 e FTP


Finestra di dialogo Modifica impostazioni restrizioni IP e di dominio

Utilizzare la finestra di dialogo Modifica impostazioni restrizioni IP e di dominio per definire le restrizioni di accesso per client non specificati o per abilitare restrizioni del nome di dominio per tutte le regole.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Accesso per i client non specificati | Consente di definire le restrizioni di accesso per client non specificati. Con questa impostazione è possibile scegliere se consentire o negare l'accesso i client non specificati in base a una qualsiasi altra regola.
Abilita restrizioni nome dominio | Consente di abilitare le regole che restringono l'accesso in base al nome di dominio. Questa regola influisce significativamente sulle prestazioni del server perché implica l'esecuzione di una ricerca DNS per ogni richiesta.


Pagina Registrazione FTP

Utilizzare la pagina di funzionalità Registrazione FTP per configurare le funzionalità di registrazione a livello di server o di sito e per configurare le impostazioni di registrazione.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Un file di registro ogni

Specifica se utilizzare un singolo file di registro per l'intero server FTP o utilizzare file di registro separati per ogni sito. Le opzioni sono:

Server: specifica l'utilizzo di un singolo file di registro per l'intero server FTP.

Sito: specifica l'utilizzo di file di registro separati per ogni sito FTP.

Nota

Benché l'utilizzo di un singolo file di registro per il server possa rivelarsi utile se si utilizzano utilità di analisi del registro, può comportare la creazione di file di registro di grandi dimensioni che potrebbero influire sulle prestazioni complessive del server FTP.

Seleziona campi W3C

Visualizza la finestra di dialogo Informazioni da registrare.

Nota

Questa versione del server FTP supporta solo il formato di file di registro esteso W3C.

Directory

Specifica la cartella di base per archiviare i file di registro.

Nota

Quando si utilizzano file di registro separati per ogni sito, la cartella di base viene aggiunta con il nome del servizio e l'ID univoco del sito, ad esempio FTPSVC1 o FTPSVC2.

Codifica

Specifica la codifica dei file di registro. Le opzioni sono:

UTF8: consente caratteri a un byte e multibyte in un'unica stringa.

ANSI: consente solo caratteri a un byte in una stringa.

Nota

I file di registro con codifica UTF-8 consentono di leggere voci di testo in una lingua diversa dall'inglese. Inoltre, se il server FTP utilizza URL in una lingua diversa da quella supportata dalla tabella codici predefinita del server, è consigliabile abilitare la codifica UTF-8 per il contenuto del registro.

Pianificazione

Specifica la creazione di nuovi file di registro in base a un intervallo di tempo fisso. Le opzioni sono:

  • Ogni ora: viene creato un nuovo file di registro ogni ora.

  • Ogni giorno: viene creato un nuovo file di registro ogni giorno.

  • Ogni settimana: viene creato un nuovo file di registro ogni settimana.

  • Ogni mese: viene creato un nuovo file di registro ogni mese.

Dimensione max file (in byte)

Specifica se creare nuovi file di registro quando la dimensione del file supera la dimensione massima del file immessa nella casella Dimensione max file.

Non creare nuovi file di registro

Specifica di utilizzare il file di registro corrente senza crearne uno nuovo. Con questa opzione vengono impostate dimensioni del file di registro corrente illimitate.

Nota

Benché l'utilizzo di un singolo file di registro per il sito possa rivelarsi utile se si utilizzano utilità di analisi del registro, può comportare la creazione di file di registro di grandi dimensioni che potrebbero influire sulle prestazioni complessive del server FTP.

Usa ora locale per denominazione e aggiornamento file

Specifica la rotazione dei file di registro in base al fuso orario locale, se si utilizza l'opzione Pianificazione, anziché al fuso orario UTC (Coordinated Universal Time). Per impostazione predefinita, l'aggiornamento dei file di registro viene eseguito a mezzanotte in base al fuso orario UTC anziché al fuso orario locale.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Disabilita | Consente di disabilitare la funzionalità.
Visualizza registri | Consente di aprire la directory dei file di registro.


Finestra di dialogo Informazioni da registrare

Utilizzare la finestra di dialogo Informazioni da registrare per configurare le opzioni di registrazione o altro contenuto che si desidera includere nei file di registro esteso W3C.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Data (date)

Consente di registrare la data in cui è stata effettuata la richiesta. Selezionato per impostazione predefinita.

Ora (time)

Consente di registrare l'ora, espressa in formato UTC (Coordinated Universal Time), in cui è stata effettuata la richiesta. Selezionato per impostazione predefinita.

Indirizzo IP client (c-ip)

Consente di registrare l'indirizzo IP del client che ha effettuato la richiesta. Selezionato per impostazione predefinita.

Nome utente (cs-username)

Consente di registrare il nome dell'utente autenticato che ha effettuato l'accesso al server. Gli utenti anonimi sono indicati da un trattino. Selezionato per impostazione predefinita.

Nome servizio (s-sitename)

Consente di registrare il nome del servizio Internet e il numero dell'istanza in esecuzione nel client all'ora in cui è stato registrato l'incidente.

Nome server (s-computername)

Consente di registrare il nome del server in cui è stata generata la voce del file di registro.

Indirizzo IP server (s-ip)

Consente di registrare l'indirizzo IP del server in cui è stata generata la voce del file di registro. Selezionato per impostazione predefinita.

Porta server (s-port)

Consente di registrare il numero della porta del server configurata per il servizio. Selezionato per impostazione predefinita.

Metodo (cs-method)

Consente di registrare il metodo HTTP, ad esempio GET, utilizzato nella richiesta. Selezionato per impostazione predefinita.

Origine URI (cs-uri-stem)

Consente di registrare l'URI (Uniform Resource Identifier) che corrisponde alla destinazione dell'azione. Selezionato per impostazione predefinita.

Nota

L'URI delle richieste FTP è valido in genere solo per un file o una cartella e non registra il percorso completo del file o della cartella. La lettura dei file di registro risulta pertanto difficile in caso di contenuto di grandi dimensioni. Per questa limitazione, è possibile abilitare il campo Percorso completo per visualizzare le informazioni dettagliate sul percorso per la richiesta.

Stato protocollo (sc-status)

Consente di registrare il codice di stato HTTP. Selezionato per impostazione predefinita.

Stato Win32 (sc-win32-status)

Consente di registrare il codice di stato di Windows. Selezionato per impostazione predefinita.

Byte inviati (sc-bytes)

Consente di registrare il numero di byte inviati dal server.

Byte ricevuti (cs-bytes)

Consente di registrare il numero di byte ricevuti dal server.

Tempo impiegato (time-taken)

Consente di registrare la durata dell'azione in millisecondi.

Porta server (s-port)

Consente di registrare il numero della porta del server configurata per il servizio. Selezionato per impostazione predefinita.

Host (cs-host)

Consente di registrare l'eventuale nome dell'intestazione host.

Nota

È possibile che il nome host configurato per il sito Web venga visualizzato in modo diverso nei file di registro perché HTTP.sys registra i nomi host utilizzando il formato codificato da punycode. Punycode codifica le stringhe Unicode nel set di caratteri limitato consentito nei nomi host. Per ulteriori informazioni, vedere RFC 3492.

Stato secondario protocollo (sc-substatus)

Consente di registrare la versione del protocollo, HTTP o FTP, utilizzata dal client. Selezionato per impostazione predefinita.

ID sessione (x-session)

Consente di registrare l'identificatore di sessione FTP per la sessione del client. Selezionato per impostazione predefinita.

Percorso completo (x-fullpath)

Consente di registrare il percorso relativo completo dalla directory root FTP per la destinazione dell'azione. Selezionato per impostazione predefinita.

Informazioni aggiuntive (x-debug)

Consente di registrare le informazioni descrittive per il codice sc-status. Se ad esempio il codice sc-status è 552, le informazioni aggiuntive registrate possono essere "Quota disco utente superata".

Porta client (c-port)

Consente di registrare la porta del client che ha effettuato la richiesta.


Pagina Messaggi FTP

Utilizzare la pagina di funzionalità Messaggi FTP per modificare le impostazioni dei messaggi inviati quando un utente si connette al sito FTP.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Elimina banner predefinito

Specifica se visualizzare il banner di identificazione predefinito per il server FTP. Se abilitato, il banner predefinito viene visualizzato; in caso contrario, il banner predefinito non viene visualizzato.

Nota

Se Elimina banner predefinito è abilitato ma in Banner non è stato specificato alcun messaggio del banner, quando un client FTP si connette al server verrà visualizzato un banner vuoto.

Supporta variabili utente nei messaggi

Specifica se visualizzare un insieme specifico di variabili utente nei messaggi FTP. Se abilitato, nei messaggi FTP vengono visualizzate le variabili utente; in caso contrario, il testo del messaggio verrà visualizzato come immesso. Le variabili utente supportate sono:

  • %BytesReceived%: numero di byte inviati dal server al client per la sessione corrente.

  • %BytesSent%: numero di byte inviati dal client al server per la sessione corrente.

  • %SessionID%: identificatore univoco per la sessione corrente.

  • %SiteName%: nome del sito FTP che ospita la sessione corrente.

  • %UserName%: nome account dell'utente attualmente connesso.

Mostra messaggi dettagliati per le richieste locali

Specifica se visualizzare messaggi di errore dettagliati sul server quando il client FTP si connette al server FTP. Se abilitato, i messaggi di errore dettagli vengono visualizzati solo sull'host locale; in caso contrario, i messaggi di errore dettagliati non vengono visualizzati.

Nota

I messaggi di errore dettagliati vengono visualizzati solo sull'host locale.

Banner

Specifica il messaggio visualizzato quando un client FTP si connette per la prima volta al server FTP.

Nota

Per impostazione predefinita, il messaggio non contiene alcun testo. Se Elimina banner predefinito è abilitato ma in Banner non è stato specificato alcun messaggio del banner, quando un client FTP si connette al server verrà visualizzato un banner vuoto.

Alla connessione:

Specifica il messaggio visualizzato quando un client FTP è connesso al server FTP.

Nota

Per impostazione predefinita, il messaggio non contiene alcun testo.

Alla disconnessione:

Specifica il messaggio visualizzato quando un client FTP si disconnette dal server FTP.

Nota

Per impostazione predefinita, il messaggio non contiene alcun testo.

Numero massimo di connessioni

Specifica il messaggio visualizzato quando un client non riesce a connettersi perché il servizio FTP ha raggiunto il numero massimo di connessioni client consentite.

Nota

Per impostazione predefinita, il messaggio non contiene alcun testo.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Nota

Oltre a configurare le impostazione per i messaggi visualizzati quando un utente si connette al sito FTP, è possibile utilizzare la pagina di funzionalità Esplorazione directory FTP per personalizzare le impostazioni del contenuto per l'esplorazione di una directory nel server FTP.

Vedere anche

  • Pagina Esplorazione directory FTP


Pagina Impostazioni SSL FTP

Utilizzare la pagina di funzionalità Impostazioni SSL FTP per gestire la crittografia per le trasmissioni del canale di controllo e del canale dati tra il server FTP e i client.

Nota

Queste impostazioni sono valide sia in ambiente Intranet che Internet.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Certificato SSL

Specifica il certificato SSL che si desidera utilizzare per SSL.

Nota

Selezionando un certificato SSL, viene abilitato SSL per un sito FTP o un server FTP specifico. Per disabilitare SSL, selezionare Non selezionato nell'elenco a discesa.

Visualizza

Apre la finestra di dialogo Certificato del certificato selezionato.

Consenti connessioni SSL

Selezionare questa impostazione per consentire la crittografia dei dati per il canale di controllo e il canale dati quando viene selezionato un certificato SSL.

Richiedi connessioni SSL

Selezionare questa impostazione per richiedere la crittografia dei dati per il canale di controllo e il canale dati quando viene selezionato un certificato SSL.

Nota

SSL richiede tempo processore aggiuntivo e rallenta la trasmissione dei dati a causa dei dati di crittografia aggiuntivi che devono essere trasmessi.

Personalizzato

Selezionare questa impostazione per personalizzare i singoli requisiti di crittografia dei dati per il canale di controllo e il canale dati quando viene selezionato un certificato SSL.

Nota

Selezionando l'opzione Personalizzato viene abilitato il pulsante Avanzate che consente di visualizzare la finestra di dialogo Criteri SSL avanzati.

Utilizza crittografia a 128 bit per le connessioni SSL

Selezionare questa impostazione per richiedere una crittografia più avanzata. È possibile utilizzare SSL a 128 bit per garantire trasmissioni protette tra il server FTP e i client in un ambiente Intranet o Internet.

Nota

SSL a 128 bit richiede più tempo processore e rallenta le trasmissioni dei dati in misura maggiore rispetto alla versione a 40 bit perché vengono trasmessi dati di crittografia aggiuntivi per fornire una crittografia più avanzata. Prima di richiedere SSL a 128 bit è pertanto necessario assicurarsi che per le trasmissioni dei dati sia realmente necessaria una crittografia più avanzata.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Criteri SSL avanzati


Finestra di dialogo Criteri SSL avanzati

Utilizzare la finestra di dialogo Criteri SSL avanzati per personalizzare i singoli requisiti di crittografia dei dati per il canale di controllo e il canale dati tra il server FTP e i client.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Canale di controllo: Consenti

Specifica che è consentita la crittografia dei dati per il canale di controllo. Questa opzione consente al client di scegliere se utilizzare SSL per il canale di controllo.

Canale di controllo: Richiedi

Specifica che è richiesta la crittografia dei dati per il canale di controllo. Con questa opzione tutti i client utilizzano SSL per l'attività sul canale di controllo.

Canale di controllo: Richiedi solo per credenziali

Specifica che è richiesta la crittografia dei dati per il canale di controllo solo quando vengono trasmesse le credenziali utente.

Nota

Con questa opzione tutti i client utilizzano SSL per il canale di controllo quando vengono trasmesse le credenziali utente, quindi viene consentito al client di scegliere se continuare a utilizzare SSL per il canale di controllo.

Canale dati: Consenti

Specifica che è consentita la crittografia dei dati per il canale dati. Questa opzione consente al client di scegliere se utilizzare SSL per il canale dati.

Canale dati: Richiedi

Specifica che è richiesta la crittografia dei dati per il canale dati. Con questa opzione tutti i client utilizzano SSL per l'attività sul canale dati.

Canale dati: Nega

Specifica che è negata la crittografia dei dati per il canale dati. Con questa opzione viene negato in modo esplicito l'utilizzo di SSL per l'attività sul canale dati.

Vedere anche

  • Pagina Impostazioni SSL FTP


Pagina Isolamento utente FTP

Utilizzare la pagina di funzionalità Isolamento utenti FTP per definire la modalità di isolamento utenti per il sito FTP. Isolamento utenti FTP rappresenta una soluzione per provider di servizi Internet (ISP, Internet Service Provider) che intendono offrire ai propri clienti directory FTP individuali per caricare contenuto. Mediante l'isolamento utenti FTP è possibile impedire agli utenti di visualizzare o sovrascrivere il contenuto di altri utenti, limitando l'accesso di ciascuno alla propria directory. Gli utenti non possono spostarsi a un livello superiore nell'albero di directory poiché la propria directory di livello superiore viene visualizzata come radice del servizio FTP. All'interno del proprio sito specifico, gli utenti possono creare, modificare o eliminare file e cartelle.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Non isolare gli utenti. Avvio in: Directory radice FTP

Selezionare questa opzione per specificare che non si desidera isolare gli utenti.

Tutte le sessioni FTP vengono avviate nella directory radice del sito FTP.

Attenzione

Se si dispone di autorizzazioni sufficienti, un utente FTP ha la possibilità di accedere al contenuto di un altro utente FTP.

Non isolare gli utenti. Avvio in: Directory nome utente

Selezionare questa opzione per specificare che non si desidera isolare gli utenti.

Tutte le sessioni FTP vengono avviate nella directory fisica o virtuale con lo stesso nome dell'utente attualmente connesso, se la cartella è presente; in caso contrario, la sessione FTP viene avviata nella directory radice del sito FTP.

Nota

Per specificare la directory di avvio per l'accesso anonimo, creare una directory fisica o virtuale denominata default nella directory radice del sito FTP.

Attenzione

Se si dispone di autorizzazioni sufficienti, un utente FTP ha la possibilità di accedere al contenuto di un altro utente FTP.

Isola gli utenti. Limita gli utenti alla directory seguente: Directory nome utente (disabilita directory virtuali globali)

Selezionare questa opzione per specificare che si desidera isolare le sessioni utente FTP alla directory fisica o virtuale con lo stesso nome dell'account utente FTP. L'utente visualizza solo il percorso radice FTP e non è in grado di spostarsi a un livello superiore nell'albero di directory.

Nota

Per creare home directory per ogni utente, è necessario innanzitutto creare una directory fisica o virtuale nella cartella radice del server FTP denominata dopo il dominio o denominata LocalUser per gli account utente locali. Creare quindi una directory fisica o virtuale per ogni account utente che accede al sito FTP. Nella tabella seguente è illustrata la sintassi della home directory per i provider di autenticazione inclusi con il servizio FTP:

Tipi di account utente | Sintassi home directory
Utenti anonimi | %%FtpRoot%\LocalUser\Public
Account utente di Windows locali (richiesta l'autenticazione di base) | %%FtpRoot%\LocalUser\%UserName%
Account di dominio di Windows (richiesta l'autenticazione di base) | %%FtpRoot%\%UserDomain%\%UserName%
Account utente di autenticazione personalizzati di Gestione IIS o ASP.NET | %%FtpRoot%\LocalUser\%UserName%
Nota

%%FtpRoot% è la directory radice del sito FTP, ad esempio C:\Inetpub\FtpRoot.

Importante

Le directory virtuali globali vengono ignorate. Nessun utente FTP può accedere alle directory virtuali configurate a livello radice del sito FTP. Tutte le directory virtuali devono essere definite in modo esplicito in un percorso della home directory fisica o virtuale dell'utente.

Isola gli utenti. Limita gli utenti alla directory seguente: Directory fisica nome utente (abilita directory virtuali globali)

Selezionare questa opzione per specificare che si desidera isolare le sessioni utente FTP alla directory fisica con lo stesso nome dell'account utente FTP. L'utente visualizza solo il percorso radice FTP e non è in grado di spostarsi a un livello superiore nell'albero di directory.

Nota

Per creare home directory per ogni utente, è necessario innanzitutto creare una directory fisica nella cartella radice del server FTP denominata dopo il dominio o denominata LocalUser per gli account utente locali. Creare quindi una directory fisica per ogni account utente che accede al sito FTP. Nella tabella seguente è illustrata la sintassi della home directory per i provider di autenticazione inclusi con il servizio FTP:

Tipi di account utente | Sintassi home directory
Utenti anonimi | %%FtpRoot%\LocalUser\Public
Account utente di Windows locali (richiesta l'autenticazione di base) | %%FtpRoot%\LocalUser\%UserName%
Account di dominio di Windows (richiesta l'autenticazione di base) | %%FtpRoot%\%UserDomain%\%UserName%
Account utente di autenticazione personalizzati di Gestione IIS o ASP.NET | %%FtpRoot%\LocalUser\%UserName%
Nota

%%FtpRoot% è la directory radice del sito FTP, ad esempio C:\Inetpub\Ftproot.

Importante

Le directory virtuali globali sono abilitate. Tutte le directory virtuali configurate a livello radice del sito FTP sono accessibili da tutti gli utenti FTP che dispongono delle autorizzazioni sufficienti.

Attenzione

Quando le directory virtuali globali sono abilitate, tutti gli utenti FTP che dispongono delle autorizzazioni sufficienti hanno la possibilità di accedere al contenuto di altri utenti FTP.

Isola gli utenti. Limita gli utenti alla directory seguente: Home directory FTP configurata in Active Directory

Selezionare questa opzione per specificare che si desidera isolare le sessioni utente FTP alla home directory configurata nelle impostazioni dell'account di Active Directory per ogni utente FTP. Quando un oggetto utente si trova all'interno del contenitore Active Directory, vengono estratte le proprietà FTPRoot e FTPDir per fornire il percorso completo della home directory dell'utente. Se il servizio FTP riesce ad accedere al percorso, l'utente viene inserito nella home directory, che rappresenta il percorso radice FTP. L'utente visualizza solo il percorso radice FTP e non è in grado di spostarsi a un livello superiore nell'albero di directory. Se la proprietà FTPRoot o FTPDir non esiste oppure se queste due proprietà insieme non costituiscono un percorso valido e accessibile, all'utente viene negato l'accesso.

Nota

Questa modalità richiede un server Active Directory in esecuzione con un sistema operativo Windows Server 2003 o versione successiva. È possibile utilizzare una Active Directory di Windows 2000 ma è richiesta un'estensione manuale dello schema Oggetto utente.

Personalizzato

Selezionare questa opzione per specificare che si desidera isolare le sessioni utente FTP tramite un provider personalizzato.

Importante

Questa opzione rappresenta una funzionalità avanzata che è possibile selezionare solo modificando le impostazioni di configurazione FTP nel file ApplicationHost.config.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Finestra di dialogo Imposta credenziali


Finestra di dialogo Imposta credenziali

Utilizzare la finestra di dialogo Imposta credenziali per specificare le credenziali di Active Directory utilizzate dal server FTP quando contatta il server Active Directory per recuperare le impostazioni della home directory FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Specifica l'account utente utilizzato dal server FTP per contattare il server Active Directory.
Password | Specifica la password dell'account utente.
Conferma password | Conferma la password dell'account utente.

Vedere anche

  • Pagina Isolamento utente FTP


Pagine della pubblicazione FTP guidata

In questa sezione sono presenti gli argomenti seguenti:

Pagina Informazioni sito

Pagina Binding e impostazioni SSL

Pagina Autenticazione e informazioni di autorizzazione


Pagina Informazioni sito

Utilizzare la pagina Informazioni sito della Pubblicazione guidata sito FTP per impostare le impostazioni del sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome del sito FTP | Specifica il nome descrittivo del sito FTP.
Percorso fisico | Specifica il percorso fisico del sito FTP.


Pagina Binding e impostazioni SSL

Utilizzare la pagina Binding e impostazioni SSL della Pubblicazione guidata sito FTP per impostare binding e SSL.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Indirizzo IP

Specifica l'indirizzo IP per il sito FTP. Il valore predefinito è Tutti non assegnati.

Porta

Specifica la porta sulla quale il sito FTP è in ascolto delle richieste in ingresso. Il valore predefinito per FTP è 21.

Abilita nomi host virtuali

Specifica se sono abilitati i nomi host virtuale FTP.

Nota

Alcuni client FTP non supportano i nomi host virtuale FTP.

Host virtuale

Specifica un nome host virtuale. Consente di avere più siti FTP in un singolo indirizzo IP utilizzando la porta predefinita.

Avvia sito FTP automaticamente

Specifica se avviare automaticamente il sito FTP all'avvio del servizio FTP.

Certificato SSL

Specifica il certificato SSL da utilizzare.

Nota

Il menu a discesa sarà vuoto se non è installato alcun certificato SSL.

Nessun SSL

Specifica che non verrà utilizzato SSL.

Consenti SSL

Specifica se è consentito l'utilizzo di SSL.

Richiedi SSL

Specifica se è richiesto l'utilizzo di SSL. Questa è l'impostazione predefinita.


Pagina Autenticazione e informazioni di autorizzazione

Utilizzare la pagina Informazioni di autenticazione e autorizzazione della Pubblicazione guidata sito FTP per impostare le impostazioni di autenticazione e autorizzazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Autenticazione anonima

Specifica se è abilitata l'autenticazione anonima.

Autenticazione di base

Specifica se è abilitata l'autenticazione di base.

Consenti accesso a

Specifica gli utenti autorizzati ad accedere al sito FTP. Le opzioni disponibili sono:

  • Tutti gli utenti

  • Utenti anonimi

  • Ruoli o gruppi di utenti specificati

  • Utenti specificati

Se si utilizza l'opzione Ruoli o gruppi di utenti specificati o Utenti specificati, è necessario utilizzare la casella aggiuntiva per specificare utenti, ruoli o gruppi specifici a cui consentire l'accesso.

Lettura

Specifica se la regola consente l'autorizzazione di lettura.

Scrittura

Specifica se la regola consente l'autorizzazione di scrittura.


Pagina Filtro richieste FTP

Utilizzare la pagina di funzionalità Filtro richieste FTP per definire le impostazioni del filtro richieste per il sito FTP. Filtro richieste FTP è una funzionalità di sicurezza che consente ai provider di servizi Internet (ISP, Internet Service Provider) e ai provider di servizi applicativi (ASP, Application Service Provider) di limitare il comportamento del protocollo e del contenuto. Nella scheda Estensioni di file è possibile ad esempio specificare un elenco di estensioni di file consentite o negate.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Estensioni di file | Specifica un elenco di estensioni di file a cui il servizio FTP consente o nega l'accesso.
Segmenti nascosti | Specifica un elenco di segmenti nascosti a cui il servizio FTP nega l'accesso e che non vengono inclusi nella visualizzazione directory.
Sequenze URL negate | Specifica un elenco di sequenze URL a cui il servizio FTP nega l'accesso.
Comandi | Specifica un elenco di comandi FTP a cui il servizio FTP consente o nega l'accesso.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Modifica impostazioni funzionalità

Apre la finestra di dialogo Modifica impostazioni di filtro richieste FTP che consente di configurare le proprietà generali e i limiti delle richieste FTP.

Consenti estensione di file

Apre la finestra di dialogo Consenti estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file consentite.

Nega estensione di file

Apre la finestra di dialogo Nega estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file negate.

Aggiungi segmento nascosto

Apre la finestra di dialogo Aggiungi segmento nascosto che consente di aggiungere un segmento nascosto all'elenco di segmenti nascosti.

Aggiungi sequenza URL

Apre la finestra di dialogo Aggiungi sequenza di negazione che consente di aggiungere una sequenza URL all'elenco di sequenze URL negate.

Consenti comando

Apre la finestra di dialogo Consenti comando che consente di aggiungere un comando FTP all'elenco di comandi FTP consentiti.

Nega comando

Apre la finestra di dialogo Nega comando che consente di aggiungere un comando FTP all'elenco di comandi FTP negati.

Avvertenza

L'utilizzo non corretto di tale funzionalità può impedire l'accesso al server. Se ad esempio si nega l'accesso ai comandi USER e PASS, gli utenti non saranno in grado di accedere al server FTP.

Rimuovi

Rimuove un'estensione di file, un segmento nascosto, una sequenza URL o un comando dall'elenco.


Comandi FTP

Utilizzare Comandi FTP per definire un elenco di comandi a cui il servizio FTP consente o nega l'accesso. La configurazione di comandi specifici consente agli amministratori dei server Web di personalizzare l'elenco di comandi FTP consentiti dal servizio FTP, che è possibile utilizzare per garantire una maggiore sicurezza del server. Se ad esempio si nega l'accesso al comando FTP SYST, è possibile impedire ai client Internet di determinare il sistema operativo del server.

Nota

La finestra di dialogo Modifica impostazioni di filtro richieste FTP consente di specificare se sono consentiti i comandi non in elenco, specificando manualmente i comandi consentiti.

Avvertenza

L'utilizzo non corretto della funzionalità Comandi FTP può impedire l'accesso al server FTP. Se ad esempio si nega l'accesso ai comandi USER o PASS, gli utenti non saranno in grado di accedere al sito FTP. Inoltre, sebbene sia possibile specificare nella finestra di dialogo Modifica impostazioni di filtro richieste FTP che i comandi non in elenco non sono consentiti e utilizzare l'elenco Comandi per specificare solo i comandi FTP consentiti, questa configurazione non è consigliabile a causa della complessità legata al dovere specificare l'elenco corretto di comandi FTP necessari per il normale funzionamento FTP.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Comando | Visualizza il comando FTP a cui il servizio FTP consente o nega l'accesso.
Consentito | Visualizza lo stato del comando FTP, che è True se il comando FTP è consentito o False se il comando FTP è negato.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Consenti comando

Apre la finestra di dialogo Consenti comando che consente di aggiungere un comando FTP all'elenco di comandi FTP consentiti.

Nega comando

Apre la finestra di dialogo Nega comando che consente di aggiungere un comando FTP all'elenco di comandi FTP negati.

Avvertenza

L'utilizzo non corretto di tale funzionalità può impedire l'accesso al server. Se ad esempio si nega l'accesso ai comandi USER e PASS, gli utenti non saranno in grado di accedere al sito FTP.

Rimuovi

Rimuove un comando FTP dall'elenco.

Modifica impostazioni funzionalità

Apre la finestra di dialogo Modifica impostazioni di filtro richieste FTP che consente di configurare le proprietà generali e i limiti delle richieste FTP.

Vedere anche

  • Finestra di dialogo Modifica impostazioni di filtro richieste FTP
  • Finestra di dialogo Consenti comando o Nega comando FTP


Finestra di dialogo Consenti comando o Nega comando FTP

Utilizzare la finestra di dialogo Consenti comando o Nega comando per aggiungere un comando FTP all'elenco di comandi a cui il servizio FTP consente o nega l'accesso.

Avvertenza

L'utilizzo non corretto di tale funzionalità può impedire l'accesso al server. Se ad esempio si nega l'accesso ai comandi USER e PASS, gli utenti non saranno in grado di accedere al server FTP.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Comando | Specifica il comando FTP a cui il servizio FTP consente o nega l'accesso.

Vedere anche

  • Finestra di dialogo Modifica impostazioni di filtro richieste FTP
  • Comandi FTP


Sequenze URL negate FTP

Utilizzare Sequenze URL negate FTP per definire l'elenco di sequenze URL a cui il servizio FTP nega l'accesso. Ad esempio, per impedire l'accesso alla directory dell'applicazione Web, è possibile aggiungere la directory Bin come sequenza URL negata per il sito FTP. Quando un client FTP accede al sito FTP, la cartella Bin viene inclusa nella visualizzazione directory, ma se il client FTP tenta di passare alla cartella Bin, il servizio FTP restituirà al client FTP un messaggio di errore di accesso negato.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Sequenza URL | Visualizza la sequenza URL FTP a cui il servizio FTP nega l'accesso.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi sequenza URL | Apre la finestra di dialogo Aggiungi sequenza di negazione che consente di aggiungere una sequenza URL all'elenco di sequenze URL negate.
Rimuovi | Rimuove un'estensione di file, un segmento nascosto, una sequenza URL o un comando dall'elenco.
Modifica impostazioni funzionalità | Apre la finestra di dialogo Modifica impostazioni di filtro richieste FTP che consente di configurare le proprietà generali e i limiti delle richieste FTP.

Vedere anche

  • Finestra di dialogo Aggiungi sequenza di negazione FTP
  • Segmenti nascosti FTP


Finestra di dialogo Aggiungi sequenza di negazione FTP

Utilizzare la finestra di dialogo Aggiungi sequenza di negazione FTP per aggiungere una sequenza URL all'elenco di sequenze URL a cui il servizio FTP nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Sequenza URL | Specifica la sequenza URL a cui il servizio FTP nega l'accesso.

Vedere anche

  • Sequenze URL negate FTP


Finestra di dialogo Modifica impostazioni di filtro richieste FTP

Utilizzare la finestra di dialogo Modifica impostazioni di filtro richieste FTP per specificare le impostazioni generali del filtro richieste FTP, i limiti delle richieste e le opzioni di filtro comandi.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Consenti estensione di file non in elenco

Selezionare questa opzione per consentire le estensioni di file non in elenco.

Consenti caratteri a bit significativo

Selezionare questa opzione per consentire i caratteri a bit significativo nelle operazioni FTP.

Lunghezza contenuto massima (byte)

Specifica la lunghezza massima, in byte, del contenuto FTP.

Nota

Zero (0) indica una lunghezza illimitata.

Lunghezza URL massima (byte)

Specifica la lunghezza massima, in byte, di un URL FTP.

Lunghezza comando massima (byte)

Specifica la lunghezza massima, in byte, di un comando FTP.

Consenti comandi non in elenco

Selezionare questa opzione per consentire comandi FTP non presenti nell'elenco Comandi FTP.

Vedere anche

  • Pagina Filtro richieste FTP


Estensioni di file FTP

Utilizzare Estensioni di file FTP per definire un elenco di estensioni di file a cui il servizio FTP consente o nega l'accesso. La configurazione di estensioni di file specifiche consente agli amministratori dei server Web di personalizzare le estensioni di file consentite o negate dal servizio FTP, che è possibile utilizzare per garantire una maggiore sicurezza del server. Se ad esempio si nega l'accesso ai file con estensione EXE e COM, è possibile impedire ai client Internet di caricare nel server file eseguibili.

Nota

La finestra di dialogo Modifica impostazioni di filtro richieste FTP consente di specificare se sono consentite estensioni di file non in elenco. È possibile ottimizzare le limitazioni di accesso per il server specificando che le estensioni di file non in elenco non sono consentite e utilizzando la funzionalità Estensioni di file FTP per specificare manualmente l'elenco di estensioni di file consentite nel server.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Estensione di file | Visualizza l'estensione di file a cui il servizio FTP consente o nega l'accesso.
Consentito | Visualizza lo stato dell'estensione di file, che è True se l'estensione di file è consentita o False se l'estensione di file è negata.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti estensione di file | Apre la finestra di dialogo Consenti estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file consentite.
Nega estensione di file | Apre la finestra di dialogo Nega estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file negate.
Rimuovi | Rimuove un'estensione di file, un segmento nascosto, una sequenza URL o un comando dall'elenco.
Modifica impostazioni funzionalità | Apre la finestra di dialogo Modifica impostazioni di filtro richieste FTP che consente di configurare le proprietà generali e i limiti delle richieste FTP.

Vedere anche

  • Finestra di dialogo Modifica impostazioni di filtro richieste FTP
  • Finestra di dialogo Consenti estensione di file o Nega estensione di file FTP


Finestra di dialogo Consenti estensione di file o Nega estensione di file FTP

Utilizzare la finestra di dialogo Consenti estensione di file o Nega estensione di file per aggiungere un'estensione di file all'elenco di estensioni di file a cui il servizio FTP consente o nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Estensione di file | Specifica l'estensione di file a cui il servizio FTP consente o nega l'accesso.

Vedere anche

  • Estensioni di file FTP


Segmenti nascosti FTP

Utilizzare Segmenti nascosti FTP per definire l'elenco di segmenti URL a cui il servizio FTP nega l'accesso e che non vengono inclusi nella visualizzazione directory. Ad esempio, per impedire l'accesso alla directory dell'applicazione Web, è possibile aggiungere la directory Bin come segmento nascosto per il sito FTP. Quando un client FTP accede al sito FTP, la cartella Bin non verrà inclusa nella visualizzazione directory. Se il client FTP tenta di passare alla cartella Bin, il servizio FTP restituirà al client FTP un messaggio di errore di accesso negato.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Segmento | Visualizza il segmento URL a cui il servizio FTP nega l'accesso e che non viene incluso nella visualizzazione directory.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi segmento nascosto | Apre la finestra di dialogo Aggiungi segmento nascosto che consente di aggiungere un segmento nascosto all'elenco di segmenti nascosti.
Rimuovi | Rimuove un segmento nascosto dall'elenco.
Modifica impostazioni funzionalità | Apre la finestra di dialogo Modifica impostazioni di filtro richieste FTP che consente di configurare le proprietà generali e i limiti delle richieste FTP.

Vedere anche

  • Finestra di dialogo Aggiungi segmento nascosto FTP
  • Sequenze URL negate FTP


Finestra di dialogo Aggiungi segmento nascosto FTP

Utilizzare la finestra di dialogo Aggiungi segmento nascosto per aggiungere un segmento URL all'elenco di segmenti URL a cui il servizio FTP nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Segmento nascosto

Specifica il segmento URL a cui il servizio FTP nega l'accesso.

Nota

Il servizio FTP non mostra i segmenti nascosti nella visualizzazione directory.

Vedere anche

  • Segmenti nascosti FTP


Mapping gestori

In questa sezione sono presenti gli argomenti seguenti:

Pagina Mapping gestori

Finestra di dialogo Aggiungi gestore gestito o Modifica gestore gestito

Finestra di dialogo Aggiungi mappa script o Modifica mappa script

Finestra di dialogo Aggiungi mapping di script con caratteri jolly o Modifica mapping di script con caratteri jolly

Finestre di dialogo Aggiungi mapping moduli o Modifica mapping moduli

Finestra di dialogo Restrizioni richieste

Finestra di dialogo Modifica autorizzazioni funzionalità


Pagina Mapping gestori

Utilizzare la pagina di funzionalità Mapping gestori per gestire un elenco di gestori che elaborano le richieste relative a tipi di file specifici.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Nome

Consente di visualizzare il nome del mapping gestori.

Percorso

Consente di visualizzare il nome file o l'estensione per cui il gestore elaborerà una risposta. Il valore può essere un nome file specifico, ad esempio WebResource.axd, o un carattere jolly (*) con un'estensione specifica, ad esempio * .exe.

Stato

Consente di visualizzare se il gestore è abilitato o disabilitato in base ai criteri di accesso impostati nella finestra di dialogo Modifica autorizzazioni funzionalità e l'impostazione di accesso obbligatoria specificata dal mapping gestori. Se un gestore richiede un tipo di accesso non abilitato nel criterio di accesso a quel livello, il gestore viene disabilitato.

Tipo di percorso

Consente di visualizzare uno dei valori seguenti per il tipo di percorso al quale è mappato il gestore:

  • Non specificato, se il mapping non si applica a un tipo di percorso specifico.

  • File, se il mapping si applica a un file.

  • Directory, se il mapping si applica a una directory.

  • File o directory, se il mapping si applica sia a un file che a una directory.

Gestore

Consente di visualizzare il modulo, ad esempio IsapiModule, o il tipo gestito, come System.Web.Handlers.TraceHandler, che risponde alla richiesta come specificato nel mapping.

Tipo voce

Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi gestore gestito

Consente di visualizzare la finestra di dialogo Aggiungi gestore gestito in cui è possibile aggiungere un mapping a un gestore di codice gestito.

Aggiungi mapping di script

Consente di visualizzare la finestra di dialogo Aggiungi mapping di script in cui è possibile aggiungere un mapping a un processore di script.

Aggiungi mapping di script con caratteri jolly

Consente di visualizzare la finestra di dialogo Aggiungi mapping di script con caratteri jolly in cui è possibile aggiungere un mapping gestori per gestire le singole estensioni di file.

Aggiungi mapping moduli

Consente di visualizzare la finestra di dialogo Aggiungi mapping moduli in cui è possibile aggiungere un mapping a un modulo.

Modifica

Consente di visualizzare una finestra di dialogo di modifica in cui è possibile modificare il mapping gestori selezionato.

Rinomina

Consente di abilitare il campo Nome per modificare il nome descrittivo del mapping gestori selezionato.

Nota

Questa azione è disponibile solo a livello di server.

Blocca

Consente di bloccare il mapping gestori selezionato in modo che non sia possibile eseguirne l'override a livelli inferiori della configurazione.

Nota

Questa azione è disponibile solo a livello di server.

Sblocca

Consente di sbloccare il mapping gestori selezionato in modo che sia possibile eseguirne l'override a livelli inferiori della configurazione.

Nota

Questa azione è disponibile solo a livello di server.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Modifica autorizzazioni funzionalità

Consente di visualizzare la finestra di dialogo Modifica autorizzazioni funzionalità in cui è possibile configurare autorizzazioni valide per l'intera funzionalità Mapping gestori.

Ripristina ereditato

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Finestra di dialogo Modifica autorizzazioni funzionalità
  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestra di dialogo Aggiungi gestore gestito o Modifica gestore gestito

Le finestre di dialogo Aggiungi gestore gestito e Modifica gestore gestito consentono di aggiungere nuovi gestori di codice gestito o modificare gestori di codice gestito esistenti sul server Web. I gestori gestiti vengono scritti in codice gestito e rispondono a richieste specifiche sul server Web. Il mapping gestori PageHandlerFactory-Integrated, ad esempio, specifica che il gestore System.Web.UI.PageHandlerFactory elabora le richieste di file ASPX.

Nota

Per impostazione predefinita, quando si aggiunge un gestore gestito, il gestore verrà eseguito solo in pool di applicazioni configurati per l'utilizzo della modalità integrata. Se tuttavia si desidera eseguire il gestore in pool di applicazioni configurati per l'utilizzo della modalità ISAPI, è necessario aggiungere il gestore alla sezione <httphandlers> di System.web da uno strumento quale Appcmd.exe.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso richiesta | Digitare un'estensione di file o un nome file con un'estensione le cui richieste devono essere elaborate dal gestore. Se ad esempio si desidera che il gestore elabori tutte le richieste effettuate per i file con estensione abc, immettere * .abc. Analogamente, se si desidera che il gestore esegua tutte le richieste per un file specifico, digitare il nome file e la relativa estensione, ad esempio NomeFile.abc.
Tipo | Digitare il nome del tipo del gestore gestito, ad esempio System.Web.Handlers. Quando si aggiunge un gestore gestito, verificare che l'assembly al quale appartiene la classe sia registrato nella sezione system.web/compilation del file Web.config. In caso contrario, sarà necessario digitare il nome completo della classe dell'assembly del gestore gestito. Se la classe è definita nella directory App_Code o bin, è possibile specificarne solo il nome.
Nome | Digitare un nome descrittivo per il mapping gestori.
Restrizioni richieste | Consente di visualizzare la finestra di dialogo Restrizioni richieste in cui è possibile specificare restrizioni aggiuntive facoltative per il mapping.

Vedere anche

  • Finestra di dialogo Restrizioni richieste
  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestra di dialogo Aggiungi mappa script o Modifica mappa script

Le finestre di dialogo Aggiungi mapping di script e Modifica mapping di script consentono di aggiungere nuovi gestori o modificare gestori nativi esistenti sul server Web. I gestori nativi, definiti anche motori di script, sono file EXE o DLL di codice nativo che rispondono a richieste specifiche.

Nota

I mapping di script forniscono la compatibilità con le versioni precedenti di IIS. È necessario che i file eseguibili siano scritti nella specifica CGI e che i file DLL supportino le interfacce dell'estensione ISAPI.

Se si esegue il mapping di un tipo di richiesta a un file EXE (il motore di script), CgiModule caricherà il file eseguibile associato quando nel server viene inserita una richiesta che corrisponde al mapping gestori. Se si esegue il mapping di un tipo di richiesta a un file DLL (il motore di script), IsapiModule caricherà la DLL quando nel server viene inserita una richiesta che corrisponde al mapping gestori. IIS 7, ad esempio, include un mapping dei gestori per pagine ASP (Active Server Pages). Tutte le richieste di file ASP vengono elaborate dal motore di script asp.dll che viene caricato da IsapiModule, in quanto ASP.DLL è un'estensione ISAPI.

Nota

Se si configurano mapping di script per i file eseguibili, assicurarsi che CgiModule sia registrato e abilitato nella pagina Moduli. Analogamente, se si configurano mapping di script per le DLL, assicurarsi che IsapiModule sia registrato e abilitato nella pagina Moduli.

Per consentire l'esecuzione del file eseguibile, è necessario aggiungerlo all'elenco Restrizione ISAPI e CGI dopo aver scelto OK per aggiungere o salvare il mapping gestori.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Percorso richiesta

Digitare un'estensione di file o un nome file con un'estensione le cui richieste devono essere elaborate dal gestore. Se ad esempio si desidera che il gestore esegua tutte le richieste di file ASP, immettere * .asp. Se invece si desidera che il gestore esegua tutte le richieste di un file specifico, immettere il nome del file e la rispettiva estensione, ad esempio NomeFile.asp.

Nota

Se si desidera configurare un mapping di script con caratteri jolly, utilizzare l'azione Aggiungi mapping di script con caratteri jolly nella pagina Mapping gestori.

Eseguibile

Digitare il percorso del programma CGI o dell'estensione ISAPI nel file system fisico.

Nota

Se il percorso del file EXE specificato include spazi, racchiuderlo tra virgolette doppie ("). Con i file EXE è inoltre possibile specificare parametri della riga di comando. Queste istruzioni non si applicano ai file DLL.

…

Individuare il file EXE o DLL nel file system fisico.

Nome

Digitare un nome descrittivo per il mapping gestori.

Restrizioni richieste

Consente di visualizzare la finestra di dialogo Restrizioni richieste in cui è possibile specificare restrizioni aggiuntive facoltative per il mapping.

Vedere anche

  • Finestra di dialogo Restrizioni richieste
  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestra di dialogo Aggiungi mapping di script con caratteri jolly o Modifica mapping di script con caratteri jolly

Utilizzare le finestre di dialogo Aggiungi mapping di script con caratteri jolly e Modifica mapping di script con caratteri jolly per aggiungere o modificare un mapping con caratteri jolly. L'estensione ISAPI configurata per il mapping gestisce ogni estensione di file e intercetta ogni richiesta prima che la pagina richiesta venga inviata al gestore di cui è stato eseguito il mapping.

Per consentire l'esecuzione del file eseguibile, è necessario aggiungerlo all'elenco Restrizione ISAPI e CGI dopo aver scelto OK per aggiungere o salvare il mapping gestori.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Percorso richiesta

Consente di visualizzare un asterisco (*).

Nota

Se si desidera configurare un mapping di script per un'estensione di file specifica o un nome file con estensione, utilizzare l'azione Aggiungi mapping di script nella pagina Mapping gestori.

Eseguibile

Digitare il percorso dell'estensione ISAPI nel file system fisico.

…

Individuare il file EXE o DLL nel file system fisico.

Nome

Digitare un nome descrittivo per il mapping gestori.

Vedere anche

  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestre di dialogo Aggiungi mapping moduli o Modifica mapping moduli

Le finestre di dialogo Aggiungi mapping moduli e Modifica mapping moduli consentono di aggiungere un nuovo mapping di moduli o di modificarne uno esistente sul server Web. È possibile eseguire il mapping di un file specifico o di un'estensione di file a un modulo nativo sul server Web, per far sì che, quando un utente richiede il file o un file con l'estensione specificata, il modulo possa elaborare la richiesta. IIS 7, ad esempio, esegue il mapping a IsapiModule di tutte le richieste relative ai file con estensione asp, in modo che il modulo venga chiamato quando un utente richiede un file con estensione asp.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Percorso richiesta

Digitare un'estensione di file o un nome file con un'estensione le cui richieste devono essere elaborate dal gestore. Se ad esempio si desidera che il gestore elabori tutte le richieste effettuate per i file con estensione ABC, immettere * .abc. Analogamente, se si desidera che il gestore esegua tutte le richieste per un file specifico, immettere il nome del file e la relativa estensione, ad esempio NomeFile.abc.

Modulo

Selezionare il modulo da utilizzare per l'elaborazione delle richieste per le risorse specificate nella casella Percorso richiesta.

Eseguibile (facoltativo)

Facoltativamente, digitare il percorso di un file con estensione dll o exe quando il modulo selezionato nella casella Modulo richiede l'esecuzione di un file eseguibile, ad esempio il modulo FastCGI.

Nota

Per consentire l'esecuzione del file eseguibile, è necessario aggiungerlo all'elenco Restrizione ISAPI e CGI dopo aver scelto OK per aggiungere o salvare il mapping gestori.

Se si specifica un file con estensione exe, è inoltre possibile digitare i parametri della riga di comando facoltativi dopo il percorso. I parametri della riga di comando non sono supportati per i file con estensione dll.

Nota

Se per un file con estensione exe si specifica un percorso contenente spazi, sarà necessario racchiudere il percorso tra virgolette doppie ("). Ad esempio, digitare "c:\file\file gestore\gestore.exe." Tale operazione non è richiesta per i file con estensione dll.

Nome

Digitare un nome descrittivo per il mapping gestori.

Restrizioni richieste

Consente di visualizzare la finestra di dialogo Restrizioni richieste in cui è possibile specificare restrizioni aggiuntive facoltative per il mapping.

Vedere anche

  • Finestra di dialogo Restrizioni richieste
  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestra di dialogo Restrizioni richieste

Utilizzare la finestra di dialogo Restrizioni richieste per specificare restrizioni facoltative, ad esempio il tipo di risorsa o il verbo HTTP necessario, le cui richieste devono essere elaborate da un gestore. Configurare restrizioni solo se è necessario limitare in modo specifico le condizioni in base alle quali un gestore elabora le richieste. Se non viene configurata nessuna restrizione, i gestori elaboreranno le richieste indipendentemente dal tipo di risorsa necessario e dai verbi HTTP specificati.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Mapping

Configurare le opzioni in questa scheda se si desidera restringere il mapping gestori a richieste relative a tipi di risorsa specifici, ad esempio un file o una cartella. Se non si configura nessuna opzione in questa scheda, il gestore elaborerà le richieste indipendentemente dal tipo di risorsa specificato nella richiesta.

Richiama gestore solo se la richiesta è mappata a

Selezionare questa casella di controllo nella scheda Mapping se si desidera che il mapping gestori venga applicato solo alle richieste relative a un tipo di risorsa specifico, ad esempio una richiesta di un file o di una cartella. Se si seleziona questa casella di controllo, è necessario specificare anche il tipo di risorsa selezionando una delle opzioni riportate sotto la casella.

File

Selezionare questa opzione se si desidera che il gestore elabori le richieste di nomi file o di estensioni di file specifici. Il gestore ASPClassic, ad esempio, elabora le richieste di file con estensione ASP. L'opzione è disponibile solo se si seleziona la casella di controllo Richiama gestore solo se la richiesta è mappata a.

Cartella

Selezionare questa opzione se si desidera che il gestore elabori le richieste di cartelle. Questa restrizione può risultare utile nel caso in cui si desideri che il contenuto di una cartella venga elaborato da un gestore specifico. L'opzione è disponibile solo se si seleziona la casella di controllo Richiama gestore solo se la richiesta è mappata a.

File o cartella

Selezionare questa opzione se si desidera che il gestore elabori richieste di file e cartelle. L'opzione è disponibile solo se si seleziona la casella di controllo Richiama gestore solo se la richiesta è mappata a.

Verbi

Configurare le opzioni in questa scheda se si desidera restringere il mapping gestori a verbi HTTP specifici che i client forniscono nelle intestazioni HTTP quando effettuano le richieste.

Tutti i verbi

Selezionare questa opzione se si desidera che il gestore elabori le richieste indipendentemente dai verbi specificati dal client. Questa opzione è selezionata per impostazione predefinita.

Uno dei seguenti verbi

Selezionare questa opzione se si desidera che il gestore elabori richieste solo quando un client fornisce uno o più verbi HTTP specifici in una richiesta. Nella casella di testo corrispondente digitare il verbo o i verbi HTTP ai quali si desidera che venga applicato il mapping gestori. Digitare ad esempio GET se si desidera che il gestore elabori le richieste di un client che utilizza il verbo GET.

Accesso

Selezionare una delle opzioni di questa scheda per configurare l'accesso richiesto per eseguire il gestore in una directory virtuale. Questa impostazione, unitamente ai criteri di accesso della funzionalità impostati nella finestra di dialogo Modifica autorizzazioni funzionalità, determina se è possibile eseguire un gestore.

Importante

Verificare che l'impostazione di accesso desiderata per un gestore sia corretta. In caso contrario, è possibile che il gestore venga eseguito accidentalmente. Se ad esempio si cambia l'accesso richiesto per il gestore ISAPI-dll da Esecuzione a Lettura, le estensioni ISAPI potranno essere eseguite anche se nei criteri di accesso della funzionalità è abilitato solo l'accesso Lettura.

Selezionare una delle seguenti opzioni:

  • Nessuna: il gestore verrà eseguito anche se non è abilitata nessuna opzione dei criteri di accesso.

  • Lettura: il gestore verrà eseguito quando nei criteri di accesso è abilitata l'opzione Lettura.

  • Scrittura: il gestore verrà eseguito quando nei criteri di accesso è abilitata l'opzione Scrittura.

  • Script: il gestore verrà eseguito quando nei criteri di accesso è abilitata l'opzione Script. Si tratta della selezione predefinita.

  • Esecuzione: il gestore verrà eseguito quando nei criteri di accesso è abilitata l'opzione Esecuzione.

Vedere anche

  • Finestra di dialogo Modifica autorizzazioni funzionalità
  • Configurazione di mapping gestori in IIS 7 (in linea)


Finestra di dialogo Modifica autorizzazioni funzionalità

Utilizzare la finestra di dialogo Modifica autorizzazioni funzionalità per configurare i criteri di accesso che specificano i tipi di diritto relativi alle funzionalità assegnati ai gestori a livello di server Web, sito Web, applicazione Web, directory o file in IIS. I diritti per le funzionalità che è possibile abilitare o disabilitare nel criterio di accesso sono: lettura, script ed esecuzione. Il criterio di accesso, insieme all'impostazione di accesso richiesto da un gestore, determina se è possibile l'esecuzione di un gestore. Se un gestore richiede un tipo di diritto per le funzionalità che non è abilitato nel criterio di accesso, il gestore verrà disabilitato e tutte le richieste elaborate da tale gestore (basate sul mapping gestori) non verranno completate, a meno che un altro gestore non possa elaborarle.

Quando si seleziona un'opzione nella finestra di dialogo Modifica autorizzazioni funzionalità, nella colonna Stato della pagina Mapping gestori viene visualizzato Abilitato per i gestori che sono abilitati dalla selezione. Analogamente, quando si cancella una selezione nella finestra di dialogo Modifica autorizzazioni funzionalità, nella colonna Stato della pagina Mapping gestori viene visualizzato Disabilitato per i gestori che sono disabilitati dalla selezione. È possibile visualizzare in anteprima i gestori che sono abilitati o disabilitati visualizzando la pagina Mapping gestori e quindi scegliendo OK per chiudere la finestra di dialogo Modifica autorizzazioni funzionalità. Facendo clic su Annulla anziché su OK, le modifiche apportate nella finestra di dialogo non verranno salvate.

Nota

Per configurare l'impostazione di accesso obbligatoria per un gestore, è possibile modificare il mapping gestori e fare clic su Restrizioni richieste per configurare l'impostazione nella scheda Accesso.

Si può ad esempio abilitare Lettura e Script a livello del server Web ma decidere di disabilitare Script per un sito specifico che rende disponibile solo contenuto statico. In questo modo si impedirà al server di eseguire script per quel sito se un utente aggiunge un mapping gestori per uno script o per un file eseguibile a livello del sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Lettura

Selezionare o deselezionare la casella di controllo Lettura rispettivamente per abilitare o disabilitare i gestori che richiedono accesso in lettura a una directory virtuale. È necessario abilitare la lettura in un criterio di accesso se si desidera servire contenuto statico o configurare documenti predefiniti ed esplorazione directory. Per impostazione predefinita, le autorizzazioni di lettura sono abilitate.

Script

Selezionare o deselezionare la casella di controllo Script rispettivamente per abilitare o disabilitare i gestori che richiedono diritti di script in una directory virtuale.

Esecuzione

Selezionare o deselezionare la casella di controllo Esecuzione rispettivamente per abilitare o disabilitare i gestori che richiedono diritti di esecuzione in una directory virtuale. La casella di controllo Esecuzione è abilitata solo quando la casella di controllo Script è selezionata. È necessario abilitare l'esecuzione in un criterio di accesso solo se si desidera abilitare l'esecuzione di file eseguibili, ad esempio file con estensione EXE, DLL e COM, oltre che degli script.

Importante

Per motivi di sicurezza e di prestazioni, è necessario abilitare i diritti relativi agli eseguibili solo per i programmi testati e richiesti dalle applicazioni.

Vedere anche

  • Finestra di dialogo Restrizioni richieste
  • Configurazione di mapping gestori in IIS 7 (in linea)


Pagina Reindirizzamento HTTP

Utilizzare la pagina di funzionalità Reindirizzamento HTTP per abilitare il reindirizzamento e configurare la modalità di reindirizzamento delle richieste in entrata a una nuova destinazione.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Reindirizza le richieste a questa destinazione

Selezionare questa opzione per abilitare il reindirizzamento e specificare l'URL al quale reindirizzare le richieste. Le richieste possono essere reindirizzate a un percorso virtuale, ad esempio http://www.contoso.com/sales, oppure a un file, ad esempio http://www.contoso.com/sales/default.aspx.

Reindirizza tutte le richieste alla destinazione esatta (invece che alla destinazione relativa)

Selezionare questa opzione quando si desidera che i client siano reindirizzati all'URL esatto specificato nella casella Reindirizza le richieste a questa destinazione.

Quando questa opzione non è selezionata, la destinazione è relativa al valore specificato nella casella Reindirizza le richieste a questa destinazione. Se ad esempio si configura http://www.contoso.com/sales come destinazione del reindirizzamento e una richiesta in entrata è http://www.contoso.com/marketing/default.aspx, IIS reindirizzerà la richiesta a http://www.contoso.com/sales/default.aspx.

Reindirizza le richieste solo al contenuto di questa directory (non a directory secondarie)

Selezionare questa opzione quando si desidera che i client siano reindirizzati al contenuto presente nella sola directory specificata nella casella Reindirizza le richieste a questa destinazione.

Quando questa opzione non è selezionata, le richieste vengono reindirizzate al percorso specificato nella casella Reindirizza le richieste a questa destinazione e a eventuali sottodirectory presenti in tale percorso. Se ad esempio si configura http://www.contoso.com/sales come destinazione del reindirizzamento, è possibile che le richieste vengano gestite dalle directory presenti sotto /sales quando non è selezionata neanche l'opzione Reindirizza tutte le richieste alla destinazione esatta (invece che alla destinazione relativa).

Codice stato

Selezionare una delle opzioni seguenti per specificare il codice di stato del reindirizzamento inviato ai client:

  • Trovato (302): indica al client Web di inviare una nuova richiesta al percorso. Si tratta dell'opzione predefinita.

  • Permanente (301): indica al client Web che il percorso della risorsa richiesta è stato modificato in modo permanente.

  • Temporaneo (307): impedisce perdite di dati in un Web browser quando il browser invia una richiesta POST HTTP.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione del reindirizzamento HTTP in IIS 7 (in linea)


Intestazioni risposte HTTP

In questa sezione sono presenti gli argomenti seguenti:

Pagina Intestazioni risposte HTTP

Finestra di dialogo Aggiungi intestazione risposta HTTP personalizzata o Modifica intestazione risposta HTTP personalizzata

Finestra di dialogo Imposta intestazioni risposte HTTP comuni


Pagina Intestazioni risposte HTTP

Utilizzare la pagina di funzionalità Intestazioni risposte HTTP per gestire un elenco di coppie nome/valore che contengono informazioni su una pagina richiesta e per configurare intestazioni HTTP comuni.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare la parte del nome di una coppia nome/valore relativa all'intestazione di risposta HTTP.
Valore | Consente di visualizzare la parte del valore di una coppia nome/valore relativa all'intestazione di risposta HTTP.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi intestazione risposta HTTP personalizzata in cui è possibile aggiungere un'intestazione.
Imposta intestazioni comuni | Consente di visualizzare la finestra di dialogo Imposta intestazioni risposte HTTP comuni in cui è possibile configurare le intestazioni di scadenza di contenuto Web e keep-alive HTTP.
Modifica | Consente di visualizzare la finestra di dialogo Modifica intestazione risposta HTTP personalizzata in cui è possibile modificare un'intestazione. Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione di intestazioni di risposta HTTP in IIS 7 (in linea)


Finestra di dialogo Aggiungi intestazione risposta HTTP personalizzata o Modifica intestazione risposta HTTP personalizzata

Utilizzare le finestre di dialogo Aggiungi intestazione risposta HTTP personalizzata e Modifica intestazione risposta HTTP personalizzata per aggiungere o modificare coppie di nomi e valori contenenti informazioni su una pagina richiesta. Ad esempio, è possibile creare un'intestazione personalizzata denominata "autore" contenente il nome dell'autore del contenuto di un sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Digitare la parte del nome di una coppia nome/valore relativa all'intestazione di risposta HTTP.
Valore | Digitare la parte del valore di una coppia nome/valore relativa all'intestazione di risposta HTTP.

Vedere anche

  • Configurazione di intestazioni di risposta HTTP in IIS 7 (in linea)


Finestra di dialogo Imposta intestazioni risposte HTTP comuni

Utilizzare la finestra di dialogo Imposta intestazioni risposte HTTP comuni per configurare le intestazioni che consentono di abilitare keep-alive HTTP e di specificare la scadenza del contenuto Web.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Abilita keep-alive HTTP

Selezionare questa opzione per mantenere aperta una connessione client/server in più richieste al server. La disponibilità di una connessione aperta garantisce migliori prestazioni quando un client effettua più richieste relative al contenuto di pagine Web perché consente al server di restituire più rapidamente il contenuto per ogni richiesta.

Nota

È necessario utilizzare la funzione keep-alive HTTP quando si utilizzano servizi di sicurezza integrata o di autenticazione basati sulla connessione, ad esempio Autenticazione integrata di Windows.

Contenuto Web con scadenza

Selezionare questa opzione per configurare la scadenza del contenuto Web. Un server Web restituisce questo valore di intestazione a un browser client in un'intestazione del file HTML. Il browser confronta tale valore con la data corrente per determinare se visualizzare la pagina memorizzata nella cache del computer client oppure richiedere al server una pagina aggiornata.

Selezionare quindi una delle opzioni seguenti per specificare la scadenza per il contenuto:

  • Immediatamente: il contenuto scade subito dopo il recapito. Questa impostazione è ottimale per contenuto in cui sono incluse informazioni riservate che non si desidera vengano memorizzate nella cache o per contenuto aggiornato molto frequentemente.

  • Dopo: consente di impostare un intervallo per la scadenza del contenuto. Questa impostazione è ottimale per contenuto aggiornato regolarmente, ad esempio ogni giorno o ogni settimana. Digitare un valore nella casella corrispondente e selezionare uno dei valori seguenti nell'elenco: Secondo/i, Minuto/i, Ora/e, Giorno/i.

  • Alle (ora standard): consente di impostare una data e un'ora esatta per la scadenza del contenuto. Questa impostazione è ottimale per contenuto non soggetto a modifiche frequenti.

Vedere anche

  • Configurazione di intestazioni di risposta HTTP in IIS 7 (in linea)


Gestione IIS

In questa sezione sono presenti gli argomenti seguenti:

Crea nuova connessione

Finestre di dialogo Impostazioni avanzate

Pagina Visualizzazione contenuti

Finestre di dialogo Predefinite

Home page

Finestra di dialogo Nuova funzionalità disponibile

Pagina Avvio


Crea nuova connessione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Specifica dettagli connessione server della procedura guidata

Pagina della procedura guidata Specifica dettagli connessione sito

Pagina della procedura guidata Specifica dettagli connessione applicazioni

Pagina Fornire credenziali della procedura guidata

Pagina della procedura guidata Specifica nome connessione

Finestra di dialogo dell'identificatore della Guida per mancata corrispondenza dei nomi di certificato

Finestra di dialogo dell'identificatore della Guida per verifica del certificato


Pagina Specifica dettagli connessione server della procedura guidata

Utilizzare la pagina Specifica dettagli connessione server della procedura guidata per specificare il nome del server al quale connettersi in Gestione IIS.

Se si riceve un errore durante il tentativo di connessione al server, verificare i possibili problemi seguenti:

  • Un valore, ad esempio il nome del server o le credenziali utente, non è stato digitato correttamente.

  • Nel server Web a cui si è connessi non è in esecuzione IIS 7. Non è possibile utilizzare Gestione IIS in IIS 7 per connettersi a un server Web in cui è in esecuzione una versione precedente di IIS.

  • Il servizio di gestione non è stato avviato nel server Web.

  • Una regola del firewall impedisce la connessione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome server | Digitare il nome del server a cui connettersi. Se il server utilizza una porta diversa da 8172, ovvero la porta predefinita configurata per il servizio di gestione, digitare il nome del server e il numero della porta separandoli con due punti (:). Ad esempio, digitare contoso:8080 per connettersi a un server denominato contoso con il servizio di gestione configurato per accettare le connessioni sulla porta 8080. In alternativa, è possibile digitare l'indirizzo IPv4 o IPv6 tra parentesi quadre ([]).

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea)


Pagina della procedura guidata Specifica dettagli connessione sito

Utilizzare la pagina Specifica dettagli connessione sito della procedura guidata per specificare il sito al quale connettersi in Gestione IIS. Le informazioni necessarie per la connessione al sito vengono fornite dall'amministratore del server.

Se si riceve un errore durante il tentativo di connessione al server, verificare i possibili problemi seguenti:

  • Un valore, ad esempio il nome del server o le credenziali utente, non è stato digitato correttamente.

  • Nel server Web a cui si è connessi non è in esecuzione IIS 7. Non è possibile utilizzare Gestione IIS in IIS 7 per connettersi a un server Web in cui è in esecuzione una versione precedente di IIS.

  • Il servizio di gestione non è stato avviato nel server Web.

  • Una regola del firewall impedisce la connessione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome server | Digitare il nome del server che ospita il sito a cui connettersi. Se il server utilizza una porta diversa da 8172, ovvero la porta predefinita configurata per il servizio di gestione, digitare il nome del server e il numero della porta separandoli con due punti (:). Ad esempio, digitare contoso:8080 per connettersi a un server denominato contoso con il servizio di gestione configurato per accettare le connessioni sulla porta 8080. In alternativa, è possibile digitare l'indirizzo IPv4 o IPv6 tra parentesi quadre ([]).
Nome sito | Digitare il nome descrittivo del sito a cui connettersi.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Pagina della procedura guidata Specifica dettagli connessione applicazioni

Utilizzare la pagina Specifica dettagli connessione applicazioni della procedura guidata per specificare l'applicazione a cui connettersi in Gestione IIS. Le informazioni necessarie per la connessione all'applicazione vengono fornite dall'amministratore del server.

Se si riceve un errore durante il tentativo di connessione al server, verificare i possibili problemi seguenti:

  • Un valore, ad esempio il nome del server o le credenziali utente, non è stato digitato correttamente.

  • Nel server Web a cui si è connessi non è in esecuzione IIS. Non è possibile utilizzare Gestione IIS in IIS per connettersi a un server Web in cui è in esecuzione una versione precedente di IIS.

  • Il servizio di gestione non è stato avviato nel server Web.

  • Una regola del firewall impedisce la connessione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome server | Digitare il nome del server che ospita l'applicazione a cui connettersi. Se il server utilizza una porta diversa da 8172, ovvero la porta predefinita configurata per il servizio di gestione, digitare il nome del server e il numero della porta separandoli con due punti (:). Ad esempio, digitare contoso:8080 per connettersi a un server denominato contoso con il servizio di gestione configurato per accettare le connessioni sulla porta 8080. In alternativa, è possibile digitare l'indirizzo IPv4 o IPv6 tra parentesi quadre ([]).
Nome sito | Digitare il nome descrittivo del sito che contiene l'applicazione a cui connettersi.
Nome applicazione | Digitare il nome dell'applicazione a cui connettersi.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea)


Pagina Fornire credenziali della procedura guidata

Utilizzare la pagina Fornire credenziali della procedura guidata per specificare le credenziali per la connessione a un server, un sito o un'applicazione utilizzando Gestione IIS. Le credenziali specificate in questa pagina possono essere account utente di Windows o di Gestione IIS.

Se si riceve un errore durante il tentativo di connessione al server, verificare i possibili problemi seguenti:

  • Un valore, ad esempio il nome del server o le credenziali utente, non è stato digitato correttamente.

  • Nel server Web a cui si è connessi non è in esecuzione IIS. Non è possibile utilizzare Gestione IIS in IIS per connettersi a un server Web in cui è in esecuzione una versione precedente di IIS.

  • Il servizio di gestione non è stato avviato nel server Web.

  • Una regola del firewall impedisce la connessione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome utente

Digitare il nome utente di un account autorizzato a connettersi al server, al sito o all'applicazione.

Nota

Solo gli amministratori del server possono connettersi a un server utilizzando Gestione IIS.

Password

Digitare la password associata al nome utente.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea)


Pagina della procedura guidata Specifica nome connessione

La pagina Specifica nome connessione della procedura guidata consente di specificare un nome descrittivo per la connessione in Gestione IIS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome connessione | Digitare un nome descrittivo per la connessione. Tale nome viene visualizzato nell'albero di Gestione IIS.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo dell'identificatore della Guida per mancata corrispondenza dei nomi di certificato

Questo messaggio di errore indica che il nome di server immesso non corrisponde a quello visualizzato sul certificato del server.

La visualizzazione di questo errore potrebbe dipendere dall'immissione dell'indirizzo IP del server protetto quando nel certificato del server è stato visualizzato il nome DNS o NetBIOS. In tale circostanza può sembrare di essere stati reindirizzati con intento dannoso a un server diverso da quello previsto per la connessione.

Per evitare che questo messaggio venga nuovamente visualizzato, eseguire la connessione al server immettendo l'indirizzo visualizzato sul certificato del server protetto.


Finestra di dialogo dell'identificatore della Guida per verifica del certificato

Questo messaggio indica un possibile problema con il certificato rilasciato al server utilizzato per la connessione. È possibile che il certificato non sia attendibile, che sia scaduto o che sia stato revocato. In tal caso, è necessario risolvere questi problemi per poter effettuare la connessione al server.

È possibile che questo messaggio venga visualizzato anche se per la connessione al server viene utilizzato un nome non presente sul certificato del server. In tale circostanza può sembrare di essere stati reindirizzati con intento dannoso a un server diverso da quello previsto per la connessione. L'opzione per stabilire la connessione è disponibile, tuttavia è necessario visualizzare il certificato per determinare se è possibile connettersi al server.

È inoltre possibile che la visualizzazione di questo messaggio dipenda da una combinazione degli errori sopra elencati. In tal caso, utilizzare il collegamento Visualizza dettagli per esaminare i dettagli del problema e determinare l'azione più appropriata da intraprendere.


Finestre di dialogo Impostazioni avanzate

Utilizzare le finestre di dialogo Impostazioni avanzate per modificare le proprietà di ognuno degli oggetti seguenti disponibili in IIS:

  • Pool di applicazioni

  • Sito

  • Applicazione

  • Directory virtuale

La finestra di dialogo Impostazioni avanzate è utile quando si desidera modificare una proprietà o un gruppo di proprietà specifico di un oggetto senza utilizzare una finestra di dialogo o una procedura guidata di modifica oppure quando una proprietà non viene visualizzata in una procedura guidata o in una finestra di dialogo.

Nota

Per modificare un valore predefinito di tutti i pool di applicazioni, siti, applicazioni o directory virtuali, è possibile utilizzare la finestra di dialogo Predefinite relativa all'oggetto desiderato.

Per informazioni su una proprietà specifica, selezionarla nella finestra di dialogo Impostazioni avanzate e visualizzare le informazioni presenti nel riquadro di descrizione delle proprietà al di sotto della griglia delle proprietà. Per ingrandire il riquadro di descrizione delle proprietà, è possibile fare clic sulla barra tra la griglia delle proprietà e il riquadro di descrizione delle proprietà e quindi trascinare verso l'alto. È anche possibile ridimensionare l'intera finestra di dialogo Impostazioni predefinite per visualizzare più proprietà contemporaneamente.

Vedere anche

  • Finestre di dialogo Predefinite
  • Pool di applicazioni
  • Siti
  • Applicazioni
  • Directory virtuali
  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Pagina Visualizzazione contenuti

Utilizzare la pagina Visualizzazione contenuti per visualizzare il contenuto di un oggetto selezionato nell'albero del riquadro Connessioni. Ad esempio, selezionare un sito e fare clic su Visualizzazione contenuti per visualizzare l'elenco di tutte le applicazioni, directory virtuali, directory fisiche e di tutti i file presenti in tale sito.

È possibile fare clic con il pulsante destro del mouse su un oggetto nell'elenco Contenuto e scegliere Passa a visualizzazione funzionalità per passare alla home page dell'oggetto. Dalla pagina Home page è possibile configurare le funzionalità dell'oggetto, ad esempio le impostazioni di autenticazione per un'applicazione.

Nota

Gestione IIS non consente di visualizzare file nell'albero del riquadro Connessioni. Per configurare le funzionalità di singoli file, è necessario fare clic con il pulsante destro del mouse sul file in Visualizzazione contenuti e quindi scegliere Passa a visualizzazione funzionalità.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili. Per eseguire ricerche nell'elenco, digitare i criteri di ricerca nella casella Filtro, espandere l'elenco Vai per selezionare il campo in base al quale effettuare la ricerca, quindi fare clic su Vai oppure premere INVIO. Fare clic Mostra tutti per rimuovere i criteri di filtro.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome di ogni oggetto.
Tipo | Consente di visualizzare il tipo di oggetto, ad esempio applicazione o directory virtuale.

Elementi del riquadro Azioni

Le azioni disponibili nel riquadro Azioni dipendono dal tipo di oggetto selezionato nella pagina Contenuto. Quando inoltre si è connessi a un sito o a un'applicazione, le uniche azioni disponibili sono Passa a visualizzazione funzionalità, Sfoglia e Aggiorna.

Nome dell'elemento | Descrizione
Impostazioni avanzate | Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile configurare le impostazioni avanzate per l'oggetto selezionato.
Aggiungi applicazione | Consente di visualizzare la finestra di dialogo Aggiungi applicazione in cui è possibile aggiungere un'applicazione.
Aggiungi pool di applicazioni | Consente di visualizzare la finestra di dialogo Aggiungi pool di applicazioni in cui è possibile aggiungere un pool di applicazioni al server Web.
Aggiungi directory virtuale | Consente di visualizzare la finestra di dialogo Aggiungi directory virtuale in cui è possibile aggiungere una directory virtuale.
Aggiungi sito Web | Consente di visualizzare la finestra di dialogo Aggiungi sito Web in cui è possibile aggiungere un sito Web che utilizza i protocolli HTTP o HTTPS per le comunicazioni.
Sfoglia | Consente di aprire l'oggetto selezionato in un browser Internet.
Converti in applicazione | Consente di convertire la directory in un'applicazione.
Modifica binding | Consente di visualizzare la finestra di dialogo Binding sito in cui è possibile aggiungere, modificare e rimuovere binding per il sito selezionato.
Esplora | Consente di aprire la directory fisica (in Esplora risorse) di cui è stato eseguito il mapping all'oggetto selezionato.
Modifica autorizzazioni | Consente di visualizzare la finestra di dialogo delle proprietà di Windows relativa alla directory fisica di cui è stato eseguito il mapping all'oggetto selezionato.
Aggiorna | Consente di aggiornare la pagina Contenuto.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina.
Rimuovi connessione | Consente di rimuovere la connessione selezionata.
Rinomina | Consente di abilitare il campo Nome dell'oggetto selezionato per poterlo rinominare.
Riavvia | Consente di arrestare e riavviare il sito selezionato. Quando si riavvia un sito, il sito risulta temporaneamente non disponibile fino al completamento dell'operazione.
Avvio | Consente di avviare il sito selezionato.
Arresto | Consente di arrestare il sito selezionato. Quando si arresta un sito, il sito risulta indisponibile finché non viene avviato.
Passa a visualizzazione funzionalità | Consente di aprire la pagina Home page in Visualizzazione funzionalità per l'oggetto selezionato.
Visualizza applicazioni | Consente di aprire la pagina di funzionalità Applicazioni in cui è possibile visualizzare le applicazioni che appartengono al sito selezionato.
Visualizza directory virtuali | Consente di aprire la pagina di funzionalità Directory virtuali in cui è possibile visualizzare le directory virtuali che appartengono all'applicazione radice del sito selezionato.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Finestre di dialogo Predefinite

Utilizzare le finestre di dialogo Predefinite per modificare i valori predefiniti delle proprietà che dispongono di tali valori, quali le impostazioni di riciclo per i pool di applicazioni, i limiti dei siti e il pool di applicazioni in cui vengono eseguite le applicazioni. Le finestre di dialogo Predefinite non contengono proprietà generalmente univoche, come i binding di siti Web o il percorso fisico del contenuto di siti, applicazioni e directory virtuali.

Per ognuno dei seguenti oggetti di IIS è disponibile una finestra di dialogo Predefinito in cui è possibile modificare i valori predefiniti di tutti gli oggetti di tale tipo:

  • Pool di applicazioni

  • Sito

  • Applicazione

  • Directory virtuali

Quando si modifica il valore predefinito di una proprietà, tutti gli oggetti di quel tipo riceveranno il nuovo valore nelle situazioni seguenti:

  • Quando si crea un nuovo oggetto di quel tipo.

  • Quando un oggetto esistente non dispone già di un set di valori specifico diverso dal valore predefinito della proprietà.

    Nota

    Per modificare il valore di un sito o di un'applicazione specifica, utilizzare la finestra di dialogo Impostazioni avanzate.

Per informazioni su una proprietà specifica, selezionarla nella finestra di dialogo Predefinite e visualizzare le informazioni visualizzate nel riquadro di descrizione delle proprietà al di sotto della griglia delle proprietà. Per ingrandire il riquadro di descrizione delle proprietà, è possibile fare clic sulla barra tra la griglia delle proprietà e il riquadro di descrizione delle proprietà e quindi trascinare verso l'alto. È anche possibile ridimensionare l'intera finestra di dialogo Predefinite per visualizzare più proprietà contemporaneamente.

Vedere anche

  • Finestre di dialogo Impostazioni avanzate
  • Pool di applicazioni
  • Siti
  • Applicazioni
  • Directory virtuali
  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Home page

Utilizzare la pagina Home page per visualizzare e accedere all'elenco delle funzionalità disponibili per la configurazione in Gestione IIS.

Utilizzare l'elenco a discesa Raggruppa per per raggruppare funzionalità simili e l'elenco a discesa Visualizza per visualizzare le funzionalità in formati diversi, ad esempio icone o dettagli. Se si seleziona Dettagli nell'elenco Visualizza, è possibile ordinare le funzionalità facendo clic su una delle colonne della pagina Home page.

La pagina Home page viene visualizzata quando si verificano entrambe le condizioni seguenti:

  • È stata selezionata l'opzione Visualizzazione funzionalità.

  • Si è fatto clic su una directory fisica, una directory virtuale, un'applicazione, un sito o un server Web nell'albero nel riquadro Connessioni oppure è stato selezionato un file in Visualizzazione contenuti e quindi si è fatto clic su Passa a visualizzazione funzionalità.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Nuova funzionalità disponibile

Utilizzare la finestra di dialogo Nuova funzionalità disponibile per scaricare e installare il codice necessario per supportare tutte le nuove funzionalità di Gestione IIS disponibili nel server utilizzato per la connessione. Le funzionalità installate possono essere utilizzate in Gestione IIS nelle connessioni successive allo stesso server o a tutti i server che dispongono della stessa funzionalità a meno che un amministratore del server non rimuova la delega per la funzionalità in un secondo momento.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Assembly

Consente di visualizzare il nome di ogni file con estensione dll disponibile per il download e l'installazione nel computer in uso. Selezionare la casella di controllo accanto a ogni assembly che si desidera scaricare e installare, quindi scegliere OK.

Nota

Quando non è possibile verificare se l'autore del codice disponga di una firma digitale valida, verrà visualizzato un avviso di sicurezza prima del download del codice nel computer. Fare clic su Esegui se si considera attendibile l'autore e si desidera procedere con il download oppure fare clic su Non eseguire se si desidera annullare il download.

Funzionalità

Consente di visualizzare la funzionalità o le funzionalità disponibili con ogni file con estensione dll.

Dimensione

Consente di visualizzare la dimensione del file con estensione dll.

Versione

Consente di visualizzare la versione del file con estensione dll.

Vedere anche

  • Pagina Delega funzionalità
  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Pagina Avvio

Utilizzare la pagina Avvio per riaprire connessioni recenti e creare facilmente nuove connessioni a siti, applicazioni e server Web utilizzando Gestione IIS. È inoltre possibile fare clic sui collegamenti a risorse disponibili in linea e leggere le ultime novità su IIS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Connessioni recenti

Consente di visualizzare un elenco delle connessioni recenti a server, siti e applicazioni Web. Fare doppio clic su una connessione nell'elenco per aprire nuovamente la connessione. Per stabilire la connessione, potrebbe essere necessario ridigitare le credenziali utente.

Attività di connessione

Consente di visualizzare le attività di connessione seguenti:

  • Connetti a localhost: consente di connettersi al computer locale utilizzando le credenziali dell'utente di Windows utilizzate per l'accesso.

  • Connetti a un server: consente di aprire una procedura guidata da cui è possibile connettersi a un server utilizzando un account dell'amministratore di Windows.

  • Connetti a un sito: consente di aprire una procedura guidata da cui è possibile connettersi a un sito utilizzando un account utente di Windows o di Gestione IIS che dispone delle autorizzazioni per la connessione al sito.

  • Connetti a un'applicazione: consente di aprire una procedura guidata da cui è possibile connettersi a un'applicazione utilizzando un account utente di Windows o di Gestione IIS che dispone delle autorizzazioni per la connessione all'applicazione.

Risorse in linea

Consente di visualizzare un elenco di collegamenti alle risorse in linea su IIS.

News IIS (IIS News)

Consente di visualizzare le ultime novità su IIS. Fare clic su Abilita News IIS (IIS News) sulla barra News IIS (IIS News) per abilitare questa funzionalità.

Vedere anche

  • Gestione Internet Information Services (IIS) (in linea) (la pagina potrebbe essere in inglese)


Autorizzazioni Gestione IIS

In questa sezione sono presenti gli argomenti seguenti:

Pagina Autorizzazioni Gestione IIS

Finestra di dialogo Consenti utente

Finestra di dialogo Utenti - Funzionalità Autorizzazioni Gestione IIS


Pagina Autorizzazioni Gestione IIS

Utilizzare la pagina di funzionalità Autorizzazioni Gestione IIS per gestire utenti di Gestione IIS, utenti di Windows e membri di gruppi Windows autorizzati a connettersi a un sito o a un'applicazione. Gli utenti possono configurare funzionalità delegate in tutti i siti e tutte le applicazioni per le quali si concede autorizzazione nella pagina Autorizzazioni Gestione IIS.

Questa funzionalità è disponibile solo per le connessioni al server. Quando si apre la funzionalità a livello di server in Gestione IIS, è possibile visualizzare gli utenti a cui viene concessa l'autorizzazione per tutti i siti e a tutte le applicazioni sul server Web, nonché selezionare un utente per rimuovere l'autorizzazione dell'utente per un sito o un'applicazione. Per concedere un'autorizzazione utente per un sito o un'applicazione, è necessario selezionare il sito o l'applicazione e quindi aprire la funzionalità Autorizzazioni Gestione IIS per configurare gli utenti a cui è consentito connettersi al sito o all'applicazione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Nome

Consente di visualizzare il nome utente utilizzato per la connessione a siti o applicazioni in Gestione IIS.

Percorso

Consente di visualizzare il percorso dell'oggetto che può essere gestito dall'amministratore. Il percorso può essere un nome di sito, ad esempio Sito Web predefinito, oppure il percorso di un'applicazione nel sito Web predefinito, ad esempio Sito Web/calendario predefinito.

Livello

Consente di visualizzare il livello dell'amministratore. I valori possibili sono Sito o Applicazione.

Tipo

Consente di visualizzare il tipo di credenziali utilizzate dall'amministratore. Il valore può essere:

  • Gruppo Windows: se l'utente è un membro di un gruppo di Windows nel server.

  • Utente Windows: se l'utente è un utente di Windows nel server.

  • Utente Gestione IIS: se l'utente non è un utente di Windows o un membro di un gruppo di Windows nel server. Le credenziali di Gestione IIS sono specifiche di IIS e non sono riconosciute da Windows o da altre applicazioni nel server.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti utente | Consente di visualizzare la finestra di dialogo Consenti utente in cui è possibile selezionare un utente cui concedere l'autorizzazione per la connessione a un sito o a un'applicazione.
Nega utente | Consente di rimuovere l'utente selezionato dall'elenco Autorizzazioni Gestione IIS.
Mostra tutti gli utenti | Consente di visualizzare gli utenti al livello corrente e ai livelli inferiori.
Mostra solo gli utenti del sito o Mostra solo gli utenti dell'applicazione | Consente di visualizzare gli utenti solo al livello corrente.

Vedere anche

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Consenti utente

Utilizzare la finestra di dialogo Consenti utente per consentire a utenti di Gestione IIS, a utenti di Windows o a membri di gruppi di Windows di connettersi a un sito o a un'applicazione. Gli utenti possono configurare funzionalità delegate in qualsiasi sito e applicazione per cui è stata concessa l'autorizzazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Windows

Selezionare questa opzione quando si desidera consentire a un utente di Windows o a membri di un gruppo di Windows di connettersi al sito o all'applicazione. Quando si seleziona questa opzione, è necessario che l'account di Windows sia già stato creato nel server Web o nel dominio a cui è stato aggiunto il server.

Gestione IIS

Selezionare questa opzione quando si desidera consentire a un utente di Gestione IIS di connettersi al sito o all'applicazione. Quando si seleziona questa opzione, è necessario che l'account utente di Gestione IIS sia già stato creato a livello di server in Gestione IIS.

Nota

Questa opzione è abilitata solo quando si configura il servizio di gestione in modo da accettare connessioni da utenti di Windows e utenti di Gestione IIS.

Seleziona

Se è stata selezionata l'opzione Windows, fare clic su Seleziona per aprire la finestra di dialogo Seleziona utente o gruppo e cercare un utente o un gruppo di Windows.

Nota

Per includere gruppi di Windows in una ricerca, nella finestra di dialogo Seleziona utente o gruppo fare clic su Tipi di oggetto, selezionare Gruppi, quindi scegliere OK. Se inoltre il computer è stato aggiunto a un dominio e si desidera cercare utenti o gruppi nel dominio, fare clic su Percorsi, selezionare un percorso, quindi scegliere OK.

Se è stata selezionata l'opzione Gestione IIS, fare clic su Seleziona per aprire la finestra di dialogo Utenti e selezionare uno o più utenti di Gestione IIS.

Vedere anche

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Utenti - Funzionalità Autorizzazioni Gestione IIS

Utilizzare la finestra di dialogo Utenti per selezionare un utente di Gestione IIS a cui si desidera consentire la connessione a un sito o a un'applicazione. Gli utenti possono configurare funzionalità delegate in qualsiasi sito e applicazione per cui è stata concessa l'autorizzazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Seleziona utente | Selezionare il nome utente di Gestione IIS a cui si desidera consentire la connessione al sito o all'applicazione.

Vedere anche

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS (in linea) (la pagina potrebbe essere in inglese)


Utenti Gestione IIS

In questa sezione sono presenti gli argomenti seguenti:

Pagina Utenti Gestione IIS

Finestra di dialogo Aggiungi utente e finestra di dialogo Cambia password - Funzionalità Utenti Gestione IIS


Pagina Utenti Gestione IIS

Utilizzare la pagina di funzionalità Utenti Gestione IIS per gestire gli account utente a cui è consentito connettersi a siti o applicazioni sul server Web. Le credenziali di Gestione IIS sono specifiche di IIS e non sono riconosciute da Windows o da altre applicazioni sul server.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome utente utilizzato per la connessione a siti o applicazioni in Gestione IIS.
Stato | Consente di visualizzare se l'account utente è abilitato o disabilitato. Solo gli utenti abilitati possono utilizzare Gestione IIS per connettersi alle applicazioni e ai siti per cui dispongono dell'autorizzazione.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi utente | Consente di visualizzare la finestra di dialogo Aggiungi utente in cui è possibile aggiungere un account utente di Gestione IIS.
Cambia password | Consente di visualizzare la finestra di dialogo Cambia password in cui è possibile modificare la password di un utente di Gestione IIS.
Abilita | Consente di abilitare l'utente selezionato. Questa azione è disponibile solo quando si seleziona un elemento disabilitato nell'elenco della pagina di funzionalità.
Disabilita | Consente di disabilitare l'utente selezionato. Questa azione è disponibile solo quando si seleziona un elemento abilitato nell'elenco della pagina di funzionalità.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco. Verranno inoltre rimosse eventuali autorizzazioni concesse all'utente selezionato in siti e applicazioni.

Vedere anche

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Aggiungi utente e finestra di dialogo Cambia password - Funzionalità Utenti Gestione IIS

Utilizzare la finestra di dialogo Aggiungi utente per aggiungere un account utente a Gestione IIS. Le credenziali utente di Gestione IIS sono valide solo in Gestione IIS e vengono utilizzate per autenticare l'utente quando si connette a un sito o a un'applicazione mediante Gestione IIS. Gli utenti possono configurare funzionalità delegate in tutte le applicazioni e i siti per i quali dispongono dell'autorizzazione concessa da un amministratore del server.

Utilizzare la finestra di dialogo Cambia password per modificare la password dell'account utente selezionato di Gestione IIS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome utente

Digitare il nome utente desiderato nella casella.

Nota

La casella non è abilitata durante la modifica della password di un utente.

Password

Digitare una password nella casella. Per garantire una maggior sicurezza, è consigliabile digitare una password complessa. Le password complesse sono costituite da un minimo di sei caratteri e includono una combinazione di lettere in maiuscolo e minuscolo, numeri e simboli.

Conferma password

Digitare nuovamente la password digitata nella casella Password.

Vedere anche

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS (in linea) (la pagina potrebbe essere in inglese)


Restrizioni indirizzo IPv4 e dominio

In questa sezione sono presenti gli argomenti seguenti:

Pagina Restrizioni indirizzo IPv4 e dominio

Finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato

Finestra di dialogo Modifica impostazioni restrizioni IP e di dominio


Pagina Restrizioni indirizzo IPv4 e dominio

Utilizzare la pagina di funzionalità Restrizioni indirizzo IPv4 e dominio per definire e gestire regole che consentono o negano l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP oppure uno o più nomi di dominio.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Modalità | Consente di visualizzare il tipo di regola. I valori sono Consenti o Nega. Il valore di Modalità indica se la regola è destinata a consentire o negare l'accesso al contenuto.
Richiedente | Consente di visualizzare un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio definito nelle finestre di dialogo Aggiungi regola di restrizione accesso consentito e Aggiungi regola di restrizione accesso negato. È possibile consentire o negare al richiedente l'accesso al contenuto in modo specifico.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi voce di accesso consentito

Consente di visualizzare la finestra di dialogo Aggiungi regola di restrizione accesso consentito in cui è possibile definire regole che consentono l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Aggiungi voce di accesso negato

Consente di visualizzare la finestra di dialogo Aggiungi regola di restrizione accesso negato in cui è possibile definire regole che consentono l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Modifica impostazioni funzionalità

Consente di visualizzare la finestra di dialogo Modifica impostazioni restrizioni IP e di dominio in cui è possibile configurare impostazioni valide per l'intera funzionalità Restrizioni indirizzo IP e dominio.

Ripristina ereditato

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Configurazione delle restrizioni degli indirizzi IPv4 e di dominio in IIS 7 (in linea)


Finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato

Utilizzare la finestra di dialogo Aggiungi regola di restrizione accesso consentito o Aggiungi regola di restrizione accesso negato per definire regole che consentono o negano l'accesso al contenuto per un indirizzo IP specifico, un intervallo di indirizzi IP o un nome di dominio DNS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Indirizzo IPv4 specifico

Aggiungi regola di restrizione accesso consentito: digitare un indirizzo IPv4 nella casella Indirizzo IPv4 specifico della finestra di dialogo Aggiungi regola di restrizione accesso consentito quando si desidera consentire a un indirizzo IPv4 specifico di accedere al contenuto.

Aggiungi regola di restrizione accesso negato: digitare un indirizzo IPv4 nella casella Indirizzo IPv4 specifico della finestra di dialogo Aggiungi regola di restrizione accesso negato quando si desidera impedire a un indirizzo IPv4 specifico di accedere al contenuto.

Intervallo di indirizzi IPv4

Aggiungi regola di restrizione accesso consentito: digitare il valore minimo dell'intervallo di indirizzi IPv4 che si è scelto di utilizzare nella casella Intervallo di indirizzi IPv4 della finestra di dialogo Aggiungi regola di restrizione accesso consentito. Eseguire questa operazione quando si desidera consentire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quindi, immettere la subnet mask.

Aggiungi regola di restrizione accesso negato: digitare il valore minimo dell'intervallo di indirizzi IPv4 che si è scelto di utilizzare nella casella Intervallo di indirizzi IPv4 della finestra di dialogo Aggiungi regola di restrizione accesso negato. Eseguire questa operazione quando si desidera impedire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quindi, immettere la subnet mask.

Maschera

Aggiungi regola di restrizione accesso consentito: digitare una subnet mask nella casella Maschera della finestra di dialogo Aggiungi regola di restrizione accesso consentito. Eseguire questa operazione quando si desidera consentire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quando IIS valuta la subnet mask in base all'indirizzo IPv4 immesso nella casella Intervallo di indirizzi IPv4 , vengono definiti i limiti superiore e inferiore di uno spazio di indirizzi IPv4.

Aggiungi regola di restrizione accesso negato: digitare la subnet mask associata all'intervallo di indirizzi IPv4 nella casella Maschera della finestra di dialogo Aggiungi regola di restrizione accesso negato. Eseguire questa operazione quando si desidera impedire a un intervallo di indirizzi IPv4 di accedere al contenuto. Quando IIS valuta la subnet mask in base all'indirizzo IPv4 immesso nella casella Intervallo di indirizzi IPv4, vengono definiti i limiti superiore e inferiore di uno spazio di indirizzi IPv4.

Nome dominio

Aggiungi regola di restrizione accesso consentito: digitare un nome di dominio DNS completo nella casella Nome dominio della finestra di dialogo Aggiungi regola di restrizione accesso consentito quando si desidera consentire a un dominio DNS di accedere al contenuto.

Aggiungi regola di restrizione accesso negato: digitare un nome di dominio DNS completo nella casella Nome dominio della finestra di dialogo Aggiungi regola di restrizione accesso negato quando si desidera impedire a un un dominio DNS di accedere al contenuto.

Per visualizzare l'opzione Nome dominio, è prima necessario abilitare le restrizioni del nome di dominio utilizzando Modifica impostazioni funzionalità.

Vedere anche

  • Configurazione delle restrizioni degli indirizzi IPv4 e di dominio in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni restrizioni IP e di dominio

Utilizzare la finestra di dialogo Modifica impostazioni restrizioni IP e di dominio per definire le restrizioni di accesso per client non specificati o per abilitare restrizioni del nome di dominio per tutte le regole.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Accesso per i client non specificati | Consente di definire le restrizioni di accesso per client non specificati. Con questa impostazione è possibile scegliere se consentire o negare l'accesso i client non specificati in base a una qualsiasi altra regola.
Abilita restrizioni nome dominio | Consente di abilitare le regole che restringono l'accesso in base al nome di dominio. Questa regola influisce significativamente sulle prestazioni del server perché implica l'esecuzione di una ricerca DNS per ogni richiesta.

Vedere anche

  • Configurazione delle restrizioni degli indirizzi IPv4 e di dominio in IIS 7 (in linea)


Restrizione ISAPI e CGI

In questa sezione sono presenti gli argomenti seguenti:

Pagina Restrizioni ISAPI e CGI

Finestra di dialogo Aggiungi o Modifica restrizione ISAPI o CGI

Finestra di dialogo Modifica impostazioni restrizioni ISAPI e CGI


Pagina Restrizioni ISAPI e CGI

Utilizzare la pagina di funzionalità Restrizioni ISAPI e CGI per gestire un elenco di restrizioni per i programmi ISAPI e CGI.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Descrizione | Consente di visualizzare la descrizione del programma ISAPI o CGI.
Restrizione | Indica se l'esecuzione del programma specifico è consentita.
Percorso | Consente di visualizzare il percorso del file DLL o EXE.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi restrizione ISAPI o CGI in cui è possibile gestire le restrizioni per i programmi CGI (estensione exe) o ISAPI (estensione dll).
Nega | Consente di specificare l'impostazione della restrizione per un programma CGI (estensione exe) o ISAPI (estensione dll). Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Consenti | Consente di specificare l'impostazione della restrizione per un programma CGI (estensione exe) o ISAPI (estensione dll). Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Modifica | Consente di visualizzare la finestra di dialogo Modifica restrizione ISAPI o CGI in cui è possibile gestire le restrizioni per i programmi CGI (estensione exe) o ISAPI (estensione dll). Questa azione è disponibile solo quando si seleziona un elemento nell'elenco della pagina di funzionalità.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Modifica impostazioni funzionalità | Consente di visualizzare la finestra di dialogo Modifica impostazioni restrizioni ISAPI e CGI in cui è possibile configurare le impostazioni valide per l'intera funzionalità relativa alle restrizioni ISAPI e CGI.

Vedere anche

  • Configurazione delle restrizioni ISAPI e CGI in IIS 7 (in linea)


Finestra di dialogo Aggiungi o Modifica restrizione ISAPI o CGI

Utilizzare le finestre di dialogo Aggiungi restrizione ISAPI o CGI e Modifica restrizione ISAPI o CGI per gestire le restrizioni per i programmi CGI (estensione exe) e ISAPI (estensione dll).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso ISAPI o CGI | Digitare il percorso fisico dell'estensione ISAPI o del programma CGI.
Descrizione | Digitare una breve descrizione del programma.
Consenti esecuzione percorso estensione | Selezionare questa opzione per consentire l'esecuzione del programma.

Vedere anche

  • Configurazione delle restrizioni ISAPI e CGI in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni restrizioni ISAPI e CGI

La finestra di dialogo Modifica impostazioni restrizioni ISAPI e CGI consente di abilitare l'esecuzione di moduli CGI o ISAPI non specificati. Se non si modificano queste impostazioni, sul server sarà consentita solo l'esecuzione dei moduli CGI o ISAPI elencati.

Attenzione

L'attivazione dell'opzione Consenti moduli CGI non specificati o Consenti moduli ISAPI non specificati costituisce un rischio di sicurezza. Il server può diventare vulnerabile a virus o worm che sfruttano le tecnologie CGI o ISAPI. Per ridurre questo rischio, è necessario creare restrizioni specifiche per tutte le estensioni ISAPI o per i file CGI che devono essere eseguiti sul server.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Consenti moduli CGI non specificati | Consente l'esecuzione di moduli CGI non specificati sul server.
Consenti moduli ISAPI non specificati | Consente l'esecuzione di moduli ISAPI non specificati sul server.

Vedere anche

  • Configurazione delle restrizioni ISAPI e CGI in IIS 7 (in linea)


Filtri ISAPI

In questa sezione sono presenti gli argomenti seguenti:

Pagina Filtri ISAPI

Finestra di dialogo Aggiungi filtro ISAPI o Modifica filtro ISAPI


Pagina Filtri ISAPI

Utilizzare la pagina di funzionalità Filtri ISAPI per gestire un elenco dei file DLL che consentono di modificare e migliorare la funzionalità fornita da IIS. Un filtro ISAPI può ad esempio controllare quali file sono mappati a un URL, modificare la risposta inviata dal server e eseguire altre azioni per modificare il comportamento del server.

Nota

Le estensioni e i filtri ISAPI verranno sostituiti dalla nuova API dei moduli di IIS. Per ulteriori informazioni sull'API dei moduli di IIS, vedere Native-Code HTTP Modules.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome del filtro ISAPI.
Eseguibile | Consente di visualizzare il percorso del file DLL del filtro ISAPI, ad esempio %SystemDrive%\Windows\Microsoft.NET\Framework\v2.0.50727\aspnet_filter.dll.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi

Consente di visualizzare la finestra di dialogo Aggiungi filtro ISAPI in cui è possibile aggiungere un filtro ISAPI.

Modifica

Consente di visualizzare la finestra di dialogo Modifica filtro ISAPI in cui è possibile modificare il filtro ISAPI selezionato.

Rinomina

Consente di abilitare il campo Nome del filtro ISAPI selezionato per poterlo rinominare.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Nota

Se si intende rimuovere un filtro ISAPI a livello di server, è necessario riavviare il servizio WWW (W3SVC) per rendere effettive le modifiche.

Ripristina ereditato

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Configurazione di filtri ISAPI in IIS 7 (in linea)


Finestra di dialogo Aggiungi filtro ISAPI o Modifica filtro ISAPI

Utilizzare le finestre di dialogo Aggiungi filtro ISAPI e Modifica filtro ISAPI per aggiungere o per modificare un file DLL in grado di modificare o migliorare la funzionalità di IIS.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome filtro | Digitare il nome del filtro ISAPI.
Eseguibile | Digitare il percorso del file DLL del filtro ISAPI, ad esempio %SystemDrive%\Windows\Microsoft.NET\Framework\v2.0.50727\aspnet_filter.dll.

Vedere anche

  • Configurazione di filtri ISAPI in IIS 7 (in linea)


Registrazione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Registrazione

Finestra di dialogo Campi registrazione W3C


Pagina Registrazione

Utilizzare la pagina di funzionalità Registrazione per configurare la registrazione delle richieste effettuate al server Web in IIS e la creazione di nuovi file di registro.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Un file di registro ogni

Consente di specificare se il server Web gestisce un unico file di registro per l'intero server o un file di registro per ogni sito del server.

Quando si seleziona Sito, le impostazioni specificate nella pagina Registrazione a livello di server costituiscono i valori predefiniti per tutti i siti del server. È quindi possibile aprire la pagina Registrazione a livello di sito per configurare impostazioni specifiche per un sito.

Formato

Consente di specificare il formato del file di registro creato quando viene registrata una richiesta.

Quando si configura il server Web in modo da creare un unico file di registro, è possibile selezionare uno dei formati seguenti:

Valore Descrizione

Binario

Consente di configurare IIS per l'utilizzo del formato di registrazione centralizzato binario. Utilizzando questo formato, verrà creato un unico file di registro per tutti i siti del server Web. Le informazioni del registro relative alle richieste effettuate di ogni sito verranno scritte in tale file di registro come dati binari non formattati. Questo tipo di registrazione consente di conservare risorse preziose di memoria e CPU, pertanto può essere utilizzato in un ambiente ISP, in cui i server Web possono ospitare molti siti, o in qualsiasi situazione caratterizzata da un elevato traffico.

Nota

Per estrarre dati da questo formato di file di registro, è necessario utilizzare uno strumento, ad esempio LogParser 2.2 (la pagina potrebbe essere in inglese).

W3C

Consente di configurare IIS per l'utilizzo del formato di file di registro W3C centralizzato per registrare informazioni su tutti i siti del server. Tale formato è gestito da HTTP.sys ed è basato su testo ASCII personalizzabile, ovvero consente di specificare i campi da registrare. Specificare i campi da registrare nella finestra di dialogo Campi registrazione W3C facendo clic su Seleziona campi nella pagina Registrazione. I campi sono separati da spazi e l'ora viene registrata nel formato UTC.

Quando si configura il server Web in modo da creare un unico file di registro per ogni sito, è possibile selezionare uno dei formati seguenti:

Valore Descrizione

IIS

Consente di configurare IIS per l'utilizzo del formato di file di registro Microsoft IIS per registrare informazioni su un sito. Tale formato è gestito da HTTP.sys ed è basato su testo ASCII fisso, ovvero non consente di personalizzare i campi da registrare. I campi sono separati da virgole e l'ora viene registrata in formato locale.

L'elenco seguente include i campi che vengono registrati quando si utilizza il formato di file di registro di IIS:

  • Client IP address

  • User name

  • Date

  • Time

  • Service and instance

  • Server name

  • Server IP address

  • Time taken

  • Client bytes sent

  • Server bytes sent

  • Service status code (il valore 200 indica che la richiesta è stata eseguita correttamente)

  • Windows status code (il valore 0 indica che la richiesta è stata eseguita correttamente)

  • Request type

  • Target of operation

  • Parameters (parametri che vengono passati a uno script)

Non tutti i campi conterranno dati. Quando un campo non contiene dati, viene visualizzato un trattino (-) come segnaposto. Quando un campo contiene un carattere non stampabile, HTTP.sys lo sostituisce con un segno più (+) per mantenere il formato del file di registro.

NCSA

Consente di configurare IIS per l'utilizzo del formato di file di registro NCSA (National Center for Supercomputing Applications) per registrare informazioni su un sito. Tale formato è gestito da HTTP.sys ed è basato su testo ASCII fisso, ovvero non consente di personalizzare i campi da registrare. I campi sono separati da spazi e l'ora viene registrata nel formato locale con differenza UTC.

L'elenco seguente include i campi che vengono registrati quando si utilizza il formato di file di registro comune NCSA:

  • Remote host address

  • Remote log name (questo valore è sempre un trattino)

  • User name

  • Date, time, and UTC offset

  • Request and protocol version

  • Service status code (il valore 200 indica che la richiesta è stata eseguita correttamente)

  • Bytes sent

Non tutti i campi conterranno dati. Quando un campo non contiene dati, viene visualizzato un trattino (-) come segnaposto. Quando un campo contiene un carattere non stampabile, HTTP.sys lo sostituisce con un segno più (+) per mantenere il formato del file di registro.

W3C

Utilizzare il formato di file di registro esteso W3C per registrare informazioni su un sito. Tale formato è gestito da HTTP.sys ed è basato su testo ASCII personalizzabile, ovvero consente di specificare i campi da registrare. Specificare i campi da registrare nella finestra di dialogo Campi registrazione W3C facendo clic su Seleziona campi nella pagina Registrazione. I campi sono separati da spazi e l'ora viene registrata nel formato UTC.

Personalizzato

Consente di configurare IIS per l'utilizzo di un formato personalizzato per un modulo di registrazione personalizzato. Quando si seleziona questa opzione, la pagina Registrazione viene disattivata, in quanto la registrazione personalizzata non può essere configurata in Gestione IIS.

Seleziona campi

Consente di visualizzare la finestra di dialogo Campi registrazione W3C in cui è possibile selezionare i campi da registrare. Questo pulsante è disponibile solo quando è selezionato il formato di file di registro W3C.

Directory

Consente di specificare il percorso fisico in cui vengono archiviati il file o i file di registro. Il valore predefinito è %SystemDrive%\inetpub\logs\LogFiles.

Codifica

Consente di specificare la codifica del file o dei file di registro, tra UTF-8 e ANSI.

Selezionare UTF-8 quando si desidera abilitare sia caratteri a un byte che caratteri multibyte in un'unica stringa. Questa codifica consente di leggere registri basati su testo, ad esempio nei formati W3C esteso, IIS e comune NCSA, in una lingua diversa da quella inglese. Inoltre, se il server Web utilizza URL in una lingua diversa da quella supportata dalla tabella codici predefinita del server, è consigliabile abilitare la codifica UTF-8 per il contenuto del registro.

Per impostazione predefinita, IIS tenta di rendere disponibili gli URL in tabelle codici diverse da quella predefinita del server. Per motivi di sicurezza, è opportuno abilitare il formato UTF-8 per ridurre l'effetto di un attacco che potrebbe impedire la corretta conversione degli URL UTF-8 nella tabella codici predefinita.

Pianificazione

Consente di configurare IIS per creare nuovi file di registro basati su uno dei valori seguenti:

  • Ogni ora: viene creato un nuovo file di registro ogni ora.

  • Giornaliero: viene creato un nuovo file di registro ogni giorno.

  • Ogni settimana: viene creato un nuovo file di registro ogni settimana.

  • Ogni mese: viene creato un nuovo file di registro ogni mese.

Dimensione max file (in byte)

Consente di configurare IIS in modo da creare un nuovo file di registro quando il file raggiunge una determinata dimensione espressa in byte.

La dimensione minima del file è 1048576 byte. Se questo attributo è impostato su un valore minore di 1048576 byte, si presuppone che il valore predefinito sia implicitamente 1048576 byte.

Non creare nuovi file di registro

Consente di configurare IIS in modo da non creare nuovi file di registro. In tal modo sarà disponibile un unico file di registro le cui dimensioni aumenteranno via via che le informazioni vengono registrate.

Usa ora locale per denominazione e aggiornamento file

Consente di specificare che per l'assegnazione del file e per l'ora di aggiornamento del file di registro verrà utilizzata l'ora locale del server. Quando questa opzione non è selezionata, viene utilizzato il formato UTC.

Nota

Indipendentemente da questa impostazione, per i timestamp del file di registro effettivo verrà utilizzato il formato dell'ora selezionato nell'elenco Formato. Ad esempio, con i formati di file di registro NCSA e W3C per i timestamp viene utilizzato il formato di ora UTC.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Disabilita | Consente di disabilitare la funzionalità.
Visualizza file di registro | Consente di aprire la directory dei file di registro.

Vedere anche

  • Configurazione della registrazione in IIS 7 (in linea)


Finestra di dialogo Campi registrazione W3C

Utilizzare la finestra di dialogo Campi registrazione W3C per selezionare le informazioni che si desidera includere nei file di registro. Questa finestra di dialogo è disponibile solo quando si seleziona W3C nell'elenco a discesa Formato nella pagina di funzionalità Registrazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Data (date)

Consente di registrare la data in cui è stata effettuata la richiesta. Selezionato per impostazione predefinita.

Ora (time)

Consente di registrare l'ora, espressa in formato UTC, in cui è stata effettuata la richiesta. Selezionato per impostazione predefinita.

Indirizzo IP client (c-ip)

Consente di registrare l'indirizzo IP del client che ha effettuato la richiesta. Selezionato per impostazione predefinita.

Nome utente (cs-username)

Consente di registrare il nome dell'utente autenticato che ha effettuato l'accesso al server. Gli utenti anonimi sono indicati da un trattino. Selezionato per impostazione predefinita.

Nome servizio (s-sitename)

Consente di registrare il nome del servizio Internet e il numero dell'istanza in esecuzione nel client all'ora in cui è stato registrato l'incidente.

Nome server (s-computername)

Consente di registrare il nome del server in cui è stata generata la voce del file di registro.

Indirizzo IP server (s-ip)

Consente di registrare l'indirizzo IP del server in cui è stata generata la voce del file di registro. Selezionato per impostazione predefinita.

Porta server (s-port)

Consente di registrare il numero della porta del server configurata per il servizio. Selezionato per impostazione predefinita.

Metodo (cs-method)

Consente di registrare il metodo HTTP, ad esempio GET, utilizzato nella richiesta. Selezionato per impostazione predefinita.

Origine URI (cs-uri-stem)

Consente di registrare l'URI (Uniform Resource Identifier) che corrisponde alla destinazione dell'azione, ad esempio Default.htm. Selezionato per impostazione predefinita.

Query URI (cs-uri-query)

Consente di registrare l'eventuale query che il client tenta di eseguire. Una query URI è necessaria solo per le pagine dinamiche. Selezionato per impostazione predefinita.

Stato protocollo (sc-status)

Consente di registrare il codice di stato HTTP. Selezionato per impostazione predefinita.

Stato secondario protocollo (sc-substatus)

Consente di registrare il codice di stato secondario HTTP. Selezionato per impostazione predefinita.

Stato Win32 (sc-win32-status)

Consente di registrare il codice di stato di Windows. Selezionato per impostazione predefinita.

Byte inviati (sc-bytes)

Consente di registrare il numero di byte inviati dal server.

Byte ricevuti (cs-bytes)

Consente di registrare il numero di byte ricevuti dal server.

Tempo impiegato (time-taken)

Consente di registrare la durata dell'azione in millisecondi. Selezionato per impostazione predefinita.

Versione protocollo (cs-version)

Consente di registrare la versione del protocollo, HTTP o FTP, utilizzata dal client.

Host (cs-host)

Consente di registrare l'eventuale nome dell'intestazione host.

Nota

È possibile che il nome host configurato per il sito Web venga visualizzato in modo diverso nei file di registro perché HTTP.sys registra i nomi host utilizzando il formato codificato da punycode.

Agente utente (cs(User-Agent))

Consente di registrare il browser da cui proviene la richiesta. Selezionato per impostazione predefinita.

Cookie (cs(Cookie))

Consente di registrare il contenuto di un eventuale cookie inviato o ricevuto.

Provenienza (cs(Referer))

Consente di registrare il sito che l'utente ha visitato per ultimo, in cui era disponibile un collegamento al sito corrente.

Vedere anche

  • Configurazione della registrazione in IIS 7 (in linea)


Pagina Chiave computer

Utilizzare la pagina di funzionalità Chiave computer per configurare le chiavi di crittografia e decrittografia utilizzate per proteggere i dati dei cookie dell'autenticazione basata su form e i dati sullo stato di visualizzazione a livello di pagina. Le chiavi del computer vengono utilizzate anche per verificare l'identificazione dello stato di sessioni out-of-process.

Nota

Se si distribuisce l'applicazione in una Web farm, verificare nei file di configurazione di ogni server della Web farm venga specificato lo stesso valore per la chiave di convalida e per le chiavi di decrittografia, utilizzate rispettivamente per l'hashing e la decrittografia. In caso contrario, non è possibile garantire il server che gestirà le richieste successive.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Metodo di crittografia

Selezionare una delle opzioni seguenti per specificare il metodo di crittografia utilizzato per la chiave del computer:

  • AES: acronimo di Advanced Encryption Standard, è un metodo relativamente facile da implementare e richiede poca memoria. AES è caratterizzato da chiavi di dimensioni pari a 128, 192 o 256 bit. Questo metodo utilizza la stessa chiave privata per crittografare e decrittografare i dati, a differenza di un metodo basato su chiavi pubbliche in cui viene utilizzata una coppia di chiavi.

  • MD5: acronimo di Message Digest 5, viene utilizzato per la firma digitale di applicazioni, ad esempio per messaggi di posta elettronica. Questo metodo restituisce un digest del messaggio a 128 bit che rappresenta un formato compresso dei dati originali. MD5 può offrire una certa protezione virus informatici e programmi che simulano applicazioni innocue ma possono essere effettivamente dannose.

  • SHA1: corrisponde all'impostazione predefinita. SHA1 è considerato più sicuro di MD5 perché restituisce un digest del messaggio a 160 bit. È consigliabile utilizzare la crittografia SHA1 in tutti i casi possibili.

  • TripleDES: acronimo di Triple Data Encryption Standard, rappresenta una variante minore della crittografia DES. È tre volte più lento della crittografia DES ma può essere più sicuro perché caratterizzato da una dimensione delle chiavi pari a 192 bit. Se le prestazioni non costituiscono un fattore determinante, è consigliabile utilizzare TripleDES.

Metodo di decrittografia

Selezionare una delle opzioni seguenti per specificare il metodo di decrittografia utilizzato per la chiave del computer:

  • Automatico: corrisponde all'impostazione predefinita. Può essere utilizzato con qualsiasi metodo di crittografia specificato.

  • AES: acronimo di Advanced Encryption Standard, è un metodo relativamente facile da implementare e richiede poca memoria. AES è caratterizzato da chiavi di dimensioni pari a 128, 192 o 256 bit. Questo metodo utilizza la stessa chiave privata per crittografare e decrittografare i dati, a differenza di un metodo basato su chiavi pubbliche in cui viene utilizzata una coppia di chiavi.

  • TripleDES: acronimo di Triple Data Encryption Standard, rappresenta una variante minore della crittografia DES. È tre volte più lento della crittografia DES ma può essere più sicuro perché caratterizzato da una dimensione delle chiavi pari a 192 bit. Se le prestazioni non costituiscono un fattore determinante, è consigliabile utilizzare TripleDES.

  • DES: acronimo di Data Encryption Standard, utilizza una chiave a 56 bit per crittografare e decrittografare i dati. Se per il server, il sito o l'applicazione non è richiesto il massimo livello di sicurezza, è consigliabile utilizzare DES.

Chiave di convalida

Consente di calcolare un codice MAC (Message Authentication Code) per confermare l'integrità dei dati. Questa chiave viene aggiunta al cookie di autenticazione basata su form o allo stato di visualizzazione di una pagina specifica.

Selezionare una delle opzioni seguenti per specificare la modalità di generazione della chiave di convalida:

  • Genera automaticamente in fase di esecuzione: indica a ASP.NET di generare una chiave casuale in fase di esecuzione.

  • Genera una chiave univoca per ogni applicazione: consente di isolare le applicazioni tra loro generando per ogni applicazione una chiave univoca basata sull'ID dell'applicazione. Se l'applicazione viene distribuita in una Web farm, duplicare la chiave dell'applicazione in tutti i server della farm.

Chiave di decrittografia

Viene utilizzata per crittografare e decrittografare ticket dell'autenticazione basata su form e stato di visualizzazione.

Selezionare una delle opzioni seguenti per specificare la modalità di generazione della chiave di crittografia:

  • Genera automaticamente in fase di esecuzione: indica a ASP.NET di generare una chiave casuale in fase di esecuzione.

  • Genera una chiave univoca per ogni applicazione: consente di isolare le applicazioni tra loro generando per ogni applicazione una chiave univoca basata sull'ID dell'applicazione. Se l'applicazione viene distribuita in una Web farm, duplicare la chiave dell'applicazione in tutti i server della farm.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Genera chiavi | Consente di generare una chiave di convalida e una chiave di decrittografia nelle caselle corrispondenti della pagina di funzionalità.

Vedere anche

  • Configurazione di chiavi del computer in IIS 7 (in linea)


Servizio di gestione

In questa sezione sono presenti gli argomenti seguenti:

Pagina Servizio di gestione

Finestra di dialogo Aggiungi regola di autorizzazione connessione o Aggiungi regola di negazione connessione


Pagina Servizio di gestione

Utilizzare la pagina di funzionalità Servizio di gestione per configurare il servizio di gestione per Gestione IIS. Il servizio di gestione consente ad amministratori di computer e di dominio di gestire in modalità remota un server Web che utilizza Gestione IIS. Il servizio consente inoltre a utenti non amministratori di gestire in modalità locale e remota funzionalità delegate di siti e applicazioni in un server Web che utilizza Gestione IIS.

Nota

Il servizio di gestione può essere configurato solo da amministratori che utilizzano Gestione IIS nel computer locale.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Abilita connessioni remote

Selezionare questa opzione per consentire agli utenti di connettersi in modalità remota al server Web utilizzando Gestione IIS.

Solo credenziali di Windows

Selezionare questa opzione per consentire solo agli utenti con account di Windows di connettersi al server Web.

Credenziali di Windows o credenziali di Gestione IIS

Selezionare questa opzione per consentire a utenti con account di Windows o Gestione IIS di connettersi al server Web.

Indirizzo IP

Digitare o selezionare un indirizzo IPv4 o IPv6 se si desidera che gli utenti utilizzino un indirizzo IP specifico per la connessione al server Web. Se non si desidera specificare un indirizzo IP, selezionare Tutti non assegnati.

Porta

Digitare la porta da utilizzare per la connessione quando gli utenti si connettono al server Web. Il numero di porta predefinito è 8172.

Certificato SSL

Selezionare il certificato che si desidera utilizzare per il server Web. È possibile utilizzare la funzionalità Certificati server se si desidera aggiungere un nuovo certificato.

Registra richieste in

Selezionare questa opzione se si desidera che il server Web registri informazioni quando i richiedenti tentano di connettersi al server Web. Configurare quindi la directory fisica in cui il server Web registra i file.

Restrizioni indirizzi IPv4

Consente di visualizzare le restrizioni relative alla connessione. Utilizzare i pulsanti Consenti e Nega per aggiungere restrizioni all'elenco e il pulsante Elimina per eliminare una voce selezionata dall'elenco Restrizioni indirizzi IPv4.

Nota

Queste opzioni sono disponibili solo quando si abilitano connessioni remote.

Accesso per i client non specificati

Selezionare Consenti o Nega per specificare se consentire o negare l'accesso ai richiedenti che non corrispondono alle voci dell'elenco Restrizioni indirizzi IPv4. Se si configura il servizio di gestione in modo da negare l'accesso ai client non specificati, ma non si aggiungono regole per consentire l'accesso all'elenco Restrizioni indirizzi IPv4, i client non saranno in grado di connettersi al server utilizzando Gestione IIS.

Consenti

Consente di visualizzare la finestra di dialogo Aggiungi regola di autorizzazione connessione in cui è possibile aggiungere una regola per consentire l'accesso ai richiedenti in base a un indirizzo IPv4 o a un intervallo di indirizzi IPv4.

Nega

Consente di visualizzare la finestra di dialogo Aggiungi regola di negazione connessione in cui è possibile aggiungere una regola per negare l'accesso ai richiedenti in base a un indirizzo IPv4 o a un intervallo di indirizzi IPv4.

Elimina

Consente di eliminare la voce selezionata nell'elenco Restrizioni indirizzi IPv4.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Riavvia | Consente di riavviare il servizio di gestione.
Avvio | Consente di avviare il servizio di gestione. È necessario avviare il servizio di gestione per stabilire la connessione in locale a siti e applicazioni. Se inoltre si desidera consentire le connessioni remote a siti ed applicazioni nel server Web, è necessario anche abilitare le connessioni remote.
Arresto | Consente di arrestare il servizio di gestione. Se il servizio di gestione è stato arrestato, è possibile configurarne le impostazioni. Per poter accettare le connessioni, è tuttavia necessario avviare il servizio.

Vedere anche

  • Configurazione del servizio di gestione in IIS 7 (in linea)


Finestra di dialogo Aggiungi regola di autorizzazione connessione o Aggiungi regola di negazione connessione

Utilizzare la finestra di dialogo Aggiungi regola di autorizzazione connessione o Aggiungi regola di negazione connessione per aggiungere voci all'elenco Restrizioni indirizzi IPv4 per consentire o negare connessioni remote al server Web. È possibile consentire o negare connessioni remote sulla base di un indirizzo IPv4 specifico o di un intervallo di indirizzi IPv4.

Nota

Solo gli amministratori che utilizzano Gestione IIS nel computer locale possono configurare il Servizio di gestione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Indirizzo IPv4 specifico | Selezionare questa opzione se si desidera consentire o negare connessioni remote da un indirizzo IPv4 specifico. Dopo aver selezionato questa opzione, digitare l'indirizzo IPv4 nella casella corrispondente.
Intervallo di indirizzi IPv4 | Selezionare questa opzione se si desidera consentire o negare connessioni remote da un intervallo di indirizzi IPv4. Dopo aver selezionato questa opzione, digitare un intervallo di indirizzi IPv4 nella casella corrispondente.
Subnet mask | Digitare una subnet mask per l'indirizzo IPv4 specificato nella casella Intervallo di indirizzi IPv4.

Vedere anche

  • Configurazione del servizio di gestione in IIS 7 (in linea)


Tipi MIME

In questa sezione sono presenti gli argomenti seguenti:

Pagina Tipi MIME

Finestra di dialogo Aggiungi tipo MIME o Modifica tipo MIME


Pagina Tipi MIME

Utilizzare la pagina di funzionalità Tipi MIME per gestire un elenco di tipi MIME (Multipurpose Internet Mail Extensions) per l'identificazione dei tipi di contenuto che un server Web può rendere disponibile a un browser o a un client di posta.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Estensione | Consente di visualizzare l'estensione di file, ad esempio chm.
Tipo MIME | Consente di visualizzare il tipo MIME, ad esempio application/octet-stream.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi tipo MIME in cui è possibile aggiungere un tipo MIME.
Modifica | Consente di visualizzare la finestra di dialogo Modifica tipo MIME in cui è possibile modificare il tipo MIME selezionato.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione dei tipi MIME in IIS 7 (in linea)


Finestra di dialogo Aggiungi tipo MIME o Modifica tipo MIME

Utilizzare le finestre di dialogo Aggiungi tipo MIME e Modifica tipo MIME per creare e modificare tipi MIME (Multipurpose Internet Mail Extensions). I tipi MIME consentono ai client di gestire correttamente nuove estensioni di file. Se l'estensione di file richiesta dal client non viene riconosciuta in IIS, il contenuto viene inviato come tipo MIME predefinito, ovvero application. Questo tipo MIME indica che il file contiene dati di applicazione e che in genere non può essere elaborato dai client.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Estensione | Digitare un'estensione di file. Si tratta di un'estensione di file statica, ad esempio .chm.
Tipo MIME | Digitare un tipo MIME, ad esempio application/octet-stream.

Vedere anche

  • Configurazione dei tipi MIME in IIS 7 (in linea)


Moduli

In questa sezione sono presenti gli argomenti seguenti:

Pagina Moduli

Finestra di dialogo Aggiungi modulo gestito o Modifica modulo gestito

Finestra di dialogo Configura moduli nativi

Finestra di dialogo Registro modulo nativo o Modifica registrazione modulo nativo


Pagina Moduli

Utilizzare la pagina di funzionalità Moduli per gestire un elenco dei moduli di codice nativo e gestito che eseguono attività specifiche nella pipeline di elaborazione delle richieste, ad esempio autenticazione o compressione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome del modulo.
Codice | Consente di visualizzare il percorso fisico del file di codice nativo (DLL) o del tipo nella libreria gestita.
Tipo modulo | Consente di visualizzare se il modulo è implementato con codice nativo o codice gestito. Il valore è Nativo o Gestito.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi modulo gestito

Consente di visualizzare la finestra di dialogo Aggiungi modulo gestito in cui è possibile aggiungere un modulo gestito.

Configura moduli nativi

Consente di visualizzare la finestra di dialogo Configura moduli nativi in cui è possibile abilitare i moduli nativi aggiungendoli all'elenco dei moduli. A livello di server è inoltre possibile effettuare, modificare e rimuovere la registrazione per i moduli nativi.

Modifica

Consente di visualizzare la finestra di dialogo Modifica modulo gestito o Modifica registrazione modulo nativo in cui è possibile modificare il modulo selezionato.

Nota

È possibile modificare la registrazione di un modulo nativo solo a livello di server.

Blocca

Consente di bloccare il modulo in modo che non sia possibile eseguirne l'override a livelli inferiori della configurazione.

Nota

Questa azione è disponibile solo a livello di server.

Sblocca

Consente di sbloccare il modulo in modo che sia possibile eseguirne l'override a livelli inferiori della configurazione.

Nota

Questa azione è disponibile solo a livello di server.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità. Quando si seleziona un modulo gestito, il modulo viene rimosso dal server Web. Quando si seleziona un modulo nativo, il modulo viene rimosso dall'elenco di moduli e di conseguenza disabilitato. Il modulo è tuttavia ancora registrato nel server Web. Per rimuovere la registrazione di un modulo nativo, fare clic su Configura moduli nativi, selezionare un modulo, quindi fare clic su Rimuovi.

Nota

È possibile rimuovere la registrazione di un modulo nativo solo a livello di server.

Per rimuovere più di un modulo alla volta, tenere premuto CTRL quando si selezionano i singoli moduli.

Ripristina ereditato

Consente di ripristinare la funzionalità in modo da ereditare le impostazioni dalla configurazione padre. In tal modo verranno eliminate le impostazioni di configurazione locali, incluse le voci dell'elenco, relative a questa funzionalità. Questa azione non è disponibile a livello di server.

Visualizza elenco ordinato

Consente di visualizzare l'elenco in base all'ordine di configurazione. Quando si seleziona il formato di elenco ordinato, è possibile spostare gli elementi solo verso l'alto o verso il basso nell'elenco. Le altre azioni del riquadro Azioni non vengono visualizzate finché non si seleziona il formato di elenco non ordinato.

Sposta su

Consente di spostare un elemento selezionato verso l'alto nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Sposta giù

Consente di spostare un elemento selezionato verso il basso nell'elenco. Questa azione è disponibile solo quando gli elementi vengono visualizzati nel formato di elenco ordinato.

Nota

Quando gli elementi dell'elenco vengono riordinati a un livello figlio, dopo il riordino dell'elenco il figlio non erediterà più le impostazioni dal livello padre inclusi eventuali elementi aggiunti o rimossi dall'elenco a livello padre. Se si desidera ereditare le impostazioni da un livello padre, sarà necessario ripristinare tutte le modifiche al livello figlio utilizzando l'azione Ripristina ereditato disponibile nel riquadro Azioni.

Visualizza elenco non ordinato

Consente di visualizzare l'elenco in un formato non ordinato. Quando si seleziona il formato di elenco non ordinato, è possibile ordinare e raggruppare elementi dell'elenco, nonché eseguire azioni nel riquadro Azioni.

Vedere anche

  • Configurazione di moduli in IIS 7 (in linea)


Finestra di dialogo Aggiungi modulo gestito o Modifica modulo gestito

Utilizzare le finestre di dialogo Aggiungi modulo gestito e Modifica modulo gestito per aggiungere o modificare i moduli gestiti che elaborano le richieste effettuate al server Web. In IIS sono inclusi diversi moduli gestiti per l'elaborazione di parti di richieste, ad esempio il modulo FormsAuthentication che consente di eseguire l'autenticazione degli utenti in applicazioni in cui viene utilizzata l'autenticazione basata su form.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome

Digitare un nome descrittivo per il modulo gestito.

Tipo

Selezionare o digitare il tipo gestito per il modulo, ad esempio System.Web.Security.FormsAuthentication.

Quando si aggiunge un modulo gestito, verificare che l'assembly al quale appartiene la classe sia registrato nella sezione system.web/compilation del file Web.config. In caso contrario, sarà necessario digitare il nome completo della classe dell'assembly del modulo gestito. Se la classe è definita nella directory App_Code o bin, è possibile specificarne solo il nome.

Richiama solo per richieste ad applicazioni ASP.NET o a gestori gestiti

Selezionare questa casella di controllo se si desidera che il modulo gestito elabori solo le richieste effettuate ad applicazioni ASP.NET o gestori gestiti. Quando si seleziona questa opzione, il modulo non viene richiamato per le richieste ad altri tipi di contenuto, come file HTML.

Vedere anche

  • Configurazione di moduli in IIS 7 (in linea)


Finestra di dialogo Configura moduli nativi

Utilizzare la finestra di dialogo Configura moduli nativi per abilitare i moduli registrati aggiungendoli all'elenco Moduli, aggiungere o modificare la registrazione per i moduli nativi oppure rimuovere moduli nativi dal server Web. Affinché un modulo nativo possa elaborare delle richieste, è necessario aggiungerlo all'elenco Moduli dopo averlo registrato.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Seleziona uno o più moduli registrati da abilitare

Selezionare il modulo o i moduli registrati da aggiungere all'elenco Moduli nel server Web. L'aggiunta di un modulo all'elenco Moduli consente al modulo di elaborare le richieste effettuate al server.

Registra

Consente di visualizzare la finestra di dialogo Registra modulo nativo in cui è possibile registrare un nuovo modulo nativo.

Nota

Questo pulsante è disponibile solo a livello di server.

Modifica

Consente di visualizzare la finestra di dialogo Modifica registrazione modulo nativo in cui è possibile modificare un modulo nativo registrato. Questo pulsante è disponibile solo quando si seleziona un modulo registrato nell'elenco Seleziona uno o più moduli registrati da abilitare.

Nota

Questo pulsante è disponibile solo a livello di server.

Rimuovi

Consente di rimuovere la registrazione del modulo selezionato dal server Web. Questo pulsante è disponibile solo a livello di server e quando si seleziona un modulo registrato nell'elenco Seleziona uno o più moduli registrati da abilitare.

Nota

Quando si rimuove un modulo dall'elenco della pagina di funzionalità Moduli, il modulo viene disabilitato ma rimane comunque registrato nel server Web.

Vedere anche

  • Configurazione di moduli in IIS 7 (in linea)


Finestra di dialogo Registro modulo nativo o Modifica registrazione modulo nativo

Utilizzare le finestre di dialogo Registra modulo nativo e Modifica registrazione modulo nativo per aggiungere o modificare i moduli nativi che elaborano le richieste effettuate al server Web. In IIS sono inclusi molti moduli nativi per l'elaborazione di parti di richieste, ad esempio il modulo BasicAuthenticationModule che consente di eseguire l'autenticazione degli utenti in applicazioni in cui viene utilizzata l'autenticazione di base.

Nota

Per consentire a un modulo nativo di elaborare le richieste, è necessario aggiungerlo all'elenco Moduli nel server Web dopo averlo registrato in questa finestra di dialogo. È possibile eseguire l'operazione nella finestra di dialogo Aggiungi modulo nativo dopo aver chiuso la finestra di dialogo Registra modulo nativo o Modifica registrazione modulo nativo.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Digitare un nome descrittivo per il modulo nativo.
Percorso | Digitare il percorso del file del modulo nativo nel file system fisico, ad esempio C:\Modules\MyModule.dll o fare clic sul pulsante Sfoglia … per cercare il file.

Vedere anche

  • Configurazione di moduli in IIS 7 (in linea)


Cache di output

In questa sezione sono presenti gli argomenti seguenti:

Pagina Cache di output

Finestra di dialogo Aggiungi impostazioni cache di output o Modifica impostazioni cache di output

Finestra di dialogo Modifica impostazioni cache di output

Finestra di dialogo Impostazioni avanzate regola cache di output


Pagina Cache di output

Utilizzare la pagina di funzionalità Cache di output per configurare le impostazioni della cache di output e configurare le regole che controllano la memorizzazione nella cache di contenuto reso disponibile.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Estensione

Consente di visualizzare l'estensione del nome file per la quale si applica la regola di memorizzazione nella cache.

Criteri in modalità utente

Consente di visualizzare il comportamento della memorizzazione nella cache della regola in modalità utente:

  • Memorizza nella cache fino alla modifica: il contenuto viene memorizzato nella cache finché IIS non riceve una notifica di modifica della configurazione o dei file.

  • Cache per periodo di tempo: il contenuto viene memorizzato nella cache per una durata specifica finché una notifica di modifica della configurazione o dei file non cancella la cache prima della scadenza dell'intervallo impostato per la durata.

  • Impedisci la memorizzazione nella cache: la cache in modalità utente è stata disabilitata.

  • Non memorizzare nella cache: la cache in modalità utente non è stata configurata.

Criteri in modalità kernel

Consente di visualizzare il comportamento della memorizzazione nella cache della regola in modalità kernel:

  • Memorizza nella cache fino alla modifica: il contenuto viene memorizzato nella cache finché IIS non riceve una notifica di modifica della configurazione o dei file.

  • Cache per periodo di tempo: il contenuto viene memorizzato nella cache per una durata specifica finché una notifica di modifica della configurazione o dei file non cancella la cache prima della scadenza dell'intervallo impostato per la durata.

  • Impedisci la memorizzazione nella cache: la cache in modalità kernel è stata disabilitata.

  • Non memorizzare nella cache: la cache in modalità kernel non è stata configurata.

Tipo voce

Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi regola cache in cui è possibile aggiungere una nuova regola cache.
Modifica | Consente di visualizzare la finestra di dialogo Modifica regola cache in cui è possibile modificare la regola cache selezionata.
Rimuovi | Consente di rimuovere la regola di memorizzazione nella cache selezionata.
Modifica impostazioni funzionalità | Consente di visualizzare la finestra di dialogo Modifica impostazioni cache di output in cui è possibile configurare impostazioni valide per l'intera funzionalità di memorizzazione nella cache di output.

Vedere anche

  • Configurazione della cache di output in IIS 7 (in linea)


Finestra di dialogo Aggiungi impostazioni cache di output o Modifica impostazioni cache di output

Utilizzare la finestra di dialogo Aggiungi regola cache o Modifica regola cache per configurare il modo in cui IIS memorizza nella cache il contenuto relativo a un'estensione file specifica. È possibile configurare impostazioni per la memorizzazione nella cache sia in modalità utente che in modalità kernel.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Estensione di file

Consente di specificare l'estensione di file, ad esempio aspx, alla quale si applica la regola di memorizzazione nella cache. Per applicare la regola a tutte le estensioni di file, digitare un asterisco (*) nella casella.

Cache in modalità utente

Consente di configurare la regola per memorizzare il contenuto nella cache di output in modalità utente. Selezionare un'opzione in Monitoraggio cache file per configurare come o quando aggiornare la cache di output per tutti i file memorizzati nella cache in virtù di questa regola.

Usa notifiche modifiche file (nell'opzione Cache in modalità utente)

Consente di configurare i file, memorizzati nella cache in virtù di questa regola, da rimuovere dalla cache di output quando IIS riceve una notifica di modifica dei file o della configurazione.

A intervalli di tempo (hh:mm:ss) (nell'opzione Cache in modalità utente)

Consente di configurare i file, memorizzati nella cache in virtù di questa regola, da rimuovere dalla cache di output dopo un intervallo specifico a meno che la cache non venga cancellata prima in seguito a una notifica di modifica dei file o della configurazione.

Il valore nella casella corrispondente indica il tempo in cui il contenuto rimane memorizzato nella cache di output. L'ora viene espressa nel formato hh:mm:ss (dove è hh corrisponde alle ore, mm ai minuti e ss ai secondi). L'intervallo predefinito è 30 secondi. Un valore troppo basso può influire sulle prestazioni del server in quanto gli elementi vengono aggiornati con una frequenza maggiore di quella necessaria.

Nota

Quando si seleziona sia la cache in modalità utente che quella in modalità kernel e si configura ogni modalità in modo che utilizzi l'opzione A intervalli di tempo (hh:mm:ss), è necessario specificare lo stesso valore di intervallo per entrambe le modalità. Se i valori non sono gli stessi, verrà utilizzato l'intervallo specificato per la cache in modalità kernel.

Impedisci la memorizzazione nella cache

Consente di configurare i file, che corrispondono all'estensione file, da non memorizzare nella cache di output.

Questa impostazione corrisponde all'impostazione DisableCache nella configurazione e differisce dall'impostazione DontCache che è visualizzata nella configurazione quando non si seleziona l'opzione Cache in modalità utente in Gestione IIS. L'impostazione DontCache indica che il modulo della cache di output non imposta i criteri di memorizzazione nella cache in modalità utente, tuttavia se un altro modulo imposta i criteri di memorizzazione nella cache, la risposta verrà memorizzata dal modulo della cache di output. L'impostazione DisableCache indica che la risposta non verrà memorizzata nella cache di output anche se un altro modulo tenta di abilitare la cache in modalità utente impostando i criteri di memorizzazione nella cache in modalità utente.

Avanzate

Consente di visualizzare la finestra di dialogo Impostazioni avanzate regola cache di output in cui è possibile configurare la regola per memorizzare nella cache versioni diverse di una risposta in base a stringhe di query e intestazioni. Queste opzioni sono disponibili solo per la memorizzazione nella cache in modalità utente.

Memorizzazione nella cache in modalità kernel

Consente di configurare la regola per memorizzare il contenuto nella cache del kernel in modalità kernel. Selezionare un'opzione in Monitoraggio cache file per configurare come o quando aggiornare la cache del kernel per tutti i file memorizzati nella cache in virtù di questa regola.

Usa notifiche modifiche file (nell'opzione Cache in modalità kernel)

Consente di configurare i file, memorizzati nella cache in virtù di questa regola, da rimuovere dalla cache del kernel quando IIS riceve una notifica di modifica dei file o della configurazione.

A intervalli di tempo (hh:mm:ss) (nell'opzione Cache in modalità kernel)

Consente di configurare i file, memorizzati nella cache in virtù di questa regola, da rimuovere dalla cache del kernel dopo un intervallo specificato.

Il valore nella casella corrispondente indica il tempo in cui il contenuto rimane memorizzato nella cache del kernel. L'ora viene espressa nel formato hh:mm:ss (dove è hh corrisponde alle ore, mm ai minuti e ss ai secondi). L'intervallo predefinito è 30 secondi. Un valore troppo basso può influire sulle prestazioni del server in quanto gli elementi vengono aggiornati con una frequenza maggiore di quella necessaria.

Nota

Quando si seleziona sia la cache in modalità utente che quella in modalità kernel e si configura ogni modalità in modo che utilizzi l'opzione A intervalli di tempo (hh:mm:ss), è necessario specificare lo stesso valore di intervallo per entrambe le modalità. Se i valori non sono gli stessi, verrà utilizzato l'intervallo specificato per la cache in modalità kernel.

Impedisci la memorizzazione nella cache (nell'opzione Cache in modalità kernel)

Consente di configurare i file, che corrispondono all'estensione file, da non memorizzare nella cache del kernel.

Questa impostazione corrisponde all'impostazione DisableCache nella configurazione e differisce dall'impostazione DontCache che è visualizzata nella configurazione quando non si seleziona l'opzione Memorizzazione nella cache in modalità kernel in Gestione IIS. L'impostazione DontCache indica che il modulo della cache di output non imposta i criteri di memorizzazione nella cache in modalità kernel, tuttavia se un altro modulo imposta i criteri di memorizzazione nella cache, la risposta verrà memorizzata dal modulo della cache di output. L'impostazione DisableCache indica che la risposta non verrà memorizzata nella cache del kernel anche se un altro modulo tenta di abilitare la cache in modalità kernel impostando i criteri di memorizzazione nella cache in modalità kernel.

Vedere anche

  • Configurazione della cache di output in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni cache di output

Utilizzare la finestra di dialogo Modifica impostazioni cache di output per configurare le impostazioni che influiscono sull'intera funzionalità Cache di output. Queste impostazioni influiscono su tutte le regole di memorizzazione nella cache di output che vengono configurate nella pagina di funzionalità Cache di output.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Abilita cache

Consente di abilitare la cache di output di IIS in cui vengono archiviate le risposte memorizzate nella cache in modalità utente.

Nota

La cache di output di IIS è simile alla cache di output di ASP.NET. La cache di IIS è tuttavia una cache di output nativa che offre prestazioni più elevate rispetto alla cache di output gestita in ASP.NET.

Abilita cache kernel

Consente di abilitare la cache del kernel in cui vengono archiviate le risposte memorizzate nella cache in modalità kernel. Le prestazioni risultano migliorate quando le risposte vengono restituite dalla cache del kernel senza il passaggio alla modalità utente.

Dimensione massima della risposta nella cache (in byte)

Consente di specificare la dimensione massima di una risposta memorizzata nella cache sia della modalità utente che della modalità kernel. Il valore predefinito è 262144 byte. Questo campo è abilitato solo a livello di server ed è disponibile in sola lettura a tutti gli altri livelli.

Limite dimensione cache (in MB)

Consente di configurare il limite della dimensione della cache sia della modalità utente che della modalità kernel. È possibile digitare una dimensione in MB oppure 0. Se si digita 0, IIS utilizzerà la metà della memoria fisica o virtuale disponibile a seconda di quella inferiore. Questo campo è abilitato solo a livello di server ed è disponibile in sola lettura a tutti gli altri livelli.

Vedere anche

  • Configurazione della cache di output in IIS 7 (in linea)


Finestra di dialogo Impostazioni avanzate regola cache di output

Utilizzare la finestra di dialogo Impostazioni avanzate regola cache di output per configurare la memorizzazione nella cache di versioni diverse del file in base a stringhe di query e intestazioni. Queste impostazioni sono disponibili solo per la cache in modalità utente.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Stringa di query | Digitare una stringa di query o un elenco di stringhe di query delimitato da virgole per definire i valori utilizzati dal server Web per variare le risposte all'URL inserite nella cache. È inoltre possibile digitare un asterisco (*) per configurare la regola per variare le risposte inserite nella cache per tutte le stringhe di query.
Intestazioni | Digitare un'intestazione o un elenco di intestazioni delimitato da virgole per definire i valori utilizzati dal server Web per variare le risposte all'URL inserite nella cache. È inoltre possibile digitare un asterisco (*) per configurare la regola per variare le risposte inserite nella cache per tutte le intestazioni.

Vedere anche

  • Configurazione della cache di output in IIS 7 (in linea)


Pagine e controlli

In questa sezione sono presenti gli argomenti seguenti:

Pagina Pagine e controlli

Pagina Controlli

Finestra di dialogo Aggiungi controllo personalizzato o Modifica controllo personalizzato e finestra di dialogo Aggiungi controllo utente o Modifica controllo utente


Pagina Pagine e controlli

Utilizzare la pagina di funzionalità Pagine e controlli per configurare le impostazioni di pagine e controlli ASP.NET. Queste impostazioni consentono di controllare il comportamento delle pagine ASP.NET, determinare la modalità di compilazione di pagine e controlli ASP.NET nel server, nonché definire gli spazi dei nomi inclusi per ogni pagina e le impostazioni relative ai servizi di convalida e allo stato di sessione.

Utilizzare l'elenco Visualizza per selezionare una delle opzioni seguenti relative alla modalità di visualizzazione delle impostazioni: Nomi descrittivi, Nomi di configurazione o Entrambi i nomi.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Buffer [buffer] | Imposta un valore (true o false) che specifica se le pagine ASPX e i controlli ASCX utilizzano la memorizzazione delle risposte nel buffer. L'impostazione predefinita è True.
File pagina master [masterPageFile] | Specifica il percorso della pagina master relativo al file di configurazione locale.
Tema foglio di stile [styleSheetTheme] | Specifica il nome della cartella "nome tema" che verrà utilizzata per applicare il tema prima delle dichiarazioni dei controlli. Questo elemento è diverso dall'attributo theme che definisce il tema da applicare dopo le dichiarazioni dei controlli.
Tema [theme] | Specifica il nome del tema che viene utilizzato per le pagine che rientrano nell'ambito del file di configurazione. Il tema specificato deve esistere come applicazione o tema globale. Se il tema non esiste, verrà generata un'eccezione HttpException.
Abilita stato visualizzazione autenticato [enableViewStateMAC] | Imposta un valore (true o false) che specifica se è necessario che ASP.NET esegua un codice MAC (Message Authentication Code) sullo stato di visualizzazione della pagina, quando la pagina viene reinviata dal client. L'impostazione predefinita è True.
Abilita stato visualizzazione [enableViewState] | Imposta un valore (true o false) che indica se lo stato di visualizzazione è abilitato, disabilitato o di sola lettura. L'impostazione predefinita è True.
Lunghezza massima campo stato della pagina [maxPageStateFieldLength] | Imposta il numero massimo di caratteri che può contenere un campo con stato di visualizzazione singolo.
Tipo di base per pagine [pageBaseType] | Specifica il tipo di base da utilizzare quando le pagine sono solo autonome. Questo valore viene sostituito dall'attributo inherits in un file autonomo.
Tipo di base per controlli utente [userControlBaseType] | Specifica una classe code-behind che i controlli utente ereditano per impostazione predefinita.
Modalità compilazione [compilationMode] | Consente di specificare se una pagina o un controllo ASP.NET deve essere compilato in fase di esecuzione.
Spazi dei nomi [namespaces] | Consente di definire un insieme di istruzioni di importazione da utilizzare durante la precompilazione dell'assembly.
Abilita stato sessione [enableSessionState] | Imposta un valore (true o false) che specifica se lo stato di sessione è abilitato, disabilitato o di sola lettura. L'impostazione predefinita è True.
Richiesta di convalida [validateRequest] | Imposta un valore (true o false) che determina se ASP.NET verifica la presenza di valori pericolosi nell'input del browser. L'impostazione predefinita è True.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Registra controlli | Consente di aprire la pagina di funzionalità Controlli in cui è possibile aggiungere e modificare controlli personalizzati.

Vedere anche

  • Configurazione di pagine e controlli in IIS 7 (in linea)


Pagina Controlli

Utilizzare la pagina Controlli per gestire un elenco di controlli utente e di controlli personalizzati.

Nota

I controlli utente non sono disponibili a livello di server in Gestione IIS.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Tag | Per i controlli personalizzati consente di visualizzare il prefisso del tag assegnato al controllo. Per i controlli utente consente di visualizzare il prefisso e il nome del tag del controllo utente.
Origine o assembly | Consente di visualizzare il percorso del controllo utente o il nome dell'assembly nel quale viene definito il tipo di controllo personalizzato.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento Descrizione

Aggiungi controllo personalizzato

Consente di visualizzare la finestra di dialogo Aggiungi controllo personalizzato in cui è possibile aggiungere un controllo personalizzato.

Aggiungi controllo utente

Consente di visualizzare la finestra di dialogo Aggiungi controllo utente in cui è possibile aggiungere un controllo utente. Questa azione non è disponibile a livello di server.

Modifica

Se è stato selezionato un controllo personalizzato, questa azione consente di visualizzare la finestra di dialogo Modifica controllo personalizzato in cui è possibile modificare il controllo personalizzato.

Se è stato selezionato un controllo utente, questa azione consente di aprire la finestra di dialogo Modifica controllo utente in cui è possibile modificare il controllo utente. Non è possibile modificare un controllo utente a livello di server.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Vedere anche

  • Configurazione di pagine e controlli in IIS 7 (in linea)


Finestra di dialogo Aggiungi controllo personalizzato o Modifica controllo personalizzato e finestra di dialogo Aggiungi controllo utente o Modifica controllo utente

Utilizzare le finestre di dialogo Aggiungi controllo personalizzato e Modifica controllo personalizzato per specificare o modificare il mapping di prefisso tag/spazio dei nomi per un controllo personalizzato che verrà utilizzato in più pagine di un'applicazione Web. Utilizzare le finestre di dialogo Aggiungi controllo utente e Modifica controllo utente per configurare i controlli utente, ovvero contenitori in cui è possibile inserire controlli server Web e codice.

Per ulteriori informazioni su controlli utente e controlli personalizzati, vedere Cenni preliminari su controlli utente ASP.NET (la pagina potrebbe essere in inglese).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Prefisso tag | Consente di impostare il prefisso tag assegnato al controllo, ad esempio <aspSample: …>
Spazio dei nomi | Consente di definire lo spazio dei nomi al quale appartiene il controllo personalizzato. Si tratta dello stesso spazio dei nomi specificato nel codice dell'applicazione. Questa casella è disponibile solo per i controlli personalizzati.
Assembly | Consente di impostare il nome dell'assembly nel quale viene definito il tipo di controllo personalizzato. Questa casella è disponibile solo per i controlli personalizzati.
Nome tag | Consente di specificare il nome del tag del controllo utente. Questa casella è disponibile solo per i controlli utente.
Percorso controllo utente (.ascx) | Consente di specificare il percorso del file del controllo utente. Questa casella è disponibile solo per i controlli utente.

Vedere anche

  • Configurazione di pagine e controlli in IIS 7 (in linea)


Provider

In questa sezione sono presenti gli argomenti seguenti:

Pagina Provider

Finestre di dialogo Aggiungi provider e Modifica provider


Pagina Provider

Utilizzare la pagina Provider per gestire un elenco di provider.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Funzionalità | Selezionare una funzionalità nell'elenco per visualizzare i provider disponibili per tale funzionalità: Ruoli .NET, Utenti .NET e Profilo .NET.
Nome | Consente di visualizzare il nome del provider. Si tratta di un nome descrittivo che viene assegnato al provider per facilitarne l'identificazione e il riconoscimento.
Tipo | Consente di visualizzare il tipo di codice gestito per il provider. Tutti i provider vengono implementati nel codice gestito.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato. Gli elementi locali vengono letti dal file di configurazione corrente, mentre quelli ereditati vengono letti da un file di configurazione padre.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi | Consente di visualizzare la finestra di dialogo Aggiungi provider in cui è possibile aggiungere un provider per la funzionalità selezionata.
Modifica | Consente di visualizzare la finestra di dialogo Modifica provider in cui è possibile modificare il provider selezionato.
Rinomina | Consente di abilitare il campo Nome del provider selezionato per rinominare il provider.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Stringhe di connessione | Consente di aprire la pagina di funzionalità Stringhe di connessione in cui è possibile aggiungere una stringa di connessione che può essere utilizzata da un provider.

Vedere anche

  • Configurazione di provider in IIS 7 (in linea)


Finestre di dialogo Aggiungi provider e Modifica provider

Le finestre di dialogo Aggiungi provider e Modifica provider consentono di aggiungere o modificare un provider in IIS se si dispone di un'applicazione che utilizza un servizio basato su provider per archiviare dati in un database o in un altro archivio dati. Le proprietà visualizzate nella finestra di dialogo dipendono dal tipo di provider che si sceglie di aggiungere o modificare.

È possibile aggiungere o modificare tre diversi tipi di provider:

  • Ruoli: fornisce un'interfaccia tra il servizio di gestione dei ruoli di ASP.NET (il "gestore ruoli") e le origini dati dei ruoli.

  • Utenti: fornisce un'interfaccia tra il servizio di appartenenza ASP.NET e le origini dati dell'appartenenza.

  • Profilo: fornisce un'interfaccia tra il servizio profili di ASP.NET e le origini dati del profilo.

Nota

Le finestre di dialogo Aggiungi provider e Modifica provider consentono di aggiungere o modificare gran parte delle proprietà di un provider, ma non tutte. È possibile configurare proprietà aggiuntive per ogni provider nel file Web.config dell'applicazione Web. Per ulteriori informazioni sui provider, vedere ASP.NET 2.0 Provider Model: Introduction to the Provider Model (la pagina potrebbe essere in inglese).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tipo

Consente di impostare il tipo di provider.

Nome

Consente di definire il nome del provider.

Comportamento

Consente di impostare alcuni dei comportamenti per i provider di utenti di appartenenza. L'impostazione del valore di uno o più dei comportamenti seguenti su True attiva tale comportamento:

  • EnablePasswordReset: indica se è possibile reimpostare le password utilizzando il metodo ResetPassword del provider. L'impostazione predefinita è False.

  • EnablePasswordRetrieval: indica se è possibile recuperare le password utilizzando il metodo GetPassword del provider. L'impostazione predefinita è False.

  • RequiresQuestionAndAnswer: indica se è necessario fornire una risposta per la password quando si chiamano i metodi GetPassword e ResetPassword del provider. L'impostazione predefinita è False.

  • RequiresUniqueEmail: indica se ogni utente registrato deve avere un indirizzo di posta elettronica univoco. L'impostazione predefinita è False.

  • StorePasswordInSecureFormat: indica se è necessario eseguire l'hashing delle password. L'impostazione predefinita è False.

Dati

Configura il nome della stringa di connessione utilizzata per connettersi al database. Immettere il nome della stringa di connessione nella casella di controllo ConnectionStringName.

Generale

Consente di definire le impostazioni generali per il provider. Queste impostazioni sono facoltative e includono:

  • ApplicationName: specifica il percorso virtuale dell'applicazione nella casella ApplicationName. Se non si specifica un valore nella casella ApplicationName, l'API di appartenenza sarà impostata sul valore HttpContext.Current.Request.ApplicationPath per impostazione predefinita. Questa impostazione può essere determinata solo in fase di esecuzione.

  • Description: fornisce una descrizione del provider.

Varie

Consente di configurare coppie nome/valore specifiche per il provider. Per aggiungere e rimuovere coppie nome/valore, fare clic sul pulsante … accanto al campo Impostazioni specifiche del provider nella sezione Varie.

Vedere anche

  • Configurazione di provider in IIS 7 (in linea)


Pagina Filtro richieste

Utilizzare la pagina di funzionalità Filtro richieste per configurare le regole del filtro per il sito Web. Il filtro richieste Web, analogamente al filtro richieste FTP, consente di limitare il comportamento del contenuto e del protocollo.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Estensioni di file | Specifica un elenco di estensioni di file a cui il servizio di filtro richieste consente o nega l'accesso.
Regole | Elenca le regole di filtro e i parametri specificati che il servizio di filtro richieste deve analizzare. Tali parametri includono intestazioni, estensioni dei nomi di file e stringhe di negazione.
Segmenti nascosti | Specifica un elenco di segmenti nascosti a cui il servizio di filtro richieste nega l'accesso. Questi segmenti non vengono visualizzati nelle visualizzazioni directory.
Nega sequenze URL | Specifica un elenco di sequenze URL a cui il servizio di filtro richieste nega l'accesso.
Verbi HTTP | Specifica un elenco di verbi HTTP a cui il servizio di filtro richieste consente o nega l'accesso.
Intestazioni | Specifica le intestazioni e i relativi limiti di dimensione a cui il servizio di filtro richieste nega l'accesso.
Stringhe di query | Specifica le stringhe di query a cui il servizio di filtro richieste nega l'accesso.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Modifica impostazioni funzionalità | Apre la finestra di dialogo Modifica impostazioni di filtro richieste che consente di configurare le proprietà generali e i limiti delle richieste.
Rimuovi | Rimuove un'estensione di file, una regola, un segmento nascosto, una sequenza URL, un verbo HTTP, un'intestazione o una stringa di query dall'elenco.


Pagina Estensioni di file

Utilizzare la pagina Estensioni di file per creare un elenco di estensioni di file a cui il modulo del filtro richieste consente o nega l'accesso. In tal modo si contribuisce a limitare i tipi di file e ad aumentare la protezione nel server Web.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Estensione di file | Visualizza l'estensione di file a cui il modulo del filtro richieste consente o nega l'accesso.
Consentito | Visualizza lo stato dell'estensione di file. Lo stato è True se l'estensione di file è consentita, False se l'estensione di file è negata.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti estensione di file | Apre la finestra di dialogo Consenti estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file consentite.
Nega estensione di file | Apre la finestra di dialogo Nega estensione di file che consente di aggiungere un'estensione di file all'elenco di estensioni di file negate.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestre di dialogo Consenti estensione di file o Nega estensione di file


Finestre di dialogo Consenti estensione di file o Nega estensione di file

Utilizzare la finestra di dialogo Consenti estensione di file o Nega estensione di file per aggiungere un'estensione di file all'elenco di estensioni di file a cui il modulo del filtro richieste consente o nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Estensione di file | Specifica l'estensione di file a cui il servizio del filtro richieste consente o nega l'accesso.

Vedere anche

  • Pagina Estensioni di file


Pagina Regole

Utilizzare la pagina Regole per configurare le regole del filtro richieste per consentire o negare l'accesso al server Web sulla base di diversi parametri, ad esempio le intestazioni e le stringhe di negazione. Per esempi di regole del filtro, vedere Scenari comuni di URLScan (la pagina potrebbe essere in inglese).

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Visualizza il nome della regola del filtro richieste.
Analizza | Visualizza il valore che verrà analizzato dalla regola del filtro richieste e che è costituito dall'URL, dalla stringa di query o da una combinazione di questi due valori.
Si applica a | Visualizza i parametri a cui viene applicata la regola del filtro richieste.
Nega stringhe | Visualizza le stringhe a cui la regola del filtro richieste nega l'accesso.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi regola di filtro | Apre la finestra di dialogo Aggiungi regola di filtro che consente di aggiungere una regola con parametri specifici da analizzare.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestra di dialogo Aggiungi regola di filtro


Finestra di dialogo Aggiungi regola di filtro

Utilizzare la finestra di dialogo Aggiungi regola di filtro per aggiungere una regola con parametri specifici all'elenco delle regole del modulo del filtro richieste. Questa azione consente al modulo di negare le richieste che soddisfano i criteri specificati dalla regola.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Specifica il nome della regola filtro che verrà aggiunto all'elenco.
Analizza URL | Selezionare questa opzione per consentire al modulo del filtro richieste di analizzare l'URL di una richiesta.
Analizza stringa di query | Selezionare questa opzione per consentire al modulo del filtro richieste di analizzare la stringa di query.
Analizza intestazioni | Aggiunge un'intestazione specificata dall'utente all'elenco delle intestazioni da cercare nella richiesta. Utilizzare l'asterisco (*) per aggiungere una nuova riga alla tabella.
Si applica a | Aggiunge un'estensione di file all'elenco delle estensioni di file a cui viene applicata la regola del filtro richieste. Utilizzare l'asterisco (*) per aggiungere una nuova riga alla tabella.
Nega stringhe | Aggiunge una stringa all'elenco delle stringhe da cercare nella richiesta. Se la stringa specificata viene trovata nell'URL della richiesta, nella stringa di query o nell'intestazione, la richiesta viene negata. Utilizzare l'asterisco (*) per aggiungere una nuova riga alla tabella.

Vedere anche

  • Pagina Regole


Pagina Segmenti nascosti

Utilizzare la pagina Segmenti nascosti per definire l'elenco di segmenti URL a cui il modulo del filtro richieste nega l'accesso e che non vengono inclusi nella visualizzazione directory. Un segmento URL è la parte del percorso URL compresa tra le barre (/).

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Segmento | Visualizza il segmento URL a cui il servizio del filtro richieste nega l'accesso e che non viene incluso nella visualizzazione directory.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi segmento nascosto | Apre la finestra di dialogo Aggiungi segmento nascosto che consente di aggiungere un segmento nascosto all'elenco di segmenti nascosti.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestra di dialogo Aggiungi segmento nascosto


Finestra di dialogo Aggiungi segmento nascosto

Utilizzare la finestra di dialogo Aggiungi segmento nascosto per aggiungere un segmento URL all'elenco di segmenti URL a cui il modulo del filtro richieste nega l'accesso. Un segmento URL è una parte del percorso URL compresa tra le barre (/).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Segmento nascosto

Specifica il segmento URL a cui il modulo del filtro richieste nega l'accesso.

Nota

I segmenti URL presenti nell'elenco dei segmenti nascosti non vengono visualizzati nelle visualizzazioni directory.

Vedere anche

  • Pagina Segmenti nascosti


Pagina URL

Utilizzare la pagina Nega sequenze URL per creare un elenco di sequenze URL a cui il modulo del filtro richieste nega l'accesso. Ad esempio, è possibile specificare "admin/config.xml" come sequenza URL che nega le richieste a http://contoso.com/application/admin/config.xml.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nega sequenza URL | Visualizza la sequenza URL a cui il modulo del filtro richieste nega l'accesso.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti URL | Apre la finestra di dialogo Aggiungi URL sempre consentito che consente di aggiungere un URL all'elenco degli URL consentiti.
Nega sequenza | Apre la finestra di dialogo Aggiungi sequenza di negazione che consente di aggiungere una sequenza all'elenco delle sequenze di negazione.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestra di dialogo Consenti URL
  • Finestra di dialogo Aggiungi sequenza di negazione


Finestra di dialogo Consenti URL

Utilizzare la finestra di dialogo Aggiungi URL sempre consentito per aggiungere una sequenza URL all'elenco delle sequenze URL a cui il modulo del filtro richieste concede sempre l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
URL | Specifica l'URL a cui il modulo del filtro richieste concede sempre l'accesso.

Vedere anche

  • Pagina URL
  • Finestra di dialogo Aggiungi sequenza di negazione


Finestra di dialogo Aggiungi sequenza di negazione

Utilizzare la finestra di dialogo Aggiungi sequenza di negazione per aggiungere una sequenza URL all'elenco di sequenze URL a cui il modulo del filtro richieste nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Sequenza URL | Specifica la sequenza URL a cui il modulo del filtro richieste nega l'accesso.

Vedere anche

  • Pagina URL
  • Finestra di dialogo Consenti URL


Pagina Verbi HTTP

Utilizzare la pagina Verbi HTTP per creare un elenco di verbi a cui il modulo del filtro richieste consente o meno l'accesso. Alcuni esempi di verbi HTTP sono: GET, POST e HEAD.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Verbo

Visualizza il verbo a cui il modulo del filtro richieste consente o nega l'accesso.

Consentito

Visualizza lo stato del verbo, che è True se il verbo è consentito o False se il verbo è negato.

Nota

Vengono bloccati solo i verbi presenti nell'elenco con l'opzione Consentito impostata su False. Tutti gli altri verbi sono consentiti.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti verbo | Apre la finestra di dialogo Consenti verbo che consente di aggiungere un verbo all'elenco dei verbi consentiti.
Nega verbo | Apre la finestra di dialogo Nega verbo che consente di aggiungere un verbo all'elenco dei verbi negati.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestre di dialogo Consenti verbo o Nega verbo


Finestre di dialogo Consenti verbo o Nega verbo

Utilizzare la finestra di dialogo Consenti verbo per aggiungere un verbo all'elenco dei verbi HTTP a cui il modulo del filtro richieste consente l'accesso. Utilizzare la finestra di dialogo Nega verbo per aggiungere un verbo all'elenco dei verbi HTTP a cui il modulo del filtro richieste nega l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Verbo | Specifica il verbo HTTP a cui il modulo del filtro richieste consente o nega l'accesso.

Vedere anche

  • Pagina Verbi HTTP


Pagina Intestazioni

Utilizzare la pagina Intestazioni per creare un elenco di intestazioni a cui il modulo del filtro richieste nega l'accesso se il valore di un'intestazione è maggiore della dimensione specificata.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Intestazione | Visualizza l'intestazione a cui il modulo del filtro richieste nega l'accesso se la dimensione di un'intestazione è maggiore della dimensione specificata.
Limite dimensioni | Visualizza la dimensione massima consentita per l'intestazione. Se ad esempio si specifica il valore 100, la lunghezza di un'intestazione Content-Type sarà di 100 byte.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi intestazione | Apre la finestra di dialogo Aggiungi intestazione che consente di aggiungere un'intestazione all'elenco delle intestazioni negate.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestra di dialogo Aggiungi intestazione


Finestra di dialogo Aggiungi intestazione

Utilizzare la finestra di dialogo Aggiungi intestazione per specificare un limite di dimensioni per una particolare intestazione HTTP. Se la lunghezza di un'intestazione supera il valore specificato, la richiesta HTTP contenente l'intestazione viene negata.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Intestazione | Specifica l'intestazione per cui il modulo del filtro controlla il limite di dimensioni.
Limite dimensioni | Specifica la lunghezza massima in caratteri per il valore dell'intestazione.

Vedere anche

  • Pagina Intestazioni


Pagina Stringhe di query

Utilizzare la pagina Stringhe di query per creare un elenco di stringhe di query a cui il modulo del filtro richieste consente o meno l'accesso. Un esempio di stringa di query è "%3b" che viene utilizzata per rilevare i tentativi di SQL injection.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Stringa di query | Visualizza la stringa di query a cui il modulo del filtro richieste consente o nega l'accesso.
Azione | Visualizza lo stato della stringa di query che può essere Consenti sempre o Nega.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Consenti stringa di query | Apre la finestra di dialogo Consenti stringa di query in cui è possibile aggiungere una stringa di query che verrà sempre consentita dal servizio del filtro richieste.
Nega stringa di query | Apre la finestra di dialogo Nega stringa di query in cui è possibile aggiungere una stringa di query che verrà sempre negata dal servizio del filtro richieste.

Per gli elementi comuni, vedere Pagina Filtro richieste.

Vedere anche

  • Finestre di dialogo Consenti stringa di query o Nega stringa di query


Finestre di dialogo Consenti stringa di query o Nega stringa di query

Utilizzare la finestra di dialogo Consenti stringa di query o Nega stringa di query per aggiungere una stringa di query all'elenco delle stringhe di query a cui il modulo del filtro richieste consente o nega sempre l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Stringa di query | Specifica la stringa di query a cui il servizio del filtro richieste consente o nega sempre l'accesso.

Vedere anche

  • Pagina Stringhe di query


Finestra di dialogo Modifica impostazioni di filtro richieste

Utilizzare la finestra di dialogo Modifica impostazioni di filtro richieste per configurare le impostazioni generali e i limiti delle richieste nel server Web.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Consenti estensione di file non in elenco

Selezionare questa opzione per consentire le estensioni di file non in elenco.

Consenti verbi non in elenco

Selezionare questa opzione per consentire i verbi non in elenco.

Consenti caratteri a bit significativo

Selezionare questa opzione per consentire i caratteri a bit significativo nelle operazioni di filtro richieste. Esempi di caratteri a bit significativo sono: Ж, Ы e Я.

Consenti escape doppi

Selezionare questa opzione per consentire gli escape doppi.

Lunghezza contenuto massima consentita (byte)

Specifica la lunghezza massima, in byte, del contenuto.

Nota

Se si specifica zero (0) per questo valore, la lunghezza è illimitata.

Lunghezza URL massima (byte)

Specifica la lunghezza massima, in byte, di una stringa di URL.

Lunghezza massima stringa di query in (byte)

Specifica la lunghezza massima, in byte, di una stringa di query.

Vedere anche

  • Pagina Filtro richieste


Certificati server

In questa sezione sono presenti gli argomenti seguenti:

Pagina Certificati server

Procedure guidate Richiedi certificato e Crea certificato - Proprietà nome distinto

Procedura guidata Richiedi certificato - Proprietà provider del servizio di crittografia

Procedura guidata Richiedi certificato - Nome file

Procedura guidata Crea certificato - Autorità di certificazione in linea

Finestra di dialogo Completa richiesta di certificato

Finestra di dialogo Seleziona Autorità di certificazione

Finestra di dialogo Crea certificato autofirmato

Finestra di dialogo Esporta certificato

Finestra di dialogo Importa certificato

Pagina della procedura guidata Rinnova certificato esistente


Pagina Certificati server

Utilizzare la pagina di funzionalità Certificati server per visualizzare i nomi di certificati, i nomi di dominio completi degli host a cui sono stati rilasciati i certificati e i nomi di dominio completi dei server che hanno rilasciato i certificati.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Nome

Consente di visualizzare i nomi dei certificati rilasciati ai client in esecuzione su host Internet o Intranet.

Nota

Non è necessario assegnare un nome ai certificati. Per ottenere informazioni sui certificati, potrebbe essere necessario visualizzare altre colonne.

Rilasciato a

Consente di visualizzare i nomi di dominio completi degli host Internet o Intranet a cui sono stati rilasciati i certificati.

Rilasciato da

Consente di visualizzare i nomi di dominio completi dei server che hanno emesso certificati a client in esecuzione su host Internet o Intranet.

Data di scadenza

Consente di visualizzare la data di scadenza del certificato.

Hash certificato

Consente di visualizzare i dati binari prodotti utilizzando un algoritmo di hash. Sebbene questi dati identifichino in modo univoco un certificato, i dati hash non possono essere utilizzati per tracciare un certificato in quanto l'hashing è un processo unidirezionale.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Importa | Consente di visualizzare la finestra di dialogo Importa certificato in cui è possibile ripristinare un certificato perso o danneggiato di cui sia stato già eseguito il backup o per installare un certificato inviato da un altro utente o Autorità di certificazione (CA).
Crea richiesta di certificato | Consente di aprire la pagina della procedura guidata Proprietà nome distinto in cui è possibile fornire informazioni sull'organizzazione a un'Autorità di certificazione esterna.
Completa richiesta di certificato | Consente di visualizzare la finestra di dialogo Completa richiesta di certificato in cui è possibile installare i certificati ricevuti dall'Autorità di certificazione.
Crea certificato di dominio | Consente di aprire la pagina della procedura guidata Proprietà nome distinto in cui è possibile fornire informazioni sull'organizzazione a un'Autorità di certificazione interna.
Crea certificato autofirmato | Consente di visualizzare la finestra di dialogo Crea certificato autofirmato in cui è possibile creare certificati da utilizzare in ambienti di testing di server e per la risoluzione dei problemi relativi a certificati di terze parti.
Visualizza | Consente di visualizzare la finestra di dialogo Certificato in cui è possibile visualizzare dettagli su un certificato. Per visualizzare questa opzione, è necessario selezionare un certificato.
Esporta | Consente di visualizzare la finestra di dialogo Esporta certificato in cui è possibile esportare i certificati da un server di origine quando si desidera applicare lo stesso certificato a un server di destinazione o quando si desidera eseguire il backup di un certificato e della chiave privata associata. Per visualizzare questa opzione, è necessario selezionare un certificato.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità. Per visualizzare questa opzione, è necessario selezionare un certificato.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Procedure guidate Richiedi certificato e Crea certificato - Proprietà nome distinto

Utilizzare la pagina Proprietà nome distinto della procedura guidata per specificare informazioni sull'organizzazione a un'Autorità di certificazione interna o esterna.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome comune | Digitare un nome per il certificato.
Organizzazione | Digitare il nome dell'organizzazione per la quale verrà utilizzato il certificato.
Unità organizzativa | Digitare il nome del reparto o della divisione dell'organizzazione nella quale verrà utilizzato il certificato.
Città | Digitare il nome completo della città in cui si trova l'organizzazione o l'unità organizzativa.
Provincia | Digitare il nome completo della provincia in cui si trova l'organizzazione o l'unità organizzativa.
Paese | Digitare il nome del paese in cui si trova l'organizzazione o l'unità organizzativa.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Procedura guidata Richiedi certificato - Proprietà provider del servizio di crittografia

La pagina della procedura guidata Provider servizio di crittografia consente di selezionare Microsoft RSA SChannel Cryptographic Provider o Microsoft DH SChannel Cryptographic Provider per fornire certificati che consentano di crittografare le trasmissioni protetta tra il server e i client. È inoltre possibile regolare il livello di sicurezza per la trasmissione modificando la lunghezza in bit associata al provider del servizio di crittografia.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Provider servizio di crittografia

Selezionare Microsoft RSA SChannel Cryptographic Provider o Microsoft DH SChannel Cryptographic Provider. Il provider del servizio di crittografia predefinito è Microsoft RSA SChannel Cryptographic Provider.

Nota

Selezionare Microsoft DH SChannel Cryptographic Provider quando è necessario scambiare una chiave privata su una rete che non è protetta e non si è verificata alcuna comunicazione precedente con l'altra parte.

Lunghezza in bit

Selezionare la lunghezza in bit che il provider selezionato dovrà utilizzare. Per impostazione predefinita, il provider RSA SChannel utilizza una lunghezza in bit di 1024, mentre il provider DH SChannel utilizza una lunghezza in bit di 512.

Nota

A una lunghezza in bit maggiore corrisponde un livello di crittografia più elevato, tuttavia può comportare una riduzione delle prestazioni, in quanto richiede la trasmissione di bit aggiuntivi.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Procedura guidata Richiedi certificato - Nome file

Utilizzare la pagina Nome file della procedura guidata per denominare e salvare i certificati nella posizione di archiviazione appropriata.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Specifica un nome di file per la richiesta di certificato | Digitare un nome file nel campo Specifica un nome di file per la richiesta di certificato.
… | Selezionare un nome file con cui archiviare il certificato.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Procedura guidata Crea certificato - Autorità di certificazione in linea

Utilizzare la pagina della procedura guidata Autorità di certificazione in linea per identificare il server di un'Autorità di certificazione in linea (CA) nel dominio Windows. È necessario inoltre fornire al server CA che si desidera utilizzare un Nome descrittivo per completare la procedura guidata Crea certificato di dominio.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Specifica Autorità di certificazione in linea

Digitare il percorso di un server CA presente nel proprio dominio Windows o fare clic su Seleziona per cercarne uno.

Nota

I certificati di dominio non possono essere utilizzati con client esterni che non sono membri del dominio Windows interno.

Nome descrittivo

Digitare un nome per il server CA che si desidera utilizzare nella casella Nome descrittivo. È necessario digitare un nome nella casella Nome descrittivo per completare la procedura guidata Crea certificato di dominio.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Finestra di dialogo Completa richiesta di certificato

Utilizzare la finestra di dialogo Completa richiesta di certificato per installare i certificati ricevuti dall'Autorità di certificazione. Per completare il processo di installazione del certificato, è inoltre necessario fornire un Nome descrittivo da assegnare al certificato da installare.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Digitare il percorso e il nome del file contenente la risposta dell'Autorità di certificazione

Digitare il percorso del file che contiene la risposta ricevuta dall'Autorità di certificazione nella casella Digitare il percorso e il nome del file contenente la risposta dell'Autorità di certificazione o fare clic su Sfoglia per spostarsi nel percorso nel quale è archiviato il file ricevuto dall'Autorità di certificazione.

Importante

È necessario completare questo processo per installare un certificato sul server.

Nome descrittivo

Digitare un nome nella casella Nome descrittivo per completare il processo di installazione del certificato.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Finestra di dialogo Seleziona Autorità di certificazione

Utilizzare la finestra di dialogo Seleziona Autorità di certificazione per selezionare l'Autorità di certificazione (CA) interna da utilizzare.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Seleziona Autorità di certificazione da utilizzare | Consente di visualizzare l'elenco dei nomi descrittivi di CA e il nome di dominio completo (FQDN) del computer che ospita la CA. Selezionare la CA che si desidera utilizzare.

Vedere anche

  • Configurazione dei certificati in IIS 7 (in linea)


Finestra di dialogo Crea certificato autofirmato

Utilizzare la finestra di dialogo Crea certificato autofirmato per la creazione di certificati da utilizzare in ambienti di testing di server e per la risoluzione dei problemi relativi a certificati di terze parti.

È possibile visualizzare le proprietà del certificato autofirmato nella pagina Certificati server.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Specifica nome descrittivo per il certificato

Digitare un nome descrittivo nella casella Nome per creare un certificato autofirmato.

Nota

I certificati creati con questa funzionalità non provengono da un'origine dell'Autorità di certificazione (CA) non disponibile nell'elenco locale e devono essere pertanto utilizzati solo per consentire le trasmissioni protette di dati tra il server e i client all'interno di un ambiente di testing.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Finestra di dialogo Esporta certificato

Utilizzare la finestra di dialogo Esporta certificato per esportare i certificati da un server di origine quando si desidera applicare lo stesso certificato a un server di destinazione o quando si desidera eseguire il backup di un certificato e della chiave privata associata.

Nota

Se si associa una password al certificato, chiunque importi il certificato deve conoscere la password prima di applicarlo al server di destinazione.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Esporta in | Digitare un nome file nella casella Esporta in o fare clic su Sfoglia per selezionare il nome del file in cui archiviare il certificato per l'esportazione.
Password | Digitare una password nella casella Password se si desidera associare una password al certificato esportato.
Conferma password | Digitare nuovamente la password nella casella Conferma password e quindi fare clic su OK.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Finestra di dialogo Importa certificato

Utilizzare la finestra di dialogo Importa certificato per ripristinare un certificato perso o danneggiato di cui sia stato già eseguito il backup o per installare un certificato inviato da un altro utente o Autorità di certificazione (CA).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
File di certificato (.pfx) | Digitare un nome file nella casella File di certificato (.pfx) o fare clic su Sfoglia per selezionare il nome del file in cui è archiviato il certificato esportato.
Password | Digitare la password nel campo Password se il certificato è stato esportato con una password.
Consenti esportazione del certificato | Selezionare l'opzione Consenti esportazione del certificato se si desidera consentire l'esportazione del certificato, deselezionarla per evitare ulteriori esportazioni del certificato in questione.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Pagina della procedura guidata Rinnova certificato esistente

Utilizzare la procedura guidata Rinnova certificato esistente per rinnovare un certificato che sta per scadere.

Importante

Non è possibile rinnovare un certificato già scaduto. Se si tenta di rinnovare un certificato scaduto, la richiesta verrà rifiutata dall'Autorità di certificazione e verrà visualizzato un messaggio di errore analogo al seguente: "Errore durante la verifica della firma per la richiesta o del certificato di firma. Un certificato richiesto non rientra nel periodo di validità se verificato rispetto all'ora corrente del sistema o al timestamp sul file firmato". Questo messaggio verrà visualizzato anche nel nodo Richieste non riuscite dell'Autorità di certificazione emittente. Se il certificato è già scaduto, è necessario richiederne uno nuovo anziché rinnovare quello esistente.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Rinnova certificato esistente | Selezionare questa opzione per rinnovare un certificato esistente da un'Autorità di certificazione (CA) interna del dominio.
Crea richiesta certificato di rinnovo | Selezionare questa opzione per comprimere le informazioni relative al rinnovo per un successivo invio a una CA.
Completa richiesta di rinnovo certificato | Selezionare questa opzione per completare la richiesta di rinnovo di un certificato ricevuto da una CA.

Vedere anche

  • Configurazione di certificati server in IIS 7 (in linea)


Pagina Stato sessione

Utilizzare la pagina di funzionalità Stato sessione per configurare il comportamento delle informazioni mantenute nelle diverse sessioni del browser.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Non abilitato

Disabilita lo stato sessione.

In corso

Archivia i dati dello stato sessione per un'applicazione di codice gestito nel processo di lavoro in cui viene eseguita l'applicazione. Questa è l'impostazione predefinita.

Personalizzato

Configura IIS per utilizzare un provider personalizzato per la gestione dello stato sessione per le applicazioni ASP.NET.

Server stato

Abilita il servizio stato Aspnet_state.exe di Windows e archivia lo stato sessione all'esterno del processo di lavoro in cui viene eseguita l'applicazione. Il vantaggio di questa configurazione è il mantenimento dello stato sessione quando il processo di lavoro dell'applicazione viene riciclato. L'utilizzo di un server stato è consigliabile per le applicazioni Web di medie dimensioni. Le impostazioni da configurare sono:

  • Stringa di connessione: imposta la stringa di connessione utilizzata per connettersi al server stato.

  • Timeout (in secondi): imposta in secondi la durata di mantenimento della connessione. Il valore predefinito è 10 secondi.

Importante

Perché funzioni, è necessario che il servizio stato di Windows (Aspnet_state.exe) sia in esecuzione per lo stato sessione out-of-process. Per impostazione predefinita, questo servizio viene installato insieme ad ASP.NET ed è configurato per l'avvio manuale. È necessario impostare la modalità di avvio su Automatico.

SQL Server

Configura IIS per utilizzare un database SQL Server per l'archiviazione dei dati dello stato sessione anziché il processo di lavoro in cui viene eseguita l'applicazione. Il vantaggio di questa configurazione è il mantenimento dello stato sessione quando il processo di lavoro dell'applicazione viene riciclato o il servizio stato di Windows o il server Web diventa inattivo. Le impostazioni da configurare sono:

  • Stringa di connessione: imposta la stringa di connessione utilizzata per connettersi al server stato.

  • Timeout (in secondi): imposta in secondi la durata di mantenimento della connessione. Il valore predefinito è 10 secondi.

Importante

Prima di configurare un server SQL Server per lo stato sessione, è necessario eseguire lo script InstallSqlState.sql nel server. Per impostazione predefinita, questo script è archiviato in systemroot\Microsoft.NET\Framework\V2.0.50727.

Abilita database personalizzato

Abilita un database SQL Server personalizzato per l'archiviazione dei dati dello stato sessione.

Modalità

Consente di definire la modalità di utilizzo dei cookie per l'archiviazione dei dati dello stato sessione. Le opzioni sono:

  • Rilevamento automatico: vengono utilizzati i cookie solo se il browser li supporta. Nei browser desktop di cui è noto il supporto di cookie, ASP.NET tenta di utilizzarli quando tale supporto è abilitato. Quando si utilizza la modalità cookie Rilevamento automatico, è consigliabile richiedere la rigenerazione degli ID sessione scaduti. In questo modo viene consentita a un server Web la rigenerazione dei token scaduti e viene ridotto il tempo a disposizione per eventuali attacchi mirati ad acquisire un cookie e a ottenere l'accesso al contenuto del server Web. È inoltre consigliabile impostare il timeout su un valore minore di quello predefinito di 20 minuti.

  • Utilizza i cookie: associa le informazioni sulla sessione a quelle del client per la durata della connessione di un utente a un sito Web. I cookie vengono passati in un'intestazione HTTP insieme a tutte le richieste inviate tra un client e un server Web. L'utilizzo di cookie è il sistema più efficace per tenere traccia dello stato sessione, perché i cookie non richiedono alcun reindirizzamento. Inoltre, i cookie consentono di inserire segnalibri nelle pagine Web e di mantenere lo stato se si abbandona un sito per visitarne un altro per poi tornare al sito originale.

Nota

È consigliabile impostare il timeout su un valore minore di quello predefinito di 20 minuti in modo da ridurre il tempo a disposizione per eventuali attacchi mirati ad acquisire un cookie e ottenere l'accesso al contenuto del sito Web.

  • Utilizza profilo del dispositivo: vengono utilizzati i cookie solo se il profilo del dispositivo li supporta. Se il profilo del dispositivo indica il supporto dei cookie, essi verranno utilizzati anche se l'utente ne ha disabilitato il supporto. Quando si utilizza la modalità cookie Utilizza profilo del dispositivo, è consigliabile richiedere la rigenerazione degli ID sessione scaduti. In questo modo viene consentita a un server Web la rigenerazione dei token scaduti e viene ridotto il tempo a disposizione per eventuali attacchi mirati ad acquisire un cookie e a ottenere l'accesso al contenuto del server Web. È inoltre consigliabile impostare il timeout su un valore minore di quello predefinito di 20 minuti.

  • Utilizza URI: l'ID sessione viene incorporato come stringa di query nella richiesta URI (Uniform Resource Identifier), quindi l'URI viene reindirizzato all'URL richiesto originariamente. La richiesta URI modificata viene utilizzata per la durata della sessione. Pertanto, non sono necessari cookie. Quando si utilizza un URI, è consigliabile richiedere la rigenerazione degli ID sessione scaduti. In questo modo viene consentita a un server Web la rigenerazione dei token scaduti e viene ridotto il tempo a disposizione per eventuali attacchi mirati ad acquisire un cookie e a ottenere l'accesso al contenuto del server Web.

Nome

Consente di impostare un nome per il cookie. L'impostazione predefinita è ASP.NET_SessionID.

Timeout (in minuti)

Consente di impostare la durata di permanenza di un cookie. Il valore predefinito è 20 minuti.

Rigenera ID sessione scaduta

Richiede a IIS di rifiutare e rieseguire gli ID sessione cui non corrispondono sessioni attive nel database. Per impostazione predefinita, questa funzionalità è supportata solo per gli ID sessione senza cookie, ma può essere estesa per la gestione degli ID sessione cookie/arbitrari mediante l'implementazione di una gestione ID sessione personalizzata.

Utilizza identità host per rappresentazione

Abilita l'autenticazione di Windows e l'identità del processo host (ASP.NET o un'identità di servizio Windows) per le connessioni remote.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione dello stato della sessione in IIS 7 (in linea)


Configurazione condivisa

In questa sezione sono presenti gli argomenti seguenti:

Pagina Configurazione condivisa

Finestra di dialogo Esporta configurazione

Finestra di dialogo Imposta credenziali - Funzionalità Configurazione condivisa

Finestra di dialogo Password chiavi di crittografia


Pagina Configurazione condivisa

Utilizzare la pagina di funzionalità Configurazione condivisa per condividere file di configurazione e chiavi di crittografia IIS tra uno o più server IIS. È inoltre possibile utilizzare questa pagina per rimuovere un computer da un gruppo configurato per la condivisione delle impostazioni di configurazione.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Abilita configurazione condivisa

Consente di configurare IIS per l'utilizzo di file di configurazione condivisi.

Nota

Dopo aver abilitato o disabilitato questa opzione, è necessario chiudere e riavviare Gestione IIS.

Percorso fisico

Consente di indicare il percorso dal quale leggere i file di configurazione e le chiavi di crittografia. Può trattarsi di un percorso di rete o di una cartella disponibile nel computer locale.

Nome utente

Consente di specificare il nome utente utilizzato da IIS per accedere al percorso dello spazio di archiviazione dei file di configurazione.

Password

Consente di specificare la password necessaria per autenticare il nome utente utilizzato da IIS per accedere al percorso dello spazio di archiviazione dei file di configurazione.

Conferma password

Consente di specificare che l'utente deve ridigitare la password.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.
Esporta configurazione | Consente di visualizzare la finestra di dialogo Esporta configurazione per l'esportazione di file di configurazione e chiavi di crittografia IIS tra uno o più server IIS.

Vedere anche

  • Configurazione condivisa (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Esporta configurazione

Utilizzare la finestra di dialogo Esporta configurazione per esportare file di configurazione e chiavi di crittografia di IIS in un percorso specifico.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso fisico | Consente di indicare il percorso utilizzato per l'esportazione di file di configurazione e chiavi di crittografia. Può trattarsi di un percorso di rete o di una cartella disponibile nel computer locale.
Connetti come | Consente di abilitare l'accesso alla finestra di dialogo Imposta credenziali. Per impostazione predefinita, per accedere al Percorso fisico è possibile utilizzare un qualsiasi account utente con cui è stato eseguito l'accesso al sistema. Per eseguire la connessione con un account utente diverso, utilizzare la finestra di dialogo Imposta credenziali.
Password chiavi di crittografia | Consente di specificare la password per crittografare le chiavi di crittografia.
Conferma password | Consente di specificare che l'utente deve ridigitare la password.

Vedere anche

  • Configurazione condivisa (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Imposta credenziali - Funzionalità Configurazione condivisa

Utilizzare la finestra di dialogo Imposta credenziali per effettuare la connessione a un percorso fisico utilizzando un account utente diverso da quello con cui è stato eseguito l'accesso.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Consente di specificare il nome utente dell'account che si desidera utilizzare per accedere a un percorso fisico per la configurazione condivisa.
Password | Consente di specificare la password necessaria per autenticare il Nome utente.
Conferma password | Consente di specificare che l'utente deve ridigitare la password.

Vedere anche

  • Configurazione condivisa (in linea) (la pagina potrebbe essere in inglese)


Finestra di dialogo Password chiavi di crittografia

Utilizzare la finestra di dialogo Password chiavi di crittografia per immettere la password per l'archivio delle chiavi di crittografia.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Immettere la password chiavi di crittografia | Consente di specificare la password utilizzata da IIS per decrittografare le chiavi di crittografia crittografate. Questa password viene impostata quando si utilizza Gestione IIS per esportare i file di configurazione.

Vedere anche

  • Configurazione condivisa (in linea) (la pagina potrebbe essere in inglese)


Siti

In questa sezione sono presenti gli argomenti seguenti:

Pagina Siti

Finestra di dialogo Aggiungi sito Web

Finestra di dialogo Modifica sito

Finestra di dialogo Seleziona pool di applicazioni - Siti e applicazioni

Finestra di dialogo Connetti come - Siti, applicazioni e directory virtuali

Finestra di dialogo Imposta credenziali - Siti, applicazioni e directory virtuali

Finestra di dialogo Binding sito

Finestra di dialogo Aggiungi binding sito o Modifica binding sito Web

Finestra di dialogo Modifica limiti sito Web

Finestra di dialogo Modifica impostazioni traccia richieste non riuscite sito Web


Pagina Siti

Utilizzare la pagina di funzionalità Siti per gestire un elenco di siti in un server Web.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità oppure selezionare un valore dall'elenco a discesa Raggruppa per per raggruppare elementi simili. Per eseguire ricerche nell'elenco, digitare i criteri di ricerca nella casella Filtro, espandere l'elenco Vai per selezionare il campo in base al quale effettuare la ricerca, quindi fare clic su Vai oppure premere INVIO. Fare clic Mostra tutti per rimuovere i criteri di filtro.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome | Consente di visualizzare il nome univoco del sito.
ID | Consente di visualizzare l'ID univoco del sito.
Stato | Indica se il sito è stato avviato o consente di visualizzare informazioni sugli eventuali errori di avvio del sito. Quando in un sito viene utilizzato più di un protocollo, le informazioni sullo stato verranno visualizzate separatamente per i singoli protocolli e ogni stato sarà seguito dall'indicazione del protocollo tra parentesi. Ad esempio, per un sito in cui viene utilizzato il protocollo HTTP o HTTPS lo stato visualizzato all'avvio sarà Avviato (http(s)).
Binding | Consente di visualizzare il binding o i binding per il sito.
Percorso | Consente di visualizzare il percorso fisico della directory in cui è presente il contenuto del sito.

Elementi del riquadro Azioni

Alcune delle azioni descritte nella tabella seguente sono disponibili per un sito solo quando il binding del sito è HTTP o HTTPS. Queste azioni sono visualizzate nel riquadro Azioni in Gestisci sito Web.

Nome dell'elemento Descrizione

Aggiungi sito Web

Consente di visualizzare la finestra di dialogo Aggiungi sito Web in cui è possibile aggiungere un sito Web che utilizza i protocolli HTTP o HTTPS per le comunicazioni.

Impostazioni predefinite siti Web

Consente di visualizzare la finestra di dialogo Impostazioni predefinite siti Web in cui è possibile impostare valori predefiniti validi per tutti i siti Web aggiunti al server Web.

Binding

Consente di visualizzare la finestra di dialogo Binding sito in cui è possibile aggiungere, modificare e rimuovere binding del sito.

Impostazioni di base

Consente di visualizzare la finestra di dialogo Modifica sito in cui è possibile modificare le impostazioni specificate durante la creazione del sito selezionato.

Nota

Non è possibile modificare i binding nella finestra di dialogo Modifica sito. Per modificarli, aprire la finestra di dialogo Binding.

Esplora

Consente di aprire la directory fisica (in Esplora risorse) relativa al sito.

Modifica autorizzazioni

Consente di visualizzare la finestra di dialogo delle proprietà di Windows della directory fisica di cui è stato eseguito il mapping alla directory virtuale radice relativa all'applicazione radice del sito selezionato.

Rimuovi

Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.

Rinomina

Abilita il campo Nome del sito selezionato in modo da consentire la ridenominazione del sito.

Visualizza applicazioni

Consente di aprire la pagina di funzionalità Applicazioni in cui è possibile visualizzare le applicazioni che appartengono al sito.

Visualizza directory virtuali

Consente di aprire la pagina di funzionalità Directory virtuali in cui è possibile visualizzare le directory virtuali che appartengono all'applicazione radice del sito.

Riavvia

Consente di arrestare e riavviare il sito selezionato. Quando si riavvia un sito, il sito risulta temporaneamente non disponibile fino al completamento dell'operazione.

Avvio

Consente di avviare il sito selezionato.

Arresto

Consente di arrestare il sito selezionato. Quando si arresta un sito, il sito risulta indisponibile finché non viene avviato.

Sfoglia

Consente di aprire il sito selezionato in un browser Internet. Quando per il sito è disponibile più di un binding, vengono visualizzati più collegamenti di esplorazione.

Impostazioni avanzate

Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile configurare le impostazioni avanzate per il sito selezionato.

Traccia richieste non riuscite

Consente di visualizzare la finestra di dialogo Modifica impostazioni traccia richieste non riuscite sito Web in cui è possibile abilitare la traccia delle richieste non riuscite e configurare le impostazioni correlate per il sito selezionato.

Limiti

Viene visualizzata la finestra di dialogo Modifica limiti sito Web in cui è possibile configurare i limiti relativi alla larghezza di banda e alla connessione per il sito selezionato.

Vedere anche

  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Aggiungi sito Web

Utilizzare la finestra di dialogo Aggiungi sito Web per aggiungere un nuovo sito Web al server Web. I siti Web dispongono di binding costituiti da un numero di porta, un indirizzo IP e uno o più nomi host facoltativi.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome sito

Digitare un nome descrittivo per il sito. Il nome descrittivo viene visualizzato nell'albero di Gestione IIS e può essere modificato in un secondo momento se si desidera rinominare il sito.

Nota

Il nome del sito Web deve essere univoco, perché in un server Web IIS 7 non possono essere presenti siti Web con lo stesso nome.

Pool di applicazioni

Consente di visualizzare il pool di applicazioni selezionato per il sito. Quando si digita un nome di sito Web, verrà creato un nuovo pool di applicazioni con lo stesso nome del sito (fino a un massimo di 64 caratteri). Per impostazione predefinita, il pool di applicazioni verrà configurato per l'utilizzo di .NET Framework versione 2.0 e la modalità pipeline integrata. È possibile modificare le impostazioni per il pool di applicazioni in un secondo momento o selezionare un pool di applicazioni diverso per il sito.

Seleziona

Consente di visualizzare la finestra di dialogo Seleziona pool di applicazioni in cui è possibile selezionare il pool di applicazioni in cui verrà eseguito il sito.

Percorso fisico

Digitare il percorso fisico in cui è archiviato il contenuto del sito. Il contenuto può risiedere nel computer locale oppure provenire da una condivisione o una directory remota. Se il contenuto è archiviato nel computer locale, digitare il percorso fisico, ad esempio C:\Content. Se il contenuto è archiviato in una condivisione remota, digitare il percorso UNC (Universal Naming Convention), ad esempio \\Server\Share.

Facoltativamente, fare clic su Connetti come per specificare le credenziali per la connessione al percorso fisico. Se non si forniscono le credenziali, il server Web utilizzerà l'autenticazione pass-through. Per l'accesso al contenuto verrà quindi utilizzata l'identità dell'utente dell'applicazione, mentre per l'accesso ai file di configurazione verrà utilizzata l'identità del pool di applicazioni.

…

Consente di visualizzare la finestra di dialogo Sfoglia per cartelle in cui è possibile selezionare il percorso fisico del contenuto del sito.

Connetti come

Consente di visualizzare la finestra di dialogo Connetti come in cui è possibile selezionare la modalità di connessione al percorso digitato nella casella Percorso fisico. Per impostazione predefinita, la modalità selezionata è Utente applicazione (autenticazione pass-through).

Prova impostazioni

Consente di visualizzare la finestra di dialogo Prova impostazioni in cui è possibile visualizzare un elenco di risultati della prova per valutare la validità delle impostazioni relative al percorso.

Tipo

Selezionare HTTP se si desidera che il sito Web utilizzi un binding HTTP oppure selezionare HTTPS se si desidera utilizzare un binding SSL (Secure Sockets Layer).

Indirizzo IP

Selezionare un indirizzo IP nell'elenco Indirizzo IP o digitare un indirizzo IP che gli utenti possono utilizzare per accedere al sito.

Nota

Il simbolo di percentuale (%) non è un carattere valido per gli indirizzi IP. Se si digita un indirizzo IPv6 con questo carattere, il servizio Attivazione processo Windows non sarà in grado di avviare il sito perché il binding non è valido. Ad esempio, l'indirizzo IPv6 locale rispetto al collegamento termina con "%8". Se si copia questo indirizzo da una query ipconfig in una finestra di comando e lo si incolla nella casella Indirizzo IP in Gestione IIS, assicurarsi di rimuovere la parte dell'indirizzo IP contenente "%8".

Se si seleziona Tutti non assegnati, il sito risponderà alle richieste di tutti gli indirizzi IP sulla porta e al nome host facoltativo specificato per il sito, a meno che un altro sito Web sul server non presenti un binding sulla stessa porta ma con un indirizzo IP specifico.

Il binding del sito Web predefinito specifica ad esempio Tutti non assegnati per Indirizzo IP, 80 per Porta e nessun nome host. Se nel server è presente un secondo sito denominato Contoso con un binding che specifica 172.30.189.179 per l'indirizzo IP sulla porta 80 e nessun nome host, il sito Contoso riceverà tutte le richieste HTTP sulla porta 80 all'indirizzo IP 172.30.189.179 e il sito Web predefinito continuerà a ricevere richieste HTTP sulla porta 80 per qualsiasi indirizzo IP diverso da 172.30.189.179.

Porta

Digitare la porta sulla quale HTTP.sys deve essere in ascolto per richieste effettuate a questo sito Web. Se si seleziona HTTP nell'elenco a discesa Tipo, la porta predefinita è 80. Se si seleziona HTTPS nell'elenco a discesa, la porta predefinita è 443. Se si specifica una porta diversa dalle porte predefinite, i client devono specificare il numero di porta nelle richieste al server o non potranno connettersi al sito Web.

Nome host

Digitare un nome host se si desidera assegnare uno o più nomi host, noti anche come nomi di dominio, a un computer che utilizza un solo indirizzo IP. Se si specifica un nome host, i client devono utilizzare il nome host anziché l'indirizzo IP per accedere al sito Web.

Se il sito Web è disponibile su Internet, digitare il nome di dominio del sito Web come verrà digitato dagli utenti in un browser, ad esempio www.contoso.com. Se per il sito Web sono disponibili più nome di dominio, ad esempio www.contoso.com e contoso.com, sarà necessario creare un binding distinto per ogni nome host.

Se il sito Web è disponibile su una rete Intranet, non è necessario specificare un nome host se gli utenti digiteranno il nome del server in un browser, ad esempio http://nome_server. Se tuttavia il server DNS nell'ambiente è configurato per archiviare altri nomi per il server Web, è possibile creare un binding separato per ogni nome host per consentire agli utenti di utilizzare gli altri nomi archiviati dal server DNS.

Nota

È possibile che il nome host configurato per il sito Web venga visualizzato in modo diverso nei file di registro perché HTTP.sys registra i nomi host utilizzando il formato codificato da punycode.

Certificato SSL

Selezionare il certificato che si desidera che venga utilizzato dal sito Web per SSL. L'elenco Certificato SSL viene visualizzato solo quando si seleziona HTTPS nell'elenco Tipo.

Nota

Per aggiungere o configurare certificati server, utilizzare la funzionalità Certificati server in Gestione IIS.

Visualizza

Consente di visualizzare la finestra di dialogo Certificato in cui è possibile visualizzare informazioni relative al certificato selezionato nell'elenco Certificato SSL. Il pulsante Visualizza viene visualizzato solo quando si seleziona HTTPS nell'elenco Tipo e si seleziona un certificato nell'elenco Certificato SSL.

Avvia sito Web immediatamente

Selezionare questa opzione per avviare il sito Web immediatamente dopo averlo creato. Una volta avviato, il sito Web analizza le richieste. È possibile ritardare l'avvio del sito Web se si desidera apportare altre modifiche alla configurazione, quali modifiche all'autenticazione o all'autorizzazione, dopo aver creato il sito stesso.

Nota

Se si specifica un binding non valido, il sito Web verrà creato ma non potrà essere avviato fino alla correzione del binding.

Vedere anche

  • Certificati server
  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Modifica sito

Utilizzare la finestra di dialogo Modifica sito Web per modificare le proprietà di un sito esistente.

Nota

Per modificare le informazioni sul binding di un sito, utilizzare la finestra di dialogo Binding sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome sito

Consente di visualizzare il nome descrittivo per il sito.

Nota

Non è possibile rinominare un sito nella finestra di dialogo Modifica sito. Per rinominare un sito, utilizzare l'azione Rinomina nel riquadro Azioni della pagina Siti.

Pool di applicazioni

Consente di visualizzare il pool di applicazioni selezionato per il sito.

Seleziona

Consente di visualizzare la finestra di dialogo Seleziona pool di applicazioni in cui è possibile selezionare il pool di applicazioni in cui verrà eseguito il sito.

Percorso fisico

Digitare il percorso fisico in cui è archiviato il contenuto del sito. Il contenuto può risiedere nel computer locale oppure provenire da una condivisione o una directory remota. Se il contenuto è archiviato nel computer locale, digitare il percorso fisico, ad esempio C:\Content. Se il contenuto è archiviato in una condivisione remota, digitare il percorso UNC (Universal Naming Convention), ad esempio \\Server\Share.

Facoltativamente, fare clic su Connetti come per specificare le credenziali per la connessione al percorso fisico. Se non si forniscono le credenziali, il server Web utilizzerà l'autenticazione pass-through. Per l'accesso al contenuto verrà quindi utilizzata l'identità dell'utente dell'applicazione, mentre per l'accesso ai file di configurazione verrà utilizzata l'identità del pool di applicazioni.

…

Consente di visualizzare la finestra di dialogo Sfoglia per cartelle in cui è possibile selezionare il percorso fisico del contenuto del sito.

Connetti come

Consente di visualizzare la finestra di dialogo Connetti come in cui è possibile selezionare la modalità di connessione al percorso digitato nella casella Percorso fisico. Per impostazione predefinita, è selezionata l'autenticazione pass-through.

Prova impostazioni

Consente di visualizzare la finestra di dialogo Prova impostazioni in cui è possibile visualizzare un elenco di risultati della prova per valutare la validità delle impostazioni relative al percorso.

Vedere anche

  • Finestra di dialogo Binding sito
  • Finestra di dialogo Aggiungi binding sito o Modifica binding sito Web
  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Seleziona pool di applicazioni - Siti e applicazioni

Utilizzare la finestra di dialogo Seleziona pool di applicazioni per selezionare un pool di applicazioni per il sito o l'applicazione. Un pool di applicazioni è configurato per utilizzare una versione di .NET Framework e una di due possibili modalità di elaborazione del codice gestito. Selezionare un pool di applicazioni configurato per utilizzare la versione di .NET Framework e la modalità di elaborazione gestita richiesta dal sito o dall'applicazione. Se l'applicazione non richiede .NET Framework, è possibile selezionare un pool di applicazioni non configurato per il codice gestito.

Nota

Per aggiungere un pool di applicazioni, utilizzare la finestra di dialogo Aggiungi pool di applicazioni nella pagina Pool di applicazioni.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Pool di applicazioni

Selezionare il pool di applicazioni da utilizzare con il sito o l'applicazione.

Proprietà

Consente di visualizzare la versione di .NET Framework e la modalità pipeline per il cui utilizzo è configurato il pool di applicazioni.

Nota

La modalità pipeline non viene visualizzata quando il pool di applicazioni è configurato per l'utilizzo di .NET Framework versione 1.1.

Vedere anche

  • Finestra di dialogo Aggiungi sito Web
  • Finestra di dialogo Modifica sito
  • Finestra di dialogo Aggiungi pool di applicazioni o Modifica pool di applicazioni
  • Gestione dei pool di applicazioni in IIS 7 (in linea)
  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Connetti come - Siti, applicazioni e directory virtuali

Utilizzare la finestra di dialogo Connetti come per selezionare il metodo utilizzato da IIS per accedere al contenuto dal percorso fisico specificato per il sito, l'applicazione o la directory virtuale. Il percorso fisico può essere un percorso di una directory nel computer locale o di una directory o condivisione in un computer remoto.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Utente specifico

Selezionare questa opzione per fornire le credenziali per un account utente specifico che ha accesso al percorso fisico.

Imposta

Consente di visualizzare la finestra di dialogo Imposta credenziali in cui è possibile digitare il nome utente e la password per l'account utente che ha accesso al percorso fisico. Questo utente verrà utilizzato per accedere a tutto il contenuto nel percorso fisico specificato. Questo pulsante è disponibile solo quando si seleziona l'opzione Utente specifico nella finestra di dialogo Connetti come.

Utente dell'applicazione (autenticazione pass-through)

Selezionare questa opzione se si desidera utilizzare l'autenticazione pass-through. Con questa opzione IIS utilizzerà le credenziali dell'utente richiedente per accedere al percorso fisico.

Per le richieste anonime IIS utilizzerà l'identità configurata per l'autenticazione anonima per accedere al percorso fisico. Per impostazione predefinita, questa identità corrisponde all'account IUSR predefinito.

Per le richieste autenticate IIS utilizzerà l'insieme di credenziali autenticato dell'utente richiedente per accedere al percorso fisico. Verificare che l'identità del pool di applicazioni che rende disponibile questa applicazione disponga di accesso in lettura al percorso fisico in modo che l'utente autenticato possa accedere al contenuto nel percorso fisico.

Vedere anche

  • Finestra di dialogo Imposta credenziali - Siti, applicazioni e directory virtuali
  • Gestione di siti in IIS 7 (in linea)
  • Gestione di applicazioni in IIS 7 (in linea)
  • Gestione di directory virtuali in IIS 7 (in linea)


Finestra di dialogo Imposta credenziali - Siti, applicazioni e directory virtuali

Utilizzare la finestra di dialogo Imposta credenziali per specificare le credenziali utente utilizzabili per accedere al contenuto dal percorso fisico specificato per il sito, l'applicazione o la directory virtuale. Il percorso fisico può essere un percorso di una directory nel computer locale o di una directory o condivisione in un computer remoto.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Digitare il nome utente di un account utente di Windows che ha accesso al percorso fisico.
Password | Digitare la password per l'account utente specificato nella casella Nome utente.
Conferma password | Digitare nuovamente la password per l'account utente specificato nella casella Password.

Vedere anche

  • Finestra di dialogo Connetti come - Siti, applicazioni e directory virtuali
  • Gestione di siti in IIS 7 (in linea)
  • Gestione di applicazioni in IIS 7 (in linea)
  • Gestione di directory virtuali in IIS 7 (in linea)


Finestra di dialogo Binding sito

Utilizzare la finestra di dialogo Binding sito per configurare i binding per un sito.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tipo

Consente di visualizzare il protocollo per ogni binding di sito.

Nome host

Consente di visualizzare l'eventuale nome host per ogni binding di sito.

Porta

Consente di visualizzare il numero di porta per ogni binding di sito.

Indirizzo IP

Consente di visualizzare l'indirizzo IP per ogni binding di sito. Se non viene specificato un indirizzo IP, nel campo relativo viene visualizzato un asterisco (*) a indicare che il binding è riferito a tutti gli indirizzi IP.

Informazioni di binding

Consente di visualizzare le informazioni per binding di sito che utilizzano protocolli diversi da:

  • HTTP

  • HTTPS

  • FTP

Aggiungi

Consente di visualizzare la finestra di dialogo Aggiungi binding sito in cui è possibile aggiungere un binding al sito.

Modifica

Consente di visualizzare la finestra di dialogo Modifica binding sito in cui è possibile modificare il binding selezionato.

Rimuovi

Consente di rimuovere il binding selezionato dal sito. Questo pulsante è selezionabile solo quando per un sito è disponibile più di un binding.

Sfoglia

Consente di aprire la pagina predefinita del sito Web in un Web browser utilizzando il binding selezionato.

Nota

Questa azione è disponibile solo per binding HTTP e HTTPS.

Chiudi

Consente di chiudere la finestra di dialogo Binding sito.

Vedere anche

  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Aggiungi binding sito o Modifica binding sito Web

Utilizzare le finestre di dialogo Aggiungi binding sito e Modifica binding sito per aggiungere binding a un sito o modificare un binding esistente di un sito. Ad esempio, per il sito Web potrebbe essere necessario un binding HTTPS sulla porta 443 per poter utilizzare SSL (Secure Sockets Layer), oltre a un binding HTTP sulla porta 80. Per visualizzare la finestra di dialogo Aggiungi binding sito, fare clic su Aggiungi nella finestra di dialogo Binding sito.

Nota

Se si aggiunge un binding duplicato al server Web, sarà possibile eseguire un unico sito alla volta con tale binding. Se inoltre il binding duplicato è di tipo HTTPS, eventuali modifiche apportate al certificato in un binding influiranno sul certificato nell'altro binding.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tipo

Selezionare un valore dall'elenco per specificare il protocollo per il binding del sito.

Indirizzo IP

Selezionare un indirizzo IP nell'elenco Indirizzo IP o digitare un indirizzo IP che gli utenti possono utilizzare per accedere al sito.

Nota

Il simbolo di percentuale (%) non è un carattere valido per gli indirizzi IP. Se si digita un indirizzo IPv6 con questo carattere, il servizio Attivazione processo Windows non sarà in grado di avviare il sito perché il binding non è valido. Ad esempio, l'indirizzo IPv6 locale rispetto al collegamento termina con "%8". Se si copia questo indirizzo da una query ipconfig in una finestra di comando e lo si incolla nella casella Indirizzo IP in Gestione IIS, assicurarsi di rimuovere la parte dell'indirizzo IP contenente "%8".

Se si seleziona Tutti non assegnati, il sito risponderà alle richieste di tutti gli indirizzi IP sulla porta e al nome host facoltativo specificato per il sito, a meno che un altro sito Web sul server non presenti un binding sulla stessa porta ma con un indirizzo IP specifico.

Il binding del sito Web predefinito specifica ad esempio Tutti non assegnati per Indirizzo IP, 80 per Porta e nessun nome host. Se nel server è presente un secondo sito denominato Contoso con un binding che specifica 172.30.189.179 per l'indirizzo IP sulla porta 80 e nessun nome host, il sito Contoso riceverà tutte le richieste HTTP sulla porta 80 all'indirizzo IP 172.30.189.179 e il sito Web predefinito continuerà a ricevere richieste HTTP sulla porta 80 per qualsiasi indirizzo IP diverso da 172.30.189.179.

Porta

Digitare la porta sulla quale HTTP.sys deve essere in ascolto per richieste effettuate a questo sito. Se si seleziona HTTP nell'elenco a discesa Tipo, la porta predefinita è 80. Se si seleziona HTTPS nell'elenco a discesa, la porta predefinita è 443. Se si specifica una porta diversa dalle porte predefinite, i client devono specificare il numero di porta nelle richieste al server o non potranno connettersi al sito.

Nome host

Digitare un nome host se si desidera assegnare uno o più nomi host, noti anche come nomi di dominio, a un computer che utilizza un solo indirizzo IP. Se si specifica un nome host, i client devono utilizzare il nome host anziché l'indirizzo IP per accedere al sito.

Se il sito è disponibile su Internet, digitare il nome di dominio del sito come verrà digitato dagli utenti in un browser, ad esempio www.contoso.com. Se per il sito sono disponibili più nome di dominio, ad esempio www.contoso.com e contoso.com, sarà necessario creare un binding distinto per ogni nome host.

Se il sito è disponibile su una rete Intranet, non è necessario specificare un nome host se gli utenti digiteranno il nome del server in un browser, ad esempio http://nome_server. Se tuttavia il server DNS nell'ambiente è configurato per archiviare altri nomi per il server Web, è possibile creare un binding separato per ogni nome host per consentire agli utenti di utilizzare gli altri nomi archiviati dal server DNS.

Nota

È possibile che il nome host configurato per il sito Web venga visualizzato in modo diverso nei file di registro perché HTTP.sys registra i nomi host utilizzando il formato codificato da punycode.

Certificato SSL

Selezionare il certificato che si desidera che venga utilizzato dal sito per SSL. L'elenco Certificato SSL viene visualizzato solo quando si seleziona HTTPS nell'elenco Tipo.

Nota

Per aggiungere o configurare certificati server, utilizzare la funzionalità Certificati server in Gestione IIS.

Visualizza

Consente di visualizzare la finestra di dialogo Certificato in cui è possibile visualizzare informazioni relative al certificato selezionato nell'elenco Certificato SSL. Il pulsante Visualizza viene visualizzato solo quando si seleziona HTTPS nell'elenco Tipo e si seleziona un certificato nell'elenco Certificato SSL.

Vedere anche

  • Certificati server
  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Modifica limiti sito Web

Utilizzare la finestra di dialogo Modifica limiti sito Web per configurare le impostazioni delle prestazioni per un sito Web in base ai limiti di connessione e di utilizzo della larghezza di banda. Limitando, ad esempio, la larghezza di banda e/o il numero di connessioni in un sito Web a bassa priorità, si consentirà ad altri siti con priorità più alta di gestire carichi di traffico maggiori. È possibile regolare queste impostazioni in base alle modifiche dell'utilizzo e del traffico di rete.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Limita utilizzo larghezza di banda (in byte) | Selezionare questa opzione per limitare la quantità di traffico consentita a un sito Web in base all'utilizzo della larghezza di banda. Nella casella corrispondente immettere il valore in byte in corrispondenza del quale si desidera limitare il traffico del sito Web. Il valore deve essere un numero intero compreso tra 1024 e 4294967295 (illimitato).
Timeout connessione (in secondi) | Digitare un numero nella casella per impostare l'intervallo di tempo in secondi che deve trascorrere prima che il server Web interrompa la connessione di un utente inattivo. Questa impostazione assicura che tutte le connessioni vengano chiuse, anche quando il protocollo HTTP non riesce a chiuderle.
Limita numero di connessioni | Selezionare questa opzione per limitare il numero di connessioni consentite a un sito Web. Nella casella corrispondente immettere il numero di connessioni al quale si desidera limitare il sito Web. Il valore deve essere un numero intero compreso tra 0 e 4294967295 (illimitato). Se il numero di connessioni tende a variare e si imposta un numero illimitato di connessioni, si evita la necessità di attività di amministrazione costanti; tuttavia, le prestazioni del sistema non saranno stabili, soprattutto se il numero di connessioni supera le possibilità delle risorse di sistema. La limitazione del sito Web a un numero specifico di connessioni consente invece una maggiore stabilità delle prestazioni.

Vedere anche

  • Gestione di siti in IIS 7 (in linea)


Finestra di dialogo Modifica impostazioni traccia richieste non riuscite sito Web

La finestra di dialogo Modifica impostazioni traccia richieste non riuscite sito Web consente di modificare regole di traccia precedentemente configurate per le richieste non riuscite.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Abilita

Selezionare questa opzione per abilitare la registrazione della traccia richieste non riuscite per un sito specifico.

Directory

Digitare il percorso in cui si desidera archiviare i file di registro di traccia delle richieste non riuscite.

Nota

È consigliabile archiviare i file di registro, ad esempio i file di registro di traccia delle richieste non riuscite, in una directory diversa dalla radice sistema.

Numero massimo di file di traccia

Digitare il numero massimo di file di registro di traccia delle richieste non riuscite che si desidera conservare per il sito. Se non viene immesso nessun valore, il numero massimo predefinito di file di registro che verranno archiviati è pari a 50. Quando si raggiunge questo limite, verranno creati nuovi file di registro e quelli meno recenti verranno rimossi.

Vedere anche

  • Configurazione della traccia per richieste non riuscite in IIS 7 (in linea)


Posta SMTP

In questa sezione sono presenti gli argomenti seguenti:

Pagina Posta SMTP

Finestra di dialogo Imposta credenziali - Funzionalità Posta SMTP


Pagina Posta SMTP

Utilizzare la pagina di funzionalità Posta SMTP per configurare il recapito della posta elettronica da applicazioni che utilizzano l'API System.Net.Mail. È possibile configurare l'indirizzo di posta elettronica del mittente sulla posta in uscita e decidere se recapitare la posta elettronica immediatamente a un server SMTP in linea o archiviarla su disco e recuperarla da questa posizione per effettuare il recapito in un secondo momento.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Indirizzo di posta elettronica | Consente di impostare l'indirizzo di posta elettronica dal quale vengono inviati i messaggi di posta elettronica.
Recapita posta a server SMPT | Configura System.Net.Mail per il recapito immediato dei messaggi di posta elettronica a un server SMTP.
Server SMTP | Consente di definire il nome univoco del server SMTP.
Usa localhost | Consente di impostare il nome del server SMTP su Localhost. L'impostazione del nome su Localhost indica che System.Net.Mail invierà la posta elettronica al server SMTP sul computer locale.
Porta | Consente di impostare la porta TCP che verrà utilizzata da System.Net.Mail nel tentativo di connettersi al server SMTP di destinazione. La porta 25 è la porta TCP standard di SMTP e rappresenta l'impostazione predefinita e l'impostazione consigliata.
Impostazioni autenticazione | Consente di specificare la modalità di autenticazione e le credenziali, se richieste dal server SMTP.
Non obbligatorio | Non richiede all'utente l'immissione di nome utente o password per connettersi al server SMTP.
Windows | Utilizza l'identità dell'applicazione. Utilizzare questa opzione se si imposta uno smart host per l'inoltro dei messaggi nella rete o se si imposta un server per la ricezione della posta elettronica da siti interni, ad esempio una rete Intranet aziendale.
Specifica credenziali | Richiede un nome utente e una password validi. Le credenziali vengono inviate in rete come testo non crittografato. Per specificare le credenziali, fare clic su Imposta. È necessario immettere il nome utente valido nella casella di testo Nome utente e la password valida nella casella di testo Password. Immettere di nuovo la password nella casella di testo Conferma password e quindi fare clic su OK.
Archivia posta in directory di prelievo | Configura System.Net.Mail per l'archiviazione dei messaggi di posta elettronica in un percorso file su disco per il recapito in un secondo momento da parte di un'applicazione come ASP.NET o di un utente, ad esempio un amministratore.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione della posta elettronica SMTP in IIS 7.0 (in linea)


Finestra di dialogo Imposta credenziali - Funzionalità Posta SMTP

Utilizzare la finestra di dialogo Imposta credenziali per configurare IIS per utilizzare il nome utente e la password di un server SMTP (Simple Mail Transfer Protocol).

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Digitare il nome dell'account che deve essere utilizzato da IIS per accedere al server SMTP.
Password | Digitare la password associata al server SMTP.
Conferma password | Digitare nuovamente la password associata al server SMTP.

Vedere anche

  • Configurazione della posta elettronica SMTP in IIS 7.0 (in linea)


Pagina Impostazioni SSL

Utilizzare la pagina Impostazioni SSL per gestire la crittografia dei dati per le trasmissioni tra il server e i client. Inoltre, selezionando Ignora, Accetta o Richiedi certificati, è possibile richiedere che un client venga identificato prima di ottenere l'accesso al contenuto.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Richiedi SSL

Selezionare Richiedi SSL (Secure Sockets Layer) per abilitare un metodo di crittografia dei dati a 40 bit per proteggere le trasmissioni tra il server e i client. L'impostazione di questa opzione vale sia in ambienti Intranet che Internet.

Richiedi SSL a 128 bit

Selezionare Richiedi SSL a 128 bit per fornire una crittografia più avanzata rispetto alla versione a 40 bit. È possibile utilizzare SSL a 128 bit per garantire trasmissioni protette tra il server e i client in un ambiente Intranet o Internet.

Ignora

Si tratta dell'opzione predefinita. Questa impostazione non accetta certificati client se forniti.

Nota

Questa opzione non richiede che venga verificata l'identità dei client per consentire l'accesso al contenuto. Si tratta, pertanto, dell'impostazione che garantisce meno protezione.

Accetta

Selezionare questa impostazione se si desidera accettare eventuali certificati client forniti e verificare l'identità del client prima di consentire l'accesso al contenuto.

Richiedi

Selezionare questa opzione per richiedere che i certificati verifichino l'identità del client prima di consentire l'accesso al contenuto.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Applica | Consente di salvare le modifiche apportate nella pagina di funzionalità.
Annulla | Consente di annullare le modifiche apportate nella pagina di funzionalità.

Vedere anche

  • Configurazione di Secure Sockets Layer in IIS 7 (in linea)


Directory virtuali

In questa sezione sono presenti gli argomenti seguenti:

Pagina Directory virtuali

Finestra di dialogo Aggiungi directory virtuale o Modifica directory virtuale


Pagina Directory virtuali

Utilizzare la pagina di funzionalità Directory virtuali per gestire un elenco di directory virtuali in un'applicazione Web.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Percorso applicazione | Consente di visualizzare l'applicazione che contiene la singola directory virtuale.
Percorso virtuale | Consente di visualizzare il percorso virtuale utilizzato in un URL per accedere alla directory virtuale.
Percorso fisico | Consente di visualizzare il percorso fisico della directory in cui è presente il contenuto della directory virtuale.
Identità | Consente di visualizzare il nome utente dell'eventuale identità personalizzata configurata che viene utilizzata per accedere al contenuto della directory fisica di cui è stato eseguito il mapping alla directory virtuale. Se l'identità viene lasciata vuota, per accedere al contenuto viene utilizzata l'autenticazione pass-through.

Elementi del riquadro Azioni

Nella tabella seguente sono descritte le azioni disponibili durante la connessione a un server. Quando si è connessi a un sito o a un'applicazione e si seleziona una directory virtuale nella pagina Directory virtuali, l'unica azione disponibile è Sfoglia.

Nome dell'elemento | Descrizione
Aggiungi directory virtuale | Consente di visualizzare la finestra di dialogo Aggiungi directory virtuale in cui è possibile aggiungere una directory virtuale.
Impostazioni predefinite directory virtuali | Consente di visualizzare la finestra di dialogo Impostazioni predefinite directory virtuali in cui è possibile configurare impostazioni predefinite che si applicano a tutte le directory virtuali del livello corrente e di quello inferiore.
Esplora | Consente di aprire la directory fisica (in Esplora risorse) di cui è stato eseguito il mapping alla directory virtuale selezionata.
Modifica autorizzazioni | Consente di visualizzare la finestra di dialogo delle proprietà di Windows relativa alla directory fisica di cui è stato eseguito il mapping alla directory virtuale selezionata.
Rimuovi | Consente di rimuovere l'elemento selezionato dall'elenco della pagina di funzionalità.
Sfoglia | Consente di aprire la directory virtuale selezionata in un browser Internet.
Impostazioni di base | Consente di visualizzare la finestra di dialogo Modifica directory virtuale in cui è possibile modificare le impostazioni specificate durante la creazione della directory virtuale selezionata.
Impostazioni avanzate | Consente di visualizzare la finestra di dialogo Impostazioni avanzate in cui è possibile configurare le impostazioni avanzate per la directory virtuale selezionata.

Vedere anche

  • Gestione di directory virtuali in IIS 7 (in linea)


Finestra di dialogo Aggiungi directory virtuale o Modifica directory virtuale

Utilizzare le finestre di dialogo Aggiungi directory virtuale e Modifica directory virtuale per aggiungere e modificare le directory virtuali nei siti e nelle applicazioni. Le directory virtuali sono puntatori al contenuto fisico archiviato nel computer locale o nelle condivisioni in computer remoti. Se si desidera includere del contenuto che non risiede fisicamente nella directory del sito o dell'applicazione, è possibile creare una directory virtuale in cui inserire il contenuto proveniente da altre posizioni del server Web o da un altro computer nella rete.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome sito | Consente di visualizzare il nome del sito che conterrà la directory virtuale.
Percorso | Consente di visualizzare l'applicazione che conterrà la directory virtuale. Se si crea una directory virtuale al livello del sito, in questa casella viene visualizzato /. Se si crea una directory virtuale al livello dell'applicazione, in questa casella viene visualizzato il nome dell'applicazione, ad esempio /myApp.
Alias | Digitare un nome per la directory virtuale che i client possono utilizzare per accedere al contenuto da un Web browser. Se ad esempio l'indirizzo del sito è http://www.contoso.com/ e si crea una directory virtuale per tale sito denominata /marketing, gli utenti potranno accedere alla directory virtuale dal Web browser digitando http://www.contoso.com/marketing/.
Percorso fisico | Digitare o selezionare il percorso fisico in cui è archiviato il contenuto della directory virtuale. Il contenuto può risiedere nel computer locale o provenire da una condivisione remota. Se il contenuto è archiviato nel computer locale, digitare il percorso fisico, ad esempio C:\Content. Se il contenuto è archiviato in una condivisione remota, immettere il percorso UNC, ad esempio \\Server\Share. Il percorso specificato deve essere esistente. In caso contrario, verrà visualizzato un errore di configurazione. Facoltativamente, fare clic Connetti come per fornire le credenziali di un account autorizzato ad accedere al contenuto nel percorso fisico.
… | Consente di visualizzare la finestra di dialogo Sfoglia per cartelle in cui è possibile selezionare il percorso fisico del contenuto della directory virtuale.
Connetti come | Consente di visualizzare la finestra di dialogo Connetti come in cui è possibile selezionare la modalità di connessione al percorso digitato nella casella Percorso fisico. Per impostazione predefinita, la modalità selezionata è Utente applicazione (autenticazione pass-through).
Prova impostazioni | Consente di visualizzare la finestra di dialogo Prova impostazioni in cui è possibile visualizzare un elenco di risultati della prova per valutare la validità delle impostazioni relative al percorso.

Vedere anche

  • Finestra di dialogo Connetti come - Siti, applicazioni e directory virtuali
  • Gestione di directory virtuali in IIS 7 (in linea)


Pagina WebDAV

In questa sezione sono presenti gli argomenti seguenti:

Pagina Regole di authoring WebDAV

Finestra di dialogo Aggiungi regola di authoring

Pagina Impostazioni WebDAV

Finestra di dialogo Editor dell'insieme - Spazio dei nomi


Pagina Regole di authoring WebDAV

È possibile utilizzare la pagina Regole di authoring WebDAV per gestire l'elenco di regole di authoring che controllano l'accesso al contenuto. Le regole vengono visualizzate in un elenco di cui è possibile modificare l'ordine per concedere l'accesso ad alcuni utenti e contemporaneamente negarlo ad altri. La pagina Regole di authoring WebDAV consente inoltre di visualizzare informazioni su altre regole, quali Percorso, Utenti, Ruoli o Accesso.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Percorso | Consente di visualizzare il nome file o l'estensione per cui il gestore elaborerà una risposta. Il valore può essere un nome file specifico, ad esempio WebResource.axd, o un carattere jolly (*) con un'estensione specifica, ad esempio * .exe.
Utenti | Consente di visualizzare i nomi utente a cui si applica la regola.
Ruoli | Consente di visualizzare i gruppi di Microsoft Windows a cui si applica la regola, ad esempio il gruppo Administrators.
Accesso | Consente di visualizzare le autorizzazioni di accesso a cui si applica la regola, ad esempio Lettura o Scrittura.
Tipo voce | Consente di visualizzare se l'elemento è locale o ereditato.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Abilita WebDAV | Consente di abilitare la funzionalità WebDAV.
Disabilita WebDAV | Consente di disabilitare la funzionalità WebDAV.
Aggiungi regola di authoring | Consente di visualizzare la finestra di dialogo Aggiungi regola di authoring in cui è possibile creare una regola di authoring.
Modifica | Consente di modificare la regola selezionata.
Rimuovi | Consente di rimuovere la regola selezionata.
Sposta su | Consente di spostare un elemento selezionato verso l'alto nell'elenco.
Sposta giù | Consente di spostare un elemento selezionato verso il basso nell'elenco.
Impostazioni WebDAV | Consente di aprire la pagina Impostazioni WebDAV in cui è possibile modificare le impostazioni della funzionalità WebDAV.

Vedere anche

  • Finestra di dialogo Aggiungi regola di authoring


Finestra di dialogo Aggiungi regola di authoring

È possibile utilizzare la finestra di dialogo Aggiungi regola di authoring o Modifica regola di authoring per definire le regole per l'accesso al contenuto.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Tutto il contenuto

Selezionare questa opzione per applicare la regola di authoring a tutto il contenuto.

Contenuto specificato

Selezionare questa opzione per applicare la regola di authoring solo al contenuto che corrisponde alla regola. Digitare un'estensione di file o un nome file con un'estensione a cui si desidera applicare la regola per le richieste WebDAV. Se ad esempio si desidera applicare la regola a tutte le richieste WebDAV effettuate per i file ASP, immettere *.asp. Se si desidera applicare la regola a tutte le richieste effettuate per un file specifico, immettere il nome file con l'estensione, ad esempio NomeFile.asp.

Tutti gli utenti

Selezionare questa opzione per gestire l'accesso al contenuto per tutti gli utenti.

Ruoli o gruppi di utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per ruoli o gruppi di utenti specifici di Microsoft Windows.

Nota

Se si utilizza questa regola, tutti i membri dei ruoli e dei gruppi specificati dovranno disporre di account utente e password validi per potersi autenticare.

Utenti specificati

Selezionare questa opzione per gestire l'accesso al contenuto per un account utente specifico.

Nota

Se si utilizza questa opzione, tutti gli utenti specificati dovranno disporre di account utente e password validi per potersi autenticare.

Lettura

Specifica se gli utenti, i gruppi o i ruoli dispongono dell'accesso in lettura.

Scrittura

Specifica se gli utenti, i gruppi o i ruoli dispongono dell'accesso in scrittura.

Origine

Specifica se gli utenti, i gruppi o i ruoli dispongono dell'accesso al codice sorgente per i file mappati ai gestori. Ad esempio, le pagine ASP.NET *.aspx richiedono che gli utenti o i gruppi dispongano dell'accesso Origine per modificare le pagine mediante WebDAV.

Vedere anche

  • Pagina Regole di authoring WebDAV


Pagina Impostazioni WebDAV

Utilizzare la pagina Impostazioni WebDAV per modificare le impostazioni della funzionalità WebDAV.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento Descrizione

Consenti tipi MIME sconosciuti

Specifica se è consentito l'accesso a tipi di contenuto che non hanno tipi MIME espliciti definiti.

Tipo MIME predefinito

Specifica il tipo MIME predefinito da utilizzare per i tipi di contenuto che non hanno tipi MIME espliciti definiti.

Consenti blocchi

Specifica se sono supportati i blocchi WebDAV.

Provider blocchi

Specifica il provider da utilizzare quando i client Internet richiedono i blocchi.

Richiedi blocco per scrittura

Specifica se è richiesto un blocco prima del salvataggio dei documenti sul server da parte dei client Internet.

Consenti query su proprietà in modo anonimo

Specifica se i client Internet possono richiedere proprietà in modo anonimo.

Consenti proprietà personalizzate

Specifica se sono supportate le proprietà personalizzate.

Nota

Le proprietà del file system sono sempre supportate, ad esempio dimensione file, data modifica e così via.

Consenti query su proprietà a livello superiore

Specifica se i client Internet possono richiedere proprietà per il contenuto di livello superiore rispetto all'insieme padre e figlio corrente.

Nota

Le query su proprietà a livello superiore possono richiedere tempi di elaborazione del sistema molto lunghi per il completamento.

Archivio proprietà

Consente di visualizzare la finestra di dialogo Editor dell'insieme - Spazio dei nomi in cui è possibile specificare i provider proprietà per gli spazi dei nomi XML WebDAV.

Consenti filtro estensioni di file

Specifica se le impostazioni del filtro richieste per le estensioni di file vengono applicate alle richieste WebDAV.

Importante

Se Consenti filtro estensioni di file è impostato su True, le richieste WebDAV per i file con estensioni bloccate dal filtro richieste vengono negate. Se ad esempio Consenti filtro estensioni di file è impostato su True e l'estensione config è presente nell'elenco di estensioni di file negate, non sarà possibile modificare i file con estensione config.

Consenti filtro segmenti nascosti

Specifica se le impostazioni del filtro richieste per i segmenti nascosti vengono applicate alle richieste WebDAV.

Importante

Se Consenti filtro segmenti nascosti è impostato su True, le richieste WebDAV per i segmenti di file bloccati dalle impostazioni del filtro richieste vengono negate. Se ad esempio Consenti filtro segmenti nascosti è impostato su True, non sarà possibile modificare i file presenti nelle cartelle App_Code o Bin di un sito Web.

Consenti filtro verbi

Specifica se le impostazioni del filtro richieste per i verbi HTTP vengono applicate alle richieste WebDAV.

Importante

Se Consenti filtro verbi è impostato su True, le richieste WebDAV con i verbi HTTP bloccati dal filtro richieste vengono negate. Se ad esempio Consenti filtro verbi è impostato su True e il filtro richieste è configurato in modo da bloccare l'accesso ai verbi WebDAV, quale PROPFIND o PUT, non sarà possibile modificare i file.

Consenti visualizzazione file nascosti

Specifica se il contenuto contrassegnato come nascosto sul server verrà incluso nella visualizzazione file.

Consenti più sezioni di proprietà

Specifica se le proprietà WebDAV possono essere specificate in più sezioni XML <prop></prop>.

Nota

Questa sintassi è utilizzata da alcuni client Internet.

Restituisci XML compatto

Specifica se il modulo WebDAV deve omettere l'invio di una sequenza ritorno a capo/avanzamento riga dopo ogni riga di XML nelle risposte WebDAV.

Restituisci proprietà IsHidden

Specifica se il modulo WebDAV deve restituire la proprietà IsHidden per il contenuto.

Nota

Questa proprietà è utilizzata da alcuni client Internet.

Restituisci proprietà IsCollection

Specifica se il modulo WebDAV deve restituire la proprietà IsCollection per il contenuto.

Nota

Questa proprietà è utilizzata da alcuni client Internet.

Restituisci intestazione MS-Author-Via

Specifica se il modulo WebDAV deve restituire l'intestazione HTTP MS-Author-Via.

Nota

Questa intestazione è utilizzata da alcuni client WebDAV Microsoft.

Richiedi accesso SSL

Specifica che tutte le richieste WebDAV devono utilizzare SSL.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Regole di authoring WebDAV | Consente di visualizzare la pagina di funzionalità Regole di authoring WebDAV in cui è possibile modificare l'elenco di regole di authoring WebDAV.


Finestra di dialogo Editor dell'insieme - Spazio dei nomi

Utilizzare la finestra di dialogo Editor dell'insieme - Spazio dei nomi per specificare i provider proprietà per gli spazi dei nomi XML WebDAV. Per utilizzare le proprietà personalizzate, è necessario specificare i provider proprietà per ogni spazio dei nomi XML utilizzato dai client WebDAV oppure è possibile indicare un provider predefinito specificando un asterisco (*) per lo spazio dei nomi XML.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Membri

Contiene un elenco di mapping tra provider proprietà e spazi dei nomi XML. Per aggiungere un mapping all'elenco, fare clic su Aggiungi. Per rimuovere un mapping dall'elenco, evidenziarlo, quindi fare clic su Rimuovi.

Proprietà

Specifica le impostazioni per i mapping tra provider proprietà e spazi dei nomi XML.

Archivio proprietà

Specifica il provider proprietà per lo spazio dei nomi XML. Per specificare un provider proprietà per un mapping, scegliere il nome del provider dall'elenco a discesa.

Spazio dei nomi XML

Specifica il nome dello spazio dei nomi XML per l'archivio proprietà.

Nota

È possibile indicare un provider predefinito specificando un asterisco (*) per lo spazio dei nomi XML.


Processi di lavoro

In questa sezione sono presenti gli argomenti seguenti:

Pagina Processi di lavoro

Pagina Richieste


Pagina Processi di lavoro

Utilizzare la pagina Processi di lavoro per gestire un elenco dei processi di lavoro in esecuzione nei pool di applicazioni presenti in un server Web. Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità.

Elenco degli elementi dell'interfaccia utente

Nelle tabelle seguenti sono descritti gli elementi dell'interfaccia utente disponibili nella pagina di funzionalità e nel riquadro Azioni.

Elementi della pagina di funzionalità

Nome dell'elemento | Descrizione
Nome pool di applicazioni | Consente di visualizzare il nome del pool di applicazioni. Nei Web garden o nel caso in cui si verifichi l'arresto di un processo di lavoro contemporaneamente all'avvio di un altro processo, è possibile che nella griglia lo stesso pool di applicazioni venga elencato più volte per i diversi processi di lavoro eseguiti nel pool di applicazioni specifico.
ID processo | Consente di visualizzare l'identificatore (ID) del processo di lavoro per il processo di lavoro specifico.
Stato | Consente di visualizzare lo stato di un processo, ad esempio avvio, esecuzione o arresto in corso.
% CPU | Consente di visualizzare la percentuale di tempo in cui il processo di lavoro ha utilizzato la CPU dall'ultimo aggiornamento dei dati. Questo elemento corrisponde a Utilizzo CPU in Gestione attività di Windows.
Byte privati (KB) | Consente di visualizzare le dimensioni correnti della memoria utilizzata da un processo di lavoro. Tale memoria non può essere condivisa con gli altri processi. Questo elemento corrisponde a Dimensioni memoria virtuale in Gestione attività di Windows.
Byte virtuali (KB) | Consente di visualizzare le dimensioni correnti dello spazio di indirizzi virtuali per un processo di lavoro.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Visualizza richieste correnti | Consente di aprire la pagina di funzionalità Richieste in cui è possibile visualizzare le richieste attualmente in fase di elaborazione nel pool di applicazioni selezionato.

Vedere anche

  • Monitoraggio dei processi di lavoro e delle richieste attualmente in esecuzione in IIS 7 (in linea)


Pagina Richieste

La pagina di funzionalità Richieste consente di gestire un elenco delle richieste attualmente in esecuzione in un processo di lavoro. Queste informazioni possono risultare utili per determinare dove si è verificato un problema in un'area specifica di un sito o di un'applicazione.

Per ordinare l'elenco, fare clic su una delle intestazioni di colonna della pagina di funzionalità. Per eseguire ricerche nell'elenco, digitare i criteri di ricerca nella casella Filtro, espandere l'elenco Vai per selezionare il campo in base al quale effettuare la ricerca, quindi fare clic su Vai oppure premere INVIO. Fare clic Mostra tutti per rimuovere i criteri di filtro.

Elenco degli elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
ID sito Web | Consente di visualizzare l'identificatore (ID) del sito per la richiesta specifica.
Url | Consente di visualizzare l'URL richiesto.
Verbo | Consente di visualizzare il verbo HTTP utilizzato nella richiesta.
IP client | Consente di visualizzare l'indirizzo IP del client che ha effettuato la richiesta.
Stato | Consente di visualizzare lo stato del modulo pipeline corrente in cui si trova la richiesta.
Nome modulo | Consente di visualizzare il modulo corrente in cui si trova la richiesta.
Tempo trascorso | Consente di visualizzare la durata di elaborazione della richiesta.

Vedere anche

  • Monitoraggio dei processi di lavoro e delle richieste attualmente in esecuzione in IIS 7 (in linea)


Attività di amministrazione comuni

In questo argomento viene fornito un elenco di procedure per il completamento di attività amministrative comuni in IIS 7. Alcune attività sono nuove in questa versione di IIS, altre sono simili a quelle delle versioni precedenti sebbene le procedure siano state modificate nella nuova versione.

In questa sezione

Di seguito sono elencate le attività amministrative comuni disponibili in IIS 7:

Configurazione di un server Web IIS 7 per rendere disponibile contenuto

  • Aggiungere un sito

  • Aggiungere un'applicazione

  • Aggiungere una directory virtuale

Configurazione dell'elaborazione delle richieste per un server Web IIS 7

  • Creare un pool di applicazioni

  • Avviare o arrestare un pool di applicazioni

  • Configurazione delle impostazioni di riciclo per un pool di applicazioni

Configurazione delle impostazioni HTTP

  • Modificare una risposta di errore HTTP personalizzata

  • Configurare le informazioni da visualizzare in una visualizzazione directory

Delega della gestione di siti e applicazioni

  • Delega della gestione di funzionalità in siti e applicazioni

  • Configurazione del Servizio di gestione

  • Configurazione di account utente per la connessione a siti e applicazioni in Gestione IIS

Monitoraggio dell'attività su un server Web IIS 7

  • Visualizzare le richieste attualmente in esecuzione in un processo di lavoro

  • Abilitare la registrazione della traccia per le richieste non riuscite

  • Creare una regola di traccia per le richieste non riuscite

Configurazione della sicurezza del server Web IIS 7

  • Configurazione dell'autenticazione

  • Configurazione di Secure Sockets Layer

  • Configurazione delle regole di autorizzazione degli URL


Ulteriori informazioni su IIS 7

Utilizzare le seguenti risorse in linea per ulteriori informazioni sulla distribuzione, l'amministrazione e l'espansione di un server Web IIS 7:

  • Web server content in the Windows Server 2008 Technical Library on Microsoft TechNet (la pagina potrebbe essere in inglese). Utilizzare le procedure e le informazioni di riferimento per distribuire, amministrare e gestire server Web, siti e applicazioni di IIS 7.

  • Internet Information Services 7 SDK in MSDN (Microsoft Developer Network). Utilizzare IIS 7 Web Administration Reference per ulteriori informazioni sullo schema di configurazione e sul provider Strumentazione gestione Windows (WMI). Utilizzare i riferimenti per lo sviluppo di server Web per ulteriori informazioni sulla creazione di applicazioni e l'espansione delle funzionalità di IIS.

  • IIS.NET (la pagina potrebbe essere in inglese). Utilizzare le risorse tecniche, i download, i forum e i blog per informazioni complete su IIS 7 e sulle versioni precedenti di IIS.